#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2831
#define LARGE_STATE_COUNT 189
#define SYMBOL_COUNT 270
#define ALIAS_COUNT 4
#define TOKEN_COUNT 108
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 140

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_type = 43,
  anon_sym_EQ = 44,
  anon_sym_class = 45,
  anon_sym_LBRACK = 46,
  anon_sym_RBRACK = 47,
  anon_sym_AT = 48,
  anon_sym_DASH = 49,
  anon_sym__ = 50,
  anon_sym_PIPE = 51,
  anon_sym_LBRACE = 52,
  anon_sym_RBRACE = 53,
  anon_sym_PLUS = 54,
  anon_sym_not = 55,
  anon_sym_and = 56,
  anon_sym_or = 57,
  anon_sym_SLASH = 58,
  anon_sym_PERCENT = 59,
  anon_sym_SLASH_SLASH = 60,
  anon_sym_AMP = 61,
  anon_sym_CARET = 62,
  anon_sym_LT_LT = 63,
  anon_sym_TILDE = 64,
  anon_sym_LT = 65,
  anon_sym_LT_EQ = 66,
  anon_sym_EQ_EQ = 67,
  anon_sym_BANG_EQ = 68,
  anon_sym_GT_EQ = 69,
  anon_sym_GT = 70,
  anon_sym_LT_GT = 71,
  anon_sym_is = 72,
  anon_sym_lambda = 73,
  anon_sym_PLUS_EQ = 74,
  anon_sym_DASH_EQ = 75,
  anon_sym_STAR_EQ = 76,
  anon_sym_SLASH_EQ = 77,
  anon_sym_AT_EQ = 78,
  anon_sym_SLASH_SLASH_EQ = 79,
  anon_sym_PERCENT_EQ = 80,
  anon_sym_STAR_STAR_EQ = 81,
  anon_sym_GT_GT_EQ = 82,
  anon_sym_LT_LT_EQ = 83,
  anon_sym_AMP_EQ = 84,
  anon_sym_CARET_EQ = 85,
  anon_sym_PIPE_EQ = 86,
  anon_sym_yield = 87,
  sym_ellipsis = 88,
  sym_escape_sequence = 89,
  sym__not_escape_sequence = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym_line_continuation = 100,
  sym__newline = 101,
  sym__indent = 102,
  sym__dedent = 103,
  sym_string_start = 104,
  sym__string_content = 105,
  sym_escape_interpolation = 106,
  sym_string_end = 107,
  sym_module = 108,
  sym__statement = 109,
  sym__simple_statements = 110,
  sym_import_statement = 111,
  sym_import_prefix = 112,
  sym_relative_import = 113,
  sym_future_import_statement = 114,
  sym_import_from_statement = 115,
  sym__import_list = 116,
  sym_aliased_import = 117,
  sym_wildcard_import = 118,
  sym_print_statement = 119,
  sym_chevron = 120,
  sym_assert_statement = 121,
  sym_expression_statement = 122,
  sym_named_expression = 123,
  sym__named_expression_lhs = 124,
  sym_return_statement = 125,
  sym_delete_statement = 126,
  sym_raise_statement = 127,
  sym_pass_statement = 128,
  sym_break_statement = 129,
  sym_continue_statement = 130,
  sym_if_statement = 131,
  sym_elif_clause = 132,
  sym_else_clause = 133,
  sym_match_statement = 134,
  sym__match_block = 135,
  sym_case_clause = 136,
  sym_for_statement = 137,
  sym_while_statement = 138,
  sym_try_statement = 139,
  sym_except_clause = 140,
  sym_except_group_clause = 141,
  sym_finally_clause = 142,
  sym_with_statement = 143,
  sym_with_clause = 144,
  sym_with_item = 145,
  sym_function_definition = 146,
  sym_parameters = 147,
  sym_lambda_parameters = 148,
  sym_list_splat = 149,
  sym_dictionary_splat = 150,
  sym_global_statement = 151,
  sym_nonlocal_statement = 152,
  sym_exec_statement = 153,
  sym_type_alias_statement = 154,
  sym_class_definition = 155,
  sym_type_parameter = 156,
  sym_parenthesized_list_splat = 157,
  sym_argument_list = 158,
  sym_decorated_definition = 159,
  sym_decorator = 160,
  sym_block = 161,
  sym_expression_list = 162,
  sym_dotted_name = 163,
  sym_case_pattern = 164,
  sym__simple_pattern = 165,
  sym__as_pattern = 166,
  sym_union_pattern = 167,
  sym__list_pattern = 168,
  sym__tuple_pattern = 169,
  sym_dict_pattern = 170,
  sym__key_value_pattern = 171,
  sym_keyword_pattern = 172,
  sym_splat_pattern = 173,
  sym_class_pattern = 174,
  sym_complex_pattern = 175,
  sym__parameters = 176,
  sym__patterns = 177,
  sym_parameter = 178,
  sym_pattern = 179,
  sym_tuple_pattern = 180,
  sym_list_pattern = 181,
  sym_default_parameter = 182,
  sym_typed_default_parameter = 183,
  sym_list_splat_pattern = 184,
  sym_dictionary_splat_pattern = 185,
  sym_as_pattern = 186,
  sym__expression_within_for_in_clause = 187,
  sym_expression = 188,
  sym_primary_expression = 189,
  sym_not_operator = 190,
  sym_boolean_operator = 191,
  sym_binary_operator = 192,
  sym_unary_operator = 193,
  sym_comparison_operator = 194,
  sym_lambda = 195,
  sym_lambda_within_for_in_clause = 196,
  sym_assignment = 197,
  sym_augmented_assignment = 198,
  sym_pattern_list = 199,
  sym__right_hand_side = 200,
  sym_yield = 201,
  sym_attribute = 202,
  sym_subscript = 203,
  sym_slice = 204,
  sym_call = 205,
  sym_typed_parameter = 206,
  sym_type = 207,
  sym_splat_type = 208,
  sym_generic_type = 209,
  sym_union_type = 210,
  sym_constrained_type = 211,
  sym_member_type = 212,
  sym_keyword_argument = 213,
  sym_list = 214,
  sym_set = 215,
  sym_tuple = 216,
  sym_dictionary = 217,
  sym_pair = 218,
  sym_list_comprehension = 219,
  sym_dictionary_comprehension = 220,
  sym_set_comprehension = 221,
  sym_generator_expression = 222,
  sym__comprehension_clauses = 223,
  sym_parenthesized_expression = 224,
  sym__collection_elements = 225,
  sym_for_in_clause = 226,
  sym_if_clause = 227,
  sym_conditional_expression = 228,
  sym_concatenated_string = 229,
  sym_string = 230,
  sym_string_content = 231,
  sym_interpolation = 232,
  sym__f_expression = 233,
  sym_format_specifier = 234,
  sym_await = 235,
  sym_positional_separator = 236,
  sym_keyword_separator = 237,
  aux_sym_module_repeat1 = 238,
  aux_sym__simple_statements_repeat1 = 239,
  aux_sym_import_prefix_repeat1 = 240,
  aux_sym__import_list_repeat1 = 241,
  aux_sym_print_statement_repeat1 = 242,
  aux_sym_assert_statement_repeat1 = 243,
  aux_sym_if_statement_repeat1 = 244,
  aux_sym_match_statement_repeat1 = 245,
  aux_sym__match_block_repeat1 = 246,
  aux_sym_case_clause_repeat1 = 247,
  aux_sym_try_statement_repeat1 = 248,
  aux_sym_try_statement_repeat2 = 249,
  aux_sym_with_clause_repeat1 = 250,
  aux_sym_global_statement_repeat1 = 251,
  aux_sym_type_parameter_repeat1 = 252,
  aux_sym_argument_list_repeat1 = 253,
  aux_sym_decorated_definition_repeat1 = 254,
  aux_sym_dotted_name_repeat1 = 255,
  aux_sym_union_pattern_repeat1 = 256,
  aux_sym_dict_pattern_repeat1 = 257,
  aux_sym__parameters_repeat1 = 258,
  aux_sym__patterns_repeat1 = 259,
  aux_sym_comparison_operator_repeat1 = 260,
  aux_sym_subscript_repeat1 = 261,
  aux_sym_dictionary_repeat1 = 262,
  aux_sym__comprehension_clauses_repeat1 = 263,
  aux_sym__collection_elements_repeat1 = 264,
  aux_sym_for_in_clause_repeat1 = 265,
  aux_sym_concatenated_string_repeat1 = 266,
  aux_sym_string_repeat1 = 267,
  aux_sym_string_content_repeat1 = 268,
  aux_sym_format_specifier_repeat1 = 269,
  alias_sym_as_pattern_target = 270,
  alias_sym_format_expression = 271,
  anon_alias_sym_isnot = 272,
  anon_alias_sym_notin = 273,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_alias_statement] = "type_alias_statement",
  [sym_class_definition] = "class_definition",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
  [anon_alias_sym_isnot] = "is not",
  [anon_alias_sym_notin] = "not in",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_alias_statement] = sym_type_alias_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
  [anon_alias_sym_isnot] = anon_alias_sym_isnot,
  [anon_alias_sym_notin] = anon_alias_sym_notin,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_isnot] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_notin] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_return_type = 24,
  field_right = 25,
  field_subject = 26,
  field_subscript = 27,
  field_superclasses = 28,
  field_type = 29,
  field_type_conversion = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 3},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 1},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 1},
  [35] = {.index = 44, .length = 2},
  [36] = {.index = 46, .length = 1},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 2},
  [42] = {.index = 17, .length = 1},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 2},
  [45] = {.index = 60, .length = 2},
  [46] = {.index = 62, .length = 1},
  [47] = {.index = 63, .length = 2},
  [48] = {.index = 65, .length = 2},
  [49] = {.index = 67, .length = 2},
  [50] = {.index = 67, .length = 2},
  [52] = {.index = 69, .length = 2},
  [53] = {.index = 71, .length = 2},
  [54] = {.index = 73, .length = 1},
  [55] = {.index = 74, .length = 3},
  [56] = {.index = 77, .length = 3},
  [57] = {.index = 80, .length = 3},
  [58] = {.index = 83, .length = 3},
  [59] = {.index = 86, .length = 4},
  [60] = {.index = 90, .length = 1},
  [61] = {.index = 91, .length = 3},
  [62] = {.index = 94, .length = 3},
  [63] = {.index = 97, .length = 2},
  [64] = {.index = 99, .length = 2},
  [65] = {.index = 101, .length = 3},
  [66] = {.index = 104, .length = 3},
  [67] = {.index = 107, .length = 3},
  [68] = {.index = 110, .length = 3},
  [69] = {.index = 113, .length = 3},
  [70] = {.index = 18, .length = 2},
  [71] = {.index = 116, .length = 1},
  [72] = {.index = 117, .length = 3},
  [73] = {.index = 120, .length = 2},
  [74] = {.index = 122, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 126, .length = 3},
  [77] = {.index = 129, .length = 1},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 4},
  [81] = {.index = 138, .length = 2},
  [82] = {.index = 140, .length = 4},
  [83] = {.index = 144, .length = 4},
  [84] = {.index = 148, .length = 1},
  [85] = {.index = 149, .length = 4},
  [86] = {.index = 153, .length = 2},
  [87] = {.index = 155, .length = 3},
  [88] = {.index = 158, .length = 3},
  [89] = {.index = 161, .length = 4},
  [91] = {.index = 165, .length = 4},
  [92] = {.index = 169, .length = 4},
  [93] = {.index = 173, .length = 4},
  [94] = {.index = 177, .length = 4},
  [95] = {.index = 181, .length = 4},
  [96] = {.index = 185, .length = 3},
  [97] = {.index = 188, .length = 3},
  [98] = {.index = 191, .length = 2},
  [99] = {.index = 193, .length = 3},
  [100] = {.index = 196, .length = 5},
  [101] = {.index = 201, .length = 3},
  [102] = {.index = 204, .length = 4},
  [103] = {.index = 208, .length = 4},
  [104] = {.index = 212, .length = 4},
  [105] = {.index = 216, .length = 4},
  [107] = {.index = 220, .length = 4},
  [108] = {.index = 224, .length = 5},
  [109] = {.index = 229, .length = 5},
  [110] = {.index = 234, .length = 3},
  [111] = {.index = 237, .length = 2},
  [112] = {.index = 239, .length = 1},
  [113] = {.index = 240, .length = 4},
  [114] = {.index = 244, .length = 4},
  [115] = {.index = 248, .length = 4},
  [116] = {.index = 252, .length = 5},
  [117] = {.index = 257, .length = 5},
  [118] = {.index = 262, .length = 5},
  [119] = {.index = 267, .length = 5},
  [120] = {.index = 272, .length = 4},
  [121] = {.index = 276, .length = 4},
  [122] = {.index = 280, .length = 2},
  [123] = {.index = 282, .length = 1},
  [124] = {.index = 283, .length = 2},
  [125] = {.index = 285, .length = 2},
  [126] = {.index = 287, .length = 5},
  [127] = {.index = 292, .length = 5},
  [128] = {.index = 297, .length = 5},
  [130] = {.index = 302, .length = 6},
  [131] = {.index = 308, .length = 2},
  [132] = {.index = 310, .length = 2},
  [133] = {.index = 312, .length = 3},
  [134] = {.index = 315, .length = 1},
  [135] = {.index = 316, .length = 6},
  [136] = {.index = 322, .length = 3},
  [137] = {.index = 325, .length = 2},
  [138] = {.index = 327, .length = 2},
  [139] = {.index = 329, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_type, 2},
  [22] =
    {field_left, 0},
    {field_right, 2},
  [24] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [27] =
    {field_alias, 2},
  [28] =
    {field_attribute, 2},
    {field_object, 0},
  [30] =
    {field_operators, 0},
  [31] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [33] =
    {field_expression, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_cause, 3},
  [47] =
    {field_condition, 1},
    {field_consequence, 3},
  [49] =
    {field_subject, 1},
  [50] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [53] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_condition, 1},
  [57] =
    {field_body, 3},
  [58] =
    {field_body, 3},
    {field_name, 1},
  [60] =
    {field_key, 0},
    {field_value, 2},
  [62] =
    {field_type, 2},
  [63] =
    {field_body, 3},
    {field_parameters, 1},
  [65] =
    {field_subscript, 2},
    {field_value, 0},
  [67] =
    {field_operators, 0},
    {field_operators, 1},
  [69] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [71] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [73] =
    {field_alternative, 0},
  [74] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [77] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [80] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [83] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [86] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [90] =
    {field_body, 4},
  [91] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [94] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [97] =
    {field_body, 2},
    {field_body, 3},
  [99] =
    {field_body, 3},
    {field_body, 4},
  [101] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [104] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [107] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [110] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [113] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [116] =
    {field_subscript, 1},
  [117] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [120] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [122] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [124] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [126] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [129] =
    {field_name, 4, .inherited = true},
  [130] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [132] =
    {field_left, 1},
    {field_right, 3},
  [134] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [138] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [140] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [144] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [148] =
    {field_alternative, 1, .inherited = true},
  [149] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [153] =
    {field_body, 4},
    {field_body, 5},
  [155] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [158] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [161] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [165] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [169] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [173] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [177] =
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [181] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [185] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [188] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [191] =
    {field_left, 2},
    {field_right, 4},
  [193] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [196] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [201] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [204] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [208] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [212] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [216] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [220] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [224] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [229] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [234] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [237] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [239] =
    {field_consequence, 3},
  [240] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [244] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [248] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [252] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [257] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [262] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [267] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [272] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [276] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [280] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [282] =
    {field_consequence, 4},
  [283] =
    {field_consequence, 3},
    {field_consequence, 4},
  [285] =
    {field_consequence, 4},
    {field_guard, 2},
  [287] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [292] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [297] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [302] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [308] =
    {field_consequence, 4},
    {field_consequence, 5},
  [310] =
    {field_consequence, 5},
    {field_guard, 3},
  [312] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [315] =
    {field_consequence, 5},
  [316] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [322] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [325] =
    {field_consequence, 5},
    {field_consequence, 6},
  [327] =
    {field_consequence, 6},
    {field_guard, 4},
  [329] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [33] = {
    [1] = sym_parenthesized_expression,
  },
  [37] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [49] = {
    [0] = anon_alias_sym_notin,
    [1] = anon_alias_sym_notin,
  },
  [50] = {
    [0] = anon_alias_sym_isnot,
    [1] = anon_alias_sym_isnot,
  },
  [51] = {
    [0] = alias_sym_format_expression,
  },
  [55] = {
    [3] = sym_block,
  },
  [56] = {
    [3] = sym_block,
  },
  [60] = {
    [4] = sym_block,
  },
  [61] = {
    [3] = sym_block,
  },
  [65] = {
    [4] = sym_block,
  },
  [67] = {
    [4] = sym_block,
  },
  [68] = {
    [4] = sym_block,
  },
  [70] = {
    [0] = sym_identifier,
  },
  [80] = {
    [3] = sym_block,
  },
  [87] = {
    [5] = sym_block,
  },
  [88] = {
    [5] = sym_block,
  },
  [90] = {
    [2] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [94] = {
    [5] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [103] = {
    [6] = sym_block,
  },
  [104] = {
    [5] = sym_block,
  },
  [106] = {
    [3] = sym_block,
  },
  [107] = {
    [6] = sym_block,
  },
  [112] = {
    [3] = sym_block,
  },
  [113] = {
    [6] = sym_block,
  },
  [115] = {
    [7] = sym_block,
  },
  [119] = {
    [7] = sym_block,
  },
  [123] = {
    [4] = sym_block,
  },
  [125] = {
    [4] = sym_block,
  },
  [128] = {
    [8] = sym_block,
  },
  [129] = {
    [5] = sym_block,
  },
  [132] = {
    [5] = sym_block,
  },
  [134] = {
    [5] = sym_block,
  },
  [138] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 5,
  [37] = 6,
  [38] = 7,
  [39] = 8,
  [40] = 9,
  [41] = 10,
  [42] = 11,
  [43] = 12,
  [44] = 13,
  [45] = 14,
  [46] = 15,
  [47] = 16,
  [48] = 17,
  [49] = 18,
  [50] = 19,
  [51] = 20,
  [52] = 21,
  [53] = 22,
  [54] = 23,
  [55] = 24,
  [56] = 26,
  [57] = 27,
  [58] = 30,
  [59] = 31,
  [60] = 2,
  [61] = 35,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 62,
  [66] = 64,
  [67] = 64,
  [68] = 64,
  [69] = 64,
  [70] = 64,
  [71] = 64,
  [72] = 64,
  [73] = 73,
  [74] = 73,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 75,
  [79] = 77,
  [80] = 80,
  [81] = 80,
  [82] = 76,
  [83] = 83,
  [84] = 83,
  [85] = 85,
  [86] = 85,
  [87] = 87,
  [88] = 88,
  [89] = 87,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 93,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 95,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 97,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 111,
  [114] = 88,
  [115] = 99,
  [116] = 100,
  [117] = 117,
  [118] = 96,
  [119] = 101,
  [120] = 120,
  [121] = 102,
  [122] = 122,
  [123] = 104,
  [124] = 124,
  [125] = 106,
  [126] = 126,
  [127] = 90,
  [128] = 122,
  [129] = 107,
  [130] = 108,
  [131] = 91,
  [132] = 110,
  [133] = 133,
  [134] = 112,
  [135] = 92,
  [136] = 98,
  [137] = 137,
  [138] = 137,
  [139] = 137,
  [140] = 140,
  [141] = 140,
  [142] = 140,
  [143] = 137,
  [144] = 140,
  [145] = 137,
  [146] = 140,
  [147] = 140,
  [148] = 137,
  [149] = 140,
  [150] = 137,
  [151] = 137,
  [152] = 140,
  [153] = 153,
  [154] = 154,
  [155] = 154,
  [156] = 156,
  [157] = 157,
  [158] = 156,
  [159] = 159,
  [160] = 156,
  [161] = 154,
  [162] = 157,
  [163] = 157,
  [164] = 164,
  [165] = 157,
  [166] = 156,
  [167] = 167,
  [168] = 159,
  [169] = 157,
  [170] = 170,
  [171] = 157,
  [172] = 157,
  [173] = 154,
  [174] = 167,
  [175] = 156,
  [176] = 164,
  [177] = 157,
  [178] = 164,
  [179] = 159,
  [180] = 159,
  [181] = 154,
  [182] = 159,
  [183] = 156,
  [184] = 159,
  [185] = 159,
  [186] = 159,
  [187] = 170,
  [188] = 156,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 189,
  [193] = 193,
  [194] = 191,
  [195] = 195,
  [196] = 195,
  [197] = 193,
  [198] = 189,
  [199] = 193,
  [200] = 191,
  [201] = 201,
  [202] = 189,
  [203] = 193,
  [204] = 191,
  [205] = 189,
  [206] = 193,
  [207] = 191,
  [208] = 189,
  [209] = 193,
  [210] = 191,
  [211] = 189,
  [212] = 193,
  [213] = 191,
  [214] = 189,
  [215] = 193,
  [216] = 191,
  [217] = 189,
  [218] = 193,
  [219] = 193,
  [220] = 193,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 224,
  [226] = 226,
  [227] = 226,
  [228] = 224,
  [229] = 229,
  [230] = 226,
  [231] = 224,
  [232] = 226,
  [233] = 229,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 235,
  [240] = 240,
  [241] = 241,
  [242] = 223,
  [243] = 237,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 237,
  [248] = 248,
  [249] = 249,
  [250] = 234,
  [251] = 236,
  [252] = 237,
  [253] = 235,
  [254] = 254,
  [255] = 236,
  [256] = 235,
  [257] = 257,
  [258] = 237,
  [259] = 259,
  [260] = 237,
  [261] = 237,
  [262] = 262,
  [263] = 237,
  [264] = 236,
  [265] = 234,
  [266] = 262,
  [267] = 234,
  [268] = 248,
  [269] = 249,
  [270] = 241,
  [271] = 222,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 274,
  [278] = 272,
  [279] = 273,
  [280] = 276,
  [281] = 275,
  [282] = 282,
  [283] = 283,
  [284] = 274,
  [285] = 275,
  [286] = 273,
  [287] = 276,
  [288] = 282,
  [289] = 283,
  [290] = 282,
  [291] = 283,
  [292] = 274,
  [293] = 275,
  [294] = 272,
  [295] = 273,
  [296] = 276,
  [297] = 272,
  [298] = 273,
  [299] = 276,
  [300] = 272,
  [301] = 283,
  [302] = 274,
  [303] = 275,
  [304] = 272,
  [305] = 273,
  [306] = 276,
  [307] = 282,
  [308] = 283,
  [309] = 274,
  [310] = 275,
  [311] = 272,
  [312] = 273,
  [313] = 282,
  [314] = 283,
  [315] = 274,
  [316] = 275,
  [317] = 272,
  [318] = 273,
  [319] = 282,
  [320] = 283,
  [321] = 274,
  [322] = 275,
  [323] = 282,
  [324] = 283,
  [325] = 282,
  [326] = 170,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 327,
  [332] = 332,
  [333] = 333,
  [334] = 332,
  [335] = 332,
  [336] = 327,
  [337] = 337,
  [338] = 328,
  [339] = 328,
  [340] = 340,
  [341] = 341,
  [342] = 329,
  [343] = 333,
  [344] = 330,
  [345] = 329,
  [346] = 330,
  [347] = 333,
  [348] = 348,
  [349] = 245,
  [350] = 350,
  [351] = 351,
  [352] = 350,
  [353] = 348,
  [354] = 350,
  [355] = 245,
  [356] = 350,
  [357] = 357,
  [358] = 357,
  [359] = 357,
  [360] = 350,
  [361] = 350,
  [362] = 357,
  [363] = 348,
  [364] = 357,
  [365] = 350,
  [366] = 357,
  [367] = 350,
  [368] = 357,
  [369] = 357,
  [370] = 245,
  [371] = 371,
  [372] = 371,
  [373] = 373,
  [374] = 374,
  [375] = 371,
  [376] = 337,
  [377] = 374,
  [378] = 374,
  [379] = 379,
  [380] = 373,
  [381] = 371,
  [382] = 374,
  [383] = 373,
  [384] = 374,
  [385] = 373,
  [386] = 373,
  [387] = 387,
  [388] = 388,
  [389] = 371,
  [390] = 374,
  [391] = 371,
  [392] = 392,
  [393] = 156,
  [394] = 373,
  [395] = 371,
  [396] = 374,
  [397] = 374,
  [398] = 373,
  [399] = 371,
  [400] = 374,
  [401] = 373,
  [402] = 373,
  [403] = 341,
  [404] = 404,
  [405] = 371,
  [406] = 371,
  [407] = 374,
  [408] = 373,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 170,
  [415] = 156,
  [416] = 416,
  [417] = 412,
  [418] = 410,
  [419] = 419,
  [420] = 337,
  [421] = 337,
  [422] = 422,
  [423] = 423,
  [424] = 411,
  [425] = 412,
  [426] = 426,
  [427] = 426,
  [428] = 428,
  [429] = 341,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 170,
  [434] = 434,
  [435] = 422,
  [436] = 436,
  [437] = 437,
  [438] = 409,
  [439] = 439,
  [440] = 170,
  [441] = 410,
  [442] = 426,
  [443] = 409,
  [444] = 444,
  [445] = 409,
  [446] = 411,
  [447] = 409,
  [448] = 448,
  [449] = 409,
  [450] = 409,
  [451] = 409,
  [452] = 409,
  [453] = 409,
  [454] = 434,
  [455] = 437,
  [456] = 456,
  [457] = 422,
  [458] = 458,
  [459] = 341,
  [460] = 392,
  [461] = 461,
  [462] = 337,
  [463] = 341,
  [464] = 464,
  [465] = 465,
  [466] = 461,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 468,
  [472] = 472,
  [473] = 464,
  [474] = 474,
  [475] = 467,
  [476] = 472,
  [477] = 470,
  [478] = 474,
  [479] = 469,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 481,
  [496] = 483,
  [497] = 484,
  [498] = 485,
  [499] = 486,
  [500] = 487,
  [501] = 488,
  [502] = 491,
  [503] = 503,
  [504] = 489,
  [505] = 490,
  [506] = 506,
  [507] = 481,
  [508] = 483,
  [509] = 484,
  [510] = 485,
  [511] = 486,
  [512] = 488,
  [513] = 491,
  [514] = 481,
  [515] = 482,
  [516] = 481,
  [517] = 483,
  [518] = 484,
  [519] = 485,
  [520] = 486,
  [521] = 488,
  [522] = 491,
  [523] = 481,
  [524] = 483,
  [525] = 484,
  [526] = 485,
  [527] = 486,
  [528] = 488,
  [529] = 491,
  [530] = 481,
  [531] = 483,
  [532] = 484,
  [533] = 485,
  [534] = 486,
  [535] = 488,
  [536] = 491,
  [537] = 491,
  [538] = 481,
  [539] = 483,
  [540] = 484,
  [541] = 485,
  [542] = 486,
  [543] = 488,
  [544] = 491,
  [545] = 545,
  [546] = 546,
  [547] = 483,
  [548] = 548,
  [549] = 549,
  [550] = 506,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 494,
  [557] = 557,
  [558] = 484,
  [559] = 559,
  [560] = 485,
  [561] = 486,
  [562] = 492,
  [563] = 493,
  [564] = 564,
  [565] = 565,
  [566] = 564,
  [567] = 482,
  [568] = 487,
  [569] = 549,
  [570] = 548,
  [571] = 549,
  [572] = 552,
  [573] = 494,
  [574] = 574,
  [575] = 575,
  [576] = 487,
  [577] = 482,
  [578] = 487,
  [579] = 548,
  [580] = 549,
  [581] = 581,
  [582] = 582,
  [583] = 494,
  [584] = 548,
  [585] = 548,
  [586] = 549,
  [587] = 587,
  [588] = 588,
  [589] = 548,
  [590] = 549,
  [591] = 591,
  [592] = 553,
  [593] = 548,
  [594] = 554,
  [595] = 548,
  [596] = 488,
  [597] = 559,
  [598] = 559,
  [599] = 559,
  [600] = 559,
  [601] = 559,
  [602] = 559,
  [603] = 559,
  [604] = 551,
  [605] = 480,
  [606] = 503,
  [607] = 555,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 611,
  [616] = 616,
  [617] = 617,
  [618] = 613,
  [619] = 614,
  [620] = 610,
  [621] = 616,
  [622] = 617,
  [623] = 623,
  [624] = 624,
  [625] = 624,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 628,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 629,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 637,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 643,
  [646] = 636,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 649,
  [652] = 650,
  [653] = 653,
  [654] = 648,
  [655] = 655,
  [656] = 650,
  [657] = 657,
  [658] = 658,
  [659] = 648,
  [660] = 649,
  [661] = 653,
  [662] = 650,
  [663] = 650,
  [664] = 649,
  [665] = 653,
  [666] = 655,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 653,
  [671] = 655,
  [672] = 648,
  [673] = 655,
  [674] = 674,
  [675] = 648,
  [676] = 676,
  [677] = 647,
  [678] = 657,
  [679] = 658,
  [680] = 680,
  [681] = 653,
  [682] = 222,
  [683] = 668,
  [684] = 669,
  [685] = 649,
  [686] = 655,
  [687] = 687,
  [688] = 674,
  [689] = 676,
  [690] = 680,
  [691] = 650,
  [692] = 653,
  [693] = 655,
  [694] = 223,
  [695] = 648,
  [696] = 649,
  [697] = 667,
  [698] = 687,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 700,
  [705] = 699,
  [706] = 706,
  [707] = 703,
  [708] = 701,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 710,
  [714] = 714,
  [715] = 714,
  [716] = 709,
  [717] = 706,
  [718] = 712,
  [719] = 702,
  [720] = 711,
  [721] = 721,
  [722] = 722,
  [723] = 722,
  [724] = 724,
  [725] = 721,
  [726] = 724,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 729,
  [748] = 748,
  [749] = 745,
  [750] = 750,
  [751] = 750,
  [752] = 752,
  [753] = 752,
  [754] = 754,
  [755] = 755,
  [756] = 754,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 759,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 764,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 758,
  [780] = 765,
  [781] = 743,
  [782] = 782,
  [783] = 731,
  [784] = 784,
  [785] = 222,
  [786] = 728,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 767,
  [793] = 748,
  [794] = 768,
  [795] = 769,
  [796] = 770,
  [797] = 734,
  [798] = 771,
  [799] = 732,
  [800] = 733,
  [801] = 735,
  [802] = 802,
  [803] = 737,
  [804] = 804,
  [805] = 741,
  [806] = 223,
  [807] = 736,
  [808] = 775,
  [809] = 755,
  [810] = 738,
  [811] = 757,
  [812] = 802,
  [813] = 727,
  [814] = 787,
  [815] = 761,
  [816] = 744,
  [817] = 789,
  [818] = 772,
  [819] = 773,
  [820] = 742,
  [821] = 762,
  [822] = 790,
  [823] = 823,
  [824] = 824,
  [825] = 776,
  [826] = 777,
  [827] = 778,
  [828] = 788,
  [829] = 829,
  [830] = 739,
  [831] = 784,
  [832] = 791,
  [833] = 782,
  [834] = 829,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 835,
  [839] = 823,
  [840] = 774,
  [841] = 740,
  [842] = 824,
  [843] = 763,
  [844] = 804,
  [845] = 746,
  [846] = 837,
  [847] = 730,
  [848] = 763,
  [849] = 804,
  [850] = 836,
  [851] = 851,
  [852] = 851,
  [853] = 851,
  [854] = 851,
  [855] = 851,
  [856] = 851,
  [857] = 857,
  [858] = 857,
  [859] = 859,
  [860] = 859,
  [861] = 859,
  [862] = 859,
  [863] = 859,
  [864] = 859,
  [865] = 859,
  [866] = 859,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 871,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 869,
  [880] = 868,
  [881] = 881,
  [882] = 868,
  [883] = 871,
  [884] = 873,
  [885] = 874,
  [886] = 875,
  [887] = 876,
  [888] = 877,
  [889] = 878,
  [890] = 869,
  [891] = 873,
  [892] = 881,
  [893] = 868,
  [894] = 874,
  [895] = 871,
  [896] = 873,
  [897] = 874,
  [898] = 875,
  [899] = 876,
  [900] = 877,
  [901] = 878,
  [902] = 869,
  [903] = 881,
  [904] = 868,
  [905] = 871,
  [906] = 873,
  [907] = 874,
  [908] = 875,
  [909] = 876,
  [910] = 877,
  [911] = 878,
  [912] = 869,
  [913] = 881,
  [914] = 868,
  [915] = 915,
  [916] = 881,
  [917] = 917,
  [918] = 917,
  [919] = 870,
  [920] = 875,
  [921] = 876,
  [922] = 877,
  [923] = 871,
  [924] = 873,
  [925] = 874,
  [926] = 875,
  [927] = 876,
  [928] = 877,
  [929] = 878,
  [930] = 869,
  [931] = 871,
  [932] = 873,
  [933] = 874,
  [934] = 875,
  [935] = 876,
  [936] = 877,
  [937] = 878,
  [938] = 869,
  [939] = 867,
  [940] = 881,
  [941] = 868,
  [942] = 915,
  [943] = 867,
  [944] = 917,
  [945] = 915,
  [946] = 867,
  [947] = 917,
  [948] = 915,
  [949] = 867,
  [950] = 881,
  [951] = 915,
  [952] = 915,
  [953] = 868,
  [954] = 915,
  [955] = 867,
  [956] = 881,
  [957] = 878,
  [958] = 871,
  [959] = 873,
  [960] = 874,
  [961] = 915,
  [962] = 875,
  [963] = 867,
  [964] = 876,
  [965] = 877,
  [966] = 878,
  [967] = 869,
  [968] = 915,
  [969] = 915,
  [970] = 917,
  [971] = 915,
  [972] = 915,
  [973] = 915,
  [974] = 867,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 976,
  [980] = 977,
  [981] = 981,
  [982] = 982,
  [983] = 978,
  [984] = 984,
  [985] = 975,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 977,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 978,
  [996] = 975,
  [997] = 997,
  [998] = 976,
  [999] = 976,
  [1000] = 992,
  [1001] = 997,
  [1002] = 987,
  [1003] = 988,
  [1004] = 991,
  [1005] = 984,
  [1006] = 644,
  [1007] = 978,
  [1008] = 997,
  [1009] = 987,
  [1010] = 988,
  [1011] = 991,
  [1012] = 984,
  [1013] = 986,
  [1014] = 986,
  [1015] = 989,
  [1016] = 994,
  [1017] = 989,
  [1018] = 994,
  [1019] = 627,
  [1020] = 981,
  [1021] = 982,
  [1022] = 632,
  [1023] = 993,
  [1024] = 634,
  [1025] = 1025,
  [1026] = 638,
  [1027] = 626,
  [1028] = 975,
  [1029] = 977,
  [1030] = 1030,
  [1031] = 981,
  [1032] = 982,
  [1033] = 976,
  [1034] = 977,
  [1035] = 993,
  [1036] = 978,
  [1037] = 992,
  [1038] = 976,
  [1039] = 975,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 977,
  [1044] = 977,
  [1045] = 978,
  [1046] = 976,
  [1047] = 975,
  [1048] = 978,
  [1049] = 975,
  [1050] = 978,
  [1051] = 633,
  [1052] = 638,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 992,
  [1057] = 982,
  [1058] = 644,
  [1059] = 977,
  [1060] = 997,
  [1061] = 987,
  [1062] = 988,
  [1063] = 991,
  [1064] = 984,
  [1065] = 986,
  [1066] = 994,
  [1067] = 989,
  [1068] = 994,
  [1069] = 1040,
  [1070] = 993,
  [1071] = 1041,
  [1072] = 1042,
  [1073] = 1073,
  [1074] = 989,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 627,
  [1078] = 981,
  [1079] = 982,
  [1080] = 997,
  [1081] = 632,
  [1082] = 633,
  [1083] = 634,
  [1084] = 1025,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 626,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 987,
  [1093] = 992,
  [1094] = 623,
  [1095] = 988,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 986,
  [1099] = 1099,
  [1100] = 991,
  [1101] = 984,
  [1102] = 642,
  [1103] = 986,
  [1104] = 1030,
  [1105] = 1105,
  [1106] = 989,
  [1107] = 997,
  [1108] = 993,
  [1109] = 1109,
  [1110] = 641,
  [1111] = 1030,
  [1112] = 987,
  [1113] = 994,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 993,
  [1117] = 988,
  [1118] = 992,
  [1119] = 991,
  [1120] = 984,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 986,
  [1125] = 981,
  [1126] = 989,
  [1127] = 994,
  [1128] = 982,
  [1129] = 1129,
  [1130] = 981,
  [1131] = 982,
  [1132] = 975,
  [1133] = 976,
  [1134] = 1040,
  [1135] = 1041,
  [1136] = 1025,
  [1137] = 1137,
  [1138] = 1042,
  [1139] = 1139,
  [1140] = 611,
  [1141] = 993,
  [1142] = 1142,
  [1143] = 992,
  [1144] = 978,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 612,
  [1149] = 1149,
  [1150] = 640,
  [1151] = 1151,
  [1152] = 997,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 981,
  [1156] = 987,
  [1157] = 988,
  [1158] = 991,
  [1159] = 984,
  [1160] = 1151,
  [1161] = 1115,
  [1162] = 623,
  [1163] = 627,
  [1164] = 1087,
  [1165] = 1086,
  [1166] = 632,
  [1167] = 633,
  [1168] = 634,
  [1169] = 638,
  [1170] = 626,
  [1171] = 978,
  [1172] = 1091,
  [1173] = 1025,
  [1174] = 642,
  [1175] = 1121,
  [1176] = 1146,
  [1177] = 1096,
  [1178] = 1129,
  [1179] = 993,
  [1180] = 992,
  [1181] = 1025,
  [1182] = 640,
  [1183] = 1154,
  [1184] = 1054,
  [1185] = 1055,
  [1186] = 1085,
  [1187] = 1089,
  [1188] = 1030,
  [1189] = 1139,
  [1190] = 1142,
  [1191] = 997,
  [1192] = 987,
  [1193] = 988,
  [1194] = 991,
  [1195] = 984,
  [1196] = 986,
  [1197] = 1137,
  [1198] = 989,
  [1199] = 994,
  [1200] = 641,
  [1201] = 1146,
  [1202] = 981,
  [1203] = 982,
  [1204] = 640,
  [1205] = 641,
  [1206] = 642,
  [1207] = 1151,
  [1208] = 642,
  [1209] = 1040,
  [1210] = 1041,
  [1211] = 1042,
  [1212] = 1040,
  [1213] = 1073,
  [1214] = 1090,
  [1215] = 1041,
  [1216] = 1122,
  [1217] = 1042,
  [1218] = 627,
  [1219] = 643,
  [1220] = 1073,
  [1221] = 1030,
  [1222] = 1090,
  [1223] = 1122,
  [1224] = 1151,
  [1225] = 637,
  [1226] = 1142,
  [1227] = 1053,
  [1228] = 1030,
  [1229] = 1099,
  [1230] = 632,
  [1231] = 1075,
  [1232] = 633,
  [1233] = 1076,
  [1234] = 1114,
  [1235] = 634,
  [1236] = 644,
  [1237] = 1115,
  [1238] = 1123,
  [1239] = 1099,
  [1240] = 1105,
  [1241] = 1105,
  [1242] = 1145,
  [1243] = 1121,
  [1244] = 1097,
  [1245] = 1153,
  [1246] = 1087,
  [1247] = 1086,
  [1248] = 1091,
  [1249] = 1053,
  [1250] = 611,
  [1251] = 612,
  [1252] = 1096,
  [1253] = 1129,
  [1254] = 1030,
  [1255] = 1154,
  [1256] = 1054,
  [1257] = 1055,
  [1258] = 1085,
  [1259] = 1089,
  [1260] = 1075,
  [1261] = 978,
  [1262] = 1076,
  [1263] = 1040,
  [1264] = 1041,
  [1265] = 1042,
  [1266] = 1114,
  [1267] = 1123,
  [1268] = 1145,
  [1269] = 1137,
  [1270] = 623,
  [1271] = 1153,
  [1272] = 1025,
  [1273] = 978,
  [1274] = 611,
  [1275] = 612,
  [1276] = 1040,
  [1277] = 1041,
  [1278] = 1042,
  [1279] = 638,
  [1280] = 644,
  [1281] = 626,
  [1282] = 628,
  [1283] = 636,
  [1284] = 1025,
  [1285] = 1097,
  [1286] = 1139,
  [1287] = 1142,
  [1288] = 1090,
  [1289] = 628,
  [1290] = 636,
  [1291] = 637,
  [1292] = 1137,
  [1293] = 642,
  [1294] = 643,
  [1295] = 640,
  [1296] = 642,
  [1297] = 627,
  [1298] = 1123,
  [1299] = 641,
  [1300] = 1085,
  [1301] = 1073,
  [1302] = 1090,
  [1303] = 1146,
  [1304] = 1146,
  [1305] = 1089,
  [1306] = 1122,
  [1307] = 1096,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1096,
  [1311] = 1129,
  [1312] = 632,
  [1313] = 1129,
  [1314] = 633,
  [1315] = 634,
  [1316] = 1122,
  [1317] = 1154,
  [1318] = 1053,
  [1319] = 1153,
  [1320] = 638,
  [1321] = 1096,
  [1322] = 1129,
  [1323] = 626,
  [1324] = 1075,
  [1325] = 1076,
  [1326] = 627,
  [1327] = 1054,
  [1328] = 1055,
  [1329] = 1087,
  [1330] = 1086,
  [1331] = 1114,
  [1332] = 1115,
  [1333] = 1123,
  [1334] = 642,
  [1335] = 1139,
  [1336] = 1142,
  [1337] = 644,
  [1338] = 1145,
  [1339] = 1075,
  [1340] = 1154,
  [1341] = 1054,
  [1342] = 1153,
  [1343] = 1087,
  [1344] = 1097,
  [1345] = 1153,
  [1346] = 1154,
  [1347] = 1054,
  [1348] = 1055,
  [1349] = 632,
  [1350] = 633,
  [1351] = 1145,
  [1352] = 1097,
  [1353] = 1086,
  [1354] = 1147,
  [1355] = 1153,
  [1356] = 1087,
  [1357] = 1055,
  [1358] = 1086,
  [1359] = 1091,
  [1360] = 1149,
  [1361] = 1109,
  [1362] = 1096,
  [1363] = 1129,
  [1364] = 1091,
  [1365] = 1139,
  [1366] = 1142,
  [1367] = 1154,
  [1368] = 1054,
  [1369] = 1055,
  [1370] = 1085,
  [1371] = 1089,
  [1372] = 634,
  [1373] = 642,
  [1374] = 627,
  [1375] = 628,
  [1376] = 1137,
  [1377] = 1097,
  [1378] = 636,
  [1379] = 1146,
  [1380] = 637,
  [1381] = 1091,
  [1382] = 1139,
  [1383] = 640,
  [1384] = 1146,
  [1385] = 641,
  [1386] = 1076,
  [1387] = 1040,
  [1388] = 1041,
  [1389] = 1042,
  [1390] = 643,
  [1391] = 1073,
  [1392] = 1090,
  [1393] = 1073,
  [1394] = 1090,
  [1395] = 1142,
  [1396] = 1085,
  [1397] = 1122,
  [1398] = 1122,
  [1399] = 1091,
  [1400] = 632,
  [1401] = 1089,
  [1402] = 630,
  [1403] = 633,
  [1404] = 638,
  [1405] = 1097,
  [1406] = 644,
  [1407] = 634,
  [1408] = 626,
  [1409] = 1114,
  [1410] = 1053,
  [1411] = 1085,
  [1412] = 1053,
  [1413] = 1053,
  [1414] = 1075,
  [1415] = 1075,
  [1416] = 1076,
  [1417] = 1076,
  [1418] = 1137,
  [1419] = 1139,
  [1420] = 638,
  [1421] = 628,
  [1422] = 636,
  [1423] = 1114,
  [1424] = 626,
  [1425] = 1115,
  [1426] = 1123,
  [1427] = 1089,
  [1428] = 637,
  [1429] = 630,
  [1430] = 1025,
  [1431] = 640,
  [1432] = 641,
  [1433] = 642,
  [1434] = 1114,
  [1435] = 1115,
  [1436] = 1115,
  [1437] = 640,
  [1438] = 1123,
  [1439] = 641,
  [1440] = 642,
  [1441] = 1145,
  [1442] = 644,
  [1443] = 1030,
  [1444] = 1145,
  [1445] = 1087,
  [1446] = 643,
  [1447] = 1073,
  [1448] = 1086,
  [1449] = 1137,
  [1450] = 640,
  [1451] = 1105,
  [1452] = 1137,
  [1453] = 1121,
  [1454] = 1154,
  [1455] = 1054,
  [1456] = 1055,
  [1457] = 630,
  [1458] = 1139,
  [1459] = 1089,
  [1460] = 630,
  [1461] = 1073,
  [1462] = 1146,
  [1463] = 1142,
  [1464] = 634,
  [1465] = 1153,
  [1466] = 1145,
  [1467] = 1087,
  [1468] = 1086,
  [1469] = 626,
  [1470] = 1099,
  [1471] = 641,
  [1472] = 1091,
  [1473] = 1114,
  [1474] = 1096,
  [1475] = 1099,
  [1476] = 1105,
  [1477] = 1121,
  [1478] = 1129,
  [1479] = 1075,
  [1480] = 638,
  [1481] = 1090,
  [1482] = 1099,
  [1483] = 1105,
  [1484] = 1122,
  [1485] = 642,
  [1486] = 1121,
  [1487] = 1115,
  [1488] = 1123,
  [1489] = 1076,
  [1490] = 644,
  [1491] = 1085,
  [1492] = 627,
  [1493] = 632,
  [1494] = 633,
  [1495] = 1097,
  [1496] = 1053,
  [1497] = 642,
  [1498] = 642,
  [1499] = 628,
  [1500] = 636,
  [1501] = 634,
  [1502] = 637,
  [1503] = 642,
  [1504] = 626,
  [1505] = 644,
  [1506] = 1308,
  [1507] = 1309,
  [1508] = 643,
  [1509] = 640,
  [1510] = 641,
  [1511] = 627,
  [1512] = 632,
  [1513] = 633,
  [1514] = 642,
  [1515] = 638,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1519,
  [1521] = 1521,
  [1522] = 1521,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1518,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1526,
  [1529] = 1526,
  [1530] = 1524,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1527,
  [1534] = 1521,
  [1535] = 1519,
  [1536] = 1521,
  [1537] = 1523,
  [1538] = 1524,
  [1539] = 1531,
  [1540] = 1531,
  [1541] = 1532,
  [1542] = 1532,
  [1543] = 1524,
  [1544] = 1527,
  [1545] = 1518,
  [1546] = 1518,
  [1547] = 1523,
  [1548] = 1519,
  [1549] = 1526,
  [1550] = 1527,
  [1551] = 1531,
  [1552] = 1532,
  [1553] = 1523,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1555,
  [1557] = 1555,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1559,
  [1562] = 1562,
  [1563] = 1559,
  [1564] = 1562,
  [1565] = 1560,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1562,
  [1569] = 1559,
  [1570] = 1566,
  [1571] = 1567,
  [1572] = 1560,
  [1573] = 1567,
  [1574] = 1566,
  [1575] = 1560,
  [1576] = 1567,
  [1577] = 1562,
  [1578] = 1566,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1580,
  [1582] = 1582,
  [1583] = 1580,
  [1584] = 1580,
  [1585] = 1582,
  [1586] = 1582,
  [1587] = 1582,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1308,
  [1591] = 1309,
  [1592] = 1589,
  [1593] = 1589,
  [1594] = 1588,
  [1595] = 636,
  [1596] = 628,
  [1597] = 1588,
  [1598] = 637,
  [1599] = 643,
  [1600] = 1589,
  [1601] = 1588,
  [1602] = 1588,
  [1603] = 1588,
  [1604] = 1589,
  [1605] = 1589,
  [1606] = 1588,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 640,
  [1610] = 641,
  [1611] = 1589,
  [1612] = 1588,
  [1613] = 1589,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 642,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 642,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1309,
  [1623] = 643,
  [1624] = 1308,
  [1625] = 636,
  [1626] = 1309,
  [1627] = 1618,
  [1628] = 1618,
  [1629] = 1629,
  [1630] = 1614,
  [1631] = 643,
  [1632] = 1618,
  [1633] = 637,
  [1634] = 1618,
  [1635] = 636,
  [1636] = 1618,
  [1637] = 628,
  [1638] = 1618,
  [1639] = 1618,
  [1640] = 1618,
  [1641] = 1308,
  [1642] = 637,
  [1643] = 1308,
  [1644] = 1615,
  [1645] = 1309,
  [1646] = 640,
  [1647] = 1647,
  [1648] = 641,
  [1649] = 643,
  [1650] = 1618,
  [1651] = 636,
  [1652] = 628,
  [1653] = 1608,
  [1654] = 637,
  [1655] = 628,
  [1656] = 1647,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1657,
  [1660] = 1658,
  [1661] = 1621,
  [1662] = 1657,
  [1663] = 1663,
  [1664] = 1663,
  [1665] = 1657,
  [1666] = 1607,
  [1667] = 1620,
  [1668] = 1629,
  [1669] = 1669,
  [1670] = 1657,
  [1671] = 1658,
  [1672] = 1657,
  [1673] = 1617,
  [1674] = 1657,
  [1675] = 1657,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1677,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1679,
  [1682] = 1682,
  [1683] = 1682,
  [1684] = 1684,
  [1685] = 1684,
  [1686] = 1686,
  [1687] = 1684,
  [1688] = 1684,
  [1689] = 1684,
  [1690] = 1690,
  [1691] = 1684,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1684,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1684,
  [1701] = 1701,
  [1702] = 1701,
  [1703] = 1701,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1705,
  [1707] = 1707,
  [1708] = 1707,
  [1709] = 1707,
  [1710] = 1705,
  [1711] = 1707,
  [1712] = 1701,
  [1713] = 1705,
  [1714] = 1705,
  [1715] = 1701,
  [1716] = 1707,
  [1717] = 1705,
  [1718] = 1705,
  [1719] = 1719,
  [1720] = 1701,
  [1721] = 1701,
  [1722] = 1707,
  [1723] = 1707,
  [1724] = 1701,
  [1725] = 1707,
  [1726] = 1705,
  [1727] = 1727,
  [1728] = 1693,
  [1729] = 1686,
  [1730] = 1694,
  [1731] = 1696,
  [1732] = 1697,
  [1733] = 1698,
  [1734] = 1699,
  [1735] = 1692,
  [1736] = 1690,
  [1737] = 1693,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1686,
  [1741] = 1694,
  [1742] = 1696,
  [1743] = 1697,
  [1744] = 1698,
  [1745] = 1699,
  [1746] = 1746,
  [1747] = 1727,
  [1748] = 1692,
  [1749] = 1690,
  [1750] = 1746,
  [1751] = 1751,
  [1752] = 1727,
  [1753] = 1753,
  [1754] = 1746,
  [1755] = 1746,
  [1756] = 1727,
  [1757] = 1751,
  [1758] = 1746,
  [1759] = 1727,
  [1760] = 1746,
  [1761] = 1727,
  [1762] = 1746,
  [1763] = 1727,
  [1764] = 1746,
  [1765] = 1727,
  [1766] = 1746,
  [1767] = 1727,
  [1768] = 1697,
  [1769] = 1769,
  [1770] = 1686,
  [1771] = 1751,
  [1772] = 1686,
  [1773] = 1751,
  [1774] = 1694,
  [1775] = 1696,
  [1776] = 1776,
  [1777] = 1694,
  [1778] = 1696,
  [1779] = 1779,
  [1780] = 1697,
  [1781] = 1698,
  [1782] = 1699,
  [1783] = 1692,
  [1784] = 1693,
  [1785] = 1697,
  [1786] = 1698,
  [1787] = 1693,
  [1788] = 1699,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1692,
  [1792] = 1686,
  [1793] = 1690,
  [1794] = 1794,
  [1795] = 1694,
  [1796] = 1696,
  [1797] = 1693,
  [1798] = 1698,
  [1799] = 1699,
  [1800] = 1800,
  [1801] = 1692,
  [1802] = 1690,
  [1803] = 1690,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1807,
  [1809] = 1804,
  [1810] = 1790,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1693,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1790,
  [1819] = 1686,
  [1820] = 1692,
  [1821] = 1693,
  [1822] = 1794,
  [1823] = 1694,
  [1824] = 1696,
  [1825] = 1697,
  [1826] = 1698,
  [1827] = 1699,
  [1828] = 1804,
  [1829] = 1829,
  [1830] = 1686,
  [1831] = 1692,
  [1832] = 1832,
  [1833] = 1690,
  [1834] = 1806,
  [1835] = 1790,
  [1836] = 1804,
  [1837] = 1813,
  [1838] = 1804,
  [1839] = 1813,
  [1840] = 1804,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1804,
  [1844] = 1694,
  [1845] = 1807,
  [1846] = 1804,
  [1847] = 1804,
  [1848] = 1696,
  [1849] = 1697,
  [1850] = 1698,
  [1851] = 1699,
  [1852] = 1852,
  [1853] = 1690,
  [1854] = 1814,
  [1855] = 1811,
  [1856] = 1753,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1832,
  [1860] = 1814,
  [1861] = 1804,
  [1862] = 1862,
  [1863] = 1858,
  [1864] = 1864,
  [1865] = 1753,
  [1866] = 1862,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1789,
  [1871] = 1862,
  [1872] = 1872,
  [1873] = 1776,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1862,
  [1877] = 1776,
  [1878] = 1868,
  [1879] = 1868,
  [1880] = 1862,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1869,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1789,
  [1888] = 1888,
  [1889] = 1862,
  [1890] = 1890,
  [1891] = 1882,
  [1892] = 1892,
  [1893] = 1800,
  [1894] = 1894,
  [1895] = 1753,
  [1896] = 1872,
  [1897] = 1875,
  [1898] = 1858,
  [1899] = 1883,
  [1900] = 1883,
  [1901] = 1800,
  [1902] = 1862,
  [1903] = 1869,
  [1904] = 1885,
  [1905] = 1800,
  [1906] = 1858,
  [1907] = 1907,
  [1908] = 1885,
  [1909] = 1789,
  [1910] = 1776,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1862,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1779,
  [1918] = 1886,
  [1919] = 1794,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1857,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1914,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1800,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1890,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1929,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1886,
  [1942] = 1942,
  [1943] = 1932,
  [1944] = 1936,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1939,
  [1949] = 1940,
  [1950] = 1929,
  [1951] = 1951,
  [1952] = 1934,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1607,
  [1958] = 1794,
  [1959] = 1922,
  [1960] = 1960,
  [1961] = 1946,
  [1962] = 1929,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1857,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1776,
  [1970] = 1817,
  [1971] = 1945,
  [1972] = 1890,
  [1973] = 1973,
  [1974] = 1886,
  [1975] = 1928,
  [1976] = 1976,
  [1977] = 1925,
  [1978] = 1890,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1934,
  [1982] = 1923,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1928,
  [1987] = 1953,
  [1988] = 1954,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1789,
  [1992] = 1992,
  [1993] = 1973,
  [1994] = 1779,
  [1995] = 1995,
  [1996] = 1947,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1945,
  [2000] = 2000,
  [2001] = 1990,
  [2002] = 1932,
  [2003] = 1984,
  [2004] = 1794,
  [2005] = 1973,
  [2006] = 1936,
  [2007] = 1857,
  [2008] = 1939,
  [2009] = 1925,
  [2010] = 1940,
  [2011] = 2011,
  [2012] = 1923,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1779,
  [2016] = 1966,
  [2017] = 1967,
  [2018] = 1968,
  [2019] = 2019,
  [2020] = 1617,
  [2021] = 1883,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 1647,
  [2028] = 1966,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 1915,
  [2036] = 1967,
  [2037] = 1946,
  [2038] = 2038,
  [2039] = 1955,
  [2040] = 1968,
  [2041] = 2041,
  [2042] = 1920,
  [2043] = 2043,
  [2044] = 1921,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2026,
  [2048] = 1954,
  [2049] = 1857,
  [2050] = 1985,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2024,
  [2054] = 1620,
  [2055] = 2055,
  [2056] = 1976,
  [2057] = 2057,
  [2058] = 2045,
  [2059] = 2059,
  [2060] = 1621,
  [2061] = 2061,
  [2062] = 1629,
  [2063] = 2063,
  [2064] = 1998,
  [2065] = 2065,
  [2066] = 2026,
  [2067] = 2067,
  [2068] = 1945,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2024,
  [2074] = 2074,
  [2075] = 2026,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2024,
  [2080] = 1995,
  [2081] = 2026,
  [2082] = 1933,
  [2083] = 2083,
  [2084] = 2070,
  [2085] = 2085,
  [2086] = 1976,
  [2087] = 1995,
  [2088] = 1915,
  [2089] = 1933,
  [2090] = 1920,
  [2091] = 1921,
  [2092] = 2026,
  [2093] = 1995,
  [2094] = 2067,
  [2095] = 2095,
  [2096] = 1973,
  [2097] = 2026,
  [2098] = 1933,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 1953,
  [2103] = 1954,
  [2104] = 1946,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2026,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 1966,
  [2114] = 2114,
  [2115] = 1976,
  [2116] = 2107,
  [2117] = 1928,
  [2118] = 2051,
  [2119] = 2038,
  [2120] = 2120,
  [2121] = 2069,
  [2122] = 2077,
  [2123] = 1953,
  [2124] = 2105,
  [2125] = 2106,
  [2126] = 2095,
  [2127] = 2069,
  [2128] = 2077,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 1915,
  [2132] = 2132,
  [2133] = 1920,
  [2134] = 2134,
  [2135] = 1921,
  [2136] = 1967,
  [2137] = 2045,
  [2138] = 1968,
  [2139] = 2139,
  [2140] = 2022,
  [2141] = 2141,
  [2142] = 2055,
  [2143] = 2031,
  [2144] = 2071,
  [2145] = 2033,
  [2146] = 2146,
  [2147] = 2076,
  [2148] = 2034,
  [2149] = 2149,
  [2150] = 2130,
  [2151] = 2041,
  [2152] = 2132,
  [2153] = 2022,
  [2154] = 2025,
  [2155] = 2108,
  [2156] = 2156,
  [2157] = 2156,
  [2158] = 2112,
  [2159] = 2057,
  [2160] = 2059,
  [2161] = 2161,
  [2162] = 2057,
  [2163] = 2163,
  [2164] = 2059,
  [2165] = 2061,
  [2166] = 2063,
  [2167] = 2072,
  [2168] = 2074,
  [2169] = 2099,
  [2170] = 2101,
  [2171] = 2029,
  [2172] = 2030,
  [2173] = 2173,
  [2174] = 2031,
  [2175] = 2033,
  [2176] = 2034,
  [2177] = 2041,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2061,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2120,
  [2184] = 2184,
  [2185] = 2063,
  [2186] = 2072,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2025,
  [2191] = 2074,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2108,
  [2195] = 2111,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2099,
  [2199] = 2199,
  [2200] = 2101,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2055,
  [2204] = 2070,
  [2205] = 2205,
  [2206] = 2071,
  [2207] = 2207,
  [2208] = 2178,
  [2209] = 2076,
  [2210] = 2101,
  [2211] = 2041,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2076,
  [2217] = 2156,
  [2218] = 2161,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2029,
  [2222] = 2114,
  [2223] = 2149,
  [2224] = 2196,
  [2225] = 2130,
  [2226] = 2226,
  [2227] = 2161,
  [2228] = 2228,
  [2229] = 2130,
  [2230] = 2132,
  [2231] = 2196,
  [2232] = 2071,
  [2233] = 2156,
  [2234] = 2161,
  [2235] = 2022,
  [2236] = 2025,
  [2237] = 2237,
  [2238] = 2108,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2029,
  [2242] = 2030,
  [2243] = 2031,
  [2244] = 2112,
  [2245] = 2078,
  [2246] = 2046,
  [2247] = 2033,
  [2248] = 2034,
  [2249] = 2220,
  [2250] = 2030,
  [2251] = 2132,
  [2252] = 2112,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2141,
  [2256] = 2181,
  [2257] = 2057,
  [2258] = 2059,
  [2259] = 2196,
  [2260] = 2061,
  [2261] = 2063,
  [2262] = 2072,
  [2263] = 2074,
  [2264] = 2055,
  [2265] = 2099,
  [2266] = 2070,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 649,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2279,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2139,
  [2289] = 1030,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2295,
  [2300] = 2300,
  [2301] = 2282,
  [2302] = 2302,
  [2303] = 1985,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2270,
  [2308] = 2308,
  [2309] = 2228,
  [2310] = 2283,
  [2311] = 2284,
  [2312] = 2199,
  [2313] = 2182,
  [2314] = 2281,
  [2315] = 1983,
  [2316] = 2272,
  [2317] = 1617,
  [2318] = 2291,
  [2319] = 2270,
  [2320] = 1998,
  [2321] = 2272,
  [2322] = 2322,
  [2323] = 2275,
  [2324] = 2273,
  [2325] = 2274,
  [2326] = 2277,
  [2327] = 2278,
  [2328] = 1942,
  [2329] = 2279,
  [2330] = 2304,
  [2331] = 2268,
  [2332] = 1937,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2292,
  [2336] = 2282,
  [2337] = 2337,
  [2338] = 2283,
  [2339] = 2284,
  [2340] = 2340,
  [2341] = 2286,
  [2342] = 2275,
  [2343] = 2343,
  [2344] = 2293,
  [2345] = 2345,
  [2346] = 2296,
  [2347] = 2347,
  [2348] = 2298,
  [2349] = 2349,
  [2350] = 2300,
  [2351] = 2302,
  [2352] = 1607,
  [2353] = 2353,
  [2354] = 1956,
  [2355] = 2306,
  [2356] = 2356,
  [2357] = 653,
  [2358] = 2297,
  [2359] = 2277,
  [2360] = 2278,
  [2361] = 2281,
  [2362] = 2279,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2291,
  [2366] = 2270,
  [2367] = 2367,
  [2368] = 2272,
  [2369] = 2337,
  [2370] = 2275,
  [2371] = 2371,
  [2372] = 2277,
  [2373] = 2278,
  [2374] = 2253,
  [2375] = 2279,
  [2376] = 2253,
  [2377] = 2280,
  [2378] = 2292,
  [2379] = 2291,
  [2380] = 2282,
  [2381] = 2283,
  [2382] = 2284,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2306,
  [2387] = 2270,
  [2388] = 2281,
  [2389] = 2292,
  [2390] = 2282,
  [2391] = 2291,
  [2392] = 2283,
  [2393] = 2284,
  [2394] = 2270,
  [2395] = 2333,
  [2396] = 2272,
  [2397] = 2199,
  [2398] = 2275,
  [2399] = 2296,
  [2400] = 2277,
  [2401] = 2278,
  [2402] = 2402,
  [2403] = 2279,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2298,
  [2407] = 2292,
  [2408] = 2282,
  [2409] = 2283,
  [2410] = 2284,
  [2411] = 2286,
  [2412] = 2364,
  [2413] = 2253,
  [2414] = 2414,
  [2415] = 2300,
  [2416] = 2281,
  [2417] = 2417,
  [2418] = 2405,
  [2419] = 2291,
  [2420] = 2270,
  [2421] = 2272,
  [2422] = 2293,
  [2423] = 2302,
  [2424] = 2275,
  [2425] = 2228,
  [2426] = 2277,
  [2427] = 2278,
  [2428] = 2226,
  [2429] = 2199,
  [2430] = 2279,
  [2431] = 2240,
  [2432] = 2292,
  [2433] = 2182,
  [2434] = 2282,
  [2435] = 1960,
  [2436] = 2283,
  [2437] = 2284,
  [2438] = 1963,
  [2439] = 1985,
  [2440] = 2414,
  [2441] = 1620,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2281,
  [2447] = 1964,
  [2448] = 2291,
  [2449] = 2270,
  [2450] = 2272,
  [2451] = 2275,
  [2452] = 2273,
  [2453] = 2277,
  [2454] = 2278,
  [2455] = 2293,
  [2456] = 2279,
  [2457] = 2292,
  [2458] = 2282,
  [2459] = 2283,
  [2460] = 2284,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 650,
  [2464] = 2279,
  [2465] = 2215,
  [2466] = 2283,
  [2467] = 2284,
  [2468] = 1607,
  [2469] = 2469,
  [2470] = 2279,
  [2471] = 2277,
  [2472] = 2283,
  [2473] = 2284,
  [2474] = 655,
  [2475] = 1607,
  [2476] = 1998,
  [2477] = 2443,
  [2478] = 2274,
  [2479] = 2296,
  [2480] = 1985,
  [2481] = 2281,
  [2482] = 2298,
  [2483] = 2286,
  [2484] = 2300,
  [2485] = 2461,
  [2486] = 2486,
  [2487] = 2302,
  [2488] = 2356,
  [2489] = 2278,
  [2490] = 1025,
  [2491] = 2491,
  [2492] = 2442,
  [2493] = 2402,
  [2494] = 2269,
  [2495] = 2491,
  [2496] = 2275,
  [2497] = 648,
  [2498] = 2340,
  [2499] = 1998,
  [2500] = 2347,
  [2501] = 2486,
  [2502] = 2356,
  [2503] = 2349,
  [2504] = 2462,
  [2505] = 2306,
  [2506] = 1926,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2193,
  [2510] = 2163,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2508,
  [2514] = 2295,
  [2515] = 2384,
  [2516] = 2281,
  [2517] = 2469,
  [2518] = 2518,
  [2519] = 2272,
  [2520] = 2508,
  [2521] = 2271,
  [2522] = 2414,
  [2523] = 2291,
  [2524] = 2486,
  [2525] = 2294,
  [2526] = 2308,
  [2527] = 2292,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 1629,
  [2539] = 2534,
  [2540] = 1647,
  [2541] = 648,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2543,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2542,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2542,
  [2553] = 2534,
  [2554] = 2530,
  [2555] = 2543,
  [2556] = 2556,
  [2557] = 2043,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2559,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2542,
  [2565] = 2556,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2534,
  [2569] = 1621,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2537,
  [2573] = 2550,
  [2574] = 653,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2543,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2537,
  [2581] = 2353,
  [2582] = 2043,
  [2583] = 2043,
  [2584] = 655,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2444,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 1620,
  [2592] = 2334,
  [2593] = 2593,
  [2594] = 2585,
  [2595] = 2595,
  [2596] = 2532,
  [2597] = 2560,
  [2598] = 2598,
  [2599] = 1621,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2585,
  [2604] = 2532,
  [2605] = 2560,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 649,
  [2609] = 650,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 1629,
  [2613] = 2546,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 1647,
  [2617] = 2617,
  [2618] = 2615,
  [2619] = 2619,
  [2620] = 2537,
  [2621] = 2571,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2551,
  [2625] = 2611,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2549,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2635,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2640,
  [2646] = 2635,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2634,
  [2650] = 2631,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2636,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2640,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2644,
  [2660] = 2635,
  [2661] = 2629,
  [2662] = 2631,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2630,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2658,
  [2671] = 2630,
  [2672] = 2651,
  [2673] = 2673,
  [2674] = 2632,
  [2675] = 2643,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2634,
  [2679] = 2651,
  [2680] = 2680,
  [2681] = 2651,
  [2682] = 2647,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2636,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2635,
  [2689] = 2644,
  [2690] = 2683,
  [2691] = 2640,
  [2692] = 2647,
  [2693] = 2654,
  [2694] = 2636,
  [2695] = 2643,
  [2696] = 2644,
  [2697] = 2648,
  [2698] = 2655,
  [2699] = 2699,
  [2700] = 2647,
  [2701] = 2644,
  [2702] = 2632,
  [2703] = 2634,
  [2704] = 2631,
  [2705] = 2651,
  [2706] = 2657,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2654,
  [2711] = 2655,
  [2712] = 2683,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2684,
  [2716] = 2658,
  [2717] = 2637,
  [2718] = 2666,
  [2719] = 2640,
  [2720] = 2676,
  [2721] = 2721,
  [2722] = 2687,
  [2723] = 2632,
  [2724] = 2721,
  [2725] = 2725,
  [2726] = 2636,
  [2727] = 2677,
  [2728] = 2647,
  [2729] = 2725,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2634,
  [2735] = 2730,
  [2736] = 2637,
  [2737] = 2635,
  [2738] = 2666,
  [2739] = 2739,
  [2740] = 2642,
  [2741] = 2637,
  [2742] = 2640,
  [2743] = 2709,
  [2744] = 2744,
  [2745] = 2631,
  [2746] = 2683,
  [2747] = 2747,
  [2748] = 2642,
  [2749] = 2749,
  [2750] = 2731,
  [2751] = 2643,
  [2752] = 2644,
  [2753] = 2730,
  [2754] = 2754,
  [2755] = 2654,
  [2756] = 2687,
  [2757] = 2632,
  [2758] = 2731,
  [2759] = 2759,
  [2760] = 2709,
  [2761] = 2654,
  [2762] = 2655,
  [2763] = 2647,
  [2764] = 2632,
  [2765] = 2765,
  [2766] = 2636,
  [2767] = 2767,
  [2768] = 2634,
  [2769] = 2666,
  [2770] = 2635,
  [2771] = 2708,
  [2772] = 2640,
  [2773] = 2642,
  [2774] = 2747,
  [2775] = 2643,
  [2776] = 2644,
  [2777] = 2733,
  [2778] = 2631,
  [2779] = 2647,
  [2780] = 2636,
  [2781] = 2634,
  [2782] = 2631,
  [2783] = 2651,
  [2784] = 2749,
  [2785] = 2630,
  [2786] = 2786,
  [2787] = 2654,
  [2788] = 2655,
  [2789] = 2637,
  [2790] = 2790,
  [2791] = 2635,
  [2792] = 2658,
  [2793] = 2732,
  [2794] = 2730,
  [2795] = 2640,
  [2796] = 2663,
  [2797] = 2651,
  [2798] = 2633,
  [2799] = 2643,
  [2800] = 2644,
  [2801] = 2655,
  [2802] = 2802,
  [2803] = 2632,
  [2804] = 2654,
  [2805] = 2647,
  [2806] = 2655,
  [2807] = 2634,
  [2808] = 2642,
  [2809] = 2631,
  [2810] = 2651,
  [2811] = 2647,
  [2812] = 2666,
  [2813] = 2643,
  [2814] = 2654,
  [2815] = 2636,
  [2816] = 2655,
  [2817] = 2658,
  [2818] = 2632,
  [2819] = 2668,
  [2820] = 2790,
  [2821] = 2643,
  [2822] = 2754,
  [2823] = 2686,
  [2824] = 2714,
  [2825] = 2658,
  [2826] = 2664,
  [2827] = 2714,
  [2828] = 2647,
  [2829] = 2658,
  [2830] = 2658,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d},
  {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339},
  {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5},
  {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a},
  {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f},
  {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32},
  {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40},
  {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89},
  {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e},
  {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad},
  {0x1e2c0, 0x1e2eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b},
  {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39},
  {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54},
  {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a},
  {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9},
  {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf2}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xecd},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115},
  {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e},
  {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a},
  {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x1123e}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0},
  {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59},
  {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4},
  {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122},
  {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae},
  {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b},
  {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37},
  {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52},
  {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64},
  {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3},
  {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(57);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(91);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(132);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(135);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '}') ADVANCE(91);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(135);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(88);
      if (lookahead == '}') ADVANCE(91);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(21);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(31);
      if (lookahead == '@') ADVANCE(23);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(24);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(25);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(59);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(91);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(59);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '-') ADVANCE(30);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 10:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 11:
      if (lookahead == '\r') SKIP(11);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(12);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(88);
      if (lookahead == '}') ADVANCE(91);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(13);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(59);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '|') ADVANCE(88);
      if (lookahead == '}') ADVANCE(91);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(14);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(59);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '|') ADVANCE(88);
      if (lookahead == '}') ADVANCE(91);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(131);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 18:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(112);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(76);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(29);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(52);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(132);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 38:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(36);
      END_STATE();
    case 53:
      if (eof) ADVANCE(57);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(91);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 54:
      if (eof) ADVANCE(57);
      if (lookahead == '\r') SKIP(54);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == ')') ADVANCE(62);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(71);
      if (lookahead == ';') ADVANCE(58);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(82);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '|') ADVANCE(88);
      if (lookahead == '}') ADVANCE(91);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 55:
      if (eof) ADVANCE(57);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 56:
      if (eof) ADVANCE(57);
      if (lookahead == '\r') SKIP(56);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(61);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(92);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == '{') ADVANCE(90);
      if (lookahead == '~') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(166);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(77);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(70);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(75);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_except);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(119);
      if (lookahead == '>') ADVANCE(76);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(98);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(117);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(104);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(117);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(117);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(68);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      ADVANCE_MAP(
        0, 168,
        '\n', 132,
        '\r', 2,
        'N', 35,
        'U', 51,
        'u', 47,
        'x', 45,
        '"', 132,
        '\'', 132,
        '\\', 132,
        'a', 132,
        'b', 132,
        'f', 132,
        'n', 132,
        'r', 132,
        't', 132,
        'v', 132,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(136);
      if (lookahead == '\r') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 135,
        '#', 136,
        '\\', 134,
        '\t', 135,
        0x0b, 135,
        '\f', 135,
        ' ', 135,
        0x200b, 135,
        0x2060, 135,
        0xfeff, 135,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'B', 32,
        'b', 32,
        'E', 37,
        'e', 37,
        'O', 33,
        'o', 33,
        'X', 34,
        'x', 34,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'E', 37,
        'e', 37,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(44);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(149);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(75);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(154);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(156);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(158);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(160);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(161);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(162);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(74);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(150);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(151);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(152);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(153);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 'y') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(61);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(79);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(83);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 52:
      if (lookahead == 'y') ADVANCE(87);
      END_STATE();
    case 53:
      if (lookahead == 'p') ADVANCE(88);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 63:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 71:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 76:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 'k') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(133);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(139);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(140);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(146);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(147);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 142:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 143:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 153:
      if (lookahead == '_') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 54, .external_lex_state = 2},
  [2] = {.lex_state = 54, .external_lex_state = 3},
  [3] = {.lex_state = 54, .external_lex_state = 3},
  [4] = {.lex_state = 54, .external_lex_state = 3},
  [5] = {.lex_state = 54, .external_lex_state = 3},
  [6] = {.lex_state = 54, .external_lex_state = 3},
  [7] = {.lex_state = 54, .external_lex_state = 3},
  [8] = {.lex_state = 54, .external_lex_state = 3},
  [9] = {.lex_state = 54, .external_lex_state = 3},
  [10] = {.lex_state = 54, .external_lex_state = 3},
  [11] = {.lex_state = 54, .external_lex_state = 3},
  [12] = {.lex_state = 54, .external_lex_state = 3},
  [13] = {.lex_state = 54, .external_lex_state = 3},
  [14] = {.lex_state = 54, .external_lex_state = 3},
  [15] = {.lex_state = 54, .external_lex_state = 3},
  [16] = {.lex_state = 54, .external_lex_state = 3},
  [17] = {.lex_state = 54, .external_lex_state = 3},
  [18] = {.lex_state = 54, .external_lex_state = 3},
  [19] = {.lex_state = 54, .external_lex_state = 3},
  [20] = {.lex_state = 54, .external_lex_state = 3},
  [21] = {.lex_state = 54, .external_lex_state = 3},
  [22] = {.lex_state = 54, .external_lex_state = 3},
  [23] = {.lex_state = 54, .external_lex_state = 3},
  [24] = {.lex_state = 54, .external_lex_state = 3},
  [25] = {.lex_state = 54, .external_lex_state = 3},
  [26] = {.lex_state = 54, .external_lex_state = 3},
  [27] = {.lex_state = 54, .external_lex_state = 3},
  [28] = {.lex_state = 54, .external_lex_state = 3},
  [29] = {.lex_state = 54, .external_lex_state = 3},
  [30] = {.lex_state = 54, .external_lex_state = 3},
  [31] = {.lex_state = 54, .external_lex_state = 3},
  [32] = {.lex_state = 54, .external_lex_state = 3},
  [33] = {.lex_state = 54, .external_lex_state = 3},
  [34] = {.lex_state = 54, .external_lex_state = 3},
  [35] = {.lex_state = 54, .external_lex_state = 3},
  [36] = {.lex_state = 54, .external_lex_state = 3},
  [37] = {.lex_state = 54, .external_lex_state = 3},
  [38] = {.lex_state = 54, .external_lex_state = 3},
  [39] = {.lex_state = 54, .external_lex_state = 3},
  [40] = {.lex_state = 54, .external_lex_state = 3},
  [41] = {.lex_state = 54, .external_lex_state = 3},
  [42] = {.lex_state = 54, .external_lex_state = 3},
  [43] = {.lex_state = 54, .external_lex_state = 3},
  [44] = {.lex_state = 54, .external_lex_state = 3},
  [45] = {.lex_state = 54, .external_lex_state = 3},
  [46] = {.lex_state = 54, .external_lex_state = 3},
  [47] = {.lex_state = 54, .external_lex_state = 3},
  [48] = {.lex_state = 54, .external_lex_state = 3},
  [49] = {.lex_state = 54, .external_lex_state = 3},
  [50] = {.lex_state = 54, .external_lex_state = 3},
  [51] = {.lex_state = 54, .external_lex_state = 3},
  [52] = {.lex_state = 54, .external_lex_state = 3},
  [53] = {.lex_state = 54, .external_lex_state = 3},
  [54] = {.lex_state = 54, .external_lex_state = 3},
  [55] = {.lex_state = 54, .external_lex_state = 3},
  [56] = {.lex_state = 54, .external_lex_state = 3},
  [57] = {.lex_state = 54, .external_lex_state = 3},
  [58] = {.lex_state = 54, .external_lex_state = 3},
  [59] = {.lex_state = 54, .external_lex_state = 3},
  [60] = {.lex_state = 54, .external_lex_state = 3},
  [61] = {.lex_state = 54, .external_lex_state = 3},
  [62] = {.lex_state = 54, .external_lex_state = 2},
  [63] = {.lex_state = 54, .external_lex_state = 2},
  [64] = {.lex_state = 54, .external_lex_state = 3},
  [65] = {.lex_state = 54, .external_lex_state = 3},
  [66] = {.lex_state = 54, .external_lex_state = 3},
  [67] = {.lex_state = 54, .external_lex_state = 3},
  [68] = {.lex_state = 54, .external_lex_state = 3},
  [69] = {.lex_state = 54, .external_lex_state = 3},
  [70] = {.lex_state = 54, .external_lex_state = 3},
  [71] = {.lex_state = 54, .external_lex_state = 3},
  [72] = {.lex_state = 54, .external_lex_state = 3},
  [73] = {.lex_state = 4, .external_lex_state = 4},
  [74] = {.lex_state = 4, .external_lex_state = 4},
  [75] = {.lex_state = 5, .external_lex_state = 5},
  [76] = {.lex_state = 5, .external_lex_state = 5},
  [77] = {.lex_state = 5, .external_lex_state = 5},
  [78] = {.lex_state = 5, .external_lex_state = 5},
  [79] = {.lex_state = 5, .external_lex_state = 5},
  [80] = {.lex_state = 5, .external_lex_state = 5},
  [81] = {.lex_state = 5, .external_lex_state = 5},
  [82] = {.lex_state = 5, .external_lex_state = 5},
  [83] = {.lex_state = 4, .external_lex_state = 4},
  [84] = {.lex_state = 4, .external_lex_state = 4},
  [85] = {.lex_state = 4, .external_lex_state = 4},
  [86] = {.lex_state = 4, .external_lex_state = 4},
  [87] = {.lex_state = 54, .external_lex_state = 5},
  [88] = {.lex_state = 54, .external_lex_state = 5},
  [89] = {.lex_state = 54, .external_lex_state = 5},
  [90] = {.lex_state = 54, .external_lex_state = 5},
  [91] = {.lex_state = 54, .external_lex_state = 5},
  [92] = {.lex_state = 54, .external_lex_state = 5},
  [93] = {.lex_state = 54, .external_lex_state = 5},
  [94] = {.lex_state = 54, .external_lex_state = 5},
  [95] = {.lex_state = 54, .external_lex_state = 5},
  [96] = {.lex_state = 54, .external_lex_state = 5},
  [97] = {.lex_state = 54, .external_lex_state = 5},
  [98] = {.lex_state = 54, .external_lex_state = 5},
  [99] = {.lex_state = 54, .external_lex_state = 5},
  [100] = {.lex_state = 54, .external_lex_state = 5},
  [101] = {.lex_state = 54, .external_lex_state = 5},
  [102] = {.lex_state = 54, .external_lex_state = 5},
  [103] = {.lex_state = 54, .external_lex_state = 5},
  [104] = {.lex_state = 54, .external_lex_state = 5},
  [105] = {.lex_state = 54, .external_lex_state = 5},
  [106] = {.lex_state = 54, .external_lex_state = 5},
  [107] = {.lex_state = 54, .external_lex_state = 5},
  [108] = {.lex_state = 54, .external_lex_state = 5},
  [109] = {.lex_state = 54, .external_lex_state = 5},
  [110] = {.lex_state = 54, .external_lex_state = 5},
  [111] = {.lex_state = 54, .external_lex_state = 5},
  [112] = {.lex_state = 54, .external_lex_state = 5},
  [113] = {.lex_state = 54, .external_lex_state = 5},
  [114] = {.lex_state = 54, .external_lex_state = 5},
  [115] = {.lex_state = 54, .external_lex_state = 5},
  [116] = {.lex_state = 54, .external_lex_state = 5},
  [117] = {.lex_state = 54, .external_lex_state = 5},
  [118] = {.lex_state = 54, .external_lex_state = 5},
  [119] = {.lex_state = 54, .external_lex_state = 5},
  [120] = {.lex_state = 54, .external_lex_state = 5},
  [121] = {.lex_state = 54, .external_lex_state = 5},
  [122] = {.lex_state = 54, .external_lex_state = 5},
  [123] = {.lex_state = 54, .external_lex_state = 5},
  [124] = {.lex_state = 54, .external_lex_state = 5},
  [125] = {.lex_state = 54, .external_lex_state = 5},
  [126] = {.lex_state = 54, .external_lex_state = 5},
  [127] = {.lex_state = 54, .external_lex_state = 5},
  [128] = {.lex_state = 54, .external_lex_state = 5},
  [129] = {.lex_state = 54, .external_lex_state = 5},
  [130] = {.lex_state = 54, .external_lex_state = 5},
  [131] = {.lex_state = 54, .external_lex_state = 5},
  [132] = {.lex_state = 54, .external_lex_state = 5},
  [133] = {.lex_state = 54, .external_lex_state = 5},
  [134] = {.lex_state = 54, .external_lex_state = 5},
  [135] = {.lex_state = 54, .external_lex_state = 5},
  [136] = {.lex_state = 54, .external_lex_state = 5},
  [137] = {.lex_state = 54, .external_lex_state = 4},
  [138] = {.lex_state = 54, .external_lex_state = 4},
  [139] = {.lex_state = 54, .external_lex_state = 4},
  [140] = {.lex_state = 54, .external_lex_state = 4},
  [141] = {.lex_state = 54, .external_lex_state = 4},
  [142] = {.lex_state = 54, .external_lex_state = 4},
  [143] = {.lex_state = 54, .external_lex_state = 4},
  [144] = {.lex_state = 54, .external_lex_state = 4},
  [145] = {.lex_state = 54, .external_lex_state = 4},
  [146] = {.lex_state = 54, .external_lex_state = 4},
  [147] = {.lex_state = 54, .external_lex_state = 4},
  [148] = {.lex_state = 54, .external_lex_state = 4},
  [149] = {.lex_state = 54, .external_lex_state = 4},
  [150] = {.lex_state = 54, .external_lex_state = 4},
  [151] = {.lex_state = 54, .external_lex_state = 4},
  [152] = {.lex_state = 54, .external_lex_state = 4},
  [153] = {.lex_state = 54, .external_lex_state = 2},
  [154] = {.lex_state = 4, .external_lex_state = 4},
  [155] = {.lex_state = 4, .external_lex_state = 4},
  [156] = {.lex_state = 11, .external_lex_state = 4},
  [157] = {.lex_state = 5, .external_lex_state = 4},
  [158] = {.lex_state = 12, .external_lex_state = 6},
  [159] = {.lex_state = 12, .external_lex_state = 4},
  [160] = {.lex_state = 12, .external_lex_state = 4},
  [161] = {.lex_state = 5, .external_lex_state = 6},
  [162] = {.lex_state = 5, .external_lex_state = 6},
  [163] = {.lex_state = 5, .external_lex_state = 6},
  [164] = {.lex_state = 5, .external_lex_state = 6},
  [165] = {.lex_state = 5, .external_lex_state = 7},
  [166] = {.lex_state = 12, .external_lex_state = 7},
  [167] = {.lex_state = 5, .external_lex_state = 7},
  [168] = {.lex_state = 12, .external_lex_state = 6},
  [169] = {.lex_state = 5, .external_lex_state = 2},
  [170] = {.lex_state = 11, .external_lex_state = 4},
  [171] = {.lex_state = 5, .external_lex_state = 7},
  [172] = {.lex_state = 5, .external_lex_state = 8},
  [173] = {.lex_state = 5, .external_lex_state = 8},
  [174] = {.lex_state = 5, .external_lex_state = 7},
  [175] = {.lex_state = 12, .external_lex_state = 8},
  [176] = {.lex_state = 5, .external_lex_state = 8},
  [177] = {.lex_state = 5, .external_lex_state = 8},
  [178] = {.lex_state = 5, .external_lex_state = 7},
  [179] = {.lex_state = 12, .external_lex_state = 2},
  [180] = {.lex_state = 12, .external_lex_state = 7},
  [181] = {.lex_state = 5, .external_lex_state = 7},
  [182] = {.lex_state = 12, .external_lex_state = 6},
  [183] = {.lex_state = 12, .external_lex_state = 2},
  [184] = {.lex_state = 5, .external_lex_state = 8},
  [185] = {.lex_state = 5, .external_lex_state = 7},
  [186] = {.lex_state = 12, .external_lex_state = 8},
  [187] = {.lex_state = 11, .external_lex_state = 2},
  [188] = {.lex_state = 11, .external_lex_state = 2},
  [189] = {.lex_state = 54, .external_lex_state = 7},
  [190] = {.lex_state = 54, .external_lex_state = 2},
  [191] = {.lex_state = 5, .external_lex_state = 6},
  [192] = {.lex_state = 54, .external_lex_state = 7},
  [193] = {.lex_state = 54, .external_lex_state = 8},
  [194] = {.lex_state = 5, .external_lex_state = 6},
  [195] = {.lex_state = 54, .external_lex_state = 7},
  [196] = {.lex_state = 54, .external_lex_state = 7},
  [197] = {.lex_state = 54, .external_lex_state = 8},
  [198] = {.lex_state = 54, .external_lex_state = 7},
  [199] = {.lex_state = 54, .external_lex_state = 8},
  [200] = {.lex_state = 5, .external_lex_state = 6},
  [201] = {.lex_state = 54, .external_lex_state = 2},
  [202] = {.lex_state = 54, .external_lex_state = 7},
  [203] = {.lex_state = 54, .external_lex_state = 8},
  [204] = {.lex_state = 5, .external_lex_state = 6},
  [205] = {.lex_state = 54, .external_lex_state = 7},
  [206] = {.lex_state = 54, .external_lex_state = 8},
  [207] = {.lex_state = 5, .external_lex_state = 6},
  [208] = {.lex_state = 54, .external_lex_state = 7},
  [209] = {.lex_state = 54, .external_lex_state = 8},
  [210] = {.lex_state = 5, .external_lex_state = 6},
  [211] = {.lex_state = 54, .external_lex_state = 7},
  [212] = {.lex_state = 54, .external_lex_state = 8},
  [213] = {.lex_state = 5, .external_lex_state = 6},
  [214] = {.lex_state = 54, .external_lex_state = 7},
  [215] = {.lex_state = 54, .external_lex_state = 8},
  [216] = {.lex_state = 5, .external_lex_state = 6},
  [217] = {.lex_state = 54, .external_lex_state = 7},
  [218] = {.lex_state = 54, .external_lex_state = 8},
  [219] = {.lex_state = 54, .external_lex_state = 8},
  [220] = {.lex_state = 54, .external_lex_state = 8},
  [221] = {.lex_state = 54, .external_lex_state = 2},
  [222] = {.lex_state = 6, .external_lex_state = 4},
  [223] = {.lex_state = 6, .external_lex_state = 4},
  [224] = {.lex_state = 5, .external_lex_state = 8},
  [225] = {.lex_state = 5, .external_lex_state = 8},
  [226] = {.lex_state = 5, .external_lex_state = 8},
  [227] = {.lex_state = 5, .external_lex_state = 8},
  [228] = {.lex_state = 5, .external_lex_state = 8},
  [229] = {.lex_state = 54, .external_lex_state = 2},
  [230] = {.lex_state = 5, .external_lex_state = 8},
  [231] = {.lex_state = 5, .external_lex_state = 8},
  [232] = {.lex_state = 5, .external_lex_state = 8},
  [233] = {.lex_state = 54, .external_lex_state = 2},
  [234] = {.lex_state = 5, .external_lex_state = 2},
  [235] = {.lex_state = 5, .external_lex_state = 2},
  [236] = {.lex_state = 5, .external_lex_state = 2},
  [237] = {.lex_state = 5, .external_lex_state = 7},
  [238] = {.lex_state = 5, .external_lex_state = 2},
  [239] = {.lex_state = 5, .external_lex_state = 2},
  [240] = {.lex_state = 5, .external_lex_state = 7},
  [241] = {.lex_state = 5, .external_lex_state = 2},
  [242] = {.lex_state = 6, .external_lex_state = 2},
  [243] = {.lex_state = 5, .external_lex_state = 7},
  [244] = {.lex_state = 5, .external_lex_state = 2},
  [245] = {.lex_state = 54, .external_lex_state = 6},
  [246] = {.lex_state = 54, .external_lex_state = 7},
  [247] = {.lex_state = 5, .external_lex_state = 7},
  [248] = {.lex_state = 5, .external_lex_state = 2},
  [249] = {.lex_state = 5, .external_lex_state = 2},
  [250] = {.lex_state = 5, .external_lex_state = 2},
  [251] = {.lex_state = 5, .external_lex_state = 2},
  [252] = {.lex_state = 5, .external_lex_state = 7},
  [253] = {.lex_state = 5, .external_lex_state = 2},
  [254] = {.lex_state = 5, .external_lex_state = 2},
  [255] = {.lex_state = 5, .external_lex_state = 2},
  [256] = {.lex_state = 5, .external_lex_state = 2},
  [257] = {.lex_state = 5, .external_lex_state = 2},
  [258] = {.lex_state = 5, .external_lex_state = 7},
  [259] = {.lex_state = 5, .external_lex_state = 2},
  [260] = {.lex_state = 5, .external_lex_state = 7},
  [261] = {.lex_state = 5, .external_lex_state = 7},
  [262] = {.lex_state = 5, .external_lex_state = 2},
  [263] = {.lex_state = 5, .external_lex_state = 7},
  [264] = {.lex_state = 5, .external_lex_state = 2},
  [265] = {.lex_state = 5, .external_lex_state = 2},
  [266] = {.lex_state = 5, .external_lex_state = 2},
  [267] = {.lex_state = 5, .external_lex_state = 2},
  [268] = {.lex_state = 5, .external_lex_state = 2},
  [269] = {.lex_state = 5, .external_lex_state = 2},
  [270] = {.lex_state = 5, .external_lex_state = 2},
  [271] = {.lex_state = 6, .external_lex_state = 2},
  [272] = {.lex_state = 54, .external_lex_state = 7},
  [273] = {.lex_state = 54, .external_lex_state = 8},
  [274] = {.lex_state = 5, .external_lex_state = 7},
  [275] = {.lex_state = 5, .external_lex_state = 7},
  [276] = {.lex_state = 54, .external_lex_state = 7},
  [277] = {.lex_state = 5, .external_lex_state = 7},
  [278] = {.lex_state = 54, .external_lex_state = 7},
  [279] = {.lex_state = 54, .external_lex_state = 8},
  [280] = {.lex_state = 54, .external_lex_state = 7},
  [281] = {.lex_state = 5, .external_lex_state = 7},
  [282] = {.lex_state = 5, .external_lex_state = 7},
  [283] = {.lex_state = 5, .external_lex_state = 7},
  [284] = {.lex_state = 5, .external_lex_state = 7},
  [285] = {.lex_state = 5, .external_lex_state = 7},
  [286] = {.lex_state = 54, .external_lex_state = 8},
  [287] = {.lex_state = 54, .external_lex_state = 7},
  [288] = {.lex_state = 5, .external_lex_state = 7},
  [289] = {.lex_state = 5, .external_lex_state = 7},
  [290] = {.lex_state = 5, .external_lex_state = 7},
  [291] = {.lex_state = 5, .external_lex_state = 7},
  [292] = {.lex_state = 5, .external_lex_state = 7},
  [293] = {.lex_state = 5, .external_lex_state = 7},
  [294] = {.lex_state = 54, .external_lex_state = 7},
  [295] = {.lex_state = 54, .external_lex_state = 8},
  [296] = {.lex_state = 54, .external_lex_state = 7},
  [297] = {.lex_state = 54, .external_lex_state = 7},
  [298] = {.lex_state = 54, .external_lex_state = 8},
  [299] = {.lex_state = 54, .external_lex_state = 7},
  [300] = {.lex_state = 54, .external_lex_state = 7},
  [301] = {.lex_state = 5, .external_lex_state = 7},
  [302] = {.lex_state = 5, .external_lex_state = 7},
  [303] = {.lex_state = 5, .external_lex_state = 7},
  [304] = {.lex_state = 54, .external_lex_state = 7},
  [305] = {.lex_state = 54, .external_lex_state = 8},
  [306] = {.lex_state = 54, .external_lex_state = 7},
  [307] = {.lex_state = 5, .external_lex_state = 7},
  [308] = {.lex_state = 5, .external_lex_state = 7},
  [309] = {.lex_state = 5, .external_lex_state = 7},
  [310] = {.lex_state = 5, .external_lex_state = 7},
  [311] = {.lex_state = 54, .external_lex_state = 7},
  [312] = {.lex_state = 54, .external_lex_state = 8},
  [313] = {.lex_state = 5, .external_lex_state = 7},
  [314] = {.lex_state = 5, .external_lex_state = 7},
  [315] = {.lex_state = 5, .external_lex_state = 7},
  [316] = {.lex_state = 5, .external_lex_state = 7},
  [317] = {.lex_state = 54, .external_lex_state = 7},
  [318] = {.lex_state = 54, .external_lex_state = 8},
  [319] = {.lex_state = 5, .external_lex_state = 7},
  [320] = {.lex_state = 5, .external_lex_state = 7},
  [321] = {.lex_state = 5, .external_lex_state = 7},
  [322] = {.lex_state = 5, .external_lex_state = 7},
  [323] = {.lex_state = 5, .external_lex_state = 7},
  [324] = {.lex_state = 5, .external_lex_state = 7},
  [325] = {.lex_state = 5, .external_lex_state = 7},
  [326] = {.lex_state = 12, .external_lex_state = 6},
  [327] = {.lex_state = 54, .external_lex_state = 6},
  [328] = {.lex_state = 54, .external_lex_state = 7},
  [329] = {.lex_state = 54, .external_lex_state = 6},
  [330] = {.lex_state = 54, .external_lex_state = 6},
  [331] = {.lex_state = 54, .external_lex_state = 7},
  [332] = {.lex_state = 54, .external_lex_state = 7},
  [333] = {.lex_state = 54, .external_lex_state = 6},
  [334] = {.lex_state = 54, .external_lex_state = 6},
  [335] = {.lex_state = 54, .external_lex_state = 8},
  [336] = {.lex_state = 54, .external_lex_state = 8},
  [337] = {.lex_state = 54, .external_lex_state = 6},
  [338] = {.lex_state = 54, .external_lex_state = 6},
  [339] = {.lex_state = 54, .external_lex_state = 8},
  [340] = {.lex_state = 5, .external_lex_state = 2},
  [341] = {.lex_state = 54, .external_lex_state = 6},
  [342] = {.lex_state = 54, .external_lex_state = 7},
  [343] = {.lex_state = 54, .external_lex_state = 7},
  [344] = {.lex_state = 54, .external_lex_state = 8},
  [345] = {.lex_state = 54, .external_lex_state = 8},
  [346] = {.lex_state = 54, .external_lex_state = 7},
  [347] = {.lex_state = 54, .external_lex_state = 8},
  [348] = {.lex_state = 54, .external_lex_state = 2},
  [349] = {.lex_state = 54, .external_lex_state = 8},
  [350] = {.lex_state = 5, .external_lex_state = 6},
  [351] = {.lex_state = 54, .external_lex_state = 4},
  [352] = {.lex_state = 5, .external_lex_state = 6},
  [353] = {.lex_state = 54, .external_lex_state = 2},
  [354] = {.lex_state = 5, .external_lex_state = 6},
  [355] = {.lex_state = 54, .external_lex_state = 7},
  [356] = {.lex_state = 5, .external_lex_state = 6},
  [357] = {.lex_state = 5, .external_lex_state = 6},
  [358] = {.lex_state = 5, .external_lex_state = 6},
  [359] = {.lex_state = 5, .external_lex_state = 6},
  [360] = {.lex_state = 5, .external_lex_state = 6},
  [361] = {.lex_state = 5, .external_lex_state = 6},
  [362] = {.lex_state = 5, .external_lex_state = 6},
  [363] = {.lex_state = 54, .external_lex_state = 2},
  [364] = {.lex_state = 5, .external_lex_state = 6},
  [365] = {.lex_state = 5, .external_lex_state = 6},
  [366] = {.lex_state = 5, .external_lex_state = 6},
  [367] = {.lex_state = 5, .external_lex_state = 6},
  [368] = {.lex_state = 5, .external_lex_state = 6},
  [369] = {.lex_state = 5, .external_lex_state = 6},
  [370] = {.lex_state = 54, .external_lex_state = 4},
  [371] = {.lex_state = 54, .external_lex_state = 8},
  [372] = {.lex_state = 54, .external_lex_state = 8},
  [373] = {.lex_state = 54, .external_lex_state = 8},
  [374] = {.lex_state = 54, .external_lex_state = 8},
  [375] = {.lex_state = 54, .external_lex_state = 8},
  [376] = {.lex_state = 54, .external_lex_state = 4},
  [377] = {.lex_state = 54, .external_lex_state = 8},
  [378] = {.lex_state = 54, .external_lex_state = 8},
  [379] = {.lex_state = 5, .external_lex_state = 2},
  [380] = {.lex_state = 54, .external_lex_state = 8},
  [381] = {.lex_state = 54, .external_lex_state = 8},
  [382] = {.lex_state = 54, .external_lex_state = 8},
  [383] = {.lex_state = 54, .external_lex_state = 8},
  [384] = {.lex_state = 54, .external_lex_state = 8},
  [385] = {.lex_state = 54, .external_lex_state = 8},
  [386] = {.lex_state = 54, .external_lex_state = 8},
  [387] = {.lex_state = 54, .external_lex_state = 4},
  [388] = {.lex_state = 54, .external_lex_state = 8},
  [389] = {.lex_state = 54, .external_lex_state = 8},
  [390] = {.lex_state = 54, .external_lex_state = 8},
  [391] = {.lex_state = 54, .external_lex_state = 8},
  [392] = {.lex_state = 12, .external_lex_state = 7},
  [393] = {.lex_state = 12, .external_lex_state = 7},
  [394] = {.lex_state = 54, .external_lex_state = 8},
  [395] = {.lex_state = 54, .external_lex_state = 8},
  [396] = {.lex_state = 54, .external_lex_state = 8},
  [397] = {.lex_state = 54, .external_lex_state = 8},
  [398] = {.lex_state = 54, .external_lex_state = 8},
  [399] = {.lex_state = 54, .external_lex_state = 8},
  [400] = {.lex_state = 54, .external_lex_state = 8},
  [401] = {.lex_state = 54, .external_lex_state = 8},
  [402] = {.lex_state = 54, .external_lex_state = 8},
  [403] = {.lex_state = 54, .external_lex_state = 4},
  [404] = {.lex_state = 54, .external_lex_state = 8},
  [405] = {.lex_state = 54, .external_lex_state = 8},
  [406] = {.lex_state = 54, .external_lex_state = 8},
  [407] = {.lex_state = 54, .external_lex_state = 8},
  [408] = {.lex_state = 54, .external_lex_state = 8},
  [409] = {.lex_state = 54, .external_lex_state = 2},
  [410] = {.lex_state = 54, .external_lex_state = 2},
  [411] = {.lex_state = 54, .external_lex_state = 2},
  [412] = {.lex_state = 54, .external_lex_state = 2},
  [413] = {.lex_state = 54, .external_lex_state = 4},
  [414] = {.lex_state = 5, .external_lex_state = 7},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 54, .external_lex_state = 2},
  [417] = {.lex_state = 54, .external_lex_state = 2},
  [418] = {.lex_state = 54, .external_lex_state = 2},
  [419] = {.lex_state = 54, .external_lex_state = 2},
  [420] = {.lex_state = 54, .external_lex_state = 7},
  [421] = {.lex_state = 54, .external_lex_state = 8},
  [422] = {.lex_state = 54, .external_lex_state = 2},
  [423] = {.lex_state = 54, .external_lex_state = 4},
  [424] = {.lex_state = 54, .external_lex_state = 2},
  [425] = {.lex_state = 54, .external_lex_state = 2},
  [426] = {.lex_state = 54, .external_lex_state = 2},
  [427] = {.lex_state = 54, .external_lex_state = 2},
  [428] = {.lex_state = 54, .external_lex_state = 4},
  [429] = {.lex_state = 54, .external_lex_state = 7},
  [430] = {.lex_state = 54, .external_lex_state = 4},
  [431] = {.lex_state = 54, .external_lex_state = 4},
  [432] = {.lex_state = 54, .external_lex_state = 4},
  [433] = {.lex_state = 5, .external_lex_state = 8},
  [434] = {.lex_state = 54, .external_lex_state = 2},
  [435] = {.lex_state = 54, .external_lex_state = 2},
  [436] = {.lex_state = 54, .external_lex_state = 8},
  [437] = {.lex_state = 54, .external_lex_state = 2},
  [438] = {.lex_state = 54, .external_lex_state = 2},
  [439] = {.lex_state = 54, .external_lex_state = 8},
  [440] = {.lex_state = 5, .external_lex_state = 2},
  [441] = {.lex_state = 54, .external_lex_state = 2},
  [442] = {.lex_state = 54, .external_lex_state = 2},
  [443] = {.lex_state = 54, .external_lex_state = 2},
  [444] = {.lex_state = 54, .external_lex_state = 7},
  [445] = {.lex_state = 54, .external_lex_state = 2},
  [446] = {.lex_state = 54, .external_lex_state = 2},
  [447] = {.lex_state = 54, .external_lex_state = 2},
  [448] = {.lex_state = 54, .external_lex_state = 8},
  [449] = {.lex_state = 54, .external_lex_state = 2},
  [450] = {.lex_state = 54, .external_lex_state = 2},
  [451] = {.lex_state = 54, .external_lex_state = 2},
  [452] = {.lex_state = 54, .external_lex_state = 2},
  [453] = {.lex_state = 54, .external_lex_state = 2},
  [454] = {.lex_state = 54, .external_lex_state = 2},
  [455] = {.lex_state = 54, .external_lex_state = 2},
  [456] = {.lex_state = 54, .external_lex_state = 2},
  [457] = {.lex_state = 54, .external_lex_state = 2},
  [458] = {.lex_state = 54, .external_lex_state = 7},
  [459] = {.lex_state = 54, .external_lex_state = 8},
  [460] = {.lex_state = 12, .external_lex_state = 2},
  [461] = {.lex_state = 54, .external_lex_state = 2},
  [462] = {.lex_state = 54, .external_lex_state = 2},
  [463] = {.lex_state = 54, .external_lex_state = 2},
  [464] = {.lex_state = 54, .external_lex_state = 2},
  [465] = {.lex_state = 54, .external_lex_state = 2},
  [466] = {.lex_state = 54, .external_lex_state = 2},
  [467] = {.lex_state = 54, .external_lex_state = 2},
  [468] = {.lex_state = 54, .external_lex_state = 2},
  [469] = {.lex_state = 7, .external_lex_state = 9},
  [470] = {.lex_state = 7, .external_lex_state = 4},
  [471] = {.lex_state = 54, .external_lex_state = 2},
  [472] = {.lex_state = 54, .external_lex_state = 2},
  [473] = {.lex_state = 54, .external_lex_state = 2},
  [474] = {.lex_state = 54, .external_lex_state = 2},
  [475] = {.lex_state = 54, .external_lex_state = 2},
  [476] = {.lex_state = 54, .external_lex_state = 2},
  [477] = {.lex_state = 7, .external_lex_state = 4},
  [478] = {.lex_state = 54, .external_lex_state = 2},
  [479] = {.lex_state = 7, .external_lex_state = 9},
  [480] = {.lex_state = 54, .external_lex_state = 2},
  [481] = {.lex_state = 54, .external_lex_state = 2},
  [482] = {.lex_state = 54, .external_lex_state = 2},
  [483] = {.lex_state = 54, .external_lex_state = 2},
  [484] = {.lex_state = 54, .external_lex_state = 2},
  [485] = {.lex_state = 54, .external_lex_state = 2},
  [486] = {.lex_state = 54, .external_lex_state = 2},
  [487] = {.lex_state = 54, .external_lex_state = 2},
  [488] = {.lex_state = 54, .external_lex_state = 2},
  [489] = {.lex_state = 55, .external_lex_state = 10},
  [490] = {.lex_state = 56, .external_lex_state = 3},
  [491] = {.lex_state = 54, .external_lex_state = 2},
  [492] = {.lex_state = 55, .external_lex_state = 10},
  [493] = {.lex_state = 56, .external_lex_state = 3},
  [494] = {.lex_state = 54, .external_lex_state = 2},
  [495] = {.lex_state = 54, .external_lex_state = 2},
  [496] = {.lex_state = 54, .external_lex_state = 2},
  [497] = {.lex_state = 54, .external_lex_state = 2},
  [498] = {.lex_state = 54, .external_lex_state = 2},
  [499] = {.lex_state = 54, .external_lex_state = 2},
  [500] = {.lex_state = 54, .external_lex_state = 2},
  [501] = {.lex_state = 54, .external_lex_state = 2},
  [502] = {.lex_state = 54, .external_lex_state = 2},
  [503] = {.lex_state = 54, .external_lex_state = 2},
  [504] = {.lex_state = 55, .external_lex_state = 11},
  [505] = {.lex_state = 56, .external_lex_state = 2},
  [506] = {.lex_state = 54, .external_lex_state = 2},
  [507] = {.lex_state = 54, .external_lex_state = 2},
  [508] = {.lex_state = 54, .external_lex_state = 2},
  [509] = {.lex_state = 54, .external_lex_state = 2},
  [510] = {.lex_state = 54, .external_lex_state = 2},
  [511] = {.lex_state = 54, .external_lex_state = 2},
  [512] = {.lex_state = 54, .external_lex_state = 2},
  [513] = {.lex_state = 54, .external_lex_state = 2},
  [514] = {.lex_state = 54, .external_lex_state = 2},
  [515] = {.lex_state = 54, .external_lex_state = 2},
  [516] = {.lex_state = 54, .external_lex_state = 2},
  [517] = {.lex_state = 54, .external_lex_state = 2},
  [518] = {.lex_state = 54, .external_lex_state = 2},
  [519] = {.lex_state = 54, .external_lex_state = 2},
  [520] = {.lex_state = 54, .external_lex_state = 2},
  [521] = {.lex_state = 54, .external_lex_state = 2},
  [522] = {.lex_state = 54, .external_lex_state = 2},
  [523] = {.lex_state = 54, .external_lex_state = 2},
  [524] = {.lex_state = 54, .external_lex_state = 2},
  [525] = {.lex_state = 54, .external_lex_state = 2},
  [526] = {.lex_state = 54, .external_lex_state = 2},
  [527] = {.lex_state = 54, .external_lex_state = 2},
  [528] = {.lex_state = 54, .external_lex_state = 2},
  [529] = {.lex_state = 54, .external_lex_state = 2},
  [530] = {.lex_state = 54, .external_lex_state = 2},
  [531] = {.lex_state = 54, .external_lex_state = 2},
  [532] = {.lex_state = 54, .external_lex_state = 2},
  [533] = {.lex_state = 54, .external_lex_state = 2},
  [534] = {.lex_state = 54, .external_lex_state = 2},
  [535] = {.lex_state = 54, .external_lex_state = 2},
  [536] = {.lex_state = 54, .external_lex_state = 2},
  [537] = {.lex_state = 54, .external_lex_state = 2},
  [538] = {.lex_state = 54, .external_lex_state = 2},
  [539] = {.lex_state = 54, .external_lex_state = 2},
  [540] = {.lex_state = 54, .external_lex_state = 2},
  [541] = {.lex_state = 54, .external_lex_state = 2},
  [542] = {.lex_state = 54, .external_lex_state = 2},
  [543] = {.lex_state = 54, .external_lex_state = 2},
  [544] = {.lex_state = 54, .external_lex_state = 2},
  [545] = {.lex_state = 54, .external_lex_state = 2},
  [546] = {.lex_state = 54, .external_lex_state = 2},
  [547] = {.lex_state = 54, .external_lex_state = 2},
  [548] = {.lex_state = 54, .external_lex_state = 2},
  [549] = {.lex_state = 54, .external_lex_state = 2},
  [550] = {.lex_state = 54, .external_lex_state = 2},
  [551] = {.lex_state = 54, .external_lex_state = 2},
  [552] = {.lex_state = 54, .external_lex_state = 2},
  [553] = {.lex_state = 54, .external_lex_state = 2},
  [554] = {.lex_state = 54, .external_lex_state = 2},
  [555] = {.lex_state = 54, .external_lex_state = 2},
  [556] = {.lex_state = 54, .external_lex_state = 2},
  [557] = {.lex_state = 54, .external_lex_state = 2},
  [558] = {.lex_state = 54, .external_lex_state = 2},
  [559] = {.lex_state = 54, .external_lex_state = 2},
  [560] = {.lex_state = 54, .external_lex_state = 2},
  [561] = {.lex_state = 54, .external_lex_state = 2},
  [562] = {.lex_state = 55, .external_lex_state = 11},
  [563] = {.lex_state = 56, .external_lex_state = 2},
  [564] = {.lex_state = 54, .external_lex_state = 2},
  [565] = {.lex_state = 54, .external_lex_state = 2},
  [566] = {.lex_state = 54, .external_lex_state = 2},
  [567] = {.lex_state = 54, .external_lex_state = 2},
  [568] = {.lex_state = 54, .external_lex_state = 2},
  [569] = {.lex_state = 54, .external_lex_state = 2},
  [570] = {.lex_state = 54, .external_lex_state = 2},
  [571] = {.lex_state = 54, .external_lex_state = 2},
  [572] = {.lex_state = 54, .external_lex_state = 2},
  [573] = {.lex_state = 54, .external_lex_state = 2},
  [574] = {.lex_state = 54, .external_lex_state = 2},
  [575] = {.lex_state = 54, .external_lex_state = 2},
  [576] = {.lex_state = 54, .external_lex_state = 2},
  [577] = {.lex_state = 54, .external_lex_state = 2},
  [578] = {.lex_state = 54, .external_lex_state = 2},
  [579] = {.lex_state = 54, .external_lex_state = 2},
  [580] = {.lex_state = 54, .external_lex_state = 2},
  [581] = {.lex_state = 54, .external_lex_state = 2},
  [582] = {.lex_state = 54, .external_lex_state = 2},
  [583] = {.lex_state = 54, .external_lex_state = 2},
  [584] = {.lex_state = 54, .external_lex_state = 2},
  [585] = {.lex_state = 54, .external_lex_state = 2},
  [586] = {.lex_state = 54, .external_lex_state = 2},
  [587] = {.lex_state = 54, .external_lex_state = 2},
  [588] = {.lex_state = 54, .external_lex_state = 2},
  [589] = {.lex_state = 54, .external_lex_state = 2},
  [590] = {.lex_state = 54, .external_lex_state = 2},
  [591] = {.lex_state = 54, .external_lex_state = 2},
  [592] = {.lex_state = 54, .external_lex_state = 2},
  [593] = {.lex_state = 54, .external_lex_state = 2},
  [594] = {.lex_state = 54, .external_lex_state = 2},
  [595] = {.lex_state = 54, .external_lex_state = 2},
  [596] = {.lex_state = 54, .external_lex_state = 2},
  [597] = {.lex_state = 54, .external_lex_state = 2},
  [598] = {.lex_state = 54, .external_lex_state = 2},
  [599] = {.lex_state = 54, .external_lex_state = 2},
  [600] = {.lex_state = 54, .external_lex_state = 2},
  [601] = {.lex_state = 54, .external_lex_state = 2},
  [602] = {.lex_state = 54, .external_lex_state = 2},
  [603] = {.lex_state = 54, .external_lex_state = 2},
  [604] = {.lex_state = 54, .external_lex_state = 2},
  [605] = {.lex_state = 54, .external_lex_state = 2},
  [606] = {.lex_state = 54, .external_lex_state = 2},
  [607] = {.lex_state = 54, .external_lex_state = 2},
  [608] = {.lex_state = 54, .external_lex_state = 2},
  [609] = {.lex_state = 7, .external_lex_state = 9},
  [610] = {.lex_state = 55, .external_lex_state = 10},
  [611] = {.lex_state = 7, .external_lex_state = 9},
  [612] = {.lex_state = 7, .external_lex_state = 9},
  [613] = {.lex_state = 54, .external_lex_state = 3},
  [614] = {.lex_state = 54, .external_lex_state = 3},
  [615] = {.lex_state = 7, .external_lex_state = 9},
  [616] = {.lex_state = 56, .external_lex_state = 3},
  [617] = {.lex_state = 54, .external_lex_state = 3},
  [618] = {.lex_state = 54, .external_lex_state = 2},
  [619] = {.lex_state = 54, .external_lex_state = 2},
  [620] = {.lex_state = 55, .external_lex_state = 11},
  [621] = {.lex_state = 56, .external_lex_state = 2},
  [622] = {.lex_state = 54, .external_lex_state = 2},
  [623] = {.lex_state = 7, .external_lex_state = 9},
  [624] = {.lex_state = 54, .external_lex_state = 3},
  [625] = {.lex_state = 54, .external_lex_state = 2},
  [626] = {.lex_state = 8, .external_lex_state = 9},
  [627] = {.lex_state = 8, .external_lex_state = 9},
  [628] = {.lex_state = 8, .external_lex_state = 9},
  [629] = {.lex_state = 54, .external_lex_state = 3},
  [630] = {.lex_state = 8, .external_lex_state = 9},
  [631] = {.lex_state = 8, .external_lex_state = 9},
  [632] = {.lex_state = 8, .external_lex_state = 9},
  [633] = {.lex_state = 8, .external_lex_state = 9},
  [634] = {.lex_state = 8, .external_lex_state = 9},
  [635] = {.lex_state = 54, .external_lex_state = 2},
  [636] = {.lex_state = 8, .external_lex_state = 9},
  [637] = {.lex_state = 8, .external_lex_state = 9},
  [638] = {.lex_state = 8, .external_lex_state = 9},
  [639] = {.lex_state = 8, .external_lex_state = 9},
  [640] = {.lex_state = 8, .external_lex_state = 9},
  [641] = {.lex_state = 8, .external_lex_state = 9},
  [642] = {.lex_state = 8, .external_lex_state = 9},
  [643] = {.lex_state = 8, .external_lex_state = 9},
  [644] = {.lex_state = 8, .external_lex_state = 9},
  [645] = {.lex_state = 8, .external_lex_state = 9},
  [646] = {.lex_state = 8, .external_lex_state = 9},
  [647] = {.lex_state = 55, .external_lex_state = 10},
  [648] = {.lex_state = 56, .external_lex_state = 3},
  [649] = {.lex_state = 56, .external_lex_state = 3},
  [650] = {.lex_state = 56, .external_lex_state = 3},
  [651] = {.lex_state = 55, .external_lex_state = 11},
  [652] = {.lex_state = 56, .external_lex_state = 2},
  [653] = {.lex_state = 56, .external_lex_state = 2},
  [654] = {.lex_state = 54, .external_lex_state = 2},
  [655] = {.lex_state = 56, .external_lex_state = 2},
  [656] = {.lex_state = 55, .external_lex_state = 11},
  [657] = {.lex_state = 55, .external_lex_state = 10},
  [658] = {.lex_state = 56, .external_lex_state = 3},
  [659] = {.lex_state = 54, .external_lex_state = 3},
  [660] = {.lex_state = 56, .external_lex_state = 2},
  [661] = {.lex_state = 55, .external_lex_state = 11},
  [662] = {.lex_state = 54, .external_lex_state = 3},
  [663] = {.lex_state = 54, .external_lex_state = 2},
  [664] = {.lex_state = 54, .external_lex_state = 2},
  [665] = {.lex_state = 54, .external_lex_state = 2},
  [666] = {.lex_state = 55, .external_lex_state = 11},
  [667] = {.lex_state = 55, .external_lex_state = 11},
  [668] = {.lex_state = 55, .external_lex_state = 10},
  [669] = {.lex_state = 56, .external_lex_state = 3},
  [670] = {.lex_state = 55, .external_lex_state = 10},
  [671] = {.lex_state = 56, .external_lex_state = 3},
  [672] = {.lex_state = 56, .external_lex_state = 2},
  [673] = {.lex_state = 55, .external_lex_state = 10},
  [674] = {.lex_state = 56, .external_lex_state = 3},
  [675] = {.lex_state = 55, .external_lex_state = 10},
  [676] = {.lex_state = 55, .external_lex_state = 10},
  [677] = {.lex_state = 55, .external_lex_state = 11},
  [678] = {.lex_state = 55, .external_lex_state = 11},
  [679] = {.lex_state = 56, .external_lex_state = 2},
  [680] = {.lex_state = 56, .external_lex_state = 3},
  [681] = {.lex_state = 54, .external_lex_state = 3},
  [682] = {.lex_state = 54, .external_lex_state = 6},
  [683] = {.lex_state = 55, .external_lex_state = 11},
  [684] = {.lex_state = 56, .external_lex_state = 2},
  [685] = {.lex_state = 55, .external_lex_state = 10},
  [686] = {.lex_state = 54, .external_lex_state = 2},
  [687] = {.lex_state = 55, .external_lex_state = 11},
  [688] = {.lex_state = 56, .external_lex_state = 2},
  [689] = {.lex_state = 55, .external_lex_state = 11},
  [690] = {.lex_state = 56, .external_lex_state = 2},
  [691] = {.lex_state = 55, .external_lex_state = 10},
  [692] = {.lex_state = 56, .external_lex_state = 3},
  [693] = {.lex_state = 54, .external_lex_state = 3},
  [694] = {.lex_state = 54, .external_lex_state = 6},
  [695] = {.lex_state = 55, .external_lex_state = 11},
  [696] = {.lex_state = 54, .external_lex_state = 3},
  [697] = {.lex_state = 55, .external_lex_state = 10},
  [698] = {.lex_state = 55, .external_lex_state = 10},
  [699] = {.lex_state = 54, .external_lex_state = 3},
  [700] = {.lex_state = 54, .external_lex_state = 3},
  [701] = {.lex_state = 54, .external_lex_state = 2},
  [702] = {.lex_state = 54, .external_lex_state = 2},
  [703] = {.lex_state = 54, .external_lex_state = 3},
  [704] = {.lex_state = 54, .external_lex_state = 2},
  [705] = {.lex_state = 54, .external_lex_state = 2},
  [706] = {.lex_state = 54, .external_lex_state = 2},
  [707] = {.lex_state = 54, .external_lex_state = 2},
  [708] = {.lex_state = 54, .external_lex_state = 3},
  [709] = {.lex_state = 54, .external_lex_state = 2},
  [710] = {.lex_state = 54, .external_lex_state = 2},
  [711] = {.lex_state = 54, .external_lex_state = 3},
  [712] = {.lex_state = 54, .external_lex_state = 3},
  [713] = {.lex_state = 54, .external_lex_state = 3},
  [714] = {.lex_state = 54, .external_lex_state = 2},
  [715] = {.lex_state = 54, .external_lex_state = 3},
  [716] = {.lex_state = 54, .external_lex_state = 3},
  [717] = {.lex_state = 54, .external_lex_state = 3},
  [718] = {.lex_state = 54, .external_lex_state = 2},
  [719] = {.lex_state = 54, .external_lex_state = 3},
  [720] = {.lex_state = 54, .external_lex_state = 2},
  [721] = {.lex_state = 54, .external_lex_state = 7},
  [722] = {.lex_state = 54, .external_lex_state = 3},
  [723] = {.lex_state = 54, .external_lex_state = 2},
  [724] = {.lex_state = 54, .external_lex_state = 2},
  [725] = {.lex_state = 54, .external_lex_state = 7},
  [726] = {.lex_state = 54, .external_lex_state = 3},
  [727] = {.lex_state = 54, .external_lex_state = 3},
  [728] = {.lex_state = 54, .external_lex_state = 2},
  [729] = {.lex_state = 54, .external_lex_state = 2},
  [730] = {.lex_state = 54, .external_lex_state = 3},
  [731] = {.lex_state = 54, .external_lex_state = 2},
  [732] = {.lex_state = 54, .external_lex_state = 3},
  [733] = {.lex_state = 54, .external_lex_state = 3},
  [734] = {.lex_state = 54, .external_lex_state = 2},
  [735] = {.lex_state = 54, .external_lex_state = 3},
  [736] = {.lex_state = 54, .external_lex_state = 2},
  [737] = {.lex_state = 54, .external_lex_state = 3},
  [738] = {.lex_state = 54, .external_lex_state = 2},
  [739] = {.lex_state = 54, .external_lex_state = 2},
  [740] = {.lex_state = 54, .external_lex_state = 2},
  [741] = {.lex_state = 54, .external_lex_state = 3},
  [742] = {.lex_state = 54, .external_lex_state = 2},
  [743] = {.lex_state = 54, .external_lex_state = 2},
  [744] = {.lex_state = 54, .external_lex_state = 3},
  [745] = {.lex_state = 54, .external_lex_state = 3},
  [746] = {.lex_state = 54, .external_lex_state = 2},
  [747] = {.lex_state = 54, .external_lex_state = 3},
  [748] = {.lex_state = 54, .external_lex_state = 2},
  [749] = {.lex_state = 54, .external_lex_state = 2},
  [750] = {.lex_state = 54, .external_lex_state = 2},
  [751] = {.lex_state = 54, .external_lex_state = 3},
  [752] = {.lex_state = 54, .external_lex_state = 3},
  [753] = {.lex_state = 54, .external_lex_state = 2},
  [754] = {.lex_state = 54, .external_lex_state = 2},
  [755] = {.lex_state = 54, .external_lex_state = 3},
  [756] = {.lex_state = 54, .external_lex_state = 3},
  [757] = {.lex_state = 54, .external_lex_state = 3},
  [758] = {.lex_state = 54, .external_lex_state = 7},
  [759] = {.lex_state = 54, .external_lex_state = 2},
  [760] = {.lex_state = 54, .external_lex_state = 3},
  [761] = {.lex_state = 54, .external_lex_state = 3},
  [762] = {.lex_state = 54, .external_lex_state = 2},
  [763] = {.lex_state = 54, .external_lex_state = 2},
  [764] = {.lex_state = 54, .external_lex_state = 2},
  [765] = {.lex_state = 54, .external_lex_state = 2},
  [766] = {.lex_state = 54, .external_lex_state = 3},
  [767] = {.lex_state = 54, .external_lex_state = 2},
  [768] = {.lex_state = 54, .external_lex_state = 2},
  [769] = {.lex_state = 54, .external_lex_state = 2},
  [770] = {.lex_state = 54, .external_lex_state = 2},
  [771] = {.lex_state = 54, .external_lex_state = 2},
  [772] = {.lex_state = 54, .external_lex_state = 3},
  [773] = {.lex_state = 54, .external_lex_state = 3},
  [774] = {.lex_state = 54, .external_lex_state = 2},
  [775] = {.lex_state = 54, .external_lex_state = 2},
  [776] = {.lex_state = 54, .external_lex_state = 3},
  [777] = {.lex_state = 54, .external_lex_state = 3},
  [778] = {.lex_state = 54, .external_lex_state = 3},
  [779] = {.lex_state = 54, .external_lex_state = 8},
  [780] = {.lex_state = 54, .external_lex_state = 3},
  [781] = {.lex_state = 54, .external_lex_state = 3},
  [782] = {.lex_state = 54, .external_lex_state = 3},
  [783] = {.lex_state = 54, .external_lex_state = 3},
  [784] = {.lex_state = 54, .external_lex_state = 3},
  [785] = {.lex_state = 54, .external_lex_state = 2},
  [786] = {.lex_state = 54, .external_lex_state = 2},
  [787] = {.lex_state = 54, .external_lex_state = 2},
  [788] = {.lex_state = 54, .external_lex_state = 3},
  [789] = {.lex_state = 54, .external_lex_state = 2},
  [790] = {.lex_state = 54, .external_lex_state = 2},
  [791] = {.lex_state = 54, .external_lex_state = 3},
  [792] = {.lex_state = 54, .external_lex_state = 3},
  [793] = {.lex_state = 54, .external_lex_state = 3},
  [794] = {.lex_state = 54, .external_lex_state = 3},
  [795] = {.lex_state = 54, .external_lex_state = 3},
  [796] = {.lex_state = 54, .external_lex_state = 3},
  [797] = {.lex_state = 54, .external_lex_state = 3},
  [798] = {.lex_state = 54, .external_lex_state = 3},
  [799] = {.lex_state = 54, .external_lex_state = 2},
  [800] = {.lex_state = 54, .external_lex_state = 2},
  [801] = {.lex_state = 54, .external_lex_state = 2},
  [802] = {.lex_state = 54, .external_lex_state = 7},
  [803] = {.lex_state = 54, .external_lex_state = 2},
  [804] = {.lex_state = 54, .external_lex_state = 2},
  [805] = {.lex_state = 54, .external_lex_state = 2},
  [806] = {.lex_state = 54, .external_lex_state = 2},
  [807] = {.lex_state = 54, .external_lex_state = 3},
  [808] = {.lex_state = 54, .external_lex_state = 3},
  [809] = {.lex_state = 54, .external_lex_state = 2},
  [810] = {.lex_state = 54, .external_lex_state = 3},
  [811] = {.lex_state = 54, .external_lex_state = 2},
  [812] = {.lex_state = 54, .external_lex_state = 8},
  [813] = {.lex_state = 54, .external_lex_state = 2},
  [814] = {.lex_state = 54, .external_lex_state = 3},
  [815] = {.lex_state = 54, .external_lex_state = 2},
  [816] = {.lex_state = 54, .external_lex_state = 2},
  [817] = {.lex_state = 54, .external_lex_state = 3},
  [818] = {.lex_state = 54, .external_lex_state = 2},
  [819] = {.lex_state = 54, .external_lex_state = 2},
  [820] = {.lex_state = 54, .external_lex_state = 3},
  [821] = {.lex_state = 54, .external_lex_state = 2},
  [822] = {.lex_state = 54, .external_lex_state = 3},
  [823] = {.lex_state = 54, .external_lex_state = 3},
  [824] = {.lex_state = 54, .external_lex_state = 3},
  [825] = {.lex_state = 54, .external_lex_state = 2},
  [826] = {.lex_state = 54, .external_lex_state = 2},
  [827] = {.lex_state = 54, .external_lex_state = 2},
  [828] = {.lex_state = 54, .external_lex_state = 2},
  [829] = {.lex_state = 54, .external_lex_state = 3},
  [830] = {.lex_state = 54, .external_lex_state = 3},
  [831] = {.lex_state = 54, .external_lex_state = 2},
  [832] = {.lex_state = 54, .external_lex_state = 2},
  [833] = {.lex_state = 54, .external_lex_state = 2},
  [834] = {.lex_state = 54, .external_lex_state = 2},
  [835] = {.lex_state = 54, .external_lex_state = 2},
  [836] = {.lex_state = 54, .external_lex_state = 3},
  [837] = {.lex_state = 54, .external_lex_state = 2},
  [838] = {.lex_state = 54, .external_lex_state = 3},
  [839] = {.lex_state = 54, .external_lex_state = 2},
  [840] = {.lex_state = 54, .external_lex_state = 3},
  [841] = {.lex_state = 54, .external_lex_state = 3},
  [842] = {.lex_state = 54, .external_lex_state = 2},
  [843] = {.lex_state = 54, .external_lex_state = 2},
  [844] = {.lex_state = 54, .external_lex_state = 2},
  [845] = {.lex_state = 54, .external_lex_state = 3},
  [846] = {.lex_state = 54, .external_lex_state = 3},
  [847] = {.lex_state = 54, .external_lex_state = 2},
  [848] = {.lex_state = 54, .external_lex_state = 2},
  [849] = {.lex_state = 54, .external_lex_state = 2},
  [850] = {.lex_state = 54, .external_lex_state = 2},
  [851] = {.lex_state = 54, .external_lex_state = 2},
  [852] = {.lex_state = 54, .external_lex_state = 2},
  [853] = {.lex_state = 54, .external_lex_state = 2},
  [854] = {.lex_state = 54, .external_lex_state = 2},
  [855] = {.lex_state = 54, .external_lex_state = 2},
  [856] = {.lex_state = 54, .external_lex_state = 2},
  [857] = {.lex_state = 54, .external_lex_state = 2},
  [858] = {.lex_state = 54, .external_lex_state = 7},
  [859] = {.lex_state = 54, .external_lex_state = 2},
  [860] = {.lex_state = 54, .external_lex_state = 2},
  [861] = {.lex_state = 54, .external_lex_state = 2},
  [862] = {.lex_state = 54, .external_lex_state = 2},
  [863] = {.lex_state = 54, .external_lex_state = 2},
  [864] = {.lex_state = 54, .external_lex_state = 2},
  [865] = {.lex_state = 54, .external_lex_state = 2},
  [866] = {.lex_state = 54, .external_lex_state = 2},
  [867] = {.lex_state = 54, .external_lex_state = 2},
  [868] = {.lex_state = 54, .external_lex_state = 2},
  [869] = {.lex_state = 54, .external_lex_state = 2},
  [870] = {.lex_state = 54, .external_lex_state = 2},
  [871] = {.lex_state = 54, .external_lex_state = 2},
  [872] = {.lex_state = 54, .external_lex_state = 2},
  [873] = {.lex_state = 54, .external_lex_state = 2},
  [874] = {.lex_state = 54, .external_lex_state = 2},
  [875] = {.lex_state = 54, .external_lex_state = 2},
  [876] = {.lex_state = 54, .external_lex_state = 2},
  [877] = {.lex_state = 54, .external_lex_state = 2},
  [878] = {.lex_state = 54, .external_lex_state = 2},
  [879] = {.lex_state = 54, .external_lex_state = 2},
  [880] = {.lex_state = 54, .external_lex_state = 2},
  [881] = {.lex_state = 54, .external_lex_state = 2},
  [882] = {.lex_state = 54, .external_lex_state = 2},
  [883] = {.lex_state = 54, .external_lex_state = 2},
  [884] = {.lex_state = 54, .external_lex_state = 2},
  [885] = {.lex_state = 54, .external_lex_state = 2},
  [886] = {.lex_state = 54, .external_lex_state = 2},
  [887] = {.lex_state = 54, .external_lex_state = 2},
  [888] = {.lex_state = 54, .external_lex_state = 2},
  [889] = {.lex_state = 54, .external_lex_state = 2},
  [890] = {.lex_state = 54, .external_lex_state = 2},
  [891] = {.lex_state = 54, .external_lex_state = 2},
  [892] = {.lex_state = 54, .external_lex_state = 2},
  [893] = {.lex_state = 54, .external_lex_state = 2},
  [894] = {.lex_state = 54, .external_lex_state = 2},
  [895] = {.lex_state = 54, .external_lex_state = 2},
  [896] = {.lex_state = 54, .external_lex_state = 2},
  [897] = {.lex_state = 54, .external_lex_state = 2},
  [898] = {.lex_state = 54, .external_lex_state = 2},
  [899] = {.lex_state = 54, .external_lex_state = 2},
  [900] = {.lex_state = 54, .external_lex_state = 2},
  [901] = {.lex_state = 54, .external_lex_state = 2},
  [902] = {.lex_state = 54, .external_lex_state = 2},
  [903] = {.lex_state = 54, .external_lex_state = 2},
  [904] = {.lex_state = 54, .external_lex_state = 2},
  [905] = {.lex_state = 54, .external_lex_state = 2},
  [906] = {.lex_state = 54, .external_lex_state = 2},
  [907] = {.lex_state = 54, .external_lex_state = 2},
  [908] = {.lex_state = 54, .external_lex_state = 2},
  [909] = {.lex_state = 54, .external_lex_state = 2},
  [910] = {.lex_state = 54, .external_lex_state = 2},
  [911] = {.lex_state = 54, .external_lex_state = 2},
  [912] = {.lex_state = 54, .external_lex_state = 2},
  [913] = {.lex_state = 54, .external_lex_state = 2},
  [914] = {.lex_state = 54, .external_lex_state = 2},
  [915] = {.lex_state = 54, .external_lex_state = 2},
  [916] = {.lex_state = 54, .external_lex_state = 2},
  [917] = {.lex_state = 54, .external_lex_state = 2},
  [918] = {.lex_state = 54, .external_lex_state = 2},
  [919] = {.lex_state = 54, .external_lex_state = 2},
  [920] = {.lex_state = 54, .external_lex_state = 2},
  [921] = {.lex_state = 54, .external_lex_state = 2},
  [922] = {.lex_state = 54, .external_lex_state = 2},
  [923] = {.lex_state = 54, .external_lex_state = 2},
  [924] = {.lex_state = 54, .external_lex_state = 2},
  [925] = {.lex_state = 54, .external_lex_state = 2},
  [926] = {.lex_state = 54, .external_lex_state = 2},
  [927] = {.lex_state = 54, .external_lex_state = 2},
  [928] = {.lex_state = 54, .external_lex_state = 2},
  [929] = {.lex_state = 54, .external_lex_state = 2},
  [930] = {.lex_state = 54, .external_lex_state = 2},
  [931] = {.lex_state = 54, .external_lex_state = 2},
  [932] = {.lex_state = 54, .external_lex_state = 2},
  [933] = {.lex_state = 54, .external_lex_state = 2},
  [934] = {.lex_state = 54, .external_lex_state = 2},
  [935] = {.lex_state = 54, .external_lex_state = 2},
  [936] = {.lex_state = 54, .external_lex_state = 2},
  [937] = {.lex_state = 54, .external_lex_state = 2},
  [938] = {.lex_state = 54, .external_lex_state = 2},
  [939] = {.lex_state = 54, .external_lex_state = 2},
  [940] = {.lex_state = 54, .external_lex_state = 2},
  [941] = {.lex_state = 54, .external_lex_state = 2},
  [942] = {.lex_state = 54, .external_lex_state = 2},
  [943] = {.lex_state = 54, .external_lex_state = 2},
  [944] = {.lex_state = 54, .external_lex_state = 2},
  [945] = {.lex_state = 54, .external_lex_state = 2},
  [946] = {.lex_state = 54, .external_lex_state = 2},
  [947] = {.lex_state = 54, .external_lex_state = 2},
  [948] = {.lex_state = 54, .external_lex_state = 2},
  [949] = {.lex_state = 54, .external_lex_state = 2},
  [950] = {.lex_state = 54, .external_lex_state = 2},
  [951] = {.lex_state = 54, .external_lex_state = 2},
  [952] = {.lex_state = 54, .external_lex_state = 2},
  [953] = {.lex_state = 54, .external_lex_state = 2},
  [954] = {.lex_state = 54, .external_lex_state = 2},
  [955] = {.lex_state = 54, .external_lex_state = 2},
  [956] = {.lex_state = 54, .external_lex_state = 2},
  [957] = {.lex_state = 54, .external_lex_state = 2},
  [958] = {.lex_state = 54, .external_lex_state = 2},
  [959] = {.lex_state = 54, .external_lex_state = 2},
  [960] = {.lex_state = 54, .external_lex_state = 2},
  [961] = {.lex_state = 54, .external_lex_state = 2},
  [962] = {.lex_state = 54, .external_lex_state = 2},
  [963] = {.lex_state = 54, .external_lex_state = 2},
  [964] = {.lex_state = 54, .external_lex_state = 2},
  [965] = {.lex_state = 54, .external_lex_state = 2},
  [966] = {.lex_state = 54, .external_lex_state = 2},
  [967] = {.lex_state = 54, .external_lex_state = 2},
  [968] = {.lex_state = 54, .external_lex_state = 2},
  [969] = {.lex_state = 54, .external_lex_state = 2},
  [970] = {.lex_state = 54, .external_lex_state = 2},
  [971] = {.lex_state = 54, .external_lex_state = 2},
  [972] = {.lex_state = 54, .external_lex_state = 2},
  [973] = {.lex_state = 54, .external_lex_state = 2},
  [974] = {.lex_state = 54, .external_lex_state = 2},
  [975] = {.lex_state = 13, .external_lex_state = 4},
  [976] = {.lex_state = 13, .external_lex_state = 4},
  [977] = {.lex_state = 13, .external_lex_state = 4},
  [978] = {.lex_state = 13, .external_lex_state = 9},
  [979] = {.lex_state = 13, .external_lex_state = 6},
  [980] = {.lex_state = 13, .external_lex_state = 6},
  [981] = {.lex_state = 13, .external_lex_state = 9},
  [982] = {.lex_state = 13, .external_lex_state = 9},
  [983] = {.lex_state = 13, .external_lex_state = 12},
  [984] = {.lex_state = 13, .external_lex_state = 9},
  [985] = {.lex_state = 13, .external_lex_state = 6},
  [986] = {.lex_state = 13, .external_lex_state = 9},
  [987] = {.lex_state = 13, .external_lex_state = 9},
  [988] = {.lex_state = 13, .external_lex_state = 9},
  [989] = {.lex_state = 13, .external_lex_state = 9},
  [990] = {.lex_state = 13, .external_lex_state = 6},
  [991] = {.lex_state = 13, .external_lex_state = 9},
  [992] = {.lex_state = 13, .external_lex_state = 9},
  [993] = {.lex_state = 13, .external_lex_state = 9},
  [994] = {.lex_state = 13, .external_lex_state = 9},
  [995] = {.lex_state = 13, .external_lex_state = 12},
  [996] = {.lex_state = 13, .external_lex_state = 6},
  [997] = {.lex_state = 13, .external_lex_state = 9},
  [998] = {.lex_state = 13, .external_lex_state = 6},
  [999] = {.lex_state = 13, .external_lex_state = 2},
  [1000] = {.lex_state = 13, .external_lex_state = 12},
  [1001] = {.lex_state = 13, .external_lex_state = 12},
  [1002] = {.lex_state = 13, .external_lex_state = 12},
  [1003] = {.lex_state = 13, .external_lex_state = 12},
  [1004] = {.lex_state = 13, .external_lex_state = 12},
  [1005] = {.lex_state = 13, .external_lex_state = 12},
  [1006] = {.lex_state = 13, .external_lex_state = 12},
  [1007] = {.lex_state = 13, .external_lex_state = 9},
  [1008] = {.lex_state = 13, .external_lex_state = 12},
  [1009] = {.lex_state = 13, .external_lex_state = 12},
  [1010] = {.lex_state = 13, .external_lex_state = 12},
  [1011] = {.lex_state = 13, .external_lex_state = 12},
  [1012] = {.lex_state = 13, .external_lex_state = 12},
  [1013] = {.lex_state = 13, .external_lex_state = 12},
  [1014] = {.lex_state = 13, .external_lex_state = 12},
  [1015] = {.lex_state = 13, .external_lex_state = 12},
  [1016] = {.lex_state = 13, .external_lex_state = 12},
  [1017] = {.lex_state = 13, .external_lex_state = 12},
  [1018] = {.lex_state = 13, .external_lex_state = 12},
  [1019] = {.lex_state = 13, .external_lex_state = 12},
  [1020] = {.lex_state = 13, .external_lex_state = 12},
  [1021] = {.lex_state = 13, .external_lex_state = 12},
  [1022] = {.lex_state = 13, .external_lex_state = 12},
  [1023] = {.lex_state = 13, .external_lex_state = 12},
  [1024] = {.lex_state = 13, .external_lex_state = 12},
  [1025] = {.lex_state = 13, .external_lex_state = 4},
  [1026] = {.lex_state = 13, .external_lex_state = 12},
  [1027] = {.lex_state = 13, .external_lex_state = 12},
  [1028] = {.lex_state = 13, .external_lex_state = 7},
  [1029] = {.lex_state = 13, .external_lex_state = 8},
  [1030] = {.lex_state = 13, .external_lex_state = 4},
  [1031] = {.lex_state = 13, .external_lex_state = 12},
  [1032] = {.lex_state = 13, .external_lex_state = 12},
  [1033] = {.lex_state = 13, .external_lex_state = 7},
  [1034] = {.lex_state = 13, .external_lex_state = 2},
  [1035] = {.lex_state = 13, .external_lex_state = 12},
  [1036] = {.lex_state = 13, .external_lex_state = 13},
  [1037] = {.lex_state = 13, .external_lex_state = 12},
  [1038] = {.lex_state = 13, .external_lex_state = 7},
  [1039] = {.lex_state = 13, .external_lex_state = 8},
  [1040] = {.lex_state = 14, .external_lex_state = 9},
  [1041] = {.lex_state = 14, .external_lex_state = 9},
  [1042] = {.lex_state = 14, .external_lex_state = 9},
  [1043] = {.lex_state = 13, .external_lex_state = 7},
  [1044] = {.lex_state = 13, .external_lex_state = 7},
  [1045] = {.lex_state = 13, .external_lex_state = 14},
  [1046] = {.lex_state = 13, .external_lex_state = 8},
  [1047] = {.lex_state = 13, .external_lex_state = 2},
  [1048] = {.lex_state = 13, .external_lex_state = 15},
  [1049] = {.lex_state = 13, .external_lex_state = 7},
  [1050] = {.lex_state = 13, .external_lex_state = 15},
  [1051] = {.lex_state = 13, .external_lex_state = 12},
  [1052] = {.lex_state = 13, .external_lex_state = 9},
  [1053] = {.lex_state = 13, .external_lex_state = 9},
  [1054] = {.lex_state = 13, .external_lex_state = 9},
  [1055] = {.lex_state = 13, .external_lex_state = 9},
  [1056] = {.lex_state = 13, .external_lex_state = 15},
  [1057] = {.lex_state = 13, .external_lex_state = 13},
  [1058] = {.lex_state = 13, .external_lex_state = 9},
  [1059] = {.lex_state = 13, .external_lex_state = 8},
  [1060] = {.lex_state = 13, .external_lex_state = 14},
  [1061] = {.lex_state = 13, .external_lex_state = 14},
  [1062] = {.lex_state = 13, .external_lex_state = 14},
  [1063] = {.lex_state = 13, .external_lex_state = 14},
  [1064] = {.lex_state = 13, .external_lex_state = 14},
  [1065] = {.lex_state = 13, .external_lex_state = 14},
  [1066] = {.lex_state = 13, .external_lex_state = 13},
  [1067] = {.lex_state = 13, .external_lex_state = 14},
  [1068] = {.lex_state = 13, .external_lex_state = 14},
  [1069] = {.lex_state = 14, .external_lex_state = 12},
  [1070] = {.lex_state = 13, .external_lex_state = 14},
  [1071] = {.lex_state = 14, .external_lex_state = 12},
  [1072] = {.lex_state = 14, .external_lex_state = 12},
  [1073] = {.lex_state = 13, .external_lex_state = 9},
  [1074] = {.lex_state = 13, .external_lex_state = 13},
  [1075] = {.lex_state = 13, .external_lex_state = 9},
  [1076] = {.lex_state = 13, .external_lex_state = 9},
  [1077] = {.lex_state = 13, .external_lex_state = 9},
  [1078] = {.lex_state = 13, .external_lex_state = 14},
  [1079] = {.lex_state = 13, .external_lex_state = 14},
  [1080] = {.lex_state = 13, .external_lex_state = 15},
  [1081] = {.lex_state = 13, .external_lex_state = 9},
  [1082] = {.lex_state = 13, .external_lex_state = 9},
  [1083] = {.lex_state = 13, .external_lex_state = 9},
  [1084] = {.lex_state = 13, .external_lex_state = 6},
  [1085] = {.lex_state = 13, .external_lex_state = 9},
  [1086] = {.lex_state = 13, .external_lex_state = 9},
  [1087] = {.lex_state = 13, .external_lex_state = 9},
  [1088] = {.lex_state = 13, .external_lex_state = 9},
  [1089] = {.lex_state = 13, .external_lex_state = 9},
  [1090] = {.lex_state = 13, .external_lex_state = 9},
  [1091] = {.lex_state = 13, .external_lex_state = 9},
  [1092] = {.lex_state = 13, .external_lex_state = 15},
  [1093] = {.lex_state = 13, .external_lex_state = 14},
  [1094] = {.lex_state = 14, .external_lex_state = 12},
  [1095] = {.lex_state = 13, .external_lex_state = 15},
  [1096] = {.lex_state = 13, .external_lex_state = 9},
  [1097] = {.lex_state = 13, .external_lex_state = 9},
  [1098] = {.lex_state = 13, .external_lex_state = 13},
  [1099] = {.lex_state = 14, .external_lex_state = 12},
  [1100] = {.lex_state = 13, .external_lex_state = 15},
  [1101] = {.lex_state = 13, .external_lex_state = 15},
  [1102] = {.lex_state = 13, .external_lex_state = 9},
  [1103] = {.lex_state = 13, .external_lex_state = 15},
  [1104] = {.lex_state = 13, .external_lex_state = 6},
  [1105] = {.lex_state = 14, .external_lex_state = 12},
  [1106] = {.lex_state = 13, .external_lex_state = 15},
  [1107] = {.lex_state = 13, .external_lex_state = 15},
  [1108] = {.lex_state = 13, .external_lex_state = 15},
  [1109] = {.lex_state = 14, .external_lex_state = 15},
  [1110] = {.lex_state = 13, .external_lex_state = 9},
  [1111] = {.lex_state = 13, .external_lex_state = 6},
  [1112] = {.lex_state = 13, .external_lex_state = 15},
  [1113] = {.lex_state = 13, .external_lex_state = 15},
  [1114] = {.lex_state = 13, .external_lex_state = 9},
  [1115] = {.lex_state = 13, .external_lex_state = 9},
  [1116] = {.lex_state = 13, .external_lex_state = 13},
  [1117] = {.lex_state = 13, .external_lex_state = 15},
  [1118] = {.lex_state = 13, .external_lex_state = 13},
  [1119] = {.lex_state = 13, .external_lex_state = 15},
  [1120] = {.lex_state = 13, .external_lex_state = 15},
  [1121] = {.lex_state = 14, .external_lex_state = 12},
  [1122] = {.lex_state = 13, .external_lex_state = 9},
  [1123] = {.lex_state = 13, .external_lex_state = 9},
  [1124] = {.lex_state = 13, .external_lex_state = 15},
  [1125] = {.lex_state = 13, .external_lex_state = 15},
  [1126] = {.lex_state = 13, .external_lex_state = 15},
  [1127] = {.lex_state = 13, .external_lex_state = 15},
  [1128] = {.lex_state = 13, .external_lex_state = 15},
  [1129] = {.lex_state = 13, .external_lex_state = 9},
  [1130] = {.lex_state = 13, .external_lex_state = 15},
  [1131] = {.lex_state = 13, .external_lex_state = 15},
  [1132] = {.lex_state = 13, .external_lex_state = 8},
  [1133] = {.lex_state = 13, .external_lex_state = 8},
  [1134] = {.lex_state = 14, .external_lex_state = 12},
  [1135] = {.lex_state = 14, .external_lex_state = 12},
  [1136] = {.lex_state = 13, .external_lex_state = 6},
  [1137] = {.lex_state = 13, .external_lex_state = 9},
  [1138] = {.lex_state = 14, .external_lex_state = 12},
  [1139] = {.lex_state = 13, .external_lex_state = 9},
  [1140] = {.lex_state = 14, .external_lex_state = 12},
  [1141] = {.lex_state = 13, .external_lex_state = 15},
  [1142] = {.lex_state = 13, .external_lex_state = 9},
  [1143] = {.lex_state = 13, .external_lex_state = 15},
  [1144] = {.lex_state = 13, .external_lex_state = 13},
  [1145] = {.lex_state = 13, .external_lex_state = 9},
  [1146] = {.lex_state = 13, .external_lex_state = 9},
  [1147] = {.lex_state = 14, .external_lex_state = 15},
  [1148] = {.lex_state = 14, .external_lex_state = 12},
  [1149] = {.lex_state = 14, .external_lex_state = 15},
  [1150] = {.lex_state = 13, .external_lex_state = 9},
  [1151] = {.lex_state = 14, .external_lex_state = 9},
  [1152] = {.lex_state = 13, .external_lex_state = 13},
  [1153] = {.lex_state = 13, .external_lex_state = 9},
  [1154] = {.lex_state = 13, .external_lex_state = 9},
  [1155] = {.lex_state = 13, .external_lex_state = 13},
  [1156] = {.lex_state = 13, .external_lex_state = 13},
  [1157] = {.lex_state = 13, .external_lex_state = 13},
  [1158] = {.lex_state = 13, .external_lex_state = 13},
  [1159] = {.lex_state = 13, .external_lex_state = 13},
  [1160] = {.lex_state = 14, .external_lex_state = 15},
  [1161] = {.lex_state = 13, .external_lex_state = 12},
  [1162] = {.lex_state = 14, .external_lex_state = 13},
  [1163] = {.lex_state = 13, .external_lex_state = 12},
  [1164] = {.lex_state = 13, .external_lex_state = 12},
  [1165] = {.lex_state = 13, .external_lex_state = 12},
  [1166] = {.lex_state = 13, .external_lex_state = 12},
  [1167] = {.lex_state = 13, .external_lex_state = 12},
  [1168] = {.lex_state = 13, .external_lex_state = 12},
  [1169] = {.lex_state = 13, .external_lex_state = 12},
  [1170] = {.lex_state = 13, .external_lex_state = 12},
  [1171] = {.lex_state = 13, .external_lex_state = 13},
  [1172] = {.lex_state = 13, .external_lex_state = 12},
  [1173] = {.lex_state = 13, .external_lex_state = 7},
  [1174] = {.lex_state = 13, .external_lex_state = 12},
  [1175] = {.lex_state = 14, .external_lex_state = 13},
  [1176] = {.lex_state = 13, .external_lex_state = 12},
  [1177] = {.lex_state = 13, .external_lex_state = 12},
  [1178] = {.lex_state = 13, .external_lex_state = 12},
  [1179] = {.lex_state = 13, .external_lex_state = 13},
  [1180] = {.lex_state = 13, .external_lex_state = 13},
  [1181] = {.lex_state = 13, .external_lex_state = 2},
  [1182] = {.lex_state = 13, .external_lex_state = 12},
  [1183] = {.lex_state = 13, .external_lex_state = 12},
  [1184] = {.lex_state = 13, .external_lex_state = 12},
  [1185] = {.lex_state = 13, .external_lex_state = 12},
  [1186] = {.lex_state = 13, .external_lex_state = 12},
  [1187] = {.lex_state = 13, .external_lex_state = 12},
  [1188] = {.lex_state = 13, .external_lex_state = 7},
  [1189] = {.lex_state = 13, .external_lex_state = 12},
  [1190] = {.lex_state = 13, .external_lex_state = 12},
  [1191] = {.lex_state = 13, .external_lex_state = 13},
  [1192] = {.lex_state = 13, .external_lex_state = 13},
  [1193] = {.lex_state = 13, .external_lex_state = 13},
  [1194] = {.lex_state = 13, .external_lex_state = 13},
  [1195] = {.lex_state = 13, .external_lex_state = 13},
  [1196] = {.lex_state = 13, .external_lex_state = 13},
  [1197] = {.lex_state = 13, .external_lex_state = 12},
  [1198] = {.lex_state = 13, .external_lex_state = 13},
  [1199] = {.lex_state = 13, .external_lex_state = 13},
  [1200] = {.lex_state = 13, .external_lex_state = 12},
  [1201] = {.lex_state = 13, .external_lex_state = 12},
  [1202] = {.lex_state = 13, .external_lex_state = 13},
  [1203] = {.lex_state = 13, .external_lex_state = 13},
  [1204] = {.lex_state = 13, .external_lex_state = 12},
  [1205] = {.lex_state = 13, .external_lex_state = 12},
  [1206] = {.lex_state = 13, .external_lex_state = 12},
  [1207] = {.lex_state = 14, .external_lex_state = 13},
  [1208] = {.lex_state = 13, .external_lex_state = 12},
  [1209] = {.lex_state = 14, .external_lex_state = 13},
  [1210] = {.lex_state = 14, .external_lex_state = 13},
  [1211] = {.lex_state = 14, .external_lex_state = 13},
  [1212] = {.lex_state = 14, .external_lex_state = 15},
  [1213] = {.lex_state = 13, .external_lex_state = 12},
  [1214] = {.lex_state = 13, .external_lex_state = 12},
  [1215] = {.lex_state = 14, .external_lex_state = 15},
  [1216] = {.lex_state = 13, .external_lex_state = 12},
  [1217] = {.lex_state = 14, .external_lex_state = 15},
  [1218] = {.lex_state = 13, .external_lex_state = 15},
  [1219] = {.lex_state = 13, .external_lex_state = 12},
  [1220] = {.lex_state = 13, .external_lex_state = 12},
  [1221] = {.lex_state = 13, .external_lex_state = 2},
  [1222] = {.lex_state = 13, .external_lex_state = 12},
  [1223] = {.lex_state = 13, .external_lex_state = 12},
  [1224] = {.lex_state = 14, .external_lex_state = 14},
  [1225] = {.lex_state = 13, .external_lex_state = 12},
  [1226] = {.lex_state = 13, .external_lex_state = 12},
  [1227] = {.lex_state = 13, .external_lex_state = 12},
  [1228] = {.lex_state = 13, .external_lex_state = 7},
  [1229] = {.lex_state = 14, .external_lex_state = 13},
  [1230] = {.lex_state = 13, .external_lex_state = 15},
  [1231] = {.lex_state = 13, .external_lex_state = 12},
  [1232] = {.lex_state = 13, .external_lex_state = 15},
  [1233] = {.lex_state = 13, .external_lex_state = 12},
  [1234] = {.lex_state = 13, .external_lex_state = 12},
  [1235] = {.lex_state = 13, .external_lex_state = 15},
  [1236] = {.lex_state = 13, .external_lex_state = 15},
  [1237] = {.lex_state = 13, .external_lex_state = 12},
  [1238] = {.lex_state = 13, .external_lex_state = 12},
  [1239] = {.lex_state = 14, .external_lex_state = 15},
  [1240] = {.lex_state = 14, .external_lex_state = 15},
  [1241] = {.lex_state = 14, .external_lex_state = 13},
  [1242] = {.lex_state = 13, .external_lex_state = 12},
  [1243] = {.lex_state = 14, .external_lex_state = 15},
  [1244] = {.lex_state = 13, .external_lex_state = 12},
  [1245] = {.lex_state = 13, .external_lex_state = 12},
  [1246] = {.lex_state = 13, .external_lex_state = 12},
  [1247] = {.lex_state = 13, .external_lex_state = 12},
  [1248] = {.lex_state = 13, .external_lex_state = 12},
  [1249] = {.lex_state = 13, .external_lex_state = 12},
  [1250] = {.lex_state = 14, .external_lex_state = 15},
  [1251] = {.lex_state = 14, .external_lex_state = 15},
  [1252] = {.lex_state = 13, .external_lex_state = 12},
  [1253] = {.lex_state = 13, .external_lex_state = 12},
  [1254] = {.lex_state = 13, .external_lex_state = 8},
  [1255] = {.lex_state = 13, .external_lex_state = 12},
  [1256] = {.lex_state = 13, .external_lex_state = 12},
  [1257] = {.lex_state = 13, .external_lex_state = 12},
  [1258] = {.lex_state = 13, .external_lex_state = 12},
  [1259] = {.lex_state = 13, .external_lex_state = 12},
  [1260] = {.lex_state = 13, .external_lex_state = 12},
  [1261] = {.lex_state = 13, .external_lex_state = 15},
  [1262] = {.lex_state = 13, .external_lex_state = 12},
  [1263] = {.lex_state = 14, .external_lex_state = 15},
  [1264] = {.lex_state = 14, .external_lex_state = 15},
  [1265] = {.lex_state = 14, .external_lex_state = 15},
  [1266] = {.lex_state = 13, .external_lex_state = 12},
  [1267] = {.lex_state = 13, .external_lex_state = 12},
  [1268] = {.lex_state = 13, .external_lex_state = 12},
  [1269] = {.lex_state = 13, .external_lex_state = 12},
  [1270] = {.lex_state = 14, .external_lex_state = 15},
  [1271] = {.lex_state = 13, .external_lex_state = 12},
  [1272] = {.lex_state = 13, .external_lex_state = 7},
  [1273] = {.lex_state = 13, .external_lex_state = 12},
  [1274] = {.lex_state = 14, .external_lex_state = 13},
  [1275] = {.lex_state = 14, .external_lex_state = 13},
  [1276] = {.lex_state = 14, .external_lex_state = 14},
  [1277] = {.lex_state = 14, .external_lex_state = 14},
  [1278] = {.lex_state = 14, .external_lex_state = 14},
  [1279] = {.lex_state = 13, .external_lex_state = 15},
  [1280] = {.lex_state = 13, .external_lex_state = 12},
  [1281] = {.lex_state = 13, .external_lex_state = 15},
  [1282] = {.lex_state = 13, .external_lex_state = 12},
  [1283] = {.lex_state = 13, .external_lex_state = 12},
  [1284] = {.lex_state = 13, .external_lex_state = 8},
  [1285] = {.lex_state = 13, .external_lex_state = 12},
  [1286] = {.lex_state = 13, .external_lex_state = 12},
  [1287] = {.lex_state = 13, .external_lex_state = 15},
  [1288] = {.lex_state = 13, .external_lex_state = 15},
  [1289] = {.lex_state = 8, .external_lex_state = 9},
  [1290] = {.lex_state = 8, .external_lex_state = 9},
  [1291] = {.lex_state = 8, .external_lex_state = 9},
  [1292] = {.lex_state = 13, .external_lex_state = 14},
  [1293] = {.lex_state = 13, .external_lex_state = 15},
  [1294] = {.lex_state = 8, .external_lex_state = 9},
  [1295] = {.lex_state = 13, .external_lex_state = 15},
  [1296] = {.lex_state = 13, .external_lex_state = 13},
  [1297] = {.lex_state = 13, .external_lex_state = 13},
  [1298] = {.lex_state = 13, .external_lex_state = 15},
  [1299] = {.lex_state = 13, .external_lex_state = 15},
  [1300] = {.lex_state = 13, .external_lex_state = 15},
  [1301] = {.lex_state = 13, .external_lex_state = 14},
  [1302] = {.lex_state = 13, .external_lex_state = 14},
  [1303] = {.lex_state = 13, .external_lex_state = 15},
  [1304] = {.lex_state = 13, .external_lex_state = 13},
  [1305] = {.lex_state = 13, .external_lex_state = 15},
  [1306] = {.lex_state = 13, .external_lex_state = 14},
  [1307] = {.lex_state = 13, .external_lex_state = 15},
  [1308] = {.lex_state = 8, .external_lex_state = 9},
  [1309] = {.lex_state = 8, .external_lex_state = 9},
  [1310] = {.lex_state = 13, .external_lex_state = 15},
  [1311] = {.lex_state = 13, .external_lex_state = 15},
  [1312] = {.lex_state = 13, .external_lex_state = 13},
  [1313] = {.lex_state = 13, .external_lex_state = 15},
  [1314] = {.lex_state = 13, .external_lex_state = 13},
  [1315] = {.lex_state = 13, .external_lex_state = 13},
  [1316] = {.lex_state = 13, .external_lex_state = 15},
  [1317] = {.lex_state = 13, .external_lex_state = 15},
  [1318] = {.lex_state = 13, .external_lex_state = 14},
  [1319] = {.lex_state = 13, .external_lex_state = 15},
  [1320] = {.lex_state = 13, .external_lex_state = 13},
  [1321] = {.lex_state = 13, .external_lex_state = 13},
  [1322] = {.lex_state = 13, .external_lex_state = 13},
  [1323] = {.lex_state = 13, .external_lex_state = 13},
  [1324] = {.lex_state = 13, .external_lex_state = 14},
  [1325] = {.lex_state = 13, .external_lex_state = 14},
  [1326] = {.lex_state = 13, .external_lex_state = 14},
  [1327] = {.lex_state = 13, .external_lex_state = 15},
  [1328] = {.lex_state = 13, .external_lex_state = 15},
  [1329] = {.lex_state = 13, .external_lex_state = 15},
  [1330] = {.lex_state = 13, .external_lex_state = 15},
  [1331] = {.lex_state = 13, .external_lex_state = 14},
  [1332] = {.lex_state = 13, .external_lex_state = 14},
  [1333] = {.lex_state = 13, .external_lex_state = 14},
  [1334] = {.lex_state = 13, .external_lex_state = 14},
  [1335] = {.lex_state = 13, .external_lex_state = 13},
  [1336] = {.lex_state = 13, .external_lex_state = 13},
  [1337] = {.lex_state = 13, .external_lex_state = 15},
  [1338] = {.lex_state = 13, .external_lex_state = 14},
  [1339] = {.lex_state = 13, .external_lex_state = 15},
  [1340] = {.lex_state = 13, .external_lex_state = 15},
  [1341] = {.lex_state = 13, .external_lex_state = 15},
  [1342] = {.lex_state = 13, .external_lex_state = 15},
  [1343] = {.lex_state = 13, .external_lex_state = 15},
  [1344] = {.lex_state = 13, .external_lex_state = 13},
  [1345] = {.lex_state = 13, .external_lex_state = 13},
  [1346] = {.lex_state = 13, .external_lex_state = 13},
  [1347] = {.lex_state = 13, .external_lex_state = 13},
  [1348] = {.lex_state = 13, .external_lex_state = 13},
  [1349] = {.lex_state = 13, .external_lex_state = 14},
  [1350] = {.lex_state = 13, .external_lex_state = 14},
  [1351] = {.lex_state = 13, .external_lex_state = 15},
  [1352] = {.lex_state = 13, .external_lex_state = 14},
  [1353] = {.lex_state = 13, .external_lex_state = 15},
  [1354] = {.lex_state = 14, .external_lex_state = 15},
  [1355] = {.lex_state = 13, .external_lex_state = 14},
  [1356] = {.lex_state = 13, .external_lex_state = 14},
  [1357] = {.lex_state = 13, .external_lex_state = 15},
  [1358] = {.lex_state = 13, .external_lex_state = 14},
  [1359] = {.lex_state = 13, .external_lex_state = 14},
  [1360] = {.lex_state = 14, .external_lex_state = 15},
  [1361] = {.lex_state = 14, .external_lex_state = 15},
  [1362] = {.lex_state = 13, .external_lex_state = 14},
  [1363] = {.lex_state = 13, .external_lex_state = 14},
  [1364] = {.lex_state = 13, .external_lex_state = 15},
  [1365] = {.lex_state = 13, .external_lex_state = 14},
  [1366] = {.lex_state = 13, .external_lex_state = 14},
  [1367] = {.lex_state = 13, .external_lex_state = 14},
  [1368] = {.lex_state = 13, .external_lex_state = 14},
  [1369] = {.lex_state = 13, .external_lex_state = 14},
  [1370] = {.lex_state = 13, .external_lex_state = 14},
  [1371] = {.lex_state = 13, .external_lex_state = 14},
  [1372] = {.lex_state = 13, .external_lex_state = 14},
  [1373] = {.lex_state = 13, .external_lex_state = 13},
  [1374] = {.lex_state = 13, .external_lex_state = 15},
  [1375] = {.lex_state = 13, .external_lex_state = 13},
  [1376] = {.lex_state = 13, .external_lex_state = 15},
  [1377] = {.lex_state = 13, .external_lex_state = 15},
  [1378] = {.lex_state = 13, .external_lex_state = 13},
  [1379] = {.lex_state = 13, .external_lex_state = 14},
  [1380] = {.lex_state = 13, .external_lex_state = 13},
  [1381] = {.lex_state = 13, .external_lex_state = 13},
  [1382] = {.lex_state = 13, .external_lex_state = 15},
  [1383] = {.lex_state = 13, .external_lex_state = 15},
  [1384] = {.lex_state = 13, .external_lex_state = 15},
  [1385] = {.lex_state = 13, .external_lex_state = 15},
  [1386] = {.lex_state = 13, .external_lex_state = 15},
  [1387] = {.lex_state = 14, .external_lex_state = 13},
  [1388] = {.lex_state = 14, .external_lex_state = 13},
  [1389] = {.lex_state = 14, .external_lex_state = 13},
  [1390] = {.lex_state = 13, .external_lex_state = 13},
  [1391] = {.lex_state = 13, .external_lex_state = 13},
  [1392] = {.lex_state = 13, .external_lex_state = 13},
  [1393] = {.lex_state = 13, .external_lex_state = 15},
  [1394] = {.lex_state = 13, .external_lex_state = 15},
  [1395] = {.lex_state = 13, .external_lex_state = 15},
  [1396] = {.lex_state = 13, .external_lex_state = 13},
  [1397] = {.lex_state = 13, .external_lex_state = 13},
  [1398] = {.lex_state = 13, .external_lex_state = 15},
  [1399] = {.lex_state = 13, .external_lex_state = 15},
  [1400] = {.lex_state = 13, .external_lex_state = 15},
  [1401] = {.lex_state = 13, .external_lex_state = 13},
  [1402] = {.lex_state = 13, .external_lex_state = 9},
  [1403] = {.lex_state = 13, .external_lex_state = 15},
  [1404] = {.lex_state = 13, .external_lex_state = 14},
  [1405] = {.lex_state = 13, .external_lex_state = 15},
  [1406] = {.lex_state = 13, .external_lex_state = 13},
  [1407] = {.lex_state = 13, .external_lex_state = 15},
  [1408] = {.lex_state = 13, .external_lex_state = 14},
  [1409] = {.lex_state = 13, .external_lex_state = 15},
  [1410] = {.lex_state = 13, .external_lex_state = 15},
  [1411] = {.lex_state = 13, .external_lex_state = 15},
  [1412] = {.lex_state = 13, .external_lex_state = 13},
  [1413] = {.lex_state = 13, .external_lex_state = 15},
  [1414] = {.lex_state = 13, .external_lex_state = 15},
  [1415] = {.lex_state = 13, .external_lex_state = 13},
  [1416] = {.lex_state = 13, .external_lex_state = 13},
  [1417] = {.lex_state = 13, .external_lex_state = 15},
  [1418] = {.lex_state = 13, .external_lex_state = 15},
  [1419] = {.lex_state = 13, .external_lex_state = 15},
  [1420] = {.lex_state = 13, .external_lex_state = 15},
  [1421] = {.lex_state = 13, .external_lex_state = 15},
  [1422] = {.lex_state = 13, .external_lex_state = 15},
  [1423] = {.lex_state = 13, .external_lex_state = 15},
  [1424] = {.lex_state = 13, .external_lex_state = 15},
  [1425] = {.lex_state = 13, .external_lex_state = 15},
  [1426] = {.lex_state = 13, .external_lex_state = 15},
  [1427] = {.lex_state = 13, .external_lex_state = 15},
  [1428] = {.lex_state = 13, .external_lex_state = 15},
  [1429] = {.lex_state = 13, .external_lex_state = 15},
  [1430] = {.lex_state = 13, .external_lex_state = 8},
  [1431] = {.lex_state = 13, .external_lex_state = 14},
  [1432] = {.lex_state = 13, .external_lex_state = 14},
  [1433] = {.lex_state = 13, .external_lex_state = 15},
  [1434] = {.lex_state = 13, .external_lex_state = 13},
  [1435] = {.lex_state = 13, .external_lex_state = 15},
  [1436] = {.lex_state = 13, .external_lex_state = 13},
  [1437] = {.lex_state = 13, .external_lex_state = 13},
  [1438] = {.lex_state = 13, .external_lex_state = 13},
  [1439] = {.lex_state = 13, .external_lex_state = 13},
  [1440] = {.lex_state = 13, .external_lex_state = 15},
  [1441] = {.lex_state = 13, .external_lex_state = 15},
  [1442] = {.lex_state = 13, .external_lex_state = 14},
  [1443] = {.lex_state = 13, .external_lex_state = 8},
  [1444] = {.lex_state = 13, .external_lex_state = 13},
  [1445] = {.lex_state = 13, .external_lex_state = 13},
  [1446] = {.lex_state = 13, .external_lex_state = 15},
  [1447] = {.lex_state = 13, .external_lex_state = 15},
  [1448] = {.lex_state = 13, .external_lex_state = 13},
  [1449] = {.lex_state = 13, .external_lex_state = 13},
  [1450] = {.lex_state = 13, .external_lex_state = 13},
  [1451] = {.lex_state = 14, .external_lex_state = 15},
  [1452] = {.lex_state = 13, .external_lex_state = 13},
  [1453] = {.lex_state = 14, .external_lex_state = 15},
  [1454] = {.lex_state = 13, .external_lex_state = 13},
  [1455] = {.lex_state = 13, .external_lex_state = 13},
  [1456] = {.lex_state = 13, .external_lex_state = 13},
  [1457] = {.lex_state = 13, .external_lex_state = 14},
  [1458] = {.lex_state = 13, .external_lex_state = 13},
  [1459] = {.lex_state = 13, .external_lex_state = 13},
  [1460] = {.lex_state = 13, .external_lex_state = 13},
  [1461] = {.lex_state = 13, .external_lex_state = 13},
  [1462] = {.lex_state = 13, .external_lex_state = 13},
  [1463] = {.lex_state = 13, .external_lex_state = 13},
  [1464] = {.lex_state = 13, .external_lex_state = 13},
  [1465] = {.lex_state = 13, .external_lex_state = 13},
  [1466] = {.lex_state = 13, .external_lex_state = 13},
  [1467] = {.lex_state = 13, .external_lex_state = 13},
  [1468] = {.lex_state = 13, .external_lex_state = 13},
  [1469] = {.lex_state = 13, .external_lex_state = 13},
  [1470] = {.lex_state = 14, .external_lex_state = 15},
  [1471] = {.lex_state = 13, .external_lex_state = 13},
  [1472] = {.lex_state = 13, .external_lex_state = 13},
  [1473] = {.lex_state = 13, .external_lex_state = 13},
  [1474] = {.lex_state = 13, .external_lex_state = 13},
  [1475] = {.lex_state = 14, .external_lex_state = 13},
  [1476] = {.lex_state = 14, .external_lex_state = 13},
  [1477] = {.lex_state = 14, .external_lex_state = 13},
  [1478] = {.lex_state = 13, .external_lex_state = 13},
  [1479] = {.lex_state = 13, .external_lex_state = 13},
  [1480] = {.lex_state = 13, .external_lex_state = 13},
  [1481] = {.lex_state = 13, .external_lex_state = 13},
  [1482] = {.lex_state = 14, .external_lex_state = 12},
  [1483] = {.lex_state = 14, .external_lex_state = 12},
  [1484] = {.lex_state = 13, .external_lex_state = 13},
  [1485] = {.lex_state = 13, .external_lex_state = 13},
  [1486] = {.lex_state = 14, .external_lex_state = 12},
  [1487] = {.lex_state = 13, .external_lex_state = 13},
  [1488] = {.lex_state = 13, .external_lex_state = 13},
  [1489] = {.lex_state = 13, .external_lex_state = 13},
  [1490] = {.lex_state = 13, .external_lex_state = 13},
  [1491] = {.lex_state = 13, .external_lex_state = 13},
  [1492] = {.lex_state = 13, .external_lex_state = 13},
  [1493] = {.lex_state = 13, .external_lex_state = 13},
  [1494] = {.lex_state = 13, .external_lex_state = 13},
  [1495] = {.lex_state = 13, .external_lex_state = 13},
  [1496] = {.lex_state = 13, .external_lex_state = 13},
  [1497] = {.lex_state = 13, .external_lex_state = 12},
  [1498] = {.lex_state = 13, .external_lex_state = 13},
  [1499] = {.lex_state = 8, .external_lex_state = 14},
  [1500] = {.lex_state = 8, .external_lex_state = 14},
  [1501] = {.lex_state = 8, .external_lex_state = 14},
  [1502] = {.lex_state = 8, .external_lex_state = 14},
  [1503] = {.lex_state = 13, .external_lex_state = 15},
  [1504] = {.lex_state = 8, .external_lex_state = 14},
  [1505] = {.lex_state = 8, .external_lex_state = 14},
  [1506] = {.lex_state = 8, .external_lex_state = 14},
  [1507] = {.lex_state = 8, .external_lex_state = 14},
  [1508] = {.lex_state = 8, .external_lex_state = 14},
  [1509] = {.lex_state = 8, .external_lex_state = 14},
  [1510] = {.lex_state = 8, .external_lex_state = 14},
  [1511] = {.lex_state = 8, .external_lex_state = 14},
  [1512] = {.lex_state = 8, .external_lex_state = 14},
  [1513] = {.lex_state = 8, .external_lex_state = 14},
  [1514] = {.lex_state = 8, .external_lex_state = 14},
  [1515] = {.lex_state = 8, .external_lex_state = 14},
  [1516] = {.lex_state = 12, .external_lex_state = 2},
  [1517] = {.lex_state = 12, .external_lex_state = 2},
  [1518] = {.lex_state = 5, .external_lex_state = 7},
  [1519] = {.lex_state = 5, .external_lex_state = 8},
  [1520] = {.lex_state = 5, .external_lex_state = 8},
  [1521] = {.lex_state = 5, .external_lex_state = 7},
  [1522] = {.lex_state = 5, .external_lex_state = 7},
  [1523] = {.lex_state = 5, .external_lex_state = 7},
  [1524] = {.lex_state = 5, .external_lex_state = 7},
  [1525] = {.lex_state = 5, .external_lex_state = 7},
  [1526] = {.lex_state = 5, .external_lex_state = 7},
  [1527] = {.lex_state = 5, .external_lex_state = 8},
  [1528] = {.lex_state = 5, .external_lex_state = 7},
  [1529] = {.lex_state = 5, .external_lex_state = 7},
  [1530] = {.lex_state = 5, .external_lex_state = 7},
  [1531] = {.lex_state = 5, .external_lex_state = 7},
  [1532] = {.lex_state = 5, .external_lex_state = 8},
  [1533] = {.lex_state = 5, .external_lex_state = 8},
  [1534] = {.lex_state = 5, .external_lex_state = 7},
  [1535] = {.lex_state = 5, .external_lex_state = 8},
  [1536] = {.lex_state = 5, .external_lex_state = 7},
  [1537] = {.lex_state = 5, .external_lex_state = 7},
  [1538] = {.lex_state = 5, .external_lex_state = 7},
  [1539] = {.lex_state = 5, .external_lex_state = 7},
  [1540] = {.lex_state = 5, .external_lex_state = 7},
  [1541] = {.lex_state = 5, .external_lex_state = 8},
  [1542] = {.lex_state = 5, .external_lex_state = 8},
  [1543] = {.lex_state = 5, .external_lex_state = 7},
  [1544] = {.lex_state = 5, .external_lex_state = 8},
  [1545] = {.lex_state = 5, .external_lex_state = 7},
  [1546] = {.lex_state = 5, .external_lex_state = 7},
  [1547] = {.lex_state = 5, .external_lex_state = 7},
  [1548] = {.lex_state = 5, .external_lex_state = 8},
  [1549] = {.lex_state = 5, .external_lex_state = 7},
  [1550] = {.lex_state = 5, .external_lex_state = 8},
  [1551] = {.lex_state = 5, .external_lex_state = 7},
  [1552] = {.lex_state = 5, .external_lex_state = 8},
  [1553] = {.lex_state = 5, .external_lex_state = 7},
  [1554] = {.lex_state = 5, .external_lex_state = 2},
  [1555] = {.lex_state = 5, .external_lex_state = 2},
  [1556] = {.lex_state = 5, .external_lex_state = 2},
  [1557] = {.lex_state = 5, .external_lex_state = 2},
  [1558] = {.lex_state = 5, .external_lex_state = 2},
  [1559] = {.lex_state = 5, .external_lex_state = 6},
  [1560] = {.lex_state = 5, .external_lex_state = 6},
  [1561] = {.lex_state = 5, .external_lex_state = 6},
  [1562] = {.lex_state = 5, .external_lex_state = 6},
  [1563] = {.lex_state = 5, .external_lex_state = 6},
  [1564] = {.lex_state = 5, .external_lex_state = 6},
  [1565] = {.lex_state = 5, .external_lex_state = 6},
  [1566] = {.lex_state = 5, .external_lex_state = 6},
  [1567] = {.lex_state = 5, .external_lex_state = 6},
  [1568] = {.lex_state = 5, .external_lex_state = 6},
  [1569] = {.lex_state = 5, .external_lex_state = 6},
  [1570] = {.lex_state = 5, .external_lex_state = 6},
  [1571] = {.lex_state = 5, .external_lex_state = 6},
  [1572] = {.lex_state = 5, .external_lex_state = 6},
  [1573] = {.lex_state = 5, .external_lex_state = 6},
  [1574] = {.lex_state = 5, .external_lex_state = 6},
  [1575] = {.lex_state = 5, .external_lex_state = 6},
  [1576] = {.lex_state = 5, .external_lex_state = 6},
  [1577] = {.lex_state = 5, .external_lex_state = 6},
  [1578] = {.lex_state = 5, .external_lex_state = 6},
  [1579] = {.lex_state = 5, .external_lex_state = 2},
  [1580] = {.lex_state = 5, .external_lex_state = 2},
  [1581] = {.lex_state = 5, .external_lex_state = 2},
  [1582] = {.lex_state = 5, .external_lex_state = 2},
  [1583] = {.lex_state = 5, .external_lex_state = 2},
  [1584] = {.lex_state = 5, .external_lex_state = 2},
  [1585] = {.lex_state = 5, .external_lex_state = 2},
  [1586] = {.lex_state = 5, .external_lex_state = 2},
  [1587] = {.lex_state = 5, .external_lex_state = 2},
  [1588] = {.lex_state = 8, .external_lex_state = 9},
  [1589] = {.lex_state = 8, .external_lex_state = 9},
  [1590] = {.lex_state = 13, .external_lex_state = 12},
  [1591] = {.lex_state = 13, .external_lex_state = 12},
  [1592] = {.lex_state = 8, .external_lex_state = 14},
  [1593] = {.lex_state = 8, .external_lex_state = 15},
  [1594] = {.lex_state = 8, .external_lex_state = 14},
  [1595] = {.lex_state = 13, .external_lex_state = 12},
  [1596] = {.lex_state = 13, .external_lex_state = 12},
  [1597] = {.lex_state = 8, .external_lex_state = 15},
  [1598] = {.lex_state = 13, .external_lex_state = 12},
  [1599] = {.lex_state = 13, .external_lex_state = 12},
  [1600] = {.lex_state = 54, .external_lex_state = 12},
  [1601] = {.lex_state = 8, .external_lex_state = 13},
  [1602] = {.lex_state = 54, .external_lex_state = 12},
  [1603] = {.lex_state = 54, .external_lex_state = 12},
  [1604] = {.lex_state = 8, .external_lex_state = 13},
  [1605] = {.lex_state = 54, .external_lex_state = 12},
  [1606] = {.lex_state = 54, .external_lex_state = 15},
  [1607] = {.lex_state = 11, .external_lex_state = 9},
  [1608] = {.lex_state = 13, .external_lex_state = 15},
  [1609] = {.lex_state = 13, .external_lex_state = 15},
  [1610] = {.lex_state = 13, .external_lex_state = 15},
  [1611] = {.lex_state = 54, .external_lex_state = 13},
  [1612] = {.lex_state = 54, .external_lex_state = 13},
  [1613] = {.lex_state = 54, .external_lex_state = 15},
  [1614] = {.lex_state = 13, .external_lex_state = 15},
  [1615] = {.lex_state = 13, .external_lex_state = 15},
  [1616] = {.lex_state = 13, .external_lex_state = 15},
  [1617] = {.lex_state = 11, .external_lex_state = 9},
  [1618] = {.lex_state = 13, .external_lex_state = 14},
  [1619] = {.lex_state = 13, .external_lex_state = 14},
  [1620] = {.lex_state = 11, .external_lex_state = 9},
  [1621] = {.lex_state = 11, .external_lex_state = 9},
  [1622] = {.lex_state = 13, .external_lex_state = 13},
  [1623] = {.lex_state = 13, .external_lex_state = 15},
  [1624] = {.lex_state = 13, .external_lex_state = 14},
  [1625] = {.lex_state = 13, .external_lex_state = 15},
  [1626] = {.lex_state = 13, .external_lex_state = 14},
  [1627] = {.lex_state = 13, .external_lex_state = 14},
  [1628] = {.lex_state = 13, .external_lex_state = 14},
  [1629] = {.lex_state = 11, .external_lex_state = 9},
  [1630] = {.lex_state = 13, .external_lex_state = 14},
  [1631] = {.lex_state = 13, .external_lex_state = 14},
  [1632] = {.lex_state = 13, .external_lex_state = 14},
  [1633] = {.lex_state = 13, .external_lex_state = 13},
  [1634] = {.lex_state = 13, .external_lex_state = 14},
  [1635] = {.lex_state = 13, .external_lex_state = 14},
  [1636] = {.lex_state = 13, .external_lex_state = 14},
  [1637] = {.lex_state = 13, .external_lex_state = 15},
  [1638] = {.lex_state = 13, .external_lex_state = 14},
  [1639] = {.lex_state = 13, .external_lex_state = 14},
  [1640] = {.lex_state = 13, .external_lex_state = 14},
  [1641] = {.lex_state = 13, .external_lex_state = 13},
  [1642] = {.lex_state = 13, .external_lex_state = 15},
  [1643] = {.lex_state = 13, .external_lex_state = 15},
  [1644] = {.lex_state = 13, .external_lex_state = 14},
  [1645] = {.lex_state = 13, .external_lex_state = 15},
  [1646] = {.lex_state = 13, .external_lex_state = 14},
  [1647] = {.lex_state = 11, .external_lex_state = 9},
  [1648] = {.lex_state = 13, .external_lex_state = 14},
  [1649] = {.lex_state = 13, .external_lex_state = 13},
  [1650] = {.lex_state = 13, .external_lex_state = 14},
  [1651] = {.lex_state = 13, .external_lex_state = 13},
  [1652] = {.lex_state = 13, .external_lex_state = 14},
  [1653] = {.lex_state = 13, .external_lex_state = 14},
  [1654] = {.lex_state = 13, .external_lex_state = 14},
  [1655] = {.lex_state = 13, .external_lex_state = 13},
  [1656] = {.lex_state = 11, .external_lex_state = 14},
  [1657] = {.lex_state = 12, .external_lex_state = 14},
  [1658] = {.lex_state = 12, .external_lex_state = 14},
  [1659] = {.lex_state = 12, .external_lex_state = 14},
  [1660] = {.lex_state = 12, .external_lex_state = 14},
  [1661] = {.lex_state = 11, .external_lex_state = 14},
  [1662] = {.lex_state = 12, .external_lex_state = 14},
  [1663] = {.lex_state = 11, .external_lex_state = 14},
  [1664] = {.lex_state = 11, .external_lex_state = 14},
  [1665] = {.lex_state = 12, .external_lex_state = 14},
  [1666] = {.lex_state = 11, .external_lex_state = 14},
  [1667] = {.lex_state = 11, .external_lex_state = 14},
  [1668] = {.lex_state = 11, .external_lex_state = 14},
  [1669] = {.lex_state = 11, .external_lex_state = 9},
  [1670] = {.lex_state = 12, .external_lex_state = 14},
  [1671] = {.lex_state = 12, .external_lex_state = 14},
  [1672] = {.lex_state = 12, .external_lex_state = 14},
  [1673] = {.lex_state = 11, .external_lex_state = 14},
  [1674] = {.lex_state = 12, .external_lex_state = 14},
  [1675] = {.lex_state = 12, .external_lex_state = 14},
  [1676] = {.lex_state = 5, .external_lex_state = 15},
  [1677] = {.lex_state = 5, .external_lex_state = 15},
  [1678] = {.lex_state = 12, .external_lex_state = 14},
  [1679] = {.lex_state = 12, .external_lex_state = 14},
  [1680] = {.lex_state = 11, .external_lex_state = 14},
  [1681] = {.lex_state = 5, .external_lex_state = 15},
  [1682] = {.lex_state = 5, .external_lex_state = 14},
  [1683] = {.lex_state = 5, .external_lex_state = 14},
  [1684] = {.lex_state = 54, .external_lex_state = 12},
  [1685] = {.lex_state = 54, .external_lex_state = 12},
  [1686] = {.lex_state = 8, .external_lex_state = 9},
  [1687] = {.lex_state = 54, .external_lex_state = 12},
  [1688] = {.lex_state = 54, .external_lex_state = 12},
  [1689] = {.lex_state = 54, .external_lex_state = 12},
  [1690] = {.lex_state = 8, .external_lex_state = 9},
  [1691] = {.lex_state = 54, .external_lex_state = 12},
  [1692] = {.lex_state = 8, .external_lex_state = 9},
  [1693] = {.lex_state = 8, .external_lex_state = 9},
  [1694] = {.lex_state = 8, .external_lex_state = 9},
  [1695] = {.lex_state = 54, .external_lex_state = 12},
  [1696] = {.lex_state = 8, .external_lex_state = 9},
  [1697] = {.lex_state = 8, .external_lex_state = 9},
  [1698] = {.lex_state = 8, .external_lex_state = 9},
  [1699] = {.lex_state = 8, .external_lex_state = 9},
  [1700] = {.lex_state = 54, .external_lex_state = 12},
  [1701] = {.lex_state = 54, .external_lex_state = 15},
  [1702] = {.lex_state = 54, .external_lex_state = 15},
  [1703] = {.lex_state = 54, .external_lex_state = 15},
  [1704] = {.lex_state = 54, .external_lex_state = 15},
  [1705] = {.lex_state = 54, .external_lex_state = 13},
  [1706] = {.lex_state = 54, .external_lex_state = 13},
  [1707] = {.lex_state = 54, .external_lex_state = 15},
  [1708] = {.lex_state = 54, .external_lex_state = 15},
  [1709] = {.lex_state = 54, .external_lex_state = 15},
  [1710] = {.lex_state = 54, .external_lex_state = 13},
  [1711] = {.lex_state = 54, .external_lex_state = 15},
  [1712] = {.lex_state = 54, .external_lex_state = 15},
  [1713] = {.lex_state = 54, .external_lex_state = 13},
  [1714] = {.lex_state = 54, .external_lex_state = 13},
  [1715] = {.lex_state = 54, .external_lex_state = 15},
  [1716] = {.lex_state = 54, .external_lex_state = 15},
  [1717] = {.lex_state = 54, .external_lex_state = 13},
  [1718] = {.lex_state = 54, .external_lex_state = 13},
  [1719] = {.lex_state = 8, .external_lex_state = 9},
  [1720] = {.lex_state = 54, .external_lex_state = 15},
  [1721] = {.lex_state = 54, .external_lex_state = 15},
  [1722] = {.lex_state = 54, .external_lex_state = 15},
  [1723] = {.lex_state = 54, .external_lex_state = 15},
  [1724] = {.lex_state = 54, .external_lex_state = 15},
  [1725] = {.lex_state = 54, .external_lex_state = 15},
  [1726] = {.lex_state = 54, .external_lex_state = 13},
  [1727] = {.lex_state = 0, .external_lex_state = 16},
  [1728] = {.lex_state = 8, .external_lex_state = 15},
  [1729] = {.lex_state = 8, .external_lex_state = 15},
  [1730] = {.lex_state = 8, .external_lex_state = 15},
  [1731] = {.lex_state = 8, .external_lex_state = 15},
  [1732] = {.lex_state = 8, .external_lex_state = 15},
  [1733] = {.lex_state = 8, .external_lex_state = 15},
  [1734] = {.lex_state = 8, .external_lex_state = 15},
  [1735] = {.lex_state = 8, .external_lex_state = 15},
  [1736] = {.lex_state = 8, .external_lex_state = 15},
  [1737] = {.lex_state = 8, .external_lex_state = 14},
  [1738] = {.lex_state = 54, .external_lex_state = 12},
  [1739] = {.lex_state = 0, .external_lex_state = 16},
  [1740] = {.lex_state = 8, .external_lex_state = 14},
  [1741] = {.lex_state = 8, .external_lex_state = 14},
  [1742] = {.lex_state = 8, .external_lex_state = 14},
  [1743] = {.lex_state = 8, .external_lex_state = 14},
  [1744] = {.lex_state = 8, .external_lex_state = 14},
  [1745] = {.lex_state = 8, .external_lex_state = 14},
  [1746] = {.lex_state = 0, .external_lex_state = 16},
  [1747] = {.lex_state = 0, .external_lex_state = 16},
  [1748] = {.lex_state = 8, .external_lex_state = 14},
  [1749] = {.lex_state = 8, .external_lex_state = 14},
  [1750] = {.lex_state = 0, .external_lex_state = 16},
  [1751] = {.lex_state = 8, .external_lex_state = 15},
  [1752] = {.lex_state = 0, .external_lex_state = 16},
  [1753] = {.lex_state = 54, .external_lex_state = 12},
  [1754] = {.lex_state = 0, .external_lex_state = 16},
  [1755] = {.lex_state = 0, .external_lex_state = 16},
  [1756] = {.lex_state = 0, .external_lex_state = 16},
  [1757] = {.lex_state = 8, .external_lex_state = 9},
  [1758] = {.lex_state = 0, .external_lex_state = 16},
  [1759] = {.lex_state = 0, .external_lex_state = 16},
  [1760] = {.lex_state = 0, .external_lex_state = 16},
  [1761] = {.lex_state = 0, .external_lex_state = 16},
  [1762] = {.lex_state = 0, .external_lex_state = 16},
  [1763] = {.lex_state = 0, .external_lex_state = 16},
  [1764] = {.lex_state = 0, .external_lex_state = 16},
  [1765] = {.lex_state = 0, .external_lex_state = 16},
  [1766] = {.lex_state = 0, .external_lex_state = 16},
  [1767] = {.lex_state = 0, .external_lex_state = 16},
  [1768] = {.lex_state = 54, .external_lex_state = 12},
  [1769] = {.lex_state = 54, .external_lex_state = 9},
  [1770] = {.lex_state = 8, .external_lex_state = 13},
  [1771] = {.lex_state = 8, .external_lex_state = 14},
  [1772] = {.lex_state = 54, .external_lex_state = 12},
  [1773] = {.lex_state = 8, .external_lex_state = 13},
  [1774] = {.lex_state = 54, .external_lex_state = 12},
  [1775] = {.lex_state = 54, .external_lex_state = 12},
  [1776] = {.lex_state = 8, .external_lex_state = 14},
  [1777] = {.lex_state = 8, .external_lex_state = 13},
  [1778] = {.lex_state = 8, .external_lex_state = 13},
  [1779] = {.lex_state = 54, .external_lex_state = 12},
  [1780] = {.lex_state = 8, .external_lex_state = 13},
  [1781] = {.lex_state = 8, .external_lex_state = 13},
  [1782] = {.lex_state = 8, .external_lex_state = 13},
  [1783] = {.lex_state = 8, .external_lex_state = 13},
  [1784] = {.lex_state = 8, .external_lex_state = 13},
  [1785] = {.lex_state = 54, .external_lex_state = 12},
  [1786] = {.lex_state = 54, .external_lex_state = 12},
  [1787] = {.lex_state = 54, .external_lex_state = 12},
  [1788] = {.lex_state = 54, .external_lex_state = 12},
  [1789] = {.lex_state = 8, .external_lex_state = 14},
  [1790] = {.lex_state = 8, .external_lex_state = 14},
  [1791] = {.lex_state = 54, .external_lex_state = 12},
  [1792] = {.lex_state = 54, .external_lex_state = 12},
  [1793] = {.lex_state = 54, .external_lex_state = 12},
  [1794] = {.lex_state = 54, .external_lex_state = 12},
  [1795] = {.lex_state = 54, .external_lex_state = 12},
  [1796] = {.lex_state = 54, .external_lex_state = 12},
  [1797] = {.lex_state = 54, .external_lex_state = 12},
  [1798] = {.lex_state = 54, .external_lex_state = 12},
  [1799] = {.lex_state = 54, .external_lex_state = 12},
  [1800] = {.lex_state = 8, .external_lex_state = 14},
  [1801] = {.lex_state = 54, .external_lex_state = 12},
  [1802] = {.lex_state = 54, .external_lex_state = 12},
  [1803] = {.lex_state = 8, .external_lex_state = 13},
  [1804] = {.lex_state = 54, .external_lex_state = 13},
  [1805] = {.lex_state = 54, .external_lex_state = 9},
  [1806] = {.lex_state = 9, .external_lex_state = 17},
  [1807] = {.lex_state = 54, .external_lex_state = 13},
  [1808] = {.lex_state = 54, .external_lex_state = 12},
  [1809] = {.lex_state = 54, .external_lex_state = 13},
  [1810] = {.lex_state = 7, .external_lex_state = 13},
  [1811] = {.lex_state = 9, .external_lex_state = 17},
  [1812] = {.lex_state = 54, .external_lex_state = 9},
  [1813] = {.lex_state = 54, .external_lex_state = 12},
  [1814] = {.lex_state = 54, .external_lex_state = 12},
  [1815] = {.lex_state = 54, .external_lex_state = 13},
  [1816] = {.lex_state = 54, .external_lex_state = 9},
  [1817] = {.lex_state = 54, .external_lex_state = 12},
  [1818] = {.lex_state = 7, .external_lex_state = 15},
  [1819] = {.lex_state = 54, .external_lex_state = 13},
  [1820] = {.lex_state = 54, .external_lex_state = 15},
  [1821] = {.lex_state = 54, .external_lex_state = 15},
  [1822] = {.lex_state = 54, .external_lex_state = 9},
  [1823] = {.lex_state = 54, .external_lex_state = 13},
  [1824] = {.lex_state = 54, .external_lex_state = 13},
  [1825] = {.lex_state = 54, .external_lex_state = 13},
  [1826] = {.lex_state = 54, .external_lex_state = 13},
  [1827] = {.lex_state = 54, .external_lex_state = 13},
  [1828] = {.lex_state = 54, .external_lex_state = 13},
  [1829] = {.lex_state = 54, .external_lex_state = 9},
  [1830] = {.lex_state = 54, .external_lex_state = 15},
  [1831] = {.lex_state = 54, .external_lex_state = 13},
  [1832] = {.lex_state = 54, .external_lex_state = 14},
  [1833] = {.lex_state = 54, .external_lex_state = 13},
  [1834] = {.lex_state = 9, .external_lex_state = 17},
  [1835] = {.lex_state = 7, .external_lex_state = 12},
  [1836] = {.lex_state = 54, .external_lex_state = 13},
  [1837] = {.lex_state = 54, .external_lex_state = 13},
  [1838] = {.lex_state = 54, .external_lex_state = 13},
  [1839] = {.lex_state = 54, .external_lex_state = 15},
  [1840] = {.lex_state = 54, .external_lex_state = 13},
  [1841] = {.lex_state = 54, .external_lex_state = 9},
  [1842] = {.lex_state = 54, .external_lex_state = 9},
  [1843] = {.lex_state = 54, .external_lex_state = 13},
  [1844] = {.lex_state = 54, .external_lex_state = 15},
  [1845] = {.lex_state = 54, .external_lex_state = 15},
  [1846] = {.lex_state = 54, .external_lex_state = 13},
  [1847] = {.lex_state = 54, .external_lex_state = 13},
  [1848] = {.lex_state = 54, .external_lex_state = 15},
  [1849] = {.lex_state = 54, .external_lex_state = 15},
  [1850] = {.lex_state = 54, .external_lex_state = 15},
  [1851] = {.lex_state = 54, .external_lex_state = 15},
  [1852] = {.lex_state = 54, .external_lex_state = 9},
  [1853] = {.lex_state = 54, .external_lex_state = 15},
  [1854] = {.lex_state = 54, .external_lex_state = 13},
  [1855] = {.lex_state = 9, .external_lex_state = 17},
  [1856] = {.lex_state = 54, .external_lex_state = 9},
  [1857] = {.lex_state = 8, .external_lex_state = 14},
  [1858] = {.lex_state = 54, .external_lex_state = 2},
  [1859] = {.lex_state = 54, .external_lex_state = 14},
  [1860] = {.lex_state = 54, .external_lex_state = 15},
  [1861] = {.lex_state = 54, .external_lex_state = 13},
  [1862] = {.lex_state = 54, .external_lex_state = 12},
  [1863] = {.lex_state = 54, .external_lex_state = 6},
  [1864] = {.lex_state = 54, .external_lex_state = 13},
  [1865] = {.lex_state = 54, .external_lex_state = 13},
  [1866] = {.lex_state = 54, .external_lex_state = 12},
  [1867] = {.lex_state = 0, .external_lex_state = 16},
  [1868] = {.lex_state = 54, .external_lex_state = 15},
  [1869] = {.lex_state = 54, .external_lex_state = 13},
  [1870] = {.lex_state = 7, .external_lex_state = 15},
  [1871] = {.lex_state = 54, .external_lex_state = 12},
  [1872] = {.lex_state = 54, .external_lex_state = 14},
  [1873] = {.lex_state = 7, .external_lex_state = 12},
  [1874] = {.lex_state = 0, .external_lex_state = 16},
  [1875] = {.lex_state = 54, .external_lex_state = 14},
  [1876] = {.lex_state = 54, .external_lex_state = 12},
  [1877] = {.lex_state = 7, .external_lex_state = 15},
  [1878] = {.lex_state = 54, .external_lex_state = 13},
  [1879] = {.lex_state = 54, .external_lex_state = 12},
  [1880] = {.lex_state = 54, .external_lex_state = 12},
  [1881] = {.lex_state = 54, .external_lex_state = 14},
  [1882] = {.lex_state = 54, .external_lex_state = 14},
  [1883] = {.lex_state = 54, .external_lex_state = 12},
  [1884] = {.lex_state = 54, .external_lex_state = 12},
  [1885] = {.lex_state = 54, .external_lex_state = 15},
  [1886] = {.lex_state = 54, .external_lex_state = 14},
  [1887] = {.lex_state = 7, .external_lex_state = 12},
  [1888] = {.lex_state = 54, .external_lex_state = 15},
  [1889] = {.lex_state = 54, .external_lex_state = 12},
  [1890] = {.lex_state = 54, .external_lex_state = 14},
  [1891] = {.lex_state = 54, .external_lex_state = 14},
  [1892] = {.lex_state = 54, .external_lex_state = 9},
  [1893] = {.lex_state = 7, .external_lex_state = 13},
  [1894] = {.lex_state = 54, .external_lex_state = 9},
  [1895] = {.lex_state = 54, .external_lex_state = 15},
  [1896] = {.lex_state = 54, .external_lex_state = 14},
  [1897] = {.lex_state = 54, .external_lex_state = 14},
  [1898] = {.lex_state = 54, .external_lex_state = 8},
  [1899] = {.lex_state = 54, .external_lex_state = 15},
  [1900] = {.lex_state = 54, .external_lex_state = 13},
  [1901] = {.lex_state = 7, .external_lex_state = 15},
  [1902] = {.lex_state = 54, .external_lex_state = 12},
  [1903] = {.lex_state = 54, .external_lex_state = 15},
  [1904] = {.lex_state = 54, .external_lex_state = 12},
  [1905] = {.lex_state = 7, .external_lex_state = 12},
  [1906] = {.lex_state = 54, .external_lex_state = 7},
  [1907] = {.lex_state = 54, .external_lex_state = 13},
  [1908] = {.lex_state = 54, .external_lex_state = 13},
  [1909] = {.lex_state = 7, .external_lex_state = 13},
  [1910] = {.lex_state = 7, .external_lex_state = 13},
  [1911] = {.lex_state = 7, .external_lex_state = 14},
  [1912] = {.lex_state = 54, .external_lex_state = 13},
  [1913] = {.lex_state = 54, .external_lex_state = 12},
  [1914] = {.lex_state = 54, .external_lex_state = 15},
  [1915] = {.lex_state = 54, .external_lex_state = 14},
  [1916] = {.lex_state = 54, .external_lex_state = 14},
  [1917] = {.lex_state = 54, .external_lex_state = 13},
  [1918] = {.lex_state = 54, .external_lex_state = 15},
  [1919] = {.lex_state = 54, .external_lex_state = 15},
  [1920] = {.lex_state = 54, .external_lex_state = 14},
  [1921] = {.lex_state = 54, .external_lex_state = 14},
  [1922] = {.lex_state = 54, .external_lex_state = 14},
  [1923] = {.lex_state = 54, .external_lex_state = 15},
  [1924] = {.lex_state = 7, .external_lex_state = 15},
  [1925] = {.lex_state = 54, .external_lex_state = 12},
  [1926] = {.lex_state = 0, .external_lex_state = 16},
  [1927] = {.lex_state = 54, .external_lex_state = 14},
  [1928] = {.lex_state = 8, .external_lex_state = 9},
  [1929] = {.lex_state = 8, .external_lex_state = 13},
  [1930] = {.lex_state = 7, .external_lex_state = 9},
  [1931] = {.lex_state = 54, .external_lex_state = 13},
  [1932] = {.lex_state = 54, .external_lex_state = 13},
  [1933] = {.lex_state = 54, .external_lex_state = 14},
  [1934] = {.lex_state = 54, .external_lex_state = 12},
  [1935] = {.lex_state = 54, .external_lex_state = 13},
  [1936] = {.lex_state = 54, .external_lex_state = 13},
  [1937] = {.lex_state = 0, .external_lex_state = 16},
  [1938] = {.lex_state = 8, .external_lex_state = 13},
  [1939] = {.lex_state = 54, .external_lex_state = 12},
  [1940] = {.lex_state = 54, .external_lex_state = 12},
  [1941] = {.lex_state = 54, .external_lex_state = 13},
  [1942] = {.lex_state = 0, .external_lex_state = 16},
  [1943] = {.lex_state = 54, .external_lex_state = 12},
  [1944] = {.lex_state = 54, .external_lex_state = 12},
  [1945] = {.lex_state = 8, .external_lex_state = 9},
  [1946] = {.lex_state = 8, .external_lex_state = 15},
  [1947] = {.lex_state = 54, .external_lex_state = 14},
  [1948] = {.lex_state = 54, .external_lex_state = 15},
  [1949] = {.lex_state = 54, .external_lex_state = 15},
  [1950] = {.lex_state = 8, .external_lex_state = 13},
  [1951] = {.lex_state = 54, .external_lex_state = 9},
  [1952] = {.lex_state = 54, .external_lex_state = 13},
  [1953] = {.lex_state = 8, .external_lex_state = 15},
  [1954] = {.lex_state = 8, .external_lex_state = 15},
  [1955] = {.lex_state = 8, .external_lex_state = 15},
  [1956] = {.lex_state = 0, .external_lex_state = 16},
  [1957] = {.lex_state = 54, .external_lex_state = 12},
  [1958] = {.lex_state = 54, .external_lex_state = 13},
  [1959] = {.lex_state = 54, .external_lex_state = 15},
  [1960] = {.lex_state = 0, .external_lex_state = 16},
  [1961] = {.lex_state = 8, .external_lex_state = 9},
  [1962] = {.lex_state = 8, .external_lex_state = 13},
  [1963] = {.lex_state = 0, .external_lex_state = 16},
  [1964] = {.lex_state = 0, .external_lex_state = 16},
  [1965] = {.lex_state = 7, .external_lex_state = 13},
  [1966] = {.lex_state = 8, .external_lex_state = 15},
  [1967] = {.lex_state = 8, .external_lex_state = 15},
  [1968] = {.lex_state = 8, .external_lex_state = 15},
  [1969] = {.lex_state = 7, .external_lex_state = 9},
  [1970] = {.lex_state = 54, .external_lex_state = 12},
  [1971] = {.lex_state = 8, .external_lex_state = 15},
  [1972] = {.lex_state = 54, .external_lex_state = 12},
  [1973] = {.lex_state = 8, .external_lex_state = 15},
  [1974] = {.lex_state = 54, .external_lex_state = 12},
  [1975] = {.lex_state = 8, .external_lex_state = 15},
  [1976] = {.lex_state = 54, .external_lex_state = 14},
  [1977] = {.lex_state = 54, .external_lex_state = 15},
  [1978] = {.lex_state = 54, .external_lex_state = 15},
  [1979] = {.lex_state = 54, .external_lex_state = 14},
  [1980] = {.lex_state = 54, .external_lex_state = 14},
  [1981] = {.lex_state = 54, .external_lex_state = 15},
  [1982] = {.lex_state = 54, .external_lex_state = 13},
  [1983] = {.lex_state = 0, .external_lex_state = 16},
  [1984] = {.lex_state = 54, .external_lex_state = 14},
  [1985] = {.lex_state = 54, .external_lex_state = 12},
  [1986] = {.lex_state = 8, .external_lex_state = 14},
  [1987] = {.lex_state = 8, .external_lex_state = 9},
  [1988] = {.lex_state = 8, .external_lex_state = 9},
  [1989] = {.lex_state = 54, .external_lex_state = 9},
  [1990] = {.lex_state = 54, .external_lex_state = 15},
  [1991] = {.lex_state = 7, .external_lex_state = 9},
  [1992] = {.lex_state = 8, .external_lex_state = 9},
  [1993] = {.lex_state = 8, .external_lex_state = 9},
  [1994] = {.lex_state = 54, .external_lex_state = 15},
  [1995] = {.lex_state = 54, .external_lex_state = 14},
  [1996] = {.lex_state = 54, .external_lex_state = 15},
  [1997] = {.lex_state = 54, .external_lex_state = 14},
  [1998] = {.lex_state = 54, .external_lex_state = 12},
  [1999] = {.lex_state = 8, .external_lex_state = 14},
  [2000] = {.lex_state = 54, .external_lex_state = 13},
  [2001] = {.lex_state = 54, .external_lex_state = 12},
  [2002] = {.lex_state = 54, .external_lex_state = 15},
  [2003] = {.lex_state = 54, .external_lex_state = 14},
  [2004] = {.lex_state = 54, .external_lex_state = 14},
  [2005] = {.lex_state = 8, .external_lex_state = 14},
  [2006] = {.lex_state = 54, .external_lex_state = 15},
  [2007] = {.lex_state = 7, .external_lex_state = 12},
  [2008] = {.lex_state = 54, .external_lex_state = 13},
  [2009] = {.lex_state = 54, .external_lex_state = 13},
  [2010] = {.lex_state = 54, .external_lex_state = 13},
  [2011] = {.lex_state = 54, .external_lex_state = 15},
  [2012] = {.lex_state = 54, .external_lex_state = 12},
  [2013] = {.lex_state = 54, .external_lex_state = 15},
  [2014] = {.lex_state = 54, .external_lex_state = 15},
  [2015] = {.lex_state = 54, .external_lex_state = 9},
  [2016] = {.lex_state = 8, .external_lex_state = 9},
  [2017] = {.lex_state = 8, .external_lex_state = 9},
  [2018] = {.lex_state = 8, .external_lex_state = 9},
  [2019] = {.lex_state = 54, .external_lex_state = 13},
  [2020] = {.lex_state = 54, .external_lex_state = 12},
  [2021] = {.lex_state = 54, .external_lex_state = 14},
  [2022] = {.lex_state = 54, .external_lex_state = 14},
  [2023] = {.lex_state = 8, .external_lex_state = 9},
  [2024] = {.lex_state = 54, .external_lex_state = 12},
  [2025] = {.lex_state = 54, .external_lex_state = 14},
  [2026] = {.lex_state = 54, .external_lex_state = 14},
  [2027] = {.lex_state = 54, .external_lex_state = 12},
  [2028] = {.lex_state = 8, .external_lex_state = 13},
  [2029] = {.lex_state = 54, .external_lex_state = 14},
  [2030] = {.lex_state = 54, .external_lex_state = 14},
  [2031] = {.lex_state = 54, .external_lex_state = 14},
  [2032] = {.lex_state = 54, .external_lex_state = 14},
  [2033] = {.lex_state = 54, .external_lex_state = 14},
  [2034] = {.lex_state = 54, .external_lex_state = 14},
  [2035] = {.lex_state = 54, .external_lex_state = 15},
  [2036] = {.lex_state = 8, .external_lex_state = 13},
  [2037] = {.lex_state = 8, .external_lex_state = 14},
  [2038] = {.lex_state = 54, .external_lex_state = 14},
  [2039] = {.lex_state = 8, .external_lex_state = 14},
  [2040] = {.lex_state = 8, .external_lex_state = 13},
  [2041] = {.lex_state = 54, .external_lex_state = 14},
  [2042] = {.lex_state = 54, .external_lex_state = 15},
  [2043] = {.lex_state = 54, .external_lex_state = 12},
  [2044] = {.lex_state = 54, .external_lex_state = 15},
  [2045] = {.lex_state = 54, .external_lex_state = 15},
  [2046] = {.lex_state = 54, .external_lex_state = 9},
  [2047] = {.lex_state = 54, .external_lex_state = 14},
  [2048] = {.lex_state = 8, .external_lex_state = 13},
  [2049] = {.lex_state = 7, .external_lex_state = 9},
  [2050] = {.lex_state = 54, .external_lex_state = 9},
  [2051] = {.lex_state = 54, .external_lex_state = 14},
  [2052] = {.lex_state = 54, .external_lex_state = 9},
  [2053] = {.lex_state = 54, .external_lex_state = 12},
  [2054] = {.lex_state = 54, .external_lex_state = 12},
  [2055] = {.lex_state = 54, .external_lex_state = 14},
  [2056] = {.lex_state = 54, .external_lex_state = 15},
  [2057] = {.lex_state = 54, .external_lex_state = 14},
  [2058] = {.lex_state = 54, .external_lex_state = 13},
  [2059] = {.lex_state = 54, .external_lex_state = 14},
  [2060] = {.lex_state = 54, .external_lex_state = 12},
  [2061] = {.lex_state = 54, .external_lex_state = 14},
  [2062] = {.lex_state = 54, .external_lex_state = 12},
  [2063] = {.lex_state = 54, .external_lex_state = 14},
  [2064] = {.lex_state = 54, .external_lex_state = 9},
  [2065] = {.lex_state = 3, .external_lex_state = 12},
  [2066] = {.lex_state = 54, .external_lex_state = 14},
  [2067] = {.lex_state = 54, .external_lex_state = 12},
  [2068] = {.lex_state = 8, .external_lex_state = 13},
  [2069] = {.lex_state = 54, .external_lex_state = 13},
  [2070] = {.lex_state = 54, .external_lex_state = 14},
  [2071] = {.lex_state = 54, .external_lex_state = 14},
  [2072] = {.lex_state = 54, .external_lex_state = 14},
  [2073] = {.lex_state = 54, .external_lex_state = 12},
  [2074] = {.lex_state = 54, .external_lex_state = 14},
  [2075] = {.lex_state = 54, .external_lex_state = 14},
  [2076] = {.lex_state = 54, .external_lex_state = 14},
  [2077] = {.lex_state = 54, .external_lex_state = 13},
  [2078] = {.lex_state = 54, .external_lex_state = 9},
  [2079] = {.lex_state = 54, .external_lex_state = 12},
  [2080] = {.lex_state = 54, .external_lex_state = 12},
  [2081] = {.lex_state = 54, .external_lex_state = 14},
  [2082] = {.lex_state = 54, .external_lex_state = 12},
  [2083] = {.lex_state = 3, .external_lex_state = 12},
  [2084] = {.lex_state = 54, .external_lex_state = 12},
  [2085] = {.lex_state = 54, .external_lex_state = 14},
  [2086] = {.lex_state = 54, .external_lex_state = 12},
  [2087] = {.lex_state = 54, .external_lex_state = 13},
  [2088] = {.lex_state = 54, .external_lex_state = 12},
  [2089] = {.lex_state = 54, .external_lex_state = 13},
  [2090] = {.lex_state = 54, .external_lex_state = 12},
  [2091] = {.lex_state = 54, .external_lex_state = 12},
  [2092] = {.lex_state = 54, .external_lex_state = 14},
  [2093] = {.lex_state = 54, .external_lex_state = 15},
  [2094] = {.lex_state = 54, .external_lex_state = 12},
  [2095] = {.lex_state = 54, .external_lex_state = 14},
  [2096] = {.lex_state = 8, .external_lex_state = 13},
  [2097] = {.lex_state = 54, .external_lex_state = 14},
  [2098] = {.lex_state = 54, .external_lex_state = 15},
  [2099] = {.lex_state = 54, .external_lex_state = 14},
  [2100] = {.lex_state = 54, .external_lex_state = 14},
  [2101] = {.lex_state = 54, .external_lex_state = 14},
  [2102] = {.lex_state = 8, .external_lex_state = 14},
  [2103] = {.lex_state = 8, .external_lex_state = 14},
  [2104] = {.lex_state = 8, .external_lex_state = 13},
  [2105] = {.lex_state = 54, .external_lex_state = 14},
  [2106] = {.lex_state = 54, .external_lex_state = 14},
  [2107] = {.lex_state = 54, .external_lex_state = 14},
  [2108] = {.lex_state = 54, .external_lex_state = 14},
  [2109] = {.lex_state = 54, .external_lex_state = 14},
  [2110] = {.lex_state = 3, .external_lex_state = 12},
  [2111] = {.lex_state = 8, .external_lex_state = 15},
  [2112] = {.lex_state = 54, .external_lex_state = 14},
  [2113] = {.lex_state = 8, .external_lex_state = 14},
  [2114] = {.lex_state = 54, .external_lex_state = 9},
  [2115] = {.lex_state = 54, .external_lex_state = 13},
  [2116] = {.lex_state = 54, .external_lex_state = 14},
  [2117] = {.lex_state = 8, .external_lex_state = 13},
  [2118] = {.lex_state = 54, .external_lex_state = 14},
  [2119] = {.lex_state = 54, .external_lex_state = 14},
  [2120] = {.lex_state = 54, .external_lex_state = 9},
  [2121] = {.lex_state = 54, .external_lex_state = 12},
  [2122] = {.lex_state = 54, .external_lex_state = 12},
  [2123] = {.lex_state = 8, .external_lex_state = 13},
  [2124] = {.lex_state = 54, .external_lex_state = 14},
  [2125] = {.lex_state = 54, .external_lex_state = 14},
  [2126] = {.lex_state = 54, .external_lex_state = 14},
  [2127] = {.lex_state = 54, .external_lex_state = 15},
  [2128] = {.lex_state = 54, .external_lex_state = 15},
  [2129] = {.lex_state = 54, .external_lex_state = 14},
  [2130] = {.lex_state = 54, .external_lex_state = 14},
  [2131] = {.lex_state = 54, .external_lex_state = 13},
  [2132] = {.lex_state = 54, .external_lex_state = 14},
  [2133] = {.lex_state = 54, .external_lex_state = 13},
  [2134] = {.lex_state = 8, .external_lex_state = 13},
  [2135] = {.lex_state = 54, .external_lex_state = 13},
  [2136] = {.lex_state = 8, .external_lex_state = 14},
  [2137] = {.lex_state = 54, .external_lex_state = 12},
  [2138] = {.lex_state = 8, .external_lex_state = 14},
  [2139] = {.lex_state = 54, .external_lex_state = 9},
  [2140] = {.lex_state = 54, .external_lex_state = 15},
  [2141] = {.lex_state = 54, .external_lex_state = 14},
  [2142] = {.lex_state = 54, .external_lex_state = 12},
  [2143] = {.lex_state = 54, .external_lex_state = 13},
  [2144] = {.lex_state = 54, .external_lex_state = 12},
  [2145] = {.lex_state = 54, .external_lex_state = 13},
  [2146] = {.lex_state = 7, .external_lex_state = 14},
  [2147] = {.lex_state = 54, .external_lex_state = 12},
  [2148] = {.lex_state = 54, .external_lex_state = 13},
  [2149] = {.lex_state = 54, .external_lex_state = 18},
  [2150] = {.lex_state = 54, .external_lex_state = 12},
  [2151] = {.lex_state = 54, .external_lex_state = 13},
  [2152] = {.lex_state = 54, .external_lex_state = 12},
  [2153] = {.lex_state = 54, .external_lex_state = 12},
  [2154] = {.lex_state = 54, .external_lex_state = 12},
  [2155] = {.lex_state = 54, .external_lex_state = 12},
  [2156] = {.lex_state = 54, .external_lex_state = 15},
  [2157] = {.lex_state = 54, .external_lex_state = 15},
  [2158] = {.lex_state = 54, .external_lex_state = 12},
  [2159] = {.lex_state = 54, .external_lex_state = 15},
  [2160] = {.lex_state = 54, .external_lex_state = 15},
  [2161] = {.lex_state = 54, .external_lex_state = 13},
  [2162] = {.lex_state = 54, .external_lex_state = 12},
  [2163] = {.lex_state = 54, .external_lex_state = 9},
  [2164] = {.lex_state = 54, .external_lex_state = 12},
  [2165] = {.lex_state = 54, .external_lex_state = 12},
  [2166] = {.lex_state = 54, .external_lex_state = 12},
  [2167] = {.lex_state = 54, .external_lex_state = 12},
  [2168] = {.lex_state = 54, .external_lex_state = 12},
  [2169] = {.lex_state = 54, .external_lex_state = 12},
  [2170] = {.lex_state = 54, .external_lex_state = 12},
  [2171] = {.lex_state = 54, .external_lex_state = 12},
  [2172] = {.lex_state = 54, .external_lex_state = 12},
  [2173] = {.lex_state = 54, .external_lex_state = 9},
  [2174] = {.lex_state = 54, .external_lex_state = 12},
  [2175] = {.lex_state = 54, .external_lex_state = 12},
  [2176] = {.lex_state = 54, .external_lex_state = 12},
  [2177] = {.lex_state = 54, .external_lex_state = 12},
  [2178] = {.lex_state = 54, .external_lex_state = 18},
  [2179] = {.lex_state = 54, .external_lex_state = 9},
  [2180] = {.lex_state = 54, .external_lex_state = 15},
  [2181] = {.lex_state = 54, .external_lex_state = 14},
  [2182] = {.lex_state = 54, .external_lex_state = 14},
  [2183] = {.lex_state = 54, .external_lex_state = 15},
  [2184] = {.lex_state = 8, .external_lex_state = 14},
  [2185] = {.lex_state = 54, .external_lex_state = 15},
  [2186] = {.lex_state = 54, .external_lex_state = 15},
  [2187] = {.lex_state = 54, .external_lex_state = 9},
  [2188] = {.lex_state = 54, .external_lex_state = 9},
  [2189] = {.lex_state = 54, .external_lex_state = 9},
  [2190] = {.lex_state = 54, .external_lex_state = 15},
  [2191] = {.lex_state = 54, .external_lex_state = 15},
  [2192] = {.lex_state = 54, .external_lex_state = 9},
  [2193] = {.lex_state = 54, .external_lex_state = 9},
  [2194] = {.lex_state = 54, .external_lex_state = 15},
  [2195] = {.lex_state = 8, .external_lex_state = 14},
  [2196] = {.lex_state = 54, .external_lex_state = 15},
  [2197] = {.lex_state = 54, .external_lex_state = 9},
  [2198] = {.lex_state = 54, .external_lex_state = 15},
  [2199] = {.lex_state = 54, .external_lex_state = 14},
  [2200] = {.lex_state = 54, .external_lex_state = 15},
  [2201] = {.lex_state = 54, .external_lex_state = 9},
  [2202] = {.lex_state = 54, .external_lex_state = 9},
  [2203] = {.lex_state = 54, .external_lex_state = 13},
  [2204] = {.lex_state = 54, .external_lex_state = 13},
  [2205] = {.lex_state = 54, .external_lex_state = 12},
  [2206] = {.lex_state = 54, .external_lex_state = 13},
  [2207] = {.lex_state = 54, .external_lex_state = 14},
  [2208] = {.lex_state = 54, .external_lex_state = 18},
  [2209] = {.lex_state = 54, .external_lex_state = 13},
  [2210] = {.lex_state = 54, .external_lex_state = 13},
  [2211] = {.lex_state = 54, .external_lex_state = 15},
  [2212] = {.lex_state = 54, .external_lex_state = 9},
  [2213] = {.lex_state = 7, .external_lex_state = 14},
  [2214] = {.lex_state = 54, .external_lex_state = 18},
  [2215] = {.lex_state = 54, .external_lex_state = 15},
  [2216] = {.lex_state = 54, .external_lex_state = 15},
  [2217] = {.lex_state = 54, .external_lex_state = 15},
  [2218] = {.lex_state = 54, .external_lex_state = 13},
  [2219] = {.lex_state = 54, .external_lex_state = 14},
  [2220] = {.lex_state = 54, .external_lex_state = 12},
  [2221] = {.lex_state = 54, .external_lex_state = 13},
  [2222] = {.lex_state = 54, .external_lex_state = 15},
  [2223] = {.lex_state = 54, .external_lex_state = 18},
  [2224] = {.lex_state = 54, .external_lex_state = 15},
  [2225] = {.lex_state = 54, .external_lex_state = 15},
  [2226] = {.lex_state = 54, .external_lex_state = 9},
  [2227] = {.lex_state = 54, .external_lex_state = 13},
  [2228] = {.lex_state = 54, .external_lex_state = 14},
  [2229] = {.lex_state = 54, .external_lex_state = 13},
  [2230] = {.lex_state = 54, .external_lex_state = 13},
  [2231] = {.lex_state = 54, .external_lex_state = 15},
  [2232] = {.lex_state = 54, .external_lex_state = 15},
  [2233] = {.lex_state = 54, .external_lex_state = 15},
  [2234] = {.lex_state = 54, .external_lex_state = 13},
  [2235] = {.lex_state = 54, .external_lex_state = 13},
  [2236] = {.lex_state = 54, .external_lex_state = 13},
  [2237] = {.lex_state = 54, .external_lex_state = 9},
  [2238] = {.lex_state = 54, .external_lex_state = 13},
  [2239] = {.lex_state = 54, .external_lex_state = 9},
  [2240] = {.lex_state = 54, .external_lex_state = 9},
  [2241] = {.lex_state = 54, .external_lex_state = 15},
  [2242] = {.lex_state = 54, .external_lex_state = 15},
  [2243] = {.lex_state = 54, .external_lex_state = 15},
  [2244] = {.lex_state = 54, .external_lex_state = 13},
  [2245] = {.lex_state = 54, .external_lex_state = 15},
  [2246] = {.lex_state = 54, .external_lex_state = 15},
  [2247] = {.lex_state = 54, .external_lex_state = 15},
  [2248] = {.lex_state = 54, .external_lex_state = 15},
  [2249] = {.lex_state = 54, .external_lex_state = 12},
  [2250] = {.lex_state = 54, .external_lex_state = 13},
  [2251] = {.lex_state = 54, .external_lex_state = 15},
  [2252] = {.lex_state = 54, .external_lex_state = 15},
  [2253] = {.lex_state = 54, .external_lex_state = 14},
  [2254] = {.lex_state = 54, .external_lex_state = 14},
  [2255] = {.lex_state = 54, .external_lex_state = 14},
  [2256] = {.lex_state = 54, .external_lex_state = 14},
  [2257] = {.lex_state = 54, .external_lex_state = 13},
  [2258] = {.lex_state = 54, .external_lex_state = 13},
  [2259] = {.lex_state = 54, .external_lex_state = 15},
  [2260] = {.lex_state = 54, .external_lex_state = 13},
  [2261] = {.lex_state = 54, .external_lex_state = 13},
  [2262] = {.lex_state = 54, .external_lex_state = 13},
  [2263] = {.lex_state = 54, .external_lex_state = 13},
  [2264] = {.lex_state = 54, .external_lex_state = 15},
  [2265] = {.lex_state = 54, .external_lex_state = 13},
  [2266] = {.lex_state = 54, .external_lex_state = 15},
  [2267] = {.lex_state = 54, .external_lex_state = 14},
  [2268] = {.lex_state = 54, .external_lex_state = 14},
  [2269] = {.lex_state = 8, .external_lex_state = 14},
  [2270] = {.lex_state = 54, .external_lex_state = 12},
  [2271] = {.lex_state = 54, .external_lex_state = 14},
  [2272] = {.lex_state = 54, .external_lex_state = 9},
  [2273] = {.lex_state = 54, .external_lex_state = 15},
  [2274] = {.lex_state = 54, .external_lex_state = 15},
  [2275] = {.lex_state = 54, .external_lex_state = 12},
  [2276] = {.lex_state = 9, .external_lex_state = 17},
  [2277] = {.lex_state = 54, .external_lex_state = 15},
  [2278] = {.lex_state = 54, .external_lex_state = 15},
  [2279] = {.lex_state = 54, .external_lex_state = 13},
  [2280] = {.lex_state = 54, .external_lex_state = 14},
  [2281] = {.lex_state = 54, .external_lex_state = 9},
  [2282] = {.lex_state = 54, .external_lex_state = 15},
  [2283] = {.lex_state = 54, .external_lex_state = 13},
  [2284] = {.lex_state = 54, .external_lex_state = 13},
  [2285] = {.lex_state = 54, .external_lex_state = 13},
  [2286] = {.lex_state = 54, .external_lex_state = 13},
  [2287] = {.lex_state = 54, .external_lex_state = 14},
  [2288] = {.lex_state = 54, .external_lex_state = 15},
  [2289] = {.lex_state = 54, .external_lex_state = 9},
  [2290] = {.lex_state = 54, .external_lex_state = 14},
  [2291] = {.lex_state = 54, .external_lex_state = 15},
  [2292] = {.lex_state = 54, .external_lex_state = 15},
  [2293] = {.lex_state = 54, .external_lex_state = 12},
  [2294] = {.lex_state = 54, .external_lex_state = 14},
  [2295] = {.lex_state = 54, .external_lex_state = 13},
  [2296] = {.lex_state = 54, .external_lex_state = 15},
  [2297] = {.lex_state = 54, .external_lex_state = 13},
  [2298] = {.lex_state = 54, .external_lex_state = 13},
  [2299] = {.lex_state = 54, .external_lex_state = 15},
  [2300] = {.lex_state = 54, .external_lex_state = 12},
  [2301] = {.lex_state = 54, .external_lex_state = 15},
  [2302] = {.lex_state = 54, .external_lex_state = 12},
  [2303] = {.lex_state = 54, .external_lex_state = 13},
  [2304] = {.lex_state = 54, .external_lex_state = 19},
  [2305] = {.lex_state = 54, .external_lex_state = 12},
  [2306] = {.lex_state = 54, .external_lex_state = 15},
  [2307] = {.lex_state = 54, .external_lex_state = 12},
  [2308] = {.lex_state = 54, .external_lex_state = 14},
  [2309] = {.lex_state = 54, .external_lex_state = 15},
  [2310] = {.lex_state = 54, .external_lex_state = 13},
  [2311] = {.lex_state = 54, .external_lex_state = 13},
  [2312] = {.lex_state = 54, .external_lex_state = 15},
  [2313] = {.lex_state = 54, .external_lex_state = 15},
  [2314] = {.lex_state = 54, .external_lex_state = 9},
  [2315] = {.lex_state = 3, .external_lex_state = 12},
  [2316] = {.lex_state = 54, .external_lex_state = 9},
  [2317] = {.lex_state = 54, .external_lex_state = 14},
  [2318] = {.lex_state = 54, .external_lex_state = 15},
  [2319] = {.lex_state = 54, .external_lex_state = 12},
  [2320] = {.lex_state = 54, .external_lex_state = 13},
  [2321] = {.lex_state = 54, .external_lex_state = 9},
  [2322] = {.lex_state = 3, .external_lex_state = 12},
  [2323] = {.lex_state = 54, .external_lex_state = 12},
  [2324] = {.lex_state = 54, .external_lex_state = 15},
  [2325] = {.lex_state = 54, .external_lex_state = 15},
  [2326] = {.lex_state = 54, .external_lex_state = 15},
  [2327] = {.lex_state = 54, .external_lex_state = 15},
  [2328] = {.lex_state = 3, .external_lex_state = 12},
  [2329] = {.lex_state = 54, .external_lex_state = 13},
  [2330] = {.lex_state = 54, .external_lex_state = 19},
  [2331] = {.lex_state = 54, .external_lex_state = 14},
  [2332] = {.lex_state = 3, .external_lex_state = 12},
  [2333] = {.lex_state = 54, .external_lex_state = 12},
  [2334] = {.lex_state = 54, .external_lex_state = 9},
  [2335] = {.lex_state = 54, .external_lex_state = 15},
  [2336] = {.lex_state = 54, .external_lex_state = 15},
  [2337] = {.lex_state = 54, .external_lex_state = 19},
  [2338] = {.lex_state = 54, .external_lex_state = 13},
  [2339] = {.lex_state = 54, .external_lex_state = 13},
  [2340] = {.lex_state = 54, .external_lex_state = 14},
  [2341] = {.lex_state = 54, .external_lex_state = 13},
  [2342] = {.lex_state = 54, .external_lex_state = 12},
  [2343] = {.lex_state = 54, .external_lex_state = 12},
  [2344] = {.lex_state = 54, .external_lex_state = 12},
  [2345] = {.lex_state = 54, .external_lex_state = 9},
  [2346] = {.lex_state = 54, .external_lex_state = 15},
  [2347] = {.lex_state = 54, .external_lex_state = 15},
  [2348] = {.lex_state = 54, .external_lex_state = 13},
  [2349] = {.lex_state = 54, .external_lex_state = 15},
  [2350] = {.lex_state = 54, .external_lex_state = 12},
  [2351] = {.lex_state = 54, .external_lex_state = 12},
  [2352] = {.lex_state = 54, .external_lex_state = 14},
  [2353] = {.lex_state = 54, .external_lex_state = 15},
  [2354] = {.lex_state = 3, .external_lex_state = 12},
  [2355] = {.lex_state = 54, .external_lex_state = 15},
  [2356] = {.lex_state = 54, .external_lex_state = 14},
  [2357] = {.lex_state = 9, .external_lex_state = 17},
  [2358] = {.lex_state = 54, .external_lex_state = 15},
  [2359] = {.lex_state = 54, .external_lex_state = 15},
  [2360] = {.lex_state = 54, .external_lex_state = 15},
  [2361] = {.lex_state = 54, .external_lex_state = 9},
  [2362] = {.lex_state = 54, .external_lex_state = 13},
  [2363] = {.lex_state = 54, .external_lex_state = 13},
  [2364] = {.lex_state = 54, .external_lex_state = 12},
  [2365] = {.lex_state = 54, .external_lex_state = 15},
  [2366] = {.lex_state = 54, .external_lex_state = 12},
  [2367] = {.lex_state = 54, .external_lex_state = 15},
  [2368] = {.lex_state = 54, .external_lex_state = 9},
  [2369] = {.lex_state = 54, .external_lex_state = 19},
  [2370] = {.lex_state = 54, .external_lex_state = 12},
  [2371] = {.lex_state = 54, .external_lex_state = 9},
  [2372] = {.lex_state = 54, .external_lex_state = 15},
  [2373] = {.lex_state = 54, .external_lex_state = 15},
  [2374] = {.lex_state = 54, .external_lex_state = 13},
  [2375] = {.lex_state = 54, .external_lex_state = 13},
  [2376] = {.lex_state = 54, .external_lex_state = 12},
  [2377] = {.lex_state = 54, .external_lex_state = 15},
  [2378] = {.lex_state = 54, .external_lex_state = 15},
  [2379] = {.lex_state = 54, .external_lex_state = 15},
  [2380] = {.lex_state = 54, .external_lex_state = 15},
  [2381] = {.lex_state = 54, .external_lex_state = 13},
  [2382] = {.lex_state = 54, .external_lex_state = 13},
  [2383] = {.lex_state = 54, .external_lex_state = 14},
  [2384] = {.lex_state = 54, .external_lex_state = 19},
  [2385] = {.lex_state = 54, .external_lex_state = 14},
  [2386] = {.lex_state = 54, .external_lex_state = 15},
  [2387] = {.lex_state = 54, .external_lex_state = 12},
  [2388] = {.lex_state = 54, .external_lex_state = 9},
  [2389] = {.lex_state = 54, .external_lex_state = 15},
  [2390] = {.lex_state = 54, .external_lex_state = 15},
  [2391] = {.lex_state = 54, .external_lex_state = 15},
  [2392] = {.lex_state = 54, .external_lex_state = 13},
  [2393] = {.lex_state = 54, .external_lex_state = 13},
  [2394] = {.lex_state = 54, .external_lex_state = 12},
  [2395] = {.lex_state = 54, .external_lex_state = 12},
  [2396] = {.lex_state = 54, .external_lex_state = 9},
  [2397] = {.lex_state = 54, .external_lex_state = 12},
  [2398] = {.lex_state = 54, .external_lex_state = 12},
  [2399] = {.lex_state = 54, .external_lex_state = 15},
  [2400] = {.lex_state = 54, .external_lex_state = 15},
  [2401] = {.lex_state = 54, .external_lex_state = 15},
  [2402] = {.lex_state = 8, .external_lex_state = 14},
  [2403] = {.lex_state = 54, .external_lex_state = 13},
  [2404] = {.lex_state = 54, .external_lex_state = 13},
  [2405] = {.lex_state = 54, .external_lex_state = 19},
  [2406] = {.lex_state = 54, .external_lex_state = 13},
  [2407] = {.lex_state = 54, .external_lex_state = 15},
  [2408] = {.lex_state = 54, .external_lex_state = 15},
  [2409] = {.lex_state = 54, .external_lex_state = 13},
  [2410] = {.lex_state = 54, .external_lex_state = 13},
  [2411] = {.lex_state = 54, .external_lex_state = 13},
  [2412] = {.lex_state = 54, .external_lex_state = 12},
  [2413] = {.lex_state = 54, .external_lex_state = 15},
  [2414] = {.lex_state = 54, .external_lex_state = 12},
  [2415] = {.lex_state = 54, .external_lex_state = 12},
  [2416] = {.lex_state = 54, .external_lex_state = 9},
  [2417] = {.lex_state = 54, .external_lex_state = 14},
  [2418] = {.lex_state = 54, .external_lex_state = 19},
  [2419] = {.lex_state = 54, .external_lex_state = 15},
  [2420] = {.lex_state = 54, .external_lex_state = 12},
  [2421] = {.lex_state = 54, .external_lex_state = 9},
  [2422] = {.lex_state = 54, .external_lex_state = 12},
  [2423] = {.lex_state = 54, .external_lex_state = 12},
  [2424] = {.lex_state = 54, .external_lex_state = 12},
  [2425] = {.lex_state = 54, .external_lex_state = 13},
  [2426] = {.lex_state = 54, .external_lex_state = 15},
  [2427] = {.lex_state = 54, .external_lex_state = 15},
  [2428] = {.lex_state = 54, .external_lex_state = 15},
  [2429] = {.lex_state = 54, .external_lex_state = 13},
  [2430] = {.lex_state = 54, .external_lex_state = 13},
  [2431] = {.lex_state = 54, .external_lex_state = 15},
  [2432] = {.lex_state = 54, .external_lex_state = 15},
  [2433] = {.lex_state = 54, .external_lex_state = 13},
  [2434] = {.lex_state = 54, .external_lex_state = 15},
  [2435] = {.lex_state = 3, .external_lex_state = 12},
  [2436] = {.lex_state = 54, .external_lex_state = 13},
  [2437] = {.lex_state = 54, .external_lex_state = 13},
  [2438] = {.lex_state = 3, .external_lex_state = 12},
  [2439] = {.lex_state = 54, .external_lex_state = 15},
  [2440] = {.lex_state = 54, .external_lex_state = 13},
  [2441] = {.lex_state = 54, .external_lex_state = 15},
  [2442] = {.lex_state = 8, .external_lex_state = 14},
  [2443] = {.lex_state = 54, .external_lex_state = 13},
  [2444] = {.lex_state = 54, .external_lex_state = 9},
  [2445] = {.lex_state = 54, .external_lex_state = 9},
  [2446] = {.lex_state = 54, .external_lex_state = 9},
  [2447] = {.lex_state = 3, .external_lex_state = 12},
  [2448] = {.lex_state = 54, .external_lex_state = 15},
  [2449] = {.lex_state = 54, .external_lex_state = 12},
  [2450] = {.lex_state = 54, .external_lex_state = 9},
  [2451] = {.lex_state = 54, .external_lex_state = 12},
  [2452] = {.lex_state = 54, .external_lex_state = 15},
  [2453] = {.lex_state = 54, .external_lex_state = 15},
  [2454] = {.lex_state = 54, .external_lex_state = 15},
  [2455] = {.lex_state = 54, .external_lex_state = 12},
  [2456] = {.lex_state = 54, .external_lex_state = 13},
  [2457] = {.lex_state = 54, .external_lex_state = 15},
  [2458] = {.lex_state = 54, .external_lex_state = 15},
  [2459] = {.lex_state = 54, .external_lex_state = 13},
  [2460] = {.lex_state = 54, .external_lex_state = 13},
  [2461] = {.lex_state = 54, .external_lex_state = 14},
  [2462] = {.lex_state = 54, .external_lex_state = 15},
  [2463] = {.lex_state = 9, .external_lex_state = 17},
  [2464] = {.lex_state = 54, .external_lex_state = 13},
  [2465] = {.lex_state = 54, .external_lex_state = 14},
  [2466] = {.lex_state = 54, .external_lex_state = 13},
  [2467] = {.lex_state = 54, .external_lex_state = 13},
  [2468] = {.lex_state = 54, .external_lex_state = 13},
  [2469] = {.lex_state = 54, .external_lex_state = 15},
  [2470] = {.lex_state = 54, .external_lex_state = 13},
  [2471] = {.lex_state = 54, .external_lex_state = 15},
  [2472] = {.lex_state = 54, .external_lex_state = 13},
  [2473] = {.lex_state = 54, .external_lex_state = 13},
  [2474] = {.lex_state = 9, .external_lex_state = 17},
  [2475] = {.lex_state = 54, .external_lex_state = 15},
  [2476] = {.lex_state = 54, .external_lex_state = 15},
  [2477] = {.lex_state = 54, .external_lex_state = 15},
  [2478] = {.lex_state = 54, .external_lex_state = 15},
  [2479] = {.lex_state = 54, .external_lex_state = 15},
  [2480] = {.lex_state = 54, .external_lex_state = 14},
  [2481] = {.lex_state = 54, .external_lex_state = 9},
  [2482] = {.lex_state = 54, .external_lex_state = 13},
  [2483] = {.lex_state = 54, .external_lex_state = 13},
  [2484] = {.lex_state = 54, .external_lex_state = 12},
  [2485] = {.lex_state = 54, .external_lex_state = 14},
  [2486] = {.lex_state = 54, .external_lex_state = 14},
  [2487] = {.lex_state = 54, .external_lex_state = 12},
  [2488] = {.lex_state = 54, .external_lex_state = 14},
  [2489] = {.lex_state = 54, .external_lex_state = 15},
  [2490] = {.lex_state = 54, .external_lex_state = 9},
  [2491] = {.lex_state = 8, .external_lex_state = 14},
  [2492] = {.lex_state = 8, .external_lex_state = 14},
  [2493] = {.lex_state = 8, .external_lex_state = 14},
  [2494] = {.lex_state = 8, .external_lex_state = 14},
  [2495] = {.lex_state = 8, .external_lex_state = 14},
  [2496] = {.lex_state = 54, .external_lex_state = 12},
  [2497] = {.lex_state = 9, .external_lex_state = 17},
  [2498] = {.lex_state = 54, .external_lex_state = 14},
  [2499] = {.lex_state = 54, .external_lex_state = 14},
  [2500] = {.lex_state = 54, .external_lex_state = 14},
  [2501] = {.lex_state = 54, .external_lex_state = 14},
  [2502] = {.lex_state = 54, .external_lex_state = 14},
  [2503] = {.lex_state = 54, .external_lex_state = 14},
  [2504] = {.lex_state = 54, .external_lex_state = 14},
  [2505] = {.lex_state = 54, .external_lex_state = 15},
  [2506] = {.lex_state = 3, .external_lex_state = 12},
  [2507] = {.lex_state = 54, .external_lex_state = 15},
  [2508] = {.lex_state = 54, .external_lex_state = 15},
  [2509] = {.lex_state = 54, .external_lex_state = 15},
  [2510] = {.lex_state = 54, .external_lex_state = 15},
  [2511] = {.lex_state = 54, .external_lex_state = 12},
  [2512] = {.lex_state = 54, .external_lex_state = 9},
  [2513] = {.lex_state = 54, .external_lex_state = 13},
  [2514] = {.lex_state = 54, .external_lex_state = 12},
  [2515] = {.lex_state = 54, .external_lex_state = 19},
  [2516] = {.lex_state = 54, .external_lex_state = 9},
  [2517] = {.lex_state = 54, .external_lex_state = 14},
  [2518] = {.lex_state = 54, .external_lex_state = 15},
  [2519] = {.lex_state = 54, .external_lex_state = 9},
  [2520] = {.lex_state = 54, .external_lex_state = 12},
  [2521] = {.lex_state = 54, .external_lex_state = 15},
  [2522] = {.lex_state = 54, .external_lex_state = 15},
  [2523] = {.lex_state = 54, .external_lex_state = 15},
  [2524] = {.lex_state = 54, .external_lex_state = 14},
  [2525] = {.lex_state = 54, .external_lex_state = 14},
  [2526] = {.lex_state = 54, .external_lex_state = 14},
  [2527] = {.lex_state = 54, .external_lex_state = 15},
  [2528] = {.lex_state = 54, .external_lex_state = 9},
  [2529] = {.lex_state = 54, .external_lex_state = 9},
  [2530] = {.lex_state = 9, .external_lex_state = 14},
  [2531] = {.lex_state = 9, .external_lex_state = 14},
  [2532] = {.lex_state = 54, .external_lex_state = 15},
  [2533] = {.lex_state = 54, .external_lex_state = 9},
  [2534] = {.lex_state = 54, .external_lex_state = 14},
  [2535] = {.lex_state = 54, .external_lex_state = 12},
  [2536] = {.lex_state = 54, .external_lex_state = 9},
  [2537] = {.lex_state = 54, .external_lex_state = 14},
  [2538] = {.lex_state = 54, .external_lex_state = 15},
  [2539] = {.lex_state = 54, .external_lex_state = 14},
  [2540] = {.lex_state = 54, .external_lex_state = 13},
  [2541] = {.lex_state = 54, .external_lex_state = 18},
  [2542] = {.lex_state = 54, .external_lex_state = 14},
  [2543] = {.lex_state = 54, .external_lex_state = 14},
  [2544] = {.lex_state = 54, .external_lex_state = 18},
  [2545] = {.lex_state = 54, .external_lex_state = 14},
  [2546] = {.lex_state = 54, .external_lex_state = 14},
  [2547] = {.lex_state = 54, .external_lex_state = 13},
  [2548] = {.lex_state = 54, .external_lex_state = 14},
  [2549] = {.lex_state = 54, .external_lex_state = 15},
  [2550] = {.lex_state = 54, .external_lex_state = 14},
  [2551] = {.lex_state = 9, .external_lex_state = 14},
  [2552] = {.lex_state = 54, .external_lex_state = 14},
  [2553] = {.lex_state = 54, .external_lex_state = 14},
  [2554] = {.lex_state = 9, .external_lex_state = 14},
  [2555] = {.lex_state = 54, .external_lex_state = 14},
  [2556] = {.lex_state = 9, .external_lex_state = 14},
  [2557] = {.lex_state = 54, .external_lex_state = 15},
  [2558] = {.lex_state = 54, .external_lex_state = 9},
  [2559] = {.lex_state = 9, .external_lex_state = 14},
  [2560] = {.lex_state = 54, .external_lex_state = 15},
  [2561] = {.lex_state = 9, .external_lex_state = 14},
  [2562] = {.lex_state = 54, .external_lex_state = 9},
  [2563] = {.lex_state = 54, .external_lex_state = 9},
  [2564] = {.lex_state = 54, .external_lex_state = 14},
  [2565] = {.lex_state = 9, .external_lex_state = 14},
  [2566] = {.lex_state = 54, .external_lex_state = 18},
  [2567] = {.lex_state = 54, .external_lex_state = 9},
  [2568] = {.lex_state = 54, .external_lex_state = 14},
  [2569] = {.lex_state = 54, .external_lex_state = 13},
  [2570] = {.lex_state = 54, .external_lex_state = 12},
  [2571] = {.lex_state = 54, .external_lex_state = 15},
  [2572] = {.lex_state = 54, .external_lex_state = 14},
  [2573] = {.lex_state = 54, .external_lex_state = 15},
  [2574] = {.lex_state = 54, .external_lex_state = 18},
  [2575] = {.lex_state = 54, .external_lex_state = 9},
  [2576] = {.lex_state = 54, .external_lex_state = 9},
  [2577] = {.lex_state = 54, .external_lex_state = 14},
  [2578] = {.lex_state = 54, .external_lex_state = 18},
  [2579] = {.lex_state = 54, .external_lex_state = 9},
  [2580] = {.lex_state = 54, .external_lex_state = 14},
  [2581] = {.lex_state = 54, .external_lex_state = 14},
  [2582] = {.lex_state = 54, .external_lex_state = 9},
  [2583] = {.lex_state = 54, .external_lex_state = 13},
  [2584] = {.lex_state = 54, .external_lex_state = 18},
  [2585] = {.lex_state = 54, .external_lex_state = 15},
  [2586] = {.lex_state = 54, .external_lex_state = 18},
  [2587] = {.lex_state = 54, .external_lex_state = 18},
  [2588] = {.lex_state = 54, .external_lex_state = 15},
  [2589] = {.lex_state = 54, .external_lex_state = 9},
  [2590] = {.lex_state = 54, .external_lex_state = 18},
  [2591] = {.lex_state = 54, .external_lex_state = 13},
  [2592] = {.lex_state = 54, .external_lex_state = 15},
  [2593] = {.lex_state = 54, .external_lex_state = 18},
  [2594] = {.lex_state = 54, .external_lex_state = 13},
  [2595] = {.lex_state = 54, .external_lex_state = 18},
  [2596] = {.lex_state = 54, .external_lex_state = 13},
  [2597] = {.lex_state = 54, .external_lex_state = 13},
  [2598] = {.lex_state = 54, .external_lex_state = 9},
  [2599] = {.lex_state = 54, .external_lex_state = 15},
  [2600] = {.lex_state = 54, .external_lex_state = 9},
  [2601] = {.lex_state = 54, .external_lex_state = 18},
  [2602] = {.lex_state = 54, .external_lex_state = 9},
  [2603] = {.lex_state = 54, .external_lex_state = 12},
  [2604] = {.lex_state = 54, .external_lex_state = 12},
  [2605] = {.lex_state = 54, .external_lex_state = 12},
  [2606] = {.lex_state = 54, .external_lex_state = 15},
  [2607] = {.lex_state = 54, .external_lex_state = 14},
  [2608] = {.lex_state = 54, .external_lex_state = 18},
  [2609] = {.lex_state = 54, .external_lex_state = 18},
  [2610] = {.lex_state = 54, .external_lex_state = 15},
  [2611] = {.lex_state = 54, .external_lex_state = 14},
  [2612] = {.lex_state = 54, .external_lex_state = 13},
  [2613] = {.lex_state = 54, .external_lex_state = 14},
  [2614] = {.lex_state = 54, .external_lex_state = 18},
  [2615] = {.lex_state = 54, .external_lex_state = 14},
  [2616] = {.lex_state = 54, .external_lex_state = 15},
  [2617] = {.lex_state = 9, .external_lex_state = 14},
  [2618] = {.lex_state = 54, .external_lex_state = 15},
  [2619] = {.lex_state = 54, .external_lex_state = 9},
  [2620] = {.lex_state = 54, .external_lex_state = 14},
  [2621] = {.lex_state = 54, .external_lex_state = 14},
  [2622] = {.lex_state = 54, .external_lex_state = 9},
  [2623] = {.lex_state = 54, .external_lex_state = 18},
  [2624] = {.lex_state = 9, .external_lex_state = 14},
  [2625] = {.lex_state = 54, .external_lex_state = 14},
  [2626] = {.lex_state = 54, .external_lex_state = 18},
  [2627] = {.lex_state = 54, .external_lex_state = 18},
  [2628] = {.lex_state = 54, .external_lex_state = 14},
  [2629] = {.lex_state = 54, .external_lex_state = 14},
  [2630] = {.lex_state = 54, .external_lex_state = 14},
  [2631] = {.lex_state = 54, .external_lex_state = 15},
  [2632] = {.lex_state = 4, .external_lex_state = 14},
  [2633] = {.lex_state = 54, .external_lex_state = 14},
  [2634] = {.lex_state = 54, .external_lex_state = 14},
  [2635] = {.lex_state = 54, .external_lex_state = 13},
  [2636] = {.lex_state = 54, .external_lex_state = 15},
  [2637] = {.lex_state = 54, .external_lex_state = 13},
  [2638] = {.lex_state = 54, .external_lex_state = 14},
  [2639] = {.lex_state = 54, .external_lex_state = 13},
  [2640] = {.lex_state = 54, .external_lex_state = 12},
  [2641] = {.lex_state = 54, .external_lex_state = 14},
  [2642] = {.lex_state = 54, .external_lex_state = 14},
  [2643] = {.lex_state = 54, .external_lex_state = 12},
  [2644] = {.lex_state = 54, .external_lex_state = 14},
  [2645] = {.lex_state = 54, .external_lex_state = 12},
  [2646] = {.lex_state = 54, .external_lex_state = 13},
  [2647] = {.lex_state = 54, .external_lex_state = 14},
  [2648] = {.lex_state = 54, .external_lex_state = 12},
  [2649] = {.lex_state = 54, .external_lex_state = 14},
  [2650] = {.lex_state = 54, .external_lex_state = 15},
  [2651] = {.lex_state = 54, .external_lex_state = 13},
  [2652] = {.lex_state = 54, .external_lex_state = 14},
  [2653] = {.lex_state = 54, .external_lex_state = 15},
  [2654] = {.lex_state = 54, .external_lex_state = 12},
  [2655] = {.lex_state = 54, .external_lex_state = 12},
  [2656] = {.lex_state = 54, .external_lex_state = 12},
  [2657] = {.lex_state = 54, .external_lex_state = 12},
  [2658] = {.lex_state = 54, .external_lex_state = 15},
  [2659] = {.lex_state = 54, .external_lex_state = 14},
  [2660] = {.lex_state = 54, .external_lex_state = 13},
  [2661] = {.lex_state = 54, .external_lex_state = 14},
  [2662] = {.lex_state = 54, .external_lex_state = 15},
  [2663] = {.lex_state = 54, .external_lex_state = 14},
  [2664] = {.lex_state = 54, .external_lex_state = 14},
  [2665] = {.lex_state = 54, .external_lex_state = 14},
  [2666] = {.lex_state = 54, .external_lex_state = 15},
  [2667] = {.lex_state = 54, .external_lex_state = 14},
  [2668] = {.lex_state = 54, .external_lex_state = 14},
  [2669] = {.lex_state = 54, .external_lex_state = 15},
  [2670] = {.lex_state = 54, .external_lex_state = 15},
  [2671] = {.lex_state = 54, .external_lex_state = 14},
  [2672] = {.lex_state = 54, .external_lex_state = 13},
  [2673] = {.lex_state = 54, .external_lex_state = 15},
  [2674] = {.lex_state = 4, .external_lex_state = 14},
  [2675] = {.lex_state = 54, .external_lex_state = 12},
  [2676] = {.lex_state = 54, .external_lex_state = 14},
  [2677] = {.lex_state = 54, .external_lex_state = 14},
  [2678] = {.lex_state = 54, .external_lex_state = 14},
  [2679] = {.lex_state = 54, .external_lex_state = 13},
  [2680] = {.lex_state = 54, .external_lex_state = 14},
  [2681] = {.lex_state = 54, .external_lex_state = 13},
  [2682] = {.lex_state = 54, .external_lex_state = 14},
  [2683] = {.lex_state = 54, .external_lex_state = 14},
  [2684] = {.lex_state = 54, .external_lex_state = 14},
  [2685] = {.lex_state = 54, .external_lex_state = 15},
  [2686] = {.lex_state = 54, .external_lex_state = 14},
  [2687] = {.lex_state = 54, .external_lex_state = 14},
  [2688] = {.lex_state = 54, .external_lex_state = 13},
  [2689] = {.lex_state = 54, .external_lex_state = 14},
  [2690] = {.lex_state = 54, .external_lex_state = 14},
  [2691] = {.lex_state = 54, .external_lex_state = 12},
  [2692] = {.lex_state = 54, .external_lex_state = 14},
  [2693] = {.lex_state = 54, .external_lex_state = 12},
  [2694] = {.lex_state = 54, .external_lex_state = 15},
  [2695] = {.lex_state = 54, .external_lex_state = 12},
  [2696] = {.lex_state = 54, .external_lex_state = 14},
  [2697] = {.lex_state = 54, .external_lex_state = 12},
  [2698] = {.lex_state = 54, .external_lex_state = 12},
  [2699] = {.lex_state = 54, .external_lex_state = 14},
  [2700] = {.lex_state = 54, .external_lex_state = 14},
  [2701] = {.lex_state = 54, .external_lex_state = 14},
  [2702] = {.lex_state = 4, .external_lex_state = 14},
  [2703] = {.lex_state = 54, .external_lex_state = 14},
  [2704] = {.lex_state = 54, .external_lex_state = 15},
  [2705] = {.lex_state = 54, .external_lex_state = 13},
  [2706] = {.lex_state = 54, .external_lex_state = 12},
  [2707] = {.lex_state = 54, .external_lex_state = 14},
  [2708] = {.lex_state = 54, .external_lex_state = 14},
  [2709] = {.lex_state = 54, .external_lex_state = 14},
  [2710] = {.lex_state = 54, .external_lex_state = 12},
  [2711] = {.lex_state = 54, .external_lex_state = 12},
  [2712] = {.lex_state = 54, .external_lex_state = 14},
  [2713] = {.lex_state = 54, .external_lex_state = 14},
  [2714] = {.lex_state = 54, .external_lex_state = 14},
  [2715] = {.lex_state = 54, .external_lex_state = 14},
  [2716] = {.lex_state = 54, .external_lex_state = 15},
  [2717] = {.lex_state = 54, .external_lex_state = 13},
  [2718] = {.lex_state = 54, .external_lex_state = 15},
  [2719] = {.lex_state = 54, .external_lex_state = 12},
  [2720] = {.lex_state = 54, .external_lex_state = 14},
  [2721] = {.lex_state = 54, .external_lex_state = 14},
  [2722] = {.lex_state = 54, .external_lex_state = 14},
  [2723] = {.lex_state = 4, .external_lex_state = 14},
  [2724] = {.lex_state = 54, .external_lex_state = 14},
  [2725] = {.lex_state = 54, .external_lex_state = 14},
  [2726] = {.lex_state = 54, .external_lex_state = 15},
  [2727] = {.lex_state = 54, .external_lex_state = 14},
  [2728] = {.lex_state = 54, .external_lex_state = 14},
  [2729] = {.lex_state = 54, .external_lex_state = 14},
  [2730] = {.lex_state = 54, .external_lex_state = 14},
  [2731] = {.lex_state = 54, .external_lex_state = 14},
  [2732] = {.lex_state = 54, .external_lex_state = 14},
  [2733] = {.lex_state = 54, .external_lex_state = 14},
  [2734] = {.lex_state = 54, .external_lex_state = 14},
  [2735] = {.lex_state = 54, .external_lex_state = 14},
  [2736] = {.lex_state = 54, .external_lex_state = 13},
  [2737] = {.lex_state = 54, .external_lex_state = 13},
  [2738] = {.lex_state = 54, .external_lex_state = 15},
  [2739] = {.lex_state = 54, .external_lex_state = 14},
  [2740] = {.lex_state = 54, .external_lex_state = 14},
  [2741] = {.lex_state = 54, .external_lex_state = 13},
  [2742] = {.lex_state = 54, .external_lex_state = 12},
  [2743] = {.lex_state = 54, .external_lex_state = 14},
  [2744] = {.lex_state = 54, .external_lex_state = 14},
  [2745] = {.lex_state = 54, .external_lex_state = 15},
  [2746] = {.lex_state = 54, .external_lex_state = 14},
  [2747] = {.lex_state = 54, .external_lex_state = 12},
  [2748] = {.lex_state = 54, .external_lex_state = 14},
  [2749] = {.lex_state = 54, .external_lex_state = 12},
  [2750] = {.lex_state = 54, .external_lex_state = 14},
  [2751] = {.lex_state = 54, .external_lex_state = 12},
  [2752] = {.lex_state = 54, .external_lex_state = 14},
  [2753] = {.lex_state = 54, .external_lex_state = 14},
  [2754] = {.lex_state = 54, .external_lex_state = 14},
  [2755] = {.lex_state = 54, .external_lex_state = 12},
  [2756] = {.lex_state = 54, .external_lex_state = 14},
  [2757] = {.lex_state = 4, .external_lex_state = 14},
  [2758] = {.lex_state = 54, .external_lex_state = 14},
  [2759] = {.lex_state = 54, .external_lex_state = 14},
  [2760] = {.lex_state = 54, .external_lex_state = 14},
  [2761] = {.lex_state = 54, .external_lex_state = 12},
  [2762] = {.lex_state = 54, .external_lex_state = 12},
  [2763] = {.lex_state = 54, .external_lex_state = 14},
  [2764] = {.lex_state = 4, .external_lex_state = 14},
  [2765] = {.lex_state = 54, .external_lex_state = 15},
  [2766] = {.lex_state = 54, .external_lex_state = 15},
  [2767] = {.lex_state = 54, .external_lex_state = 14},
  [2768] = {.lex_state = 54, .external_lex_state = 14},
  [2769] = {.lex_state = 54, .external_lex_state = 15},
  [2770] = {.lex_state = 54, .external_lex_state = 13},
  [2771] = {.lex_state = 54, .external_lex_state = 14},
  [2772] = {.lex_state = 54, .external_lex_state = 12},
  [2773] = {.lex_state = 54, .external_lex_state = 14},
  [2774] = {.lex_state = 54, .external_lex_state = 12},
  [2775] = {.lex_state = 54, .external_lex_state = 12},
  [2776] = {.lex_state = 54, .external_lex_state = 14},
  [2777] = {.lex_state = 54, .external_lex_state = 14},
  [2778] = {.lex_state = 54, .external_lex_state = 15},
  [2779] = {.lex_state = 54, .external_lex_state = 14},
  [2780] = {.lex_state = 54, .external_lex_state = 15},
  [2781] = {.lex_state = 54, .external_lex_state = 14},
  [2782] = {.lex_state = 54, .external_lex_state = 15},
  [2783] = {.lex_state = 54, .external_lex_state = 13},
  [2784] = {.lex_state = 54, .external_lex_state = 12},
  [2785] = {.lex_state = 54, .external_lex_state = 14},
  [2786] = {.lex_state = 54, .external_lex_state = 14},
  [2787] = {.lex_state = 54, .external_lex_state = 12},
  [2788] = {.lex_state = 54, .external_lex_state = 12},
  [2789] = {.lex_state = 54, .external_lex_state = 13},
  [2790] = {.lex_state = 54, .external_lex_state = 14},
  [2791] = {.lex_state = 54, .external_lex_state = 13},
  [2792] = {.lex_state = 54, .external_lex_state = 15},
  [2793] = {.lex_state = 54, .external_lex_state = 14},
  [2794] = {.lex_state = 54, .external_lex_state = 14},
  [2795] = {.lex_state = 54, .external_lex_state = 12},
  [2796] = {.lex_state = 54, .external_lex_state = 14},
  [2797] = {.lex_state = 54, .external_lex_state = 13},
  [2798] = {.lex_state = 54, .external_lex_state = 14},
  [2799] = {.lex_state = 54, .external_lex_state = 12},
  [2800] = {.lex_state = 54, .external_lex_state = 14},
  [2801] = {.lex_state = 54, .external_lex_state = 12},
  [2802] = {.lex_state = 54, .external_lex_state = 14},
  [2803] = {.lex_state = 4, .external_lex_state = 14},
  [2804] = {.lex_state = 54, .external_lex_state = 12},
  [2805] = {.lex_state = 54, .external_lex_state = 14},
  [2806] = {.lex_state = 54, .external_lex_state = 12},
  [2807] = {.lex_state = 54, .external_lex_state = 14},
  [2808] = {.lex_state = 54, .external_lex_state = 14},
  [2809] = {.lex_state = 54, .external_lex_state = 15},
  [2810] = {.lex_state = 54, .external_lex_state = 13},
  [2811] = {.lex_state = 54, .external_lex_state = 14},
  [2812] = {.lex_state = 54, .external_lex_state = 15},
  [2813] = {.lex_state = 54, .external_lex_state = 12},
  [2814] = {.lex_state = 54, .external_lex_state = 12},
  [2815] = {.lex_state = 54, .external_lex_state = 15},
  [2816] = {.lex_state = 54, .external_lex_state = 12},
  [2817] = {.lex_state = 54, .external_lex_state = 15},
  [2818] = {.lex_state = 4, .external_lex_state = 14},
  [2819] = {.lex_state = 54, .external_lex_state = 14},
  [2820] = {.lex_state = 54, .external_lex_state = 14},
  [2821] = {.lex_state = 54, .external_lex_state = 12},
  [2822] = {.lex_state = 54, .external_lex_state = 14},
  [2823] = {.lex_state = 54, .external_lex_state = 14},
  [2824] = {.lex_state = 54, .external_lex_state = 14},
  [2825] = {.lex_state = 54, .external_lex_state = 15},
  [2826] = {.lex_state = 54, .external_lex_state = 14},
  [2827] = {.lex_state = 54, .external_lex_state = 14},
  [2828] = {.lex_state = 54, .external_lex_state = 14},
  [2829] = {.lex_state = 54, .external_lex_state = 15},
  [2830] = {.lex_state = 54, .external_lex_state = 15},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym__not_escape_sequence] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2713),
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1859),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [2] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(690),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [3] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(1811),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [4] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(1855),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [5] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [6] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(734),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [7] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(738),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [8] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(753),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [9] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(768),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [10] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(770),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [11] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(775),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [12] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(789),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [13] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(720),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [14] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(677),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [15] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(799),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [16] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(803),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [17] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(805),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [18] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(723),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [19] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(707),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [20] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(813),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [21] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(683),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [22] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(684),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [23] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(818),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [24] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(705),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [25] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(2566),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [26] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(826),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [27] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(831),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [28] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(2587),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [29] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(2595),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [30] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [31] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(689),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [32] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(2623),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [33] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(2627),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [34] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(2544),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [35] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(614),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [36] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(719),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [37] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(797),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [38] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(810),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [39] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(752),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [40] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(794),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [41] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(796),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [42] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(808),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [43] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(817),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [44] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(711),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [45] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(647),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [46] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(732),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [47] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(737),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [48] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(741),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [49] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(722),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [50] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(703),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [51] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(727),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [52] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(668),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [53] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(669),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [54] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(772),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [55] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(699),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [56] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(777),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [57] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(784),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [58] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(791),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [59] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(676),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [60] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(680),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [61] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1832),
    [sym_block] = STATE(619),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [62] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1859),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(117),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(128),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(134),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_del] = ACTIONS(143),
    [anon_sym_raise] = ACTIONS(146),
    [anon_sym_pass] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(152),
    [anon_sym_continue] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(158),
    [anon_sym_match] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(164),
    [anon_sym_for] = ACTIONS(167),
    [anon_sym_while] = ACTIONS(170),
    [anon_sym_try] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(176),
    [anon_sym_def] = ACTIONS(179),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_class] = ACTIONS(194),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_AT] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(212),
    [anon_sym_yield] = ACTIONS(215),
    [sym_ellipsis] = ACTIONS(218),
    [sym_integer] = ACTIONS(221),
    [sym_float] = ACTIONS(218),
    [anon_sym_await] = ACTIONS(224),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_none] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(227),
  },
  [63] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1859),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1859),
    [ts_builtin_sym_end] = ACTIONS(230),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [64] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(232),
    [sym_string_start] = ACTIONS(81),
  },
  [65] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(128),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(134),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_del] = ACTIONS(143),
    [anon_sym_raise] = ACTIONS(146),
    [anon_sym_pass] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(152),
    [anon_sym_continue] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(234),
    [anon_sym_match] = ACTIONS(237),
    [anon_sym_async] = ACTIONS(240),
    [anon_sym_for] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(246),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_with] = ACTIONS(252),
    [anon_sym_def] = ACTIONS(255),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_class] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_AT] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(212),
    [anon_sym_yield] = ACTIONS(215),
    [sym_ellipsis] = ACTIONS(218),
    [sym_integer] = ACTIONS(221),
    [sym_float] = ACTIONS(218),
    [anon_sym_await] = ACTIONS(224),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_none] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(227),
  },
  [66] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(261),
    [sym_string_start] = ACTIONS(81),
  },
  [67] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(263),
    [sym_string_start] = ACTIONS(81),
  },
  [68] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [69] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(267),
    [sym_string_start] = ACTIONS(81),
  },
  [70] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(269),
    [sym_string_start] = ACTIONS(81),
  },
  [71] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(271),
    [sym_string_start] = ACTIONS(81),
  },
  [72] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1832),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(273),
    [sym_string_start] = ACTIONS(81),
  },
  [73] = {
    [sym_named_expression] = STATE(1737),
    [sym__named_expression_lhs] = STATE(2803),
    [sym_list_splat_pattern] = STATE(1379),
    [sym_as_pattern] = STATE(1737),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(1045),
    [sym_not_operator] = STATE(1737),
    [sym_boolean_operator] = STATE(1737),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_comparison_operator] = STATE(1737),
    [sym_lambda] = STATE(1737),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_type] = STATE(2184),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_conditional_expression] = STATE(1737),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(290),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(297),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(300),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [74] = {
    [sym_named_expression] = STATE(1737),
    [sym__named_expression_lhs] = STATE(2803),
    [sym_list_splat_pattern] = STATE(1379),
    [sym_as_pattern] = STATE(1737),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(1045),
    [sym_not_operator] = STATE(1737),
    [sym_boolean_operator] = STATE(1737),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_comparison_operator] = STATE(1737),
    [sym_lambda] = STATE(1737),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_type] = STATE(2184),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_conditional_expression] = STATE(1737),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(290),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(297),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(300),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [75] = {
    [sym__simple_statements] = STATE(757),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(349),
    [sym__indent] = ACTIONS(351),
    [sym_string_start] = ACTIONS(81),
  },
  [76] = {
    [sym__simple_statements] = STATE(773),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__indent] = ACTIONS(355),
    [sym_string_start] = ACTIONS(81),
  },
  [77] = {
    [sym__simple_statements] = STATE(827),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(357),
    [sym__indent] = ACTIONS(359),
    [sym_string_start] = ACTIONS(81),
  },
  [78] = {
    [sym__simple_statements] = STATE(811),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(361),
    [sym__indent] = ACTIONS(363),
    [sym_string_start] = ACTIONS(81),
  },
  [79] = {
    [sym__simple_statements] = STATE(778),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(365),
    [sym__indent] = ACTIONS(367),
    [sym_string_start] = ACTIONS(81),
  },
  [80] = {
    [sym__simple_statements] = STATE(735),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__indent] = ACTIONS(371),
    [sym_string_start] = ACTIONS(81),
  },
  [81] = {
    [sym__simple_statements] = STATE(801),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(373),
    [sym__indent] = ACTIONS(375),
    [sym_string_start] = ACTIONS(81),
  },
  [82] = {
    [sym__simple_statements] = STATE(819),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(631),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(636),
    [sym_subscript] = STATE(636),
    [sym_call] = STATE(1137),
    [sym_type] = STATE(2136),
    [sym_splat_type] = STATE(2037),
    [sym_generic_type] = STATE(2037),
    [sym_union_type] = STATE(2037),
    [sym_constrained_type] = STATE(2037),
    [sym_member_type] = STATE(2037),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(337),
    [anon_sym_STAR_STAR] = ACTIONS(339),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(347),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(377),
    [sym__indent] = ACTIONS(379),
    [sym_string_start] = ACTIONS(81),
  },
  [83] = {
    [sym_chevron] = STATE(2173),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_list_splat_pattern] = STATE(1146),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1852),
    [sym_primary_expression] = STATE(978),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_attribute] = STATE(1137),
    [sym_subscript] = STATE(1137),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(383),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_print] = ACTIONS(389),
    [anon_sym_GT_GT] = ACTIONS(391),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(389),
    [anon_sym_type] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(398),
    [anon_sym_not] = ACTIONS(401),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(404),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [84] = {
    [sym_chevron] = STATE(2173),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_list_splat_pattern] = STATE(1146),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1852),
    [sym_primary_expression] = STATE(978),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_attribute] = STATE(1137),
    [sym_subscript] = STATE(1137),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(383),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_print] = ACTIONS(389),
    [anon_sym_GT_GT] = ACTIONS(391),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(389),
    [anon_sym_type] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(398),
    [anon_sym_not] = ACTIONS(401),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(404),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [85] = {
    [sym_named_expression] = STATE(1737),
    [sym__named_expression_lhs] = STATE(2803),
    [sym_list_splat_pattern] = STATE(1379),
    [sym_as_pattern] = STATE(1737),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1045),
    [sym_not_operator] = STATE(1737),
    [sym_boolean_operator] = STATE(1737),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_comparison_operator] = STATE(1737),
    [sym_lambda] = STATE(1737),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_conditional_expression] = STATE(1737),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(290),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(300),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_not] = ACTIONS(416),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [86] = {
    [sym_named_expression] = STATE(1737),
    [sym__named_expression_lhs] = STATE(2803),
    [sym_list_splat_pattern] = STATE(1379),
    [sym_as_pattern] = STATE(1737),
    [sym_expression] = STATE(1891),
    [sym_primary_expression] = STATE(1045),
    [sym_not_operator] = STATE(1737),
    [sym_boolean_operator] = STATE(1737),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_comparison_operator] = STATE(1737),
    [sym_lambda] = STATE(1737),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_conditional_expression] = STATE(1737),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(290),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(300),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_not] = ACTIONS(416),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [87] = {
    [sym__simple_statements] = STATE(710),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(420),
    [sym__indent] = ACTIONS(422),
    [sym_string_start] = ACTIONS(81),
  },
  [88] = {
    [sym__simple_statements] = STATE(624),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(424),
    [sym__indent] = ACTIONS(426),
    [sym_string_start] = ACTIONS(81),
  },
  [89] = {
    [sym__simple_statements] = STATE(713),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(428),
    [sym__indent] = ACTIONS(430),
    [sym_string_start] = ACTIONS(81),
  },
  [90] = {
    [sym__simple_statements] = STATE(820),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(432),
    [sym__indent] = ACTIONS(434),
    [sym_string_start] = ACTIONS(81),
  },
  [91] = {
    [sym__simple_statements] = STATE(744),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(436),
    [sym__indent] = ACTIONS(438),
    [sym_string_start] = ACTIONS(81),
  },
  [92] = {
    [sym__simple_statements] = STATE(1834),
    [sym_import_statement] = STATE(2281),
    [sym_future_import_statement] = STATE(2281),
    [sym_import_from_statement] = STATE(2281),
    [sym_print_statement] = STATE(2281),
    [sym_assert_statement] = STATE(2281),
    [sym_expression_statement] = STATE(2281),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2281),
    [sym_delete_statement] = STATE(2281),
    [sym_raise_statement] = STATE(2281),
    [sym_pass_statement] = STATE(2281),
    [sym_break_statement] = STATE(2281),
    [sym_continue_statement] = STATE(2281),
    [sym_global_statement] = STATE(2281),
    [sym_nonlocal_statement] = STATE(2281),
    [sym_exec_statement] = STATE(2281),
    [sym_type_alias_statement] = STATE(2281),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(440),
    [sym__indent] = ACTIONS(442),
    [sym_string_start] = ACTIONS(81),
  },
  [93] = {
    [sym__simple_statements] = STATE(846),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(444),
    [sym__indent] = ACTIONS(446),
    [sym_string_start] = ACTIONS(81),
  },
  [94] = {
    [sym__simple_statements] = STATE(837),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(448),
    [sym__indent] = ACTIONS(450),
    [sym_string_start] = ACTIONS(81),
  },
  [95] = {
    [sym__simple_statements] = STATE(807),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(452),
    [sym__indent] = ACTIONS(454),
    [sym_string_start] = ACTIONS(81),
  },
  [96] = {
    [sym__simple_statements] = STATE(704),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(456),
    [sym__indent] = ACTIONS(458),
    [sym_string_start] = ACTIONS(81),
  },
  [97] = {
    [sym__simple_statements] = STATE(830),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(460),
    [sym__indent] = ACTIONS(462),
    [sym_string_start] = ACTIONS(81),
  },
  [98] = {
    [sym__simple_statements] = STATE(841),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(464),
    [sym__indent] = ACTIONS(466),
    [sym_string_start] = ACTIONS(81),
  },
  [99] = {
    [sym__simple_statements] = STATE(756),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(468),
    [sym__indent] = ACTIONS(470),
    [sym_string_start] = ACTIONS(81),
  },
  [100] = {
    [sym__simple_statements] = STATE(717),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(472),
    [sym__indent] = ACTIONS(474),
    [sym_string_start] = ACTIONS(81),
  },
  [101] = {
    [sym__simple_statements] = STATE(697),
    [sym_import_statement] = STATE(2416),
    [sym_future_import_statement] = STATE(2416),
    [sym_import_from_statement] = STATE(2416),
    [sym_print_statement] = STATE(2416),
    [sym_assert_statement] = STATE(2416),
    [sym_expression_statement] = STATE(2416),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2416),
    [sym_delete_statement] = STATE(2416),
    [sym_raise_statement] = STATE(2416),
    [sym_pass_statement] = STATE(2416),
    [sym_break_statement] = STATE(2416),
    [sym_continue_statement] = STATE(2416),
    [sym_global_statement] = STATE(2416),
    [sym_nonlocal_statement] = STATE(2416),
    [sym_exec_statement] = STATE(2416),
    [sym_type_alias_statement] = STATE(2416),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(476),
    [sym__indent] = ACTIONS(478),
    [sym_string_start] = ACTIONS(81),
  },
  [102] = {
    [sym__simple_statements] = STATE(766),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(480),
    [sym__indent] = ACTIONS(482),
    [sym_string_start] = ACTIONS(81),
  },
  [103] = {
    [sym__simple_statements] = STATE(2578),
    [sym_import_statement] = STATE(2388),
    [sym_future_import_statement] = STATE(2388),
    [sym_import_from_statement] = STATE(2388),
    [sym_print_statement] = STATE(2388),
    [sym_assert_statement] = STATE(2388),
    [sym_expression_statement] = STATE(2388),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2388),
    [sym_delete_statement] = STATE(2388),
    [sym_raise_statement] = STATE(2388),
    [sym_pass_statement] = STATE(2388),
    [sym_break_statement] = STATE(2388),
    [sym_continue_statement] = STATE(2388),
    [sym_global_statement] = STATE(2388),
    [sym_nonlocal_statement] = STATE(2388),
    [sym_exec_statement] = STATE(2388),
    [sym_type_alias_statement] = STATE(2388),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(484),
    [sym__indent] = ACTIONS(486),
    [sym_string_start] = ACTIONS(81),
  },
  [104] = {
    [sym__simple_statements] = STATE(795),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(488),
    [sym__indent] = ACTIONS(490),
    [sym_string_start] = ACTIONS(81),
  },
  [105] = {
    [sym__simple_statements] = STATE(736),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(492),
    [sym__indent] = ACTIONS(494),
    [sym_string_start] = ACTIONS(81),
  },
  [106] = {
    [sym__simple_statements] = STATE(798),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(496),
    [sym__indent] = ACTIONS(498),
    [sym_string_start] = ACTIONS(81),
  },
  [107] = {
    [sym__simple_statements] = STATE(726),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(500),
    [sym__indent] = ACTIONS(502),
    [sym_string_start] = ACTIONS(81),
  },
  [108] = {
    [sym__simple_statements] = STATE(712),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(504),
    [sym__indent] = ACTIONS(506),
    [sym_string_start] = ACTIONS(81),
  },
  [109] = {
    [sym__simple_statements] = STATE(739),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(508),
    [sym__indent] = ACTIONS(510),
    [sym_string_start] = ACTIONS(81),
  },
  [110] = {
    [sym__simple_statements] = STATE(822),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(512),
    [sym__indent] = ACTIONS(514),
    [sym_string_start] = ACTIONS(81),
  },
  [111] = {
    [sym__simple_statements] = STATE(679),
    [sym_import_statement] = STATE(2361),
    [sym_future_import_statement] = STATE(2361),
    [sym_import_from_statement] = STATE(2361),
    [sym_print_statement] = STATE(2361),
    [sym_assert_statement] = STATE(2361),
    [sym_expression_statement] = STATE(2361),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2361),
    [sym_delete_statement] = STATE(2361),
    [sym_raise_statement] = STATE(2361),
    [sym_pass_statement] = STATE(2361),
    [sym_break_statement] = STATE(2361),
    [sym_continue_statement] = STATE(2361),
    [sym_global_statement] = STATE(2361),
    [sym_nonlocal_statement] = STATE(2361),
    [sym_exec_statement] = STATE(2361),
    [sym_type_alias_statement] = STATE(2361),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(516),
    [sym__indent] = ACTIONS(518),
    [sym_string_start] = ACTIONS(81),
  },
  [112] = {
    [sym__simple_statements] = STATE(657),
    [sym_import_statement] = STATE(2416),
    [sym_future_import_statement] = STATE(2416),
    [sym_import_from_statement] = STATE(2416),
    [sym_print_statement] = STATE(2416),
    [sym_assert_statement] = STATE(2416),
    [sym_expression_statement] = STATE(2416),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2416),
    [sym_delete_statement] = STATE(2416),
    [sym_raise_statement] = STATE(2416),
    [sym_pass_statement] = STATE(2416),
    [sym_break_statement] = STATE(2416),
    [sym_continue_statement] = STATE(2416),
    [sym_global_statement] = STATE(2416),
    [sym_nonlocal_statement] = STATE(2416),
    [sym_exec_statement] = STATE(2416),
    [sym_type_alias_statement] = STATE(2416),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(520),
    [sym__indent] = ACTIONS(522),
    [sym_string_start] = ACTIONS(81),
  },
  [113] = {
    [sym__simple_statements] = STATE(658),
    [sym_import_statement] = STATE(2446),
    [sym_future_import_statement] = STATE(2446),
    [sym_import_from_statement] = STATE(2446),
    [sym_print_statement] = STATE(2446),
    [sym_assert_statement] = STATE(2446),
    [sym_expression_statement] = STATE(2446),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2446),
    [sym_delete_statement] = STATE(2446),
    [sym_raise_statement] = STATE(2446),
    [sym_pass_statement] = STATE(2446),
    [sym_break_statement] = STATE(2446),
    [sym_continue_statement] = STATE(2446),
    [sym_global_statement] = STATE(2446),
    [sym_nonlocal_statement] = STATE(2446),
    [sym_exec_statement] = STATE(2446),
    [sym_type_alias_statement] = STATE(2446),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(524),
    [sym__indent] = ACTIONS(526),
    [sym_string_start] = ACTIONS(81),
  },
  [114] = {
    [sym__simple_statements] = STATE(625),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(528),
    [sym__indent] = ACTIONS(530),
    [sym_string_start] = ACTIONS(81),
  },
  [115] = {
    [sym__simple_statements] = STATE(754),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(532),
    [sym__indent] = ACTIONS(534),
    [sym_string_start] = ACTIONS(81),
  },
  [116] = {
    [sym__simple_statements] = STATE(706),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(536),
    [sym__indent] = ACTIONS(538),
    [sym_string_start] = ACTIONS(81),
  },
  [117] = {
    [sym__simple_statements] = STATE(2626),
    [sym_import_statement] = STATE(2388),
    [sym_future_import_statement] = STATE(2388),
    [sym_import_from_statement] = STATE(2388),
    [sym_print_statement] = STATE(2388),
    [sym_assert_statement] = STATE(2388),
    [sym_expression_statement] = STATE(2388),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2388),
    [sym_delete_statement] = STATE(2388),
    [sym_raise_statement] = STATE(2388),
    [sym_pass_statement] = STATE(2388),
    [sym_break_statement] = STATE(2388),
    [sym_continue_statement] = STATE(2388),
    [sym_global_statement] = STATE(2388),
    [sym_nonlocal_statement] = STATE(2388),
    [sym_exec_statement] = STATE(2388),
    [sym_type_alias_statement] = STATE(2388),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(540),
    [sym__indent] = ACTIONS(542),
    [sym_string_start] = ACTIONS(81),
  },
  [118] = {
    [sym__simple_statements] = STATE(700),
    [sym_import_statement] = STATE(2516),
    [sym_future_import_statement] = STATE(2516),
    [sym_import_from_statement] = STATE(2516),
    [sym_print_statement] = STATE(2516),
    [sym_assert_statement] = STATE(2516),
    [sym_expression_statement] = STATE(2516),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2516),
    [sym_delete_statement] = STATE(2516),
    [sym_raise_statement] = STATE(2516),
    [sym_pass_statement] = STATE(2516),
    [sym_break_statement] = STATE(2516),
    [sym_continue_statement] = STATE(2516),
    [sym_global_statement] = STATE(2516),
    [sym_nonlocal_statement] = STATE(2516),
    [sym_exec_statement] = STATE(2516),
    [sym_type_alias_statement] = STATE(2516),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(544),
    [sym__indent] = ACTIONS(546),
    [sym_string_start] = ACTIONS(81),
  },
  [119] = {
    [sym__simple_statements] = STATE(667),
    [sym_import_statement] = STATE(2314),
    [sym_future_import_statement] = STATE(2314),
    [sym_import_from_statement] = STATE(2314),
    [sym_print_statement] = STATE(2314),
    [sym_assert_statement] = STATE(2314),
    [sym_expression_statement] = STATE(2314),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2314),
    [sym_delete_statement] = STATE(2314),
    [sym_raise_statement] = STATE(2314),
    [sym_pass_statement] = STATE(2314),
    [sym_break_statement] = STATE(2314),
    [sym_continue_statement] = STATE(2314),
    [sym_global_statement] = STATE(2314),
    [sym_nonlocal_statement] = STATE(2314),
    [sym_exec_statement] = STATE(2314),
    [sym_type_alias_statement] = STATE(2314),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(548),
    [sym__indent] = ACTIONS(550),
    [sym_string_start] = ACTIONS(81),
  },
  [120] = {
    [sym__simple_statements] = STATE(2586),
    [sym_import_statement] = STATE(2388),
    [sym_future_import_statement] = STATE(2388),
    [sym_import_from_statement] = STATE(2388),
    [sym_print_statement] = STATE(2388),
    [sym_assert_statement] = STATE(2388),
    [sym_expression_statement] = STATE(2388),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2388),
    [sym_delete_statement] = STATE(2388),
    [sym_raise_statement] = STATE(2388),
    [sym_pass_statement] = STATE(2388),
    [sym_break_statement] = STATE(2388),
    [sym_continue_statement] = STATE(2388),
    [sym_global_statement] = STATE(2388),
    [sym_nonlocal_statement] = STATE(2388),
    [sym_exec_statement] = STATE(2388),
    [sym_type_alias_statement] = STATE(2388),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(552),
    [sym__indent] = ACTIONS(554),
    [sym_string_start] = ACTIONS(81),
  },
  [121] = {
    [sym__simple_statements] = STATE(764),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(556),
    [sym__indent] = ACTIONS(558),
    [sym_string_start] = ACTIONS(81),
  },
  [122] = {
    [sym__simple_statements] = STATE(687),
    [sym_import_statement] = STATE(2314),
    [sym_future_import_statement] = STATE(2314),
    [sym_import_from_statement] = STATE(2314),
    [sym_print_statement] = STATE(2314),
    [sym_assert_statement] = STATE(2314),
    [sym_expression_statement] = STATE(2314),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2314),
    [sym_delete_statement] = STATE(2314),
    [sym_raise_statement] = STATE(2314),
    [sym_pass_statement] = STATE(2314),
    [sym_break_statement] = STATE(2314),
    [sym_continue_statement] = STATE(2314),
    [sym_global_statement] = STATE(2314),
    [sym_nonlocal_statement] = STATE(2314),
    [sym_exec_statement] = STATE(2314),
    [sym_type_alias_statement] = STATE(2314),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(560),
    [sym__indent] = ACTIONS(562),
    [sym_string_start] = ACTIONS(81),
  },
  [123] = {
    [sym__simple_statements] = STATE(769),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(564),
    [sym__indent] = ACTIONS(566),
    [sym_string_start] = ACTIONS(81),
  },
  [124] = {
    [sym__simple_statements] = STATE(2590),
    [sym_import_statement] = STATE(2388),
    [sym_future_import_statement] = STATE(2388),
    [sym_import_from_statement] = STATE(2388),
    [sym_print_statement] = STATE(2388),
    [sym_assert_statement] = STATE(2388),
    [sym_expression_statement] = STATE(2388),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2388),
    [sym_delete_statement] = STATE(2388),
    [sym_raise_statement] = STATE(2388),
    [sym_pass_statement] = STATE(2388),
    [sym_break_statement] = STATE(2388),
    [sym_continue_statement] = STATE(2388),
    [sym_global_statement] = STATE(2388),
    [sym_nonlocal_statement] = STATE(2388),
    [sym_exec_statement] = STATE(2388),
    [sym_type_alias_statement] = STATE(2388),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(568),
    [sym__indent] = ACTIONS(570),
    [sym_string_start] = ACTIONS(81),
  },
  [125] = {
    [sym__simple_statements] = STATE(771),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(572),
    [sym__indent] = ACTIONS(574),
    [sym_string_start] = ACTIONS(81),
  },
  [126] = {
    [sym__simple_statements] = STATE(2601),
    [sym_import_statement] = STATE(2388),
    [sym_future_import_statement] = STATE(2388),
    [sym_import_from_statement] = STATE(2388),
    [sym_print_statement] = STATE(2388),
    [sym_assert_statement] = STATE(2388),
    [sym_expression_statement] = STATE(2388),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2388),
    [sym_delete_statement] = STATE(2388),
    [sym_raise_statement] = STATE(2388),
    [sym_pass_statement] = STATE(2388),
    [sym_break_statement] = STATE(2388),
    [sym_continue_statement] = STATE(2388),
    [sym_global_statement] = STATE(2388),
    [sym_nonlocal_statement] = STATE(2388),
    [sym_exec_statement] = STATE(2388),
    [sym_type_alias_statement] = STATE(2388),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(576),
    [sym__indent] = ACTIONS(578),
    [sym_string_start] = ACTIONS(81),
  },
  [127] = {
    [sym__simple_statements] = STATE(742),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(580),
    [sym__indent] = ACTIONS(582),
    [sym_string_start] = ACTIONS(81),
  },
  [128] = {
    [sym__simple_statements] = STATE(698),
    [sym_import_statement] = STATE(2416),
    [sym_future_import_statement] = STATE(2416),
    [sym_import_from_statement] = STATE(2416),
    [sym_print_statement] = STATE(2416),
    [sym_assert_statement] = STATE(2416),
    [sym_expression_statement] = STATE(2416),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2416),
    [sym_delete_statement] = STATE(2416),
    [sym_raise_statement] = STATE(2416),
    [sym_pass_statement] = STATE(2416),
    [sym_break_statement] = STATE(2416),
    [sym_continue_statement] = STATE(2416),
    [sym_global_statement] = STATE(2416),
    [sym_nonlocal_statement] = STATE(2416),
    [sym_exec_statement] = STATE(2416),
    [sym_type_alias_statement] = STATE(2416),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(584),
    [sym__indent] = ACTIONS(586),
    [sym_string_start] = ACTIONS(81),
  },
  [129] = {
    [sym__simple_statements] = STATE(724),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(588),
    [sym__indent] = ACTIONS(590),
    [sym_string_start] = ACTIONS(81),
  },
  [130] = {
    [sym__simple_statements] = STATE(718),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(592),
    [sym__indent] = ACTIONS(594),
    [sym_string_start] = ACTIONS(81),
  },
  [131] = {
    [sym__simple_statements] = STATE(816),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(596),
    [sym__indent] = ACTIONS(598),
    [sym_string_start] = ACTIONS(81),
  },
  [132] = {
    [sym__simple_statements] = STATE(790),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(600),
    [sym__indent] = ACTIONS(602),
    [sym_string_start] = ACTIONS(81),
  },
  [133] = {
    [sym__simple_statements] = STATE(2614),
    [sym_import_statement] = STATE(2388),
    [sym_future_import_statement] = STATE(2388),
    [sym_import_from_statement] = STATE(2388),
    [sym_print_statement] = STATE(2388),
    [sym_assert_statement] = STATE(2388),
    [sym_expression_statement] = STATE(2388),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2388),
    [sym_delete_statement] = STATE(2388),
    [sym_raise_statement] = STATE(2388),
    [sym_pass_statement] = STATE(2388),
    [sym_break_statement] = STATE(2388),
    [sym_continue_statement] = STATE(2388),
    [sym_global_statement] = STATE(2388),
    [sym_nonlocal_statement] = STATE(2388),
    [sym_exec_statement] = STATE(2388),
    [sym_type_alias_statement] = STATE(2388),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(604),
    [sym__indent] = ACTIONS(606),
    [sym_string_start] = ACTIONS(81),
  },
  [134] = {
    [sym__simple_statements] = STATE(678),
    [sym_import_statement] = STATE(2314),
    [sym_future_import_statement] = STATE(2314),
    [sym_import_from_statement] = STATE(2314),
    [sym_print_statement] = STATE(2314),
    [sym_assert_statement] = STATE(2314),
    [sym_expression_statement] = STATE(2314),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2314),
    [sym_delete_statement] = STATE(2314),
    [sym_raise_statement] = STATE(2314),
    [sym_pass_statement] = STATE(2314),
    [sym_break_statement] = STATE(2314),
    [sym_continue_statement] = STATE(2314),
    [sym_global_statement] = STATE(2314),
    [sym_nonlocal_statement] = STATE(2314),
    [sym_exec_statement] = STATE(2314),
    [sym_type_alias_statement] = STATE(2314),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(608),
    [sym__indent] = ACTIONS(610),
    [sym_string_start] = ACTIONS(81),
  },
  [135] = {
    [sym__simple_statements] = STATE(1806),
    [sym_import_statement] = STATE(2281),
    [sym_future_import_statement] = STATE(2281),
    [sym_import_from_statement] = STATE(2281),
    [sym_print_statement] = STATE(2281),
    [sym_assert_statement] = STATE(2281),
    [sym_expression_statement] = STATE(2281),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2281),
    [sym_delete_statement] = STATE(2281),
    [sym_raise_statement] = STATE(2281),
    [sym_pass_statement] = STATE(2281),
    [sym_break_statement] = STATE(2281),
    [sym_continue_statement] = STATE(2281),
    [sym_global_statement] = STATE(2281),
    [sym_nonlocal_statement] = STATE(2281),
    [sym_exec_statement] = STATE(2281),
    [sym_type_alias_statement] = STATE(2281),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(612),
    [sym__indent] = ACTIONS(614),
    [sym_string_start] = ACTIONS(81),
  },
  [136] = {
    [sym__simple_statements] = STATE(740),
    [sym_import_statement] = STATE(2481),
    [sym_future_import_statement] = STATE(2481),
    [sym_import_from_statement] = STATE(2481),
    [sym_print_statement] = STATE(2481),
    [sym_assert_statement] = STATE(2481),
    [sym_expression_statement] = STATE(2481),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2481),
    [sym_delete_statement] = STATE(2481),
    [sym_raise_statement] = STATE(2481),
    [sym_pass_statement] = STATE(2481),
    [sym_break_statement] = STATE(2481),
    [sym_continue_statement] = STATE(2481),
    [sym_global_statement] = STATE(2481),
    [sym_nonlocal_statement] = STATE(2481),
    [sym_exec_statement] = STATE(2481),
    [sym_type_alias_statement] = STATE(2481),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(616),
    [sym__indent] = ACTIONS(618),
    [sym_string_start] = ACTIONS(81),
  },
  [137] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(620),
    [sym_string_start] = ACTIONS(81),
  },
  [138] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(622),
    [sym_string_start] = ACTIONS(81),
  },
  [139] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(624),
    [sym_string_start] = ACTIONS(81),
  },
  [140] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(626),
    [sym_string_start] = ACTIONS(81),
  },
  [141] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(628),
    [sym_string_start] = ACTIONS(81),
  },
  [142] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(630),
    [sym_string_start] = ACTIONS(81),
  },
  [143] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(632),
    [sym_string_start] = ACTIONS(81),
  },
  [144] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(634),
    [sym_string_start] = ACTIONS(81),
  },
  [145] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(636),
    [sym_string_start] = ACTIONS(81),
  },
  [146] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(638),
    [sym_string_start] = ACTIONS(81),
  },
  [147] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(640),
    [sym_string_start] = ACTIONS(81),
  },
  [148] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(642),
    [sym_string_start] = ACTIONS(81),
  },
  [149] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(644),
    [sym_string_start] = ACTIONS(81),
  },
  [150] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(646),
    [sym_string_start] = ACTIONS(81),
  },
  [151] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(648),
    [sym_string_start] = ACTIONS(81),
  },
  [152] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(650),
    [sym_string_start] = ACTIONS(81),
  },
  [153] = {
    [sym_import_statement] = STATE(2622),
    [sym_future_import_statement] = STATE(2622),
    [sym_import_from_statement] = STATE(2622),
    [sym_print_statement] = STATE(2622),
    [sym_assert_statement] = STATE(2622),
    [sym_expression_statement] = STATE(2622),
    [sym_named_expression] = STATE(1693),
    [sym__named_expression_lhs] = STATE(2818),
    [sym_return_statement] = STATE(2622),
    [sym_delete_statement] = STATE(2622),
    [sym_raise_statement] = STATE(2622),
    [sym_pass_statement] = STATE(2622),
    [sym_break_statement] = STATE(2622),
    [sym_continue_statement] = STATE(2622),
    [sym_global_statement] = STATE(2622),
    [sym_nonlocal_statement] = STATE(2622),
    [sym_exec_statement] = STATE(2622),
    [sym_type_alias_statement] = STATE(2622),
    [sym_pattern] = STATE(1664),
    [sym_tuple_pattern] = STATE(1656),
    [sym_list_pattern] = STATE(1656),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1693),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1007),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_comparison_operator] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_assignment] = STATE(2598),
    [sym_augmented_assignment] = STATE(2598),
    [sym_pattern_list] = STATE(1680),
    [sym_yield] = STATE(2598),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_conditional_expression] = STATE(1693),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(418),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [154] = {
    [sym_list_splat_pattern] = STATE(1146),
    [sym_primary_expression] = STATE(992),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_attribute] = STATE(1137),
    [sym_subscript] = STATE(1137),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(654),
    [anon_sym_print] = ACTIONS(656),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(656),
    [anon_sym_type] = ACTIONS(658),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(664),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [155] = {
    [sym_list_splat_pattern] = STATE(1146),
    [sym_primary_expression] = STATE(992),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_attribute] = STATE(1137),
    [sym_subscript] = STATE(1137),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(654),
    [anon_sym_print] = ACTIONS(656),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(656),
    [anon_sym_type] = ACTIONS(658),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(664),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [156] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(666),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(668),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(668),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PIPE] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(668),
    [anon_sym_SLASH_SLASH] = ACTIONS(668),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_CARET] = ACTIONS(668),
    [anon_sym_LT_LT] = ACTIONS(668),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(666),
    [anon_sym_BANG_EQ] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(666),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(666),
    [anon_sym_is] = ACTIONS(671),
    [anon_sym_PLUS_EQ] = ACTIONS(666),
    [anon_sym_DASH_EQ] = ACTIONS(666),
    [anon_sym_STAR_EQ] = ACTIONS(666),
    [anon_sym_SLASH_EQ] = ACTIONS(666),
    [anon_sym_AT_EQ] = ACTIONS(666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(666),
    [anon_sym_PERCENT_EQ] = ACTIONS(666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(666),
    [anon_sym_GT_GT_EQ] = ACTIONS(666),
    [anon_sym_LT_LT_EQ] = ACTIONS(666),
    [anon_sym_AMP_EQ] = ACTIONS(666),
    [anon_sym_CARET_EQ] = ACTIONS(666),
    [anon_sym_PIPE_EQ] = ACTIONS(666),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(666),
    [sym_string_start] = ACTIONS(327),
  },
  [157] = {
    [sym_list_splat_pattern] = STATE(1146),
    [sym_primary_expression] = STATE(992),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_attribute] = STATE(1137),
    [sym_subscript] = STATE(1137),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(654),
    [anon_sym_print] = ACTIONS(656),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(656),
    [anon_sym_type] = ACTIONS(658),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(664),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [158] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(666),
    [anon_sym_BANG_EQ] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(666),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(666),
    [anon_sym_is] = ACTIONS(671),
    [sym_ellipsis] = ACTIONS(321),
    [sym_type_conversion] = ACTIONS(666),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [159] = {
    [sym_list_splat_pattern] = STATE(1146),
    [sym_primary_expression] = STATE(992),
    [sym_binary_operator] = STATE(1137),
    [sym_unary_operator] = STATE(1137),
    [sym_attribute] = STATE(1137),
    [sym_subscript] = STATE(1137),
    [sym_call] = STATE(1137),
    [sym_list] = STATE(1137),
    [sym_set] = STATE(1137),
    [sym_tuple] = STATE(1137),
    [sym_dictionary] = STATE(1137),
    [sym_list_comprehension] = STATE(1137),
    [sym_dictionary_comprehension] = STATE(1137),
    [sym_set_comprehension] = STATE(1137),
    [sym_generator_expression] = STATE(1137),
    [sym_parenthesized_expression] = STATE(1137),
    [sym_concatenated_string] = STATE(1137),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1137),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(654),
    [anon_sym_print] = ACTIONS(656),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(656),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(656),
    [anon_sym_type] = ACTIONS(658),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(664),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [160] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(666),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_from] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(666),
    [anon_sym_BANG_EQ] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(666),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(666),
    [anon_sym_is] = ACTIONS(671),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(666),
    [sym_string_start] = ACTIONS(327),
  },
  [161] = {
    [sym_list_splat_pattern] = STATE(1176),
    [sym_primary_expression] = STATE(1037),
    [sym_binary_operator] = STATE(1197),
    [sym_unary_operator] = STATE(1197),
    [sym_attribute] = STATE(1197),
    [sym_subscript] = STATE(1197),
    [sym_call] = STATE(1197),
    [sym_list] = STATE(1197),
    [sym_set] = STATE(1197),
    [sym_tuple] = STATE(1197),
    [sym_dictionary] = STATE(1197),
    [sym_list_comprehension] = STATE(1197),
    [sym_dictionary_comprehension] = STATE(1197),
    [sym_set_comprehension] = STATE(1197),
    [sym_generator_expression] = STATE(1197),
    [sym_parenthesized_expression] = STATE(1197),
    [sym_concatenated_string] = STATE(1197),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1197),
    [sym_identifier] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(684),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_print] = ACTIONS(688),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(688),
    [anon_sym_type] = ACTIONS(690),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(698),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(682),
    [sym_float] = ACTIONS(698),
    [anon_sym_await] = ACTIONS(700),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_none] = ACTIONS(682),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(702),
  },
  [162] = {
    [sym_list_splat_pattern] = STATE(1176),
    [sym_primary_expression] = STATE(1037),
    [sym_binary_operator] = STATE(1197),
    [sym_unary_operator] = STATE(1197),
    [sym_attribute] = STATE(1197),
    [sym_subscript] = STATE(1197),
    [sym_call] = STATE(1197),
    [sym_list] = STATE(1197),
    [sym_set] = STATE(1197),
    [sym_tuple] = STATE(1197),
    [sym_dictionary] = STATE(1197),
    [sym_list_comprehension] = STATE(1197),
    [sym_dictionary_comprehension] = STATE(1197),
    [sym_set_comprehension] = STATE(1197),
    [sym_generator_expression] = STATE(1197),
    [sym_parenthesized_expression] = STATE(1197),
    [sym_concatenated_string] = STATE(1197),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1197),
    [sym_identifier] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(684),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_print] = ACTIONS(688),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(688),
    [anon_sym_type] = ACTIONS(690),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(698),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(682),
    [sym_float] = ACTIONS(698),
    [anon_sym_await] = ACTIONS(700),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_none] = ACTIONS(682),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(702),
  },
  [163] = {
    [sym_list_splat_pattern] = STATE(1201),
    [sym_primary_expression] = STATE(1000),
    [sym_binary_operator] = STATE(1269),
    [sym_unary_operator] = STATE(1269),
    [sym_attribute] = STATE(1269),
    [sym_subscript] = STATE(1269),
    [sym_call] = STATE(1269),
    [sym_list] = STATE(1269),
    [sym_set] = STATE(1269),
    [sym_tuple] = STATE(1269),
    [sym_dictionary] = STATE(1269),
    [sym_list_comprehension] = STATE(1269),
    [sym_dictionary_comprehension] = STATE(1269),
    [sym_set_comprehension] = STATE(1269),
    [sym_generator_expression] = STATE(1269),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_concatenated_string] = STATE(1269),
    [sym_string] = STATE(985),
    [sym_await] = STATE(1269),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_print] = ACTIONS(710),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(710),
    [anon_sym_async] = ACTIONS(710),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(710),
    [anon_sym_type] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(716),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(720),
    [sym_integer] = ACTIONS(704),
    [sym_float] = ACTIONS(720),
    [anon_sym_await] = ACTIONS(722),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_none] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(724),
  },
  [164] = {
    [sym_list_splat_pattern] = STATE(1176),
    [sym_primary_expression] = STATE(1037),
    [sym_binary_operator] = STATE(1197),
    [sym_unary_operator] = STATE(1197),
    [sym_attribute] = STATE(1197),
    [sym_subscript] = STATE(1197),
    [sym_call] = STATE(1197),
    [sym_list] = STATE(1197),
    [sym_set] = STATE(1197),
    [sym_tuple] = STATE(1197),
    [sym_dictionary] = STATE(1197),
    [sym_list_comprehension] = STATE(1197),
    [sym_dictionary_comprehension] = STATE(1197),
    [sym_set_comprehension] = STATE(1197),
    [sym_generator_expression] = STATE(1197),
    [sym_parenthesized_expression] = STATE(1197),
    [sym_concatenated_string] = STATE(1197),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1197),
    [sym_identifier] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(684),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_as] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_print] = ACTIONS(688),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(671),
    [anon_sym_match] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(668),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(688),
    [anon_sym_type] = ACTIONS(690),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_RBRACE] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(668),
    [anon_sym_and] = ACTIONS(668),
    [anon_sym_or] = ACTIONS(668),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(668),
    [anon_sym_LT_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(668),
    [anon_sym_LT_GT] = ACTIONS(679),
    [anon_sym_is] = ACTIONS(668),
    [sym_ellipsis] = ACTIONS(698),
    [sym_integer] = ACTIONS(682),
    [sym_float] = ACTIONS(698),
    [anon_sym_await] = ACTIONS(700),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_none] = ACTIONS(682),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(702),
  },
  [165] = {
    [sym_list_splat_pattern] = STATE(1384),
    [sym_primary_expression] = STATE(1143),
    [sym_binary_operator] = STATE(1376),
    [sym_unary_operator] = STATE(1376),
    [sym_attribute] = STATE(1376),
    [sym_subscript] = STATE(1376),
    [sym_call] = STATE(1376),
    [sym_list] = STATE(1376),
    [sym_set] = STATE(1376),
    [sym_tuple] = STATE(1376),
    [sym_dictionary] = STATE(1376),
    [sym_list_comprehension] = STATE(1376),
    [sym_dictionary_comprehension] = STATE(1376),
    [sym_set_comprehension] = STATE(1376),
    [sym_generator_expression] = STATE(1376),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_concatenated_string] = STATE(1376),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1376),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_print] = ACTIONS(732),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(732),
    [anon_sym_async] = ACTIONS(732),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(732),
    [anon_sym_type] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(742),
    [sym_integer] = ACTIONS(726),
    [sym_float] = ACTIONS(742),
    [anon_sym_await] = ACTIONS(744),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_none] = ACTIONS(726),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(746),
  },
  [166] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_RPAREN] = ACTIONS(666),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(666),
    [anon_sym_BANG_EQ] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(666),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(666),
    [anon_sym_is] = ACTIONS(671),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [167] = {
    [sym_list_splat_pattern] = STATE(1303),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1049),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_print] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(754),
    [anon_sym_async] = ACTIONS(754),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(754),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_EQ] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(766),
    [sym_integer] = ACTIONS(748),
    [sym_float] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_none] = ACTIONS(748),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(770),
  },
  [168] = {
    [sym_list_splat_pattern] = STATE(1176),
    [sym_primary_expression] = STATE(1037),
    [sym_binary_operator] = STATE(1197),
    [sym_unary_operator] = STATE(1197),
    [sym_attribute] = STATE(1197),
    [sym_subscript] = STATE(1197),
    [sym_call] = STATE(1197),
    [sym_list] = STATE(1197),
    [sym_set] = STATE(1197),
    [sym_tuple] = STATE(1197),
    [sym_dictionary] = STATE(1197),
    [sym_list_comprehension] = STATE(1197),
    [sym_dictionary_comprehension] = STATE(1197),
    [sym_set_comprehension] = STATE(1197),
    [sym_generator_expression] = STATE(1197),
    [sym_parenthesized_expression] = STATE(1197),
    [sym_concatenated_string] = STATE(1197),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1197),
    [sym_identifier] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(684),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_print] = ACTIONS(688),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(688),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(688),
    [anon_sym_type] = ACTIONS(690),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(698),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(682),
    [sym_float] = ACTIONS(698),
    [anon_sym_await] = ACTIONS(700),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_none] = ACTIONS(682),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(702),
  },
  [169] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [170] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(319),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(319),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(319),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(319),
    [sym_string_start] = ACTIONS(327),
  },
  [171] = {
    [sym_list_splat_pattern] = STATE(1303),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1049),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_print] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(754),
    [anon_sym_async] = ACTIONS(754),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(754),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_LBRACK] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(766),
    [sym_integer] = ACTIONS(748),
    [sym_float] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_none] = ACTIONS(748),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(770),
  },
  [172] = {
    [sym_list_splat_pattern] = STATE(1304),
    [sym_primary_expression] = STATE(1118),
    [sym_binary_operator] = STATE(1449),
    [sym_unary_operator] = STATE(1449),
    [sym_attribute] = STATE(1449),
    [sym_subscript] = STATE(1449),
    [sym_call] = STATE(1449),
    [sym_list] = STATE(1449),
    [sym_set] = STATE(1449),
    [sym_tuple] = STATE(1449),
    [sym_dictionary] = STATE(1449),
    [sym_list_comprehension] = STATE(1449),
    [sym_dictionary_comprehension] = STATE(1449),
    [sym_set_comprehension] = STATE(1449),
    [sym_generator_expression] = STATE(1449),
    [sym_parenthesized_expression] = STATE(1449),
    [sym_concatenated_string] = STATE(1449),
    [sym_string] = STATE(1039),
    [sym_await] = STATE(1449),
    [sym_identifier] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_print] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(778),
    [anon_sym_type] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(782),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(788),
    [sym_integer] = ACTIONS(772),
    [sym_float] = ACTIONS(788),
    [anon_sym_await] = ACTIONS(790),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_none] = ACTIONS(772),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(792),
  },
  [173] = {
    [sym_list_splat_pattern] = STATE(1304),
    [sym_primary_expression] = STATE(1118),
    [sym_binary_operator] = STATE(1449),
    [sym_unary_operator] = STATE(1449),
    [sym_attribute] = STATE(1449),
    [sym_subscript] = STATE(1449),
    [sym_call] = STATE(1449),
    [sym_list] = STATE(1449),
    [sym_set] = STATE(1449),
    [sym_tuple] = STATE(1449),
    [sym_dictionary] = STATE(1449),
    [sym_list_comprehension] = STATE(1449),
    [sym_dictionary_comprehension] = STATE(1449),
    [sym_set_comprehension] = STATE(1449),
    [sym_generator_expression] = STATE(1449),
    [sym_parenthesized_expression] = STATE(1449),
    [sym_concatenated_string] = STATE(1449),
    [sym_string] = STATE(1039),
    [sym_await] = STATE(1449),
    [sym_identifier] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_print] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(778),
    [anon_sym_type] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(782),
    [anon_sym_RBRACK] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(788),
    [sym_integer] = ACTIONS(772),
    [sym_float] = ACTIONS(788),
    [anon_sym_await] = ACTIONS(790),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_none] = ACTIONS(772),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(792),
  },
  [174] = {
    [sym_list_splat_pattern] = STATE(1384),
    [sym_primary_expression] = STATE(1143),
    [sym_binary_operator] = STATE(1376),
    [sym_unary_operator] = STATE(1376),
    [sym_attribute] = STATE(1376),
    [sym_subscript] = STATE(1376),
    [sym_call] = STATE(1376),
    [sym_list] = STATE(1376),
    [sym_set] = STATE(1376),
    [sym_tuple] = STATE(1376),
    [sym_dictionary] = STATE(1376),
    [sym_list_comprehension] = STATE(1376),
    [sym_dictionary_comprehension] = STATE(1376),
    [sym_set_comprehension] = STATE(1376),
    [sym_generator_expression] = STATE(1376),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_concatenated_string] = STATE(1376),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1376),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_print] = ACTIONS(732),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(732),
    [anon_sym_async] = ACTIONS(732),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(732),
    [anon_sym_type] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(742),
    [sym_integer] = ACTIONS(726),
    [sym_float] = ACTIONS(742),
    [anon_sym_await] = ACTIONS(744),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_none] = ACTIONS(726),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(746),
  },
  [175] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_RBRACK] = ACTIONS(666),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(666),
    [anon_sym_BANG_EQ] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(666),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(666),
    [anon_sym_is] = ACTIONS(671),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [176] = {
    [sym_list_splat_pattern] = STATE(1462),
    [sym_primary_expression] = STATE(1180),
    [sym_binary_operator] = STATE(1452),
    [sym_unary_operator] = STATE(1452),
    [sym_attribute] = STATE(1452),
    [sym_subscript] = STATE(1452),
    [sym_call] = STATE(1452),
    [sym_list] = STATE(1452),
    [sym_set] = STATE(1452),
    [sym_tuple] = STATE(1452),
    [sym_dictionary] = STATE(1452),
    [sym_list_comprehension] = STATE(1452),
    [sym_dictionary_comprehension] = STATE(1452),
    [sym_set_comprehension] = STATE(1452),
    [sym_generator_expression] = STATE(1452),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_concatenated_string] = STATE(1452),
    [sym_string] = STATE(1132),
    [sym_await] = STATE(1452),
    [sym_identifier] = ACTIONS(794),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_as] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_print] = ACTIONS(800),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_match] = ACTIONS(800),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(668),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(800),
    [anon_sym_type] = ACTIONS(802),
    [anon_sym_LBRACK] = ACTIONS(804),
    [anon_sym_RBRACK] = ACTIONS(679),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(806),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_PLUS] = ACTIONS(806),
    [anon_sym_not] = ACTIONS(668),
    [anon_sym_and] = ACTIONS(668),
    [anon_sym_or] = ACTIONS(668),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(806),
    [anon_sym_LT] = ACTIONS(668),
    [anon_sym_LT_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(668),
    [anon_sym_LT_GT] = ACTIONS(679),
    [anon_sym_is] = ACTIONS(668),
    [sym_ellipsis] = ACTIONS(810),
    [sym_integer] = ACTIONS(794),
    [sym_float] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [sym_true] = ACTIONS(794),
    [sym_false] = ACTIONS(794),
    [sym_none] = ACTIONS(794),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(814),
  },
  [177] = {
    [sym_list_splat_pattern] = STATE(1462),
    [sym_primary_expression] = STATE(1180),
    [sym_binary_operator] = STATE(1452),
    [sym_unary_operator] = STATE(1452),
    [sym_attribute] = STATE(1452),
    [sym_subscript] = STATE(1452),
    [sym_call] = STATE(1452),
    [sym_list] = STATE(1452),
    [sym_set] = STATE(1452),
    [sym_tuple] = STATE(1452),
    [sym_dictionary] = STATE(1452),
    [sym_list_comprehension] = STATE(1452),
    [sym_dictionary_comprehension] = STATE(1452),
    [sym_set_comprehension] = STATE(1452),
    [sym_generator_expression] = STATE(1452),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_concatenated_string] = STATE(1452),
    [sym_string] = STATE(1132),
    [sym_await] = STATE(1452),
    [sym_identifier] = ACTIONS(794),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_print] = ACTIONS(800),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(800),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(800),
    [anon_sym_type] = ACTIONS(802),
    [anon_sym_LBRACK] = ACTIONS(804),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(806),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_PLUS] = ACTIONS(806),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(806),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(810),
    [sym_integer] = ACTIONS(794),
    [sym_float] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [sym_true] = ACTIONS(794),
    [sym_false] = ACTIONS(794),
    [sym_none] = ACTIONS(794),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(814),
  },
  [178] = {
    [sym_list_splat_pattern] = STATE(1384),
    [sym_primary_expression] = STATE(1143),
    [sym_binary_operator] = STATE(1376),
    [sym_unary_operator] = STATE(1376),
    [sym_attribute] = STATE(1376),
    [sym_subscript] = STATE(1376),
    [sym_call] = STATE(1376),
    [sym_list] = STATE(1376),
    [sym_set] = STATE(1376),
    [sym_tuple] = STATE(1376),
    [sym_dictionary] = STATE(1376),
    [sym_list_comprehension] = STATE(1376),
    [sym_dictionary_comprehension] = STATE(1376),
    [sym_set_comprehension] = STATE(1376),
    [sym_generator_expression] = STATE(1376),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_concatenated_string] = STATE(1376),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1376),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_RPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_as] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_print] = ACTIONS(732),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_match] = ACTIONS(732),
    [anon_sym_async] = ACTIONS(732),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(668),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(732),
    [anon_sym_type] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_not] = ACTIONS(668),
    [anon_sym_and] = ACTIONS(668),
    [anon_sym_or] = ACTIONS(668),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(668),
    [anon_sym_LT_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(668),
    [anon_sym_LT_GT] = ACTIONS(679),
    [anon_sym_is] = ACTIONS(668),
    [sym_ellipsis] = ACTIONS(742),
    [sym_integer] = ACTIONS(726),
    [sym_float] = ACTIONS(742),
    [anon_sym_await] = ACTIONS(744),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_none] = ACTIONS(726),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(746),
  },
  [179] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [180] = {
    [sym_list_splat_pattern] = STATE(1384),
    [sym_primary_expression] = STATE(1143),
    [sym_binary_operator] = STATE(1376),
    [sym_unary_operator] = STATE(1376),
    [sym_attribute] = STATE(1376),
    [sym_subscript] = STATE(1376),
    [sym_call] = STATE(1376),
    [sym_list] = STATE(1376),
    [sym_set] = STATE(1376),
    [sym_tuple] = STATE(1376),
    [sym_dictionary] = STATE(1376),
    [sym_list_comprehension] = STATE(1376),
    [sym_dictionary_comprehension] = STATE(1376),
    [sym_set_comprehension] = STATE(1376),
    [sym_generator_expression] = STATE(1376),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_concatenated_string] = STATE(1376),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1376),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(728),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_print] = ACTIONS(732),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(732),
    [anon_sym_async] = ACTIONS(732),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(732),
    [anon_sym_type] = ACTIONS(734),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(742),
    [sym_integer] = ACTIONS(726),
    [sym_float] = ACTIONS(742),
    [anon_sym_await] = ACTIONS(744),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_none] = ACTIONS(726),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(746),
  },
  [181] = {
    [sym_list_splat_pattern] = STATE(1303),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1049),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_print] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(754),
    [anon_sym_async] = ACTIONS(754),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(754),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_LBRACK] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(766),
    [sym_integer] = ACTIONS(748),
    [sym_float] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_none] = ACTIONS(748),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(770),
  },
  [182] = {
    [sym_list_splat_pattern] = STATE(1201),
    [sym_primary_expression] = STATE(1000),
    [sym_binary_operator] = STATE(1269),
    [sym_unary_operator] = STATE(1269),
    [sym_attribute] = STATE(1269),
    [sym_subscript] = STATE(1269),
    [sym_call] = STATE(1269),
    [sym_list] = STATE(1269),
    [sym_set] = STATE(1269),
    [sym_tuple] = STATE(1269),
    [sym_dictionary] = STATE(1269),
    [sym_list_comprehension] = STATE(1269),
    [sym_dictionary_comprehension] = STATE(1269),
    [sym_set_comprehension] = STATE(1269),
    [sym_generator_expression] = STATE(1269),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_concatenated_string] = STATE(1269),
    [sym_string] = STATE(985),
    [sym_await] = STATE(1269),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_print] = ACTIONS(710),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(710),
    [anon_sym_async] = ACTIONS(710),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(710),
    [anon_sym_type] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(714),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(716),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(716),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(720),
    [sym_integer] = ACTIONS(704),
    [sym_float] = ACTIONS(720),
    [anon_sym_await] = ACTIONS(722),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_none] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(724),
  },
  [183] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_else] = ACTIONS(671),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(679),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(679),
    [anon_sym_SLASH_SLASH] = ACTIONS(679),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(679),
    [anon_sym_LT_LT] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(666),
    [anon_sym_BANG_EQ] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(666),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(666),
    [anon_sym_is] = ACTIONS(671),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [184] = {
    [sym_list_splat_pattern] = STATE(1304),
    [sym_primary_expression] = STATE(1118),
    [sym_binary_operator] = STATE(1449),
    [sym_unary_operator] = STATE(1449),
    [sym_attribute] = STATE(1449),
    [sym_subscript] = STATE(1449),
    [sym_call] = STATE(1449),
    [sym_list] = STATE(1449),
    [sym_set] = STATE(1449),
    [sym_tuple] = STATE(1449),
    [sym_dictionary] = STATE(1449),
    [sym_list_comprehension] = STATE(1449),
    [sym_dictionary_comprehension] = STATE(1449),
    [sym_set_comprehension] = STATE(1449),
    [sym_generator_expression] = STATE(1449),
    [sym_parenthesized_expression] = STATE(1449),
    [sym_concatenated_string] = STATE(1449),
    [sym_string] = STATE(1039),
    [sym_await] = STATE(1449),
    [sym_identifier] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_print] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(778),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(778),
    [anon_sym_type] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(782),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(788),
    [sym_integer] = ACTIONS(772),
    [sym_float] = ACTIONS(788),
    [anon_sym_await] = ACTIONS(790),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_none] = ACTIONS(772),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(792),
  },
  [185] = {
    [sym_list_splat_pattern] = STATE(1303),
    [sym_primary_expression] = STATE(1056),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1049),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(748),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(752),
    [anon_sym_print] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(754),
    [anon_sym_async] = ACTIONS(754),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(754),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_LBRACK] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(766),
    [sym_integer] = ACTIONS(748),
    [sym_float] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(768),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_none] = ACTIONS(748),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(770),
  },
  [186] = {
    [sym_list_splat_pattern] = STATE(1462),
    [sym_primary_expression] = STATE(1180),
    [sym_binary_operator] = STATE(1452),
    [sym_unary_operator] = STATE(1452),
    [sym_attribute] = STATE(1452),
    [sym_subscript] = STATE(1452),
    [sym_call] = STATE(1452),
    [sym_list] = STATE(1452),
    [sym_set] = STATE(1452),
    [sym_tuple] = STATE(1452),
    [sym_dictionary] = STATE(1452),
    [sym_list_comprehension] = STATE(1452),
    [sym_dictionary_comprehension] = STATE(1452),
    [sym_set_comprehension] = STATE(1452),
    [sym_generator_expression] = STATE(1452),
    [sym_parenthesized_expression] = STATE(1452),
    [sym_concatenated_string] = STATE(1452),
    [sym_string] = STATE(1132),
    [sym_await] = STATE(1452),
    [sym_identifier] = ACTIONS(794),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_print] = ACTIONS(800),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(800),
    [anon_sym_async] = ACTIONS(800),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(800),
    [anon_sym_type] = ACTIONS(802),
    [anon_sym_LBRACK] = ACTIONS(804),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(806),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_PLUS] = ACTIONS(806),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(806),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(810),
    [sym_integer] = ACTIONS(794),
    [sym_float] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [sym_true] = ACTIONS(794),
    [sym_false] = ACTIONS(794),
    [sym_none] = ACTIONS(794),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(814),
  },
  [187] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(319),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(319),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [188] = {
    [sym_list_splat_pattern] = STATE(1379),
    [sym_primary_expression] = STATE(1093),
    [sym_binary_operator] = STATE(1292),
    [sym_unary_operator] = STATE(1292),
    [sym_attribute] = STATE(1292),
    [sym_subscript] = STATE(1292),
    [sym_call] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_set] = STATE(1292),
    [sym_tuple] = STATE(1292),
    [sym_dictionary] = STATE(1292),
    [sym_list_comprehension] = STATE(1292),
    [sym_dictionary_comprehension] = STATE(1292),
    [sym_set_comprehension] = STATE(1292),
    [sym_generator_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [sym_string] = STATE(1047),
    [sym_await] = STATE(1292),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(668),
    [anon_sym_COLON] = ACTIONS(666),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_async] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(668),
    [anon_sym_exec] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(412),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PIPE] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_SLASH] = ACTIONS(668),
    [anon_sym_PERCENT] = ACTIONS(668),
    [anon_sym_SLASH_SLASH] = ACTIONS(668),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_CARET] = ACTIONS(668),
    [anon_sym_LT_LT] = ACTIONS(668),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(666),
    [anon_sym_DASH_EQ] = ACTIONS(666),
    [anon_sym_STAR_EQ] = ACTIONS(666),
    [anon_sym_SLASH_EQ] = ACTIONS(666),
    [anon_sym_AT_EQ] = ACTIONS(666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(666),
    [anon_sym_PERCENT_EQ] = ACTIONS(666),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(666),
    [anon_sym_GT_GT_EQ] = ACTIONS(666),
    [anon_sym_LT_LT_EQ] = ACTIONS(666),
    [anon_sym_AMP_EQ] = ACTIONS(666),
    [anon_sym_CARET_EQ] = ACTIONS(666),
    [anon_sym_PIPE_EQ] = ACTIONS(666),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(677),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(820), 1,
      anon_sym_RPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2379), 1,
      sym_yield,
    STATE(2653), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2738), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [126] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(838), 1,
      anon_sym_type,
    STATE(628), 1,
      sym_list_splat_pattern,
    STATE(975), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1663), 1,
      sym_pattern,
    STATE(1669), 1,
      sym_pattern_list,
    STATE(1841), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    STATE(646), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(418), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2563), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [246] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_COMMA,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(854), 1,
      anon_sym_RBRACE,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1684), 1,
      sym_expression,
    STATE(1876), 1,
      sym_pair,
    STATE(2387), 1,
      sym_dictionary_splat,
    STATE(2764), 1,
      sym__named_expression_lhs,
    STATE(2821), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [370] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2523), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2738), 1,
      sym__patterns,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [496] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_RBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2637), 1,
      sym__patterns,
    STATE(2646), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [620] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(888), 1,
      anon_sym_COMMA,
    ACTIONS(890), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1689), 1,
      sym_expression,
    STATE(1902), 1,
      sym_pair,
    STATE(2307), 1,
      sym_dictionary_splat,
    STATE(2675), 1,
      sym__collection_elements,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [744] = 32,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(892), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2318), 1,
      sym_yield,
    STATE(2324), 1,
      sym_list_splat,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2358), 1,
      sym_pattern,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2726), 1,
      sym__collection_elements,
    STATE(2812), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [872] = 32,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(894), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2291), 1,
      sym_yield,
    STATE(2358), 1,
      sym_pattern,
    STATE(2452), 1,
      sym_list_splat,
    STATE(2478), 1,
      sym_parenthesized_list_splat,
    STATE(2666), 1,
      sym__patterns,
    STATE(2694), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1000] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(896), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2635), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2717), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1124] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(898), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1702), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2391), 1,
      sym_yield,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2738), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1250] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(900), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2717), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1374] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(902), 1,
      anon_sym_COMMA,
    ACTIONS(904), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(1889), 1,
      sym_pair,
    STATE(2270), 1,
      sym_dictionary_splat,
    STATE(2764), 1,
      sym__named_expression_lhs,
    STATE(2813), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1498] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(838), 1,
      anon_sym_type,
    STATE(628), 1,
      sym_list_splat_pattern,
    STATE(975), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1663), 1,
      sym_pattern,
    STATE(1669), 1,
      sym_pattern_list,
    STATE(1841), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    STATE(646), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(418), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2600), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1618] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2523), 1,
      sym_yield,
    STATE(2666), 1,
      sym__patterns,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1744] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(908), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__collection_elements,
    STATE(2741), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1868] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(910), 1,
      anon_sym_COMMA,
    ACTIONS(912), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(1913), 1,
      sym_pair,
    STATE(2319), 1,
      sym_dictionary_splat,
    STATE(2751), 1,
      sym__collection_elements,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1992] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(914), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2523), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2738), 1,
      sym__patterns,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2118] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(916), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2688), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2717), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2242] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(918), 1,
      anon_sym_COMMA,
    ACTIONS(920), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(1862), 1,
      sym_pair,
    STATE(2366), 1,
      sym_dictionary_splat,
    STATE(2764), 1,
      sym__named_expression_lhs,
    STATE(2799), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2366] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(922), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2523), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2812), 1,
      sym__patterns,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2492] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(924), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2637), 1,
      sym__patterns,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2616] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(926), 1,
      anon_sym_COMMA,
    ACTIONS(928), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(1866), 1,
      sym_pair,
    STATE(2394), 1,
      sym_dictionary_splat,
    STATE(2695), 1,
      sym__collection_elements,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2740] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(930), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2523), 1,
      sym_yield,
    STATE(2718), 1,
      sym__patterns,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2866] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(932), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2717), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2990] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(934), 1,
      anon_sym_COMMA,
    ACTIONS(936), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1687), 1,
      sym_expression,
    STATE(1871), 1,
      sym_pair,
    STATE(2420), 1,
      sym_dictionary_splat,
    STATE(2764), 1,
      sym__named_expression_lhs,
    STATE(2775), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3114] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(938), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2523), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2769), 1,
      sym__patterns,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3240] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(940), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2741), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3364] = 30,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_STAR,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(942), 1,
      anon_sym_COMMA,
    ACTIONS(944), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(1880), 1,
      sym_pair,
    STATE(2449), 1,
      sym_dictionary_splat,
    STATE(2643), 1,
      sym__collection_elements,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2514), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3488] = 31,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(816), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_LPAREN,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(826), 1,
      anon_sym_type,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(836), 1,
      anon_sym_await,
    ACTIONS(946), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1421), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2358), 1,
      sym_pattern,
    STATE(2379), 1,
      sym_yield,
    STATE(2653), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2738), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1422), 2,
      sym_attribute,
      sym_subscript,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3614] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(948), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2736), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3738] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(950), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2789), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3862] = 30,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      anon_sym_LPAREN,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(874), 1,
      anon_sym_type,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      anon_sym_await,
    ACTIONS(952), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1375), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2297), 1,
      sym_pattern,
    STATE(2635), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2717), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(872), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3986] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(838), 1,
      anon_sym_type,
    STATE(628), 1,
      sym_list_splat_pattern,
    STATE(975), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1663), 1,
      sym_pattern,
    STATE(1669), 1,
      sym_pattern_list,
    STATE(1841), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    STATE(646), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(418), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2576), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4106] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(954), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_type,
    ACTIONS(966), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1289), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_pattern,
    STATE(1650), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(414), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1290), 2,
      sym_attribute,
      sym_subscript,
    STATE(1647), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(956), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4213] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(954), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_type,
    ACTIONS(966), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1289), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_pattern,
    STATE(1650), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(414), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1290), 2,
      sym_attribute,
      sym_subscript,
    STATE(1647), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(970), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4320] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(982), 1,
      anon_sym_RBRACK,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4434] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(990), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4548] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(992), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4662] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(994), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4776] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(996), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4890] = 27,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(998), 1,
      sym_identifier,
    ACTIONS(1000), 1,
      anon_sym_LPAREN,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1006), 1,
      anon_sym_type,
    ACTIONS(1008), 1,
      anon_sym_LBRACK,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1014), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1282), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2607), 1,
      sym_pattern,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    STATE(1283), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1004), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2094), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5006] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1016), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5120] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1018), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5234] = 26,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1020), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5348] = 27,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(998), 1,
      sym_identifier,
    ACTIONS(1000), 1,
      anon_sym_LPAREN,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1006), 1,
      anon_sym_type,
    ACTIONS(1008), 1,
      anon_sym_LBRACK,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1014), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1282), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2607), 1,
      sym_pattern,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    STATE(1283), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1004), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2067), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5464] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(1950), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5575] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2040), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5686] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2136), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5797] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1028), 1,
      anon_sym_RPAREN,
    ACTIONS(1030), 1,
      anon_sym_COMMA,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2327), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2326), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5912] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      sym_identifier,
    ACTIONS(1044), 1,
      anon_sym_STAR,
    ACTIONS(1046), 1,
      anon_sym_STAR_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2023), 1,
      sym_type,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1961), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6023] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2138), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6134] = 27,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_RPAREN,
    ACTIONS(1054), 1,
      anon_sym_COMMA,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1888), 1,
      sym_expression,
    STATE(2278), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2277), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6249] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2402), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6360] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1070), 1,
      anon_sym_LPAREN,
    ACTIONS(1072), 1,
      anon_sym_STAR,
    ACTIONS(1076), 1,
      anon_sym_type,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1499), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    STATE(1668), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(414), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1500), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1074), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(970), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6465] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    ACTIONS(1084), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1716), 1,
      sym_expression,
    STATE(2373), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2372), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6580] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2134), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6691] = 25,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1088), 1,
      anon_sym_from,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1753), 1,
      sym_expression,
    STATE(2043), 1,
      sym_expression_list,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1090), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6802] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1100), 1,
      anon_sym_RPAREN,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2367), 1,
      sym_with_item,
    STATE(2523), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6919] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1108), 1,
      anon_sym_RPAREN,
    ACTIONS(1110), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1708), 1,
      sym_expression,
    STATE(2401), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2400), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7034] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2495), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7145] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2442), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7256] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(1929), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7367] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      sym_identifier,
    ACTIONS(1044), 1,
      anon_sym_STAR,
    ACTIONS(1046), 1,
      anon_sym_STAR_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2017), 1,
      sym_type,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1961), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7478] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1112), 1,
      anon_sym_RPAREN,
    ACTIONS(1114), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2427), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2426), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7593] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      sym_identifier,
    ACTIONS(1044), 1,
      anon_sym_STAR,
    ACTIONS(1046), 1,
      anon_sym_STAR_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2018), 1,
      sym_type,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1961), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7704] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      sym_identifier,
    ACTIONS(1044), 1,
      anon_sym_STAR,
    ACTIONS(1046), 1,
      anon_sym_STAR_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(1992), 1,
      sym_type,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1961), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7815] = 25,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1118), 1,
      anon_sym_STAR,
    ACTIONS(1122), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(1967), 1,
      sym_type,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1946), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7926] = 25,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1118), 1,
      anon_sym_STAR,
    ACTIONS(1122), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(1968), 1,
      sym_type,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1946), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8037] = 25,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1118), 1,
      anon_sym_STAR,
    ACTIONS(1122), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(1955), 1,
      sym_type,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1946), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8148] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1128), 1,
      anon_sym_RPAREN,
    ACTIONS(1130), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2454), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2453), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8263] = 25,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1118), 1,
      anon_sym_STAR,
    ACTIONS(1122), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(2111), 1,
      sym_type,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1946), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8374] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1132), 1,
      anon_sym_RPAREN,
    ACTIONS(1134), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1722), 1,
      sym_expression,
    STATE(2360), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2359), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8489] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1052), 1,
      anon_sym_RPAREN,
    ACTIONS(1054), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2278), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2277), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8604] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2269), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8715] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1024), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1038), 1,
      anon_sym_type,
    ACTIONS(1040), 1,
      anon_sym_await,
    ACTIONS(1136), 1,
      anon_sym_RPAREN,
    ACTIONS(1138), 1,
      anon_sym_COMMA,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1709), 1,
      sym_expression,
    STATE(2489), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2471), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1034), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8830] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2036), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8941] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(1938), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9052] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2494), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9163] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(1962), 1,
      sym_type,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2104), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9274] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2491), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9385] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2492), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9496] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1022), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2493), 1,
      sym_type,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2037), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9607] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1070), 1,
      anon_sym_LPAREN,
    ACTIONS(1072), 1,
      anon_sym_STAR,
    ACTIONS(1076), 1,
      anon_sym_type,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1499), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    STATE(1668), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(414), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1500), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1074), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(956), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [9712] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1140), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2291), 1,
      sym_yield,
    STATE(2694), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9826] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1150), 1,
      anon_sym_RBRACK,
    ACTIONS(1152), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2660), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9938] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1154), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10050] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10162] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2273), 1,
      sym_list_splat,
    STATE(2274), 1,
      sym_parenthesized_list_splat,
    STATE(2365), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2780), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10278] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1160), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10390] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1162), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2419), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2766), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10504] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1164), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1706), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2791), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10616] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2318), 1,
      sym_yield,
    STATE(2324), 1,
      sym_list_splat,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2726), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10732] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1168), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10844] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1170), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10956] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1172), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11068] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1174), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11180] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1176), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11292] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1178), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2770), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11404] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1162), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2419), 1,
      sym_yield,
    STATE(2452), 1,
      sym_list_splat,
    STATE(2478), 1,
      sym_parenthesized_list_splat,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2766), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11520] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1180), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11632] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1182), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11744] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1184), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11856] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1186), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11968] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1188), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12080] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1190), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12192] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1192), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2379), 1,
      sym_yield,
    STATE(2653), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12306] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1194), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2635), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12418] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1140), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2291), 1,
      sym_yield,
    STATE(2452), 1,
      sym_list_splat,
    STATE(2478), 1,
      sym_parenthesized_list_splat,
    STATE(2694), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12534] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1196), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1715), 1,
      sym_expression,
    STATE(2448), 1,
      sym_yield,
    STATE(2636), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12648] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1198), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2646), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12760] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1196), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1715), 1,
      sym_expression,
    STATE(2324), 1,
      sym_list_splat,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2448), 1,
      sym_yield,
    STATE(2636), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12876] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1100), 1,
      anon_sym_RPAREN,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2523), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2815), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12990] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1200), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13102] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1202), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13214] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1204), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13326] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2318), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2726), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13440] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1206), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13552] = 28,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1208), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1702), 1,
      sym_expression,
    STATE(2273), 1,
      sym_list_splat,
    STATE(2274), 1,
      sym_parenthesized_list_splat,
    STATE(2391), 1,
      sym_yield,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13668] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1210), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13780] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1212), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13892] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1214), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14004] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1216), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14116] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1208), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1702), 1,
      sym_expression,
    STATE(2391), 1,
      sym_yield,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14230] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1218), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2639), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14342] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1220), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14454] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1222), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14566] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1224), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14678] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1226), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14790] = 27,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(822), 1,
      anon_sym_STAR,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1026), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2365), 1,
      sym_yield,
    STATE(2723), 1,
      sym__named_expression_lhs,
    STATE(2780), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2299), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14904] = 26,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(870), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1144), 1,
      anon_sym_LPAREN,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1228), 1,
      anon_sym_RBRACK,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2688), 1,
      sym__collection_elements,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2295), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15016] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1230), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15128] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1232), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15240] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1234), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15352] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1236), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15464] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1238), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15576] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1240), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15688] = 26,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    ACTIONS(1242), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15800] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15897] = 25,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_STAR,
    ACTIONS(1248), 1,
      anon_sym_RBRACE,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1925), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2605), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16006] = 25,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1250), 1,
      anon_sym_RPAREN,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2128), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1102), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1254), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16115] = 25,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1262), 1,
      anon_sym_RBRACE,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2122), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(848), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1260), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16224] = 25,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    ACTIONS(1268), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2122), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(848), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1266), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16333] = 25,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1248), 1,
      anon_sym_RPAREN,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1272), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2560), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16442] = 25,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1272), 1,
      anon_sym_STAR,
    ACTIONS(1274), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2560), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16551] = 25,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    ACTIONS(1278), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2122), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(848), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1276), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16660] = 25,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_STAR,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1925), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2605), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16769] = 25,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1274), 1,
      anon_sym_RBRACK,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1282), 1,
      anon_sym_LPAREN,
    ACTIONS(1284), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(2009), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2597), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16878] = 25,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1248), 1,
      anon_sym_RBRACK,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1282), 1,
      anon_sym_LPAREN,
    ACTIONS(1284), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(2009), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2597), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16987] = 23,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1794), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1286), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17092] = 25,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1250), 1,
      anon_sym_RBRACE,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2122), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(848), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1254), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17201] = 25,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1250), 1,
      anon_sym_RBRACK,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2077), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1146), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1254), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17310] = 25,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1036), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1048), 1,
      sym_identifier,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_type,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1066), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2610), 1,
      sym_parenthesized_list_splat,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2606), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17419] = 23,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1794), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1292), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17524] = 25,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    ACTIONS(1262), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2128), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1102), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1260), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17633] = 25,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    ACTIONS(1278), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2128), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1102), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1276), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17742] = 25,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1268), 1,
      anon_sym_RBRACK,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2077), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1146), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1266), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17851] = 25,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1262), 1,
      anon_sym_RBRACK,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2077), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1146), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1260), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17960] = 25,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    ACTIONS(1268), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2128), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1102), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1266), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18069] = 25,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1278), 1,
      anon_sym_RBRACK,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2077), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1146), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1276), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18178] = 24,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(884), 1,
      anon_sym_yield,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1282), 1,
      anon_sym_LPAREN,
    ACTIONS(1284), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(2009), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2597), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18284] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1294), 1,
      anon_sym_from,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2583), 1,
      sym_expression_list,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1090), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18392] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1298), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18500] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1302), 1,
      anon_sym_from,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1769), 1,
      sym_expression,
    STATE(2445), 1,
      sym_expression_list,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1300), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18608] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1306), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18716] = 24,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(834), 1,
      anon_sym_yield,
    ACTIONS(1050), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1272), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2560), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18822] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18930] = 25,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1310), 1,
      anon_sym_from,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1895), 1,
      sym_expression,
    STATE(2557), 1,
      sym_expression_list,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1090), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19038] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19146] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19254] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1318), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19362] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1320), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19470] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1322), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19578] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1324), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19686] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1326), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19794] = 24,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(860), 1,
      anon_sym_yield,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    ACTIONS(1244), 1,
      anon_sym_LPAREN,
    ACTIONS(1246), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1925), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2605), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19900] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1328), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20008] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1330), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20116] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20224] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1334), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20332] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1336), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20440] = 25,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1338), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20548] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    ACTIONS(1340), 1,
      anon_sym_from,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1856), 1,
      sym_expression,
    STATE(2582), 1,
      sym_expression_list,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1090), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20656] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1344), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20763] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1346), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20870] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1348), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20977] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1350), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21084] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1352), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21191] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    ACTIONS(1354), 1,
      anon_sym_from,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1286), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21296] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1356), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21403] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1358), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21510] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(850), 1,
      anon_sym_STAR_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2032), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2570), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21615] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1360), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21722] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1362), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21829] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1364), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21936] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1366), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22043] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1368), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22150] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1370), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22257] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22364] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2529), 1,
      sym_expression_list,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1374), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22469] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1907), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22574] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1380), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22681] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1382), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22788] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1384), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22895] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1386), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22990] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(666), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23085] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1388), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23192] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23299] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1392), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23406] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23513] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1396), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23620] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1398), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23727] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1400), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23834] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1402), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23941] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1404), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24048] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    ACTIONS(1406), 1,
      anon_sym_from,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1292), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24153] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1410), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1864), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1408), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24258] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1412), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24365] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1414), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24472] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1416), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24579] = 25,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1418), 1,
      anon_sym_RBRACK,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24686] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1847), 1,
      sym_expression,
    STATE(2470), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24790] = 23,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1948), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24892] = 23,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(1934), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24994] = 23,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1854), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2058), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25096] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1420), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25198] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25292] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(666), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25386] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1424), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2615), 1,
      sym_with_item,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25490] = 23,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2045), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25592] = 23,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(1939), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25694] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1426), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2615), 1,
      sym_with_item,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25798] = 23,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1919), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1286), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25900] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26002] = 23,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1813), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2121), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26104] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1428), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26206] = 23,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(1981), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26308] = 23,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2137), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26410] = 23,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(1264), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    STATE(2122), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26512] = 23,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2077), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26614] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1892), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1430), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26716] = 23,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1919), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1292), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26818] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1892), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1432), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26920] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1892), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1434), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27022] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1892), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1436), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27124] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27218] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1438), 1,
      anon_sym_LPAREN,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2287), 1,
      sym_with_item,
    STATE(2771), 1,
      sym_with_clause,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27322] = 23,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1837), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2069), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27424] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(2019), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27526] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1438), 1,
      anon_sym_LPAREN,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2287), 1,
      sym_with_item,
    STATE(2684), 1,
      sym_with_clause,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27630] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2285), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27734] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27836] = 20,
    ACTIONS(302), 1,
      anon_sym_in,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(319), 1,
      anon_sym_COMMA,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27932] = 23,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(2008), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28034] = 23,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2128), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28136] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2362), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28240] = 24,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    ACTIONS(1442), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1959), 1,
      sym_expression,
    STATE(2618), 1,
      sym_with_item,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28344] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2279), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28448] = 23,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(1290), 1,
      anon_sym_lambda,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    STATE(1952), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28550] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1828), 1,
      sym_expression,
    STATE(2329), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28654] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(2000), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1444), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28756] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1836), 1,
      sym_expression,
    STATE(2375), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28860] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1838), 1,
      sym_expression,
    STATE(2403), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28964] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2430), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29068] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2456), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29172] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1846), 1,
      sym_expression,
    STATE(2464), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29276] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1438), 1,
      anon_sym_LPAREN,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2287), 1,
      sym_with_item,
    STATE(2708), 1,
      sym_with_clause,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29380] = 24,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1438), 1,
      anon_sym_LPAREN,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2287), 1,
      sym_with_item,
    STATE(2715), 1,
      sym_with_clause,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29484] = 24,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1912), 1,
      sym_expression,
    STATE(2547), 1,
      sym_slice,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29588] = 23,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_lambda,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1839), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    STATE(2127), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29690] = 24,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    ACTIONS(1446), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1959), 1,
      sym_expression,
    STATE(2618), 1,
      sym_with_item,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29794] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1292), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29896] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(410), 1,
      anon_sym_STAR,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1386), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29990] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2724), 1,
      sym_expression_list,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30091] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1286), 1,
      anon_sym_COLON,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2004), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30192] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1292), 1,
      anon_sym_COLON,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2004), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30293] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2615), 1,
      sym_with_item,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30394] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2562), 1,
      sym_expression_list,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30495] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1872), 1,
      sym_expression,
    STATE(2721), 1,
      sym_expression_list,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30596] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1448), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1997), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30697] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1450), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1997), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30798] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1452), 1,
      anon_sym_for,
    ACTIONS(1454), 1,
      anon_sym_with,
    ACTIONS(1456), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [30873] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1458), 1,
      sym_identifier,
    ACTIONS(1460), 1,
      sym_string_start,
    STATE(2512), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_is,
  [30948] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1462), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1997), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31049] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1464), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1984), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31150] = 23,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1959), 1,
      sym_expression,
    STATE(2618), 1,
      sym_with_item,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31251] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1897), 1,
      sym_expression,
    STATE(2733), 1,
      sym_expression_list,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31352] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1466), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1997), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31453] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1468), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2003), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31554] = 11,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(302), 1,
      anon_sym_EQ,
    ACTIONS(1458), 1,
      sym_identifier,
    ACTIONS(1460), 1,
      sym_string_start,
    STATE(2512), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_is,
  [31631] = 23,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1875), 1,
      sym_expression,
    STATE(2777), 1,
      sym_expression_list,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31732] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1470), 1,
      anon_sym_for,
    ACTIONS(1472), 1,
      anon_sym_with,
    ACTIONS(1474), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31807] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2051), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31905] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32003] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1994), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32101] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32199] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1849), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32297] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1850), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32395] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1851), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32493] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1794), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32591] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32689] = 9,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1482), 1,
      anon_sym_except,
    ACTIONS(1484), 1,
      anon_sym_finally,
    STATE(708), 1,
      sym_else_clause,
    STATE(747), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(610), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1478), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32761] = 9,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1484), 1,
      anon_sym_finally,
    ACTIONS(1486), 1,
      anon_sym_except_STAR,
    STATE(708), 1,
      sym_else_clause,
    STATE(747), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(616), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1478), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32833] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1853), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32931] = 9,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1482), 1,
      anon_sym_except,
    ACTIONS(1484), 1,
      anon_sym_finally,
    STATE(716), 1,
      sym_else_clause,
    STATE(792), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(610), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1490), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33003] = 9,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1484), 1,
      anon_sym_finally,
    ACTIONS(1486), 1,
      anon_sym_except_STAR,
    STATE(716), 1,
      sym_else_clause,
    STATE(792), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(616), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1490), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33075] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1899), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33173] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1741), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33271] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33369] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1743), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33467] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1744), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33565] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1745), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33663] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2004), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33761] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33859] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33957] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2105), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34055] = 9,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1494), 1,
      anon_sym_except,
    ACTIONS(1496), 1,
      anon_sym_finally,
    STATE(701), 1,
      sym_else_clause,
    STATE(729), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(620), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1478), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34127] = 9,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1496), 1,
      anon_sym_finally,
    ACTIONS(1498), 1,
      anon_sym_except_STAR,
    STATE(701), 1,
      sym_else_clause,
    STATE(729), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(621), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1478), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34199] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(2001), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34297] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34395] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34493] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34591] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1826), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34689] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34787] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1831), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34885] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1833), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34983] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35081] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(2015), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35179] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1795), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35277] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1796), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35375] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35473] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1798), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35571] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35669] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1801), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35767] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35865] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1774), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35963] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1775), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36061] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36159] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36257] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1788), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36355] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1791), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36453] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1793), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36551] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1730), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36649] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36747] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36845] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36943] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1734), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37041] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37139] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37237] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1690), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37335] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37433] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37531] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1780), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37629] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37727] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1782), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37825] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37923] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38021] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2011), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38119] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(2013), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38217] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38315] = 22,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(830), 1,
      anon_sym_not,
    ACTIONS(832), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      sym_identifier,
    ACTIONS(1104), 1,
      anon_sym_type,
    ACTIONS(1106), 1,
      anon_sym_await,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1049), 1,
      sym_string,
    STATE(1303), 1,
      sym_list_splat_pattern,
    STATE(1830), 1,
      sym_expression,
    STATE(2723), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(748), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1102), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1821), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38413] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1500), 1,
      sym_identifier,
    ACTIONS(1504), 1,
      anon_sym_type,
    ACTIONS(1506), 1,
      anon_sym_await,
    STATE(1132), 1,
      sym_string,
    STATE(1171), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    STATE(1373), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1502), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38513] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1990), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38611] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2107), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38709] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2126), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38807] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1970), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38905] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1996), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39003] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2106), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39101] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1900), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39199] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1997), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39297] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1697), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39395] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2026), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39493] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1698), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39591] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1699), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39689] = 9,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1494), 1,
      anon_sym_except,
    ACTIONS(1496), 1,
      anon_sym_finally,
    STATE(709), 1,
      sym_else_clause,
    STATE(767), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(620), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1490), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39761] = 9,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1496), 1,
      anon_sym_finally,
    ACTIONS(1498), 1,
      anon_sym_except_STAR,
    STATE(709), 1,
      sym_else_clause,
    STATE(767), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(621), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1490), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39833] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1914), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39931] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(2052), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40029] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1927), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40127] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1917), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40225] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1919), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40323] = 23,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      sym_identifier,
    ACTIONS(1512), 1,
      anon_sym_type,
    ACTIONS(1514), 1,
      anon_sym_await,
    STATE(1028), 1,
      sym_string,
    STATE(1261), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1923), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    STATE(1433), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1510), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40423] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40521] = 23,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1516), 1,
      sym_identifier,
    ACTIONS(1520), 1,
      anon_sym_type,
    ACTIONS(1522), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(2012), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    STATE(1208), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1518), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40621] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2095), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40719] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1883), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40817] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1980), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40915] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2100), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41013] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41111] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41209] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41307] = 22,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_not,
    ACTIONS(882), 1,
      anon_sym_lambda,
    ACTIONS(1142), 1,
      sym_identifier,
    ACTIONS(1148), 1,
      anon_sym_type,
    ACTIONS(1152), 1,
      anon_sym_await,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1039), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1819), 1,
      sym_expression,
    STATE(2702), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(772), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1146), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1815), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41405] = 23,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    ACTIONS(1514), 1,
      anon_sym_await,
    ACTIONS(1524), 1,
      sym_identifier,
    ACTIONS(1528), 1,
      anon_sym_type,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1923), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    STATE(1503), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1526), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41505] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1989), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41603] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1816), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41701] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2021), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41799] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41897] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1792), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41995] = 23,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1506), 1,
      anon_sym_await,
    ACTIONS(1530), 1,
      sym_identifier,
    ACTIONS(1534), 1,
      anon_sym_type,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    STATE(1498), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1532), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42095] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42193] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42291] = 22,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      sym_identifier,
    ACTIONS(1094), 1,
      anon_sym_type,
    ACTIONS(1096), 1,
      anon_sym_await,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(1772), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1092), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42389] = 23,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_not,
    ACTIONS(1012), 1,
      anon_sym_lambda,
    ACTIONS(1522), 1,
      anon_sym_await,
    ACTIONS(1536), 1,
      sym_identifier,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(995), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1176), 1,
      sym_list_splat_pattern,
    STATE(2012), 1,
      sym_expression,
    STATE(2674), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    STATE(1497), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(682), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1797), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1197), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42489] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1951), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42587] = 22,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(840), 1,
      sym_identifier,
    ACTIONS(852), 1,
      anon_sym_type,
    ACTIONS(856), 1,
      anon_sym_not,
    ACTIONS(858), 1,
      anon_sym_lambda,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(985), 1,
      sym_string,
    STATE(1201), 1,
      sym_list_splat_pattern,
    STATE(1817), 1,
      sym_expression,
    STATE(2764), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(704), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42685] = 22,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1062), 1,
      anon_sym_not,
    ACTIONS(1064), 1,
      anon_sym_lambda,
    ACTIONS(1124), 1,
      anon_sym_type,
    ACTIONS(1126), 1,
      anon_sym_await,
    ACTIONS(1270), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    STATE(1729), 1,
      sym_expression,
    STATE(2757), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(726), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1120), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1728), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42783] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1947), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42881] = 22,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(980), 1,
      anon_sym_type,
    ACTIONS(984), 1,
      anon_sym_not,
    ACTIONS(986), 1,
      anon_sym_lambda,
    ACTIONS(988), 1,
      anon_sym_await,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1144), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    STATE(1770), 1,
      sym_expression,
    STATE(2632), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(794), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(976), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1784), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42979] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43077] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2075), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43175] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2047), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43273] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2066), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43371] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2081), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43469] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2092), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43567] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2097), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43665] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2109), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43763] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2116), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43861] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2118), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43959] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2124), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44057] = 22,
    ACTIONS(300), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(406), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(416), 1,
      anon_sym_not,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(2125), 1,
      sym_expression,
    STATE(2803), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(290), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1737), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44155] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(381), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_type,
    ACTIONS(404), 1,
      anon_sym_await,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(978), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    STATE(1892), 1,
      sym_expression,
    STATE(2818), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(389), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1693), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44253] = 10,
    ACTIONS(1544), 1,
      anon_sym_COMMA,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1551), 1,
      anon_sym_COLON,
    ACTIONS(1554), 1,
      anon_sym_EQ,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    STATE(2103), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1547), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [44326] = 5,
    ACTIONS(1564), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(610), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1562), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1560), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44388] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [44454] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [44520] = 8,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1571), 1,
      anon_sym_elif,
    STATE(629), 1,
      aux_sym_if_statement_repeat1,
    STATE(715), 1,
      sym_elif_clause,
    STATE(845), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1569), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1567), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44588] = 8,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1571), 1,
      anon_sym_elif,
    STATE(617), 1,
      aux_sym_if_statement_repeat1,
    STATE(715), 1,
      sym_elif_clause,
    STATE(793), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1575), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44656] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(302), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [44724] = 5,
    ACTIONS(1581), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(616), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1579), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1577), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44786] = 8,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1571), 1,
      anon_sym_elif,
    STATE(629), 1,
      aux_sym_if_statement_repeat1,
    STATE(715), 1,
      sym_elif_clause,
    STATE(814), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1586), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1584), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44854] = 8,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1588), 1,
      anon_sym_elif,
    STATE(635), 1,
      aux_sym_if_statement_repeat1,
    STATE(714), 1,
      sym_elif_clause,
    STATE(746), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1569), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1567), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44922] = 8,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1588), 1,
      anon_sym_elif,
    STATE(622), 1,
      aux_sym_if_statement_repeat1,
    STATE(714), 1,
      sym_elif_clause,
    STATE(748), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1575), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44990] = 5,
    ACTIONS(1590), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(620), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1562), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1560), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45052] = 5,
    ACTIONS(1593), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(621), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1579), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1577), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45114] = 8,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1588), 1,
      anon_sym_elif,
    STATE(635), 1,
      aux_sym_if_statement_repeat1,
    STATE(714), 1,
      sym_elif_clause,
    STATE(787), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1586), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1584), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45182] = 7,
    ACTIONS(1544), 1,
      anon_sym_COMMA,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1554), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1558), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1547), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45248] = 8,
    ACTIONS(1480), 1,
      anon_sym_else,
    ACTIONS(1571), 1,
      anon_sym_elif,
    STATE(613), 1,
      aux_sym_if_statement_repeat1,
    STATE(715), 1,
      sym_elif_clause,
    STATE(788), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1598), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1596), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45316] = 8,
    ACTIONS(1492), 1,
      anon_sym_else,
    ACTIONS(1588), 1,
      anon_sym_elif,
    STATE(618), 1,
      aux_sym_if_statement_repeat1,
    STATE(714), 1,
      sym_elif_clause,
    STATE(828), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1598), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1596), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45498] = 6,
    ACTIONS(1554), 1,
      anon_sym_EQ,
    ACTIONS(1610), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1613), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45561] = 6,
    ACTIONS(1619), 1,
      anon_sym_elif,
    STATE(629), 1,
      aux_sym_if_statement_repeat1,
    STATE(715), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1617), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1615), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45624] = 7,
    ACTIONS(1634), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1624), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(1626), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1632), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1629), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45689] = 6,
    ACTIONS(1554), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1610), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1558), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1613), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [45752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45923] = 6,
    ACTIONS(1644), 1,
      anon_sym_elif,
    STATE(635), 1,
      aux_sym_if_statement_repeat1,
    STATE(714), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1617), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1615), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45986] = 6,
    ACTIONS(1554), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1544), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1558), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1547), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46049] = 6,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    ACTIONS(1656), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1652), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46169] = 6,
    ACTIONS(1656), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1654), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1652), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46232] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46293] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46354] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1626), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1632), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1629), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46415] = 6,
    ACTIONS(1665), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1667), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1663), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46535] = 6,
    ACTIONS(1660), 1,
      anon_sym_COMMA,
    ACTIONS(1665), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1663), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46598] = 6,
    ACTIONS(1544), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1547), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1675), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1673), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1677), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1681), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1685), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1681), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1685), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1691), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1677), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1695), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1685), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1699), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1697), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1703), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1701), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1677), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1681), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1691), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1685), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1685), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1681), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1691), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1695), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1705), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1707), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1711), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1709), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1715), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1713), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1691), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1695), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1677), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1695), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1719), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1717), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1677), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1723), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1721), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1675), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1673), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1699), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1697), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1703), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1701), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1727), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1725), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1691), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48621] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_STAR,
    ACTIONS(1737), 1,
      anon_sym_type,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    ACTIONS(1741), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1596), 1,
      sym_list_splat_pattern,
    STATE(1640), 1,
      sym_primary_expression,
    STATE(2062), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2027), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(956), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1735), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1711), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1709), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1715), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1713), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1681), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1695), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1743), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1745), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1719), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1717), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1723), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1721), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1727), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1725), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1685), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1691), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1695), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49329] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_STAR,
    ACTIONS(1737), 1,
      anon_sym_type,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    ACTIONS(1741), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1596), 1,
      sym_list_splat_pattern,
    STATE(1640), 1,
      sym_primary_expression,
    STATE(2062), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2027), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(970), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1735), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1677), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1681), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49533] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1705), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1707), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1743), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1745), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1749), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1747), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1753), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1751), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49755] = 5,
    ACTIONS(1496), 1,
      anon_sym_finally,
    STATE(765), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1755), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1757), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49814] = 5,
    ACTIONS(1492), 1,
      anon_sym_else,
    STATE(759), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1759), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1761), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49873] = 5,
    ACTIONS(1480), 1,
      anon_sym_else,
    STATE(776), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1765), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1763), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49932] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1753), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1751), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1749), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1747), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50042] = 5,
    ACTIONS(1492), 1,
      anon_sym_else,
    STATE(850), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1767), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1769), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50101] = 5,
    ACTIONS(1492), 1,
      anon_sym_else,
    STATE(825), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1765), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1763), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50160] = 5,
    ACTIONS(1484), 1,
      anon_sym_finally,
    STATE(780), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1755), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1757), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50219] = 5,
    ACTIONS(1496), 1,
      anon_sym_finally,
    STATE(800), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1771), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1773), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50278] = 5,
    ACTIONS(1492), 1,
      anon_sym_else,
    STATE(847), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1775), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1777), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50337] = 5,
    ACTIONS(1480), 1,
      anon_sym_else,
    STATE(761), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1781), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1779), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50396] = 5,
    ACTIONS(1480), 1,
      anon_sym_else,
    STATE(755), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1785), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1783), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50455] = 5,
    ACTIONS(1480), 1,
      anon_sym_else,
    STATE(730), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1775), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1777), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1787), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1789), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1787), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1789), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50624] = 5,
    ACTIONS(1484), 1,
      anon_sym_finally,
    STATE(733), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1771), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1773), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50683] = 5,
    ACTIONS(1480), 1,
      anon_sym_else,
    STATE(836), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1767), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1769), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50742] = 5,
    ACTIONS(1492), 1,
      anon_sym_else,
    STATE(809), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1785), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1783), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50801] = 5,
    ACTIONS(1480), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1759), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1761), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50860] = 5,
    ACTIONS(1492), 1,
      anon_sym_else,
    STATE(815), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1781), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1779), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50919] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_type,
    ACTIONS(1803), 1,
      anon_sym_LBRACK,
    ACTIONS(1805), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_list_splat_pattern,
    STATE(2358), 1,
      sym_pattern,
    STATE(2666), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1625), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1799), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1809), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1807), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1809), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1807), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1811), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1813), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51173] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_type,
    ACTIONS(1803), 1,
      anon_sym_LBRACK,
    ACTIONS(1805), 1,
      anon_sym_await,
    ACTIONS(1815), 1,
      anon_sym_RPAREN,
    STATE(1047), 1,
      sym_string,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_list_splat_pattern,
    STATE(2358), 1,
      sym_pattern,
    STATE(2738), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1625), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1799), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1811), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1813), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1819), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1817), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51372] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2525), 1,
      sym_pattern,
    STATE(2822), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1755), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1757), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1835), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1833), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1490), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1839), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1837), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1843), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1841), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1845), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1847), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1851), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1849), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1853), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1855), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1859), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1857), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1861), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1863), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1865), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1867), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1869), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1871), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1875), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1873), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1877), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1879), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1881), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1883), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1887), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1885), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1891), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1889), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1893), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1895), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52415] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1755), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1757), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1897), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1899), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1891), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1889), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1901), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1903), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1901), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1903), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1907), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1905), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1907), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1905), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1909), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1911), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1915), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1913), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1909), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1911), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1919), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1917), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52998] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_type,
    ACTIONS(1803), 1,
      anon_sym_LBRACK,
    ACTIONS(1805), 1,
      anon_sym_await,
    ACTIONS(1921), 1,
      anon_sym_RPAREN,
    STATE(1047), 1,
      sym_string,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_list_splat_pattern,
    STATE(2538), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1625), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1799), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1923), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1925), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1923), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1925), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1929), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1927), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53246] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2526), 1,
      sym_pattern,
    STATE(2826), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53335] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2524), 1,
      sym_pattern,
    STATE(2687), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1931), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1933), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1935), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1937), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1931), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1933), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1771), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1773), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1939), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1941), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1943), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1945), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1947), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1949), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1951), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1953), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53848] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1957), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1955), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1961), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1959), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1478), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1965), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1967), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1973), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1971), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54166] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1977), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1975), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54219] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1921), 1,
      anon_sym_RBRACK,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1987), 1,
      anon_sym_type,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1991), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1639), 1,
      sym_primary_expression,
    STATE(1655), 1,
      sym_list_splat_pattern,
    STATE(2612), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1651), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1985), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1935), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1937), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1881), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1883), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1995), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1993), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1490), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1999), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1997), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54573] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    ACTIONS(2001), 1,
      anon_sym_in,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54662] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2294), 1,
      sym_pattern,
    STATE(2754), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2003), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2005), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2009), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2007), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2011), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2013), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2015), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2017), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2021), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2019), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1771), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1773), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1897), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1899), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1939), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1941), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1943), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1945), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1947), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1949), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1845), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1847), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1951), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1953), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1839), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1837), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1843), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1841), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1851), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1849), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55546] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_type,
    ACTIONS(1803), 1,
      anon_sym_LBRACK,
    ACTIONS(1805), 1,
      anon_sym_await,
    ACTIONS(2023), 1,
      anon_sym_RPAREN,
    STATE(1047), 1,
      sym_string,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_list_splat_pattern,
    STATE(2538), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1625), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1799), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1859), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1857), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55688] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2356), 1,
      sym_pattern,
    STATE(2750), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1875), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1873), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55830] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    ACTIONS(2025), 1,
      anon_sym_in,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1853), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1855), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1965), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1915), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1913), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1861), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1863), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1919), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1917), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56184] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1987), 1,
      anon_sym_type,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1991), 1,
      anon_sym_await,
    ACTIONS(2023), 1,
      anon_sym_RBRACK,
    STATE(1047), 1,
      sym_string,
    STATE(1639), 1,
      sym_primary_expression,
    STATE(1655), 1,
      sym_list_splat_pattern,
    STATE(2612), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1651), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1985), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1819), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1817), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2003), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2005), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1929), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1927), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1887), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1885), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2011), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2013), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1957), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1955), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1961), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1959), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1877), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1879), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56697] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2308), 1,
      sym_pattern,
    STATE(2664), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2015), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2017), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2029), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2027), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2033), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2031), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1967), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1973), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1971), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1977), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1975), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2009), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2007), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2037), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2035), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1865), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1867), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1999), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1997), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2021), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2019), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1995), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1993), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2037), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2035), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2039), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2041), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2045), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2043), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57581] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2047), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2049), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2039), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2041), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2029), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2027), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1478), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1869), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1871), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2033), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2031), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57899] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2486), 1,
      sym_pattern,
    STATE(2722), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57988] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2488), 1,
      sym_pattern,
    STATE(2731), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1893), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1895), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2047), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2049), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1835), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1833), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58236] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2501), 1,
      sym_pattern,
    STATE(2756), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58325] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(2502), 1,
      sym_pattern,
    STATE(2758), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2045), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2043), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58467] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(1821), 1,
      sym_identifier,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(1827), 1,
      anon_sym_type,
    ACTIONS(1829), 1,
      anon_sym_LBRACK,
    ACTIONS(1831), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1627), 1,
      sym_primary_expression,
    STATE(1652), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1825), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58553] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_type,
    ACTIONS(1803), 1,
      anon_sym_LBRACK,
    ACTIONS(1805), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1618), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_list_splat_pattern,
    STATE(2538), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1625), 2,
      sym_attribute,
      sym_subscript,
    STATE(2616), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1799), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58639] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1979), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1987), 1,
      anon_sym_type,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1991), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1639), 1,
      sym_primary_expression,
    STATE(1655), 1,
      sym_list_splat_pattern,
    STATE(2612), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1651), 2,
      sym_attribute,
      sym_subscript,
    STATE(2540), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1985), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58725] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      sym_identifier,
    ACTIONS(1070), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_type,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_await,
    ACTIONS(2051), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1499), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    STATE(1668), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1500), 2,
      sym_attribute,
      sym_subscript,
    STATE(1656), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1074), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58811] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1729), 1,
      sym_identifier,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_STAR,
    ACTIONS(1737), 1,
      anon_sym_type,
    ACTIONS(1739), 1,
      anon_sym_LBRACK,
    ACTIONS(1741), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1596), 1,
      sym_list_splat_pattern,
    STATE(1640), 1,
      sym_primary_expression,
    STATE(2062), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1595), 2,
      sym_attribute,
      sym_subscript,
    STATE(2027), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1735), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58897] = 20,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(954), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_type,
    ACTIONS(966), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1289), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_pattern,
    STATE(1650), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1290), 2,
      sym_attribute,
      sym_subscript,
    STATE(1647), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58983] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2053), 1,
      sym_identifier,
    ACTIONS(2059), 1,
      anon_sym_type,
    ACTIONS(2061), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2055), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    STATE(1619), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2057), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59066] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2063), 1,
      sym_identifier,
    ACTIONS(2067), 1,
      anon_sym_type,
    ACTIONS(2069), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2055), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1616), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2065), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59149] = 17,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    ACTIONS(2071), 1,
      anon_sym_not,
    STATE(1028), 1,
      sym_string,
    STATE(1117), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59227] = 17,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    ACTIONS(2073), 1,
      anon_sym_not,
    STATE(1049), 1,
      sym_string,
    STATE(1095), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59305] = 17,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    ACTIONS(2075), 1,
      anon_sym_not,
    STATE(975), 1,
      sym_string,
    STATE(988), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59383] = 17,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(2077), 1,
      anon_sym_not,
    STATE(996), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59461] = 17,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    ACTIONS(2079), 1,
      anon_sym_not,
    STATE(985), 1,
      sym_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59539] = 17,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(2081), 1,
      anon_sym_not,
    STATE(1132), 1,
      sym_string,
    STATE(1193), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59617] = 17,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    ACTIONS(2083), 1,
      anon_sym_not,
    STATE(1039), 1,
      sym_string,
    STATE(1157), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59695] = 17,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2085), 1,
      anon_sym_not,
    STATE(1047), 1,
      sym_string,
    STATE(1062), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59773] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59848] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1057), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59923] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1113), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59998] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      sym_identifier,
    ACTIONS(2091), 1,
      anon_sym_type,
    ACTIONS(2093), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1630), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2089), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60077] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1080), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60152] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1001), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60227] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1002), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60302] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60377] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1004), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60452] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1005), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60527] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1014), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60602] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1017), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60677] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1018), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60752] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60827] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1031), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60902] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60977] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61052] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1009), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61127] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61202] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61277] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1012), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61352] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1013), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61427] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1015), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61502] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1016), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61577] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1092), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61652] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1020), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61727] = 16,
    ACTIONS(684), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_type,
    ACTIONS(692), 1,
      anon_sym_LBRACK,
    ACTIONS(696), 1,
      anon_sym_LBRACE,
    ACTIONS(700), 1,
      anon_sym_await,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1021), 1,
      sym_primary_expression,
    STATE(1176), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(698), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(682), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1197), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61802] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1095), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61877] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61952] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1112), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62027] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1117), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62102] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1119), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62177] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1120), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62252] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1124), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62327] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1126), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62402] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1127), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62477] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1130), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62552] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1131), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62627] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1191), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62702] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1192), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62777] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1193), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62852] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1194), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62927] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1195), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63002] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1196), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63077] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1198), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63152] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1199), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63227] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1202), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63302] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1203), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63377] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2095), 1,
      sym_identifier,
    ACTIONS(2099), 1,
      anon_sym_type,
    ACTIONS(2101), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1334), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2097), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63456] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1155), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63531] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2099), 1,
      anon_sym_type,
    ACTIONS(2101), 1,
      anon_sym_await,
    ACTIONS(2103), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1334), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2097), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63610] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2105), 1,
      sym_identifier,
    ACTIONS(2109), 1,
      anon_sym_type,
    ACTIONS(2111), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1628), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1102), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2107), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63689] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2113), 1,
      sym_identifier,
    ACTIONS(2117), 1,
      anon_sym_type,
    ACTIONS(2119), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1614), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2115), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63768] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1100), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63843] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1101), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63918] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1103), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63993] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1060), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64068] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1061), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64143] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1062), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64218] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1063), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64293] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1064), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64368] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1065), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64443] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1067), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64518] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1068), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64593] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(997), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64668] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(987), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64743] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(988), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64818] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(991), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64893] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(984), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64968] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(986), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65043] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(989), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65118] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(994), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65193] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(993), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65268] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1078), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65343] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1079), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65418] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2109), 1,
      anon_sym_type,
    ACTIONS(2111), 1,
      anon_sym_await,
    ACTIONS(2121), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1628), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1102), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2107), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65497] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(675), 1,
      anon_sym_type,
    ACTIONS(677), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    STATE(1047), 1,
      sym_string,
    STATE(1070), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1292), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65572] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2123), 1,
      sym_identifier,
    ACTIONS(2127), 1,
      anon_sym_type,
    ACTIONS(2129), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1638), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1485), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2125), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65651] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2131), 1,
      sym_identifier,
    ACTIONS(2135), 1,
      anon_sym_type,
    ACTIONS(2137), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1634), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1174), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2133), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65730] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1116), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65805] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2139), 1,
      sym_identifier,
    ACTIONS(2143), 1,
      anon_sym_type,
    ACTIONS(2145), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1636), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1440), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2141), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65884] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2143), 1,
      anon_sym_type,
    ACTIONS(2145), 1,
      anon_sym_await,
    ACTIONS(2147), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1636), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1440), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2141), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65963] = 16,
    ACTIONS(706), 1,
      anon_sym_LPAREN,
    ACTIONS(712), 1,
      anon_sym_type,
    ACTIONS(714), 1,
      anon_sym_LBRACK,
    ACTIONS(718), 1,
      anon_sym_LBRACE,
    ACTIONS(722), 1,
      anon_sym_await,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_string,
    STATE(1023), 1,
      sym_primary_expression,
    STATE(1201), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(720), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(716), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(710), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(704), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1269), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66038] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1125), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66113] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2145), 1,
      anon_sym_await,
    ACTIONS(2149), 1,
      sym_identifier,
    ACTIONS(2153), 1,
      anon_sym_type,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1293), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2151), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66192] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2155), 1,
      sym_identifier,
    ACTIONS(2159), 1,
      anon_sym_type,
    ACTIONS(2161), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1650), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(642), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2157), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66271] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1128), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66346] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2127), 1,
      anon_sym_type,
    ACTIONS(2129), 1,
      anon_sym_await,
    ACTIONS(2163), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1638), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1485), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2125), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66425] = 16,
    ACTIONS(728), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      anon_sym_type,
    ACTIONS(736), 1,
      anon_sym_LBRACK,
    ACTIONS(740), 1,
      anon_sym_LBRACE,
    ACTIONS(744), 1,
      anon_sym_await,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(1312), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1141), 1,
      sym_primary_expression,
    STATE(1384), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(742), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(738), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(732), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(726), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1376), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66500] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(652), 1,
      anon_sym_LPAREN,
    ACTIONS(658), 1,
      anon_sym_type,
    ACTIONS(660), 1,
      anon_sym_LBRACK,
    ACTIONS(664), 1,
      anon_sym_await,
    ACTIONS(1304), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1146), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(656), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1137), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66575] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1106), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66650] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1152), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66725] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1156), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66800] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1157), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66875] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2129), 1,
      anon_sym_await,
    ACTIONS(2165), 1,
      sym_identifier,
    ACTIONS(2169), 1,
      anon_sym_type,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1639), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1296), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2167), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66954] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1158), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67029] = 16,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(802), 1,
      anon_sym_type,
    ACTIONS(804), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_LBRACE,
    ACTIONS(812), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    STATE(1132), 1,
      sym_string,
    STATE(1179), 1,
      sym_primary_expression,
    STATE(1462), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(810), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(794), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1452), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67104] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1159), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67179] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1098), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67254] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1074), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67329] = 16,
    ACTIONS(774), 1,
      anon_sym_LPAREN,
    ACTIONS(780), 1,
      anon_sym_type,
    ACTIONS(782), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_LBRACE,
    ACTIONS(790), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(1288), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_string,
    STATE(1066), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(788), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(784), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(778), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(772), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1449), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67404] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2137), 1,
      anon_sym_await,
    ACTIONS(2171), 1,
      sym_identifier,
    ACTIONS(2175), 1,
      anon_sym_type,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1640), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1206), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2173), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67483] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2177), 1,
      sym_identifier,
    ACTIONS(2181), 1,
      anon_sym_type,
    ACTIONS(2183), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1514), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2179), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67562] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2159), 1,
      anon_sym_type,
    ACTIONS(2161), 1,
      anon_sym_await,
    ACTIONS(2185), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1650), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(642), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2157), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67641] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2131), 1,
      sym_identifier,
    ACTIONS(2135), 1,
      anon_sym_type,
    ACTIONS(2137), 1,
      anon_sym_await,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1640), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1174), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2133), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67720] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2143), 1,
      anon_sym_type,
    ACTIONS(2145), 1,
      anon_sym_await,
    ACTIONS(2147), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1440), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2141), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67799] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      anon_sym_LPAREN,
    ACTIONS(412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_STAR,
    ACTIONS(2127), 1,
      anon_sym_type,
    ACTIONS(2129), 1,
      anon_sym_await,
    ACTIONS(2163), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_string,
    STATE(1379), 1,
      sym_list_splat_pattern,
    STATE(1639), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(1485), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2125), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1292), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67878] = 16,
    ACTIONS(750), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_type,
    ACTIONS(760), 1,
      anon_sym_LBRACK,
    ACTIONS(764), 1,
      anon_sym_LBRACE,
    ACTIONS(768), 1,
      anon_sym_await,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(1252), 1,
      anon_sym_STAR,
    STATE(1049), 1,
      sym_string,
    STATE(1108), 1,
      sym_primary_expression,
    STATE(1303), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(766), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(762), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(754), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(748), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67953] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(976), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68005] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(977), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68057] = 5,
    ACTIONS(2195), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(977), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68109] = 20,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2220), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_not,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(2230), 1,
      anon_sym_is,
    STATE(1588), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2228), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2208), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [68191] = 5,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(990), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68242] = 5,
    ACTIONS(2232), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(980), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [68293] = 15,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2220), 1,
      anon_sym_PIPE,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2237), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2235), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68364] = 15,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2220), 1,
      anon_sym_PIPE,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2241), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2239), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68435] = 20,
    ACTIONS(2212), 1,
      anon_sym_as,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2261), 1,
      anon_sym_PIPE,
    ACTIONS(2263), 1,
      anon_sym_not,
    ACTIONS(2265), 1,
      anon_sym_AMP,
    ACTIONS(2267), 1,
      anon_sym_CARET,
    ACTIONS(2271), 1,
      anon_sym_is,
    STATE(1603), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2269), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2251), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [68516] = 10,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 24,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68577] = 5,
    ACTIONS(724), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68628] = 14,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68697] = 11,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68760] = 15,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2220), 1,
      anon_sym_PIPE,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2279), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68831] = 13,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68898] = 5,
    ACTIONS(2281), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(990), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68949] = 8,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69006] = 8,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69063] = 8,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69120] = 12,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69185] = 20,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2310), 1,
      anon_sym_PIPE,
    ACTIONS(2312), 1,
      anon_sym_not,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(2320), 1,
      anon_sym_is,
    STATE(1602), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2318), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2300), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [69266] = 5,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(998), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [69317] = 8,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69374] = 5,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(980), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [69425] = 5,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1034), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69475] = 8,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69531] = 8,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69587] = 11,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69649] = 15,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2261), 1,
      anon_sym_PIPE,
    ACTIONS(2265), 1,
      anon_sym_AMP,
    ACTIONS(2267), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2279), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2277), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69719] = 8,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69775] = 10,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [69881] = 19,
    ACTIONS(2202), 1,
      anon_sym_LPAREN,
    ACTIONS(2210), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2220), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_not,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_CARET,
    ACTIONS(2230), 1,
      anon_sym_is,
    ACTIONS(2322), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_LBRACK,
    STATE(1588), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2204), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2228), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1053), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2216), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2208), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [69959] = 8,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70015] = 11,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70077] = 15,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2310), 1,
      anon_sym_PIPE,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2279), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2277), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70147] = 8,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70203] = 10,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70263] = 14,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70331] = 14,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_AMP,
    ACTIONS(2267), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70399] = 13,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70465] = 12,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70529] = 13,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2267), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70595] = 12,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70705] = 15,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2310), 1,
      anon_sym_PIPE,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2237), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70775] = 15,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2310), 1,
      anon_sym_PIPE,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2241), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70891] = 8,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [70993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [71085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [71131] = 5,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1038), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71181] = 5,
    ACTIONS(2330), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1029), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71277] = 15,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2261), 1,
      anon_sym_PIPE,
    ACTIONS(2265), 1,
      anon_sym_AMP,
    ACTIONS(2267), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2237), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71347] = 15,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2245), 1,
      anon_sym_LPAREN,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2261), 1,
      anon_sym_PIPE,
    ACTIONS(2265), 1,
      anon_sym_AMP,
    ACTIONS(2267), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1249), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2241), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2257), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71417] = 5,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1043), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71467] = 5,
    ACTIONS(2337), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1034), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71517] = 8,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [71573] = 20,
    ACTIONS(2212), 1,
      anon_sym_as,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_PIPE,
    ACTIONS(2360), 1,
      anon_sym_not,
    ACTIONS(2362), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_is,
    STATE(1612), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2366), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2348), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [71653] = 8,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [71709] = 5,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1044), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71759] = 5,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1046), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71809] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71857] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71905] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71953] = 5,
    ACTIONS(2370), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1043), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72003] = 5,
    ACTIONS(2373), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1044), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72053] = 20,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2396), 1,
      anon_sym_not,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(2404), 1,
      anon_sym_is,
    STATE(1594), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2402), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2384), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [72133] = 5,
    ACTIONS(792), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1029), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72183] = 5,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(999), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72233] = 20,
    ACTIONS(2212), 1,
      anon_sym_as,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2426), 1,
      anon_sym_not,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(2434), 1,
      anon_sym_is,
    STATE(1606), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2432), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2414), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [72313] = 5,
    ACTIONS(770), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1033), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72363] = 20,
    ACTIONS(2212), 1,
      anon_sym_EQ,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2454), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_not,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(2464), 1,
      anon_sym_is,
    STATE(1597), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2444), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [72443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [72489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72669] = 8,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72724] = 15,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_PIPE,
    ACTIONS(2362), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2241), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72838] = 5,
    ACTIONS(2478), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1059), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2193), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72887] = 8,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72942] = 11,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73003] = 15,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2279), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2277), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73072] = 8,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73127] = 10,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73186] = 14,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73253] = 12,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73316] = 13,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73381] = 12,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73444] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73491] = 8,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73546] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73593] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73685] = 13,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2364), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73885] = 15,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2237), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73954] = 15,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2241), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74023] = 8,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74573] = 11,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74634] = 8,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74689] = 5,
    ACTIONS(1544), 1,
      anon_sym_COMMA,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [74738] = 15,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2279), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2277), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74897] = 14,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74964] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(671), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(666), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75015] = 8,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75070] = 10,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75129] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75178] = 14,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [75290] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(671), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(666), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75341] = 13,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75406] = 8,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75461] = 8,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75516] = 5,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2517), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75565] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75659] = 11,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75720] = 12,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75873] = 8,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75928] = 15,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2454), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2279), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2277), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75997] = 8,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76052] = 8,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76107] = 10,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76166] = 6,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1632), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1629), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76307] = 14,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76374] = 15,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2237), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76443] = 13,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76508] = 12,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76571] = 15,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    ACTIONS(2416), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2412), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2422), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1413), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2241), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76685] = 15,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2454), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2237), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76754] = 15,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2454), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2241), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76823] = 5,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1133), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1547), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76872] = 5,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1059), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76921] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [76968] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77105] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77197] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77246] = 8,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77346] = 8,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77401] = 19,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE,
    ACTIONS(2559), 1,
      anon_sym_not,
    ACTIONS(2561), 1,
      anon_sym_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2567), 1,
      anon_sym_is,
    STATE(1601), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2565), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2547), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2198), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [77478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77568] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(758), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77617] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [77666] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(758), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77715] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77764] = 6,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2573), 1,
      anon_sym_LBRACK,
    STATE(1988), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77815] = 8,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77960] = 15,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_PIPE,
    ACTIONS(2362), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2237), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78029] = 11,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78090] = 15,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_PIPE,
    ACTIONS(2362), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2346), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2279), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2277), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78159] = 8,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78214] = 10,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2342), 1,
      anon_sym_LPAREN,
    ACTIONS(2350), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1412), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2354), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78273] = 6,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2583), 1,
      anon_sym_LBRACK,
    STATE(1954), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78368] = 5,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78768] = 19,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2557), 1,
      anon_sym_PIPE,
    ACTIONS(2559), 1,
      anon_sym_not,
    ACTIONS(2561), 1,
      anon_sym_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2567), 1,
      anon_sym_is,
    STATE(1601), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2565), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2198), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2547), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78932] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [78980] = 5,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1629), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79160] = 8,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2290), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2288), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79214] = 8,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2286), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2284), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79312] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [79712] = 8,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79766] = 11,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79826] = 15,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2279), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2277), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79894] = 8,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2275), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2273), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79948] = 10,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80006] = 14,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(2561), 1,
      anon_sym_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80116] = 13,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80180] = 12,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2273), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80242] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80334] = 15,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2235), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80402] = 15,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2541), 1,
      anon_sym_LPAREN,
    ACTIONS(2549), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE,
    ACTIONS(2561), 1,
      anon_sym_AMP,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2241), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2543), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2545), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2555), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1496), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2553), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2239), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80470] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80518] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80566] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80614] = 6,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2585), 1,
      anon_sym_LBRACK,
    STATE(2048), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80664] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1629), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80710] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80756] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80802] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80848] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [80982] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81072] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81162] = 4,
    ACTIONS(1660), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81384] = 6,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    STATE(2103), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81434] = 4,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81612] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(666), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [81880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82056] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(666), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82104] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(666), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82152] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(666), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82244] = 5,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1629), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82556] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82604] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [82960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [83004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83048] = 19,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(2438), 1,
      anon_sym_LPAREN,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE,
    ACTIONS(2456), 1,
      anon_sym_not,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(2464), 1,
      anon_sym_is,
    STATE(1597), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1410), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2450), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2198), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2444), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83168] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83214] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83260] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83306] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83482] = 5,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1544), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83618] = 19,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    ACTIONS(2302), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      anon_sym_PIPE,
    ACTIONS(2312), 1,
      anon_sym_not,
    ACTIONS(2314), 1,
      anon_sym_AMP,
    ACTIONS(2316), 1,
      anon_sym_CARET,
    ACTIONS(2320), 1,
      anon_sym_is,
    STATE(1602), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2298), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2318), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1227), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2306), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2198), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2300), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83694] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83742] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83790] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83836] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83882] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [84016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84060] = 4,
    ACTIONS(1610), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [84106] = 4,
    ACTIONS(1544), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [84152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84370] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1608), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1613), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1558), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84415] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1542), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1547), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1558), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84460] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1654), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84548] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84595] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1658), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1663), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1667), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [84640] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84687] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84820] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85211] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85256] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86333] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86595] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87197] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(758), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87244] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87459] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(758), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87506] = 5,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2517), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87639] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87897] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88026] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1629), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88114] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1610), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1613), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88245] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88333] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1652), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88464] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88554] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88644] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88689] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88734] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88779] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1663), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89297] = 7,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1624), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1622), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1626), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90122] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1610), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1613), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90167] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1544), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90427] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1649), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1652), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90472] = 7,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1624), 5,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1622), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1626), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2328), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2326), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90566] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90613] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90660] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1629), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90834] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90924] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90971] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91233] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1663), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91407] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91453] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91539] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2581), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2579), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2472), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91709] = 7,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1624), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1622), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1626), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [91759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1647), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2503), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2501), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91843] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1624), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1622), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1626), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [91891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1608), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1658), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2577), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2575), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2569), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2499), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2497), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92269] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92313] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2507), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2505), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2511), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2509), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92485] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92529] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92573] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1600), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92785] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92829] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92915] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92961] = 4,
    ACTIONS(1549), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1604), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1640), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2515), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2513), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2466), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93507] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1608), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1613), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1558), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93550] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1542), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1547), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1558), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1640), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93634] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1654), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1629), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1626), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1600), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1669), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93800] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93843] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93886] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1658), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1663), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1667), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93929] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(679), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [93972] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(679), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(666), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1606), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1604), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1636), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1640), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94138] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1626), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1629), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1622), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1602), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1600), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [94222] = 20,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2587), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2591), 1,
      anon_sym_STAR,
    ACTIONS(2593), 1,
      anon_sym_if,
    ACTIONS(2595), 1,
      anon_sym_COLON,
    ACTIONS(2597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2228), 1,
      sym_case_pattern,
    STATE(2699), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2253), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2603), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1933), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94296] = 20,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2587), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2591), 1,
      anon_sym_STAR,
    ACTIONS(2593), 1,
      anon_sym_if,
    ACTIONS(2597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2611), 1,
      anon_sym_COLON,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2228), 1,
      sym_case_pattern,
    STATE(2638), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2253), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2603), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1933), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94370] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2617), 1,
      anon_sym_RPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94438] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2645), 1,
      anon_sym_RBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94506] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2657), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94574] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2659), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94642] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2661), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94710] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2663), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94778] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2665), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2196), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94846] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2667), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94914] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2233), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94982] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2671), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2234), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95050] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2673), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2157), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95118] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2675), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2217), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95186] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2259), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95254] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95322] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2681), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95390] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2683), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2218), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95458] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2685), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95526] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2687), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95594] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2689), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95662] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2691), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95730] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2224), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95798] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95866] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95934] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2699), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96002] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2701), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96070] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2703), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2231), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96138] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2705), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2227), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96206] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2707), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96274] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2709), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96342] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96410] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2713), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96478] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2156), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96546] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2717), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2161), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96614] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96682] = 18,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2721), 1,
      anon_sym_RBRACK,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96750] = 18,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96818] = 17,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(2725), 1,
      sym_identifier,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DASH,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      sym_integer,
    ACTIONS(2743), 1,
      sym_float,
    STATE(1863), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2305), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2376), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2737), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2082), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96883] = 17,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2613), 1,
      sym_identifier,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    STATE(2309), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2413), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2627), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96948] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2587), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2591), 1,
      anon_sym_STAR,
    ACTIONS(2597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2228), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2253), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2603), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1933), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97013] = 17,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    STATE(2425), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2374), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2649), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2089), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97078] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2587), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2591), 1,
      anon_sym_STAR,
    ACTIONS(2597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(1916), 1,
      sym_case_pattern,
    STATE(1995), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2253), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2603), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1933), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97143] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97209] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2053), 1,
      sym_splat_pattern,
    STATE(2293), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97275] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97341] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97407] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97473] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97539] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2079), 1,
      sym_splat_pattern,
    STATE(2422), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97605] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97671] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97737] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97803] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97869] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97935] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98001] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2024), 1,
      sym_splat_pattern,
    STATE(2455), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98067] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98133] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98199] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2781), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2073), 1,
      sym_splat_pattern,
    STATE(2344), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98265] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98331] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2785), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98397] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98463] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    STATE(2205), 1,
      sym_splat_pattern,
    STATE(2535), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2747), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2417), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98526] = 15,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2789), 1,
      sym_identifier,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2791), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2035), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98584] = 15,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DASH,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      sym_integer,
    ACTIONS(2743), 1,
      sym_float,
    ACTIONS(2793), 1,
      sym_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2795), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2088), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98642] = 15,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2799), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2133), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98700] = 15,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2591), 1,
      anon_sym_STAR,
    ACTIONS(2597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2745), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2801), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1915), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98758] = 15,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2639), 1,
      anon_sym_STAR,
    ACTIONS(2641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2647), 1,
      anon_sym_DASH,
    ACTIONS(2651), 1,
      anon_sym_LBRACE,
    ACTIONS(2653), 1,
      sym_integer,
    ACTIONS(2655), 1,
      sym_float,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1898), 1,
      sym_string,
    STATE(2087), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2803), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2131), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98816] = 15,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_STAR,
    ACTIONS(2621), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_DASH,
    ACTIONS(2629), 1,
      anon_sym_LBRACE,
    ACTIONS(2631), 1,
      sym_integer,
    ACTIONS(2633), 1,
      sym_float,
    ACTIONS(2789), 1,
      sym_identifier,
    STATE(1906), 1,
      sym_string,
    STATE(2093), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2805), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2042), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98874] = 15,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    ACTIONS(2591), 1,
      anon_sym_STAR,
    ACTIONS(2597), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2599), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      anon_sym_LBRACE,
    ACTIONS(2607), 1,
      sym_integer,
    ACTIONS(2609), 1,
      sym_float,
    ACTIONS(2745), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(1995), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2807), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1920), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98932] = 15,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2729), 1,
      anon_sym_STAR,
    ACTIONS(2731), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DASH,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      sym_integer,
    ACTIONS(2743), 1,
      sym_float,
    ACTIONS(2793), 1,
      sym_identifier,
    STATE(1863), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2809), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2090), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [98990] = 8,
    ACTIONS(2222), 1,
      anon_sym_not,
    ACTIONS(2230), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_EQ,
    STATE(1589), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2228), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2208), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99032] = 8,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(2822), 1,
      anon_sym_not,
    ACTIONS(2828), 1,
      anon_sym_is,
    STATE(1589), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2825), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2817), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99074] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99106] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99138] = 8,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(2834), 1,
      anon_sym_not,
    ACTIONS(2840), 1,
      anon_sym_is,
    STATE(1592), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2837), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2831), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99178] = 8,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(2846), 1,
      anon_sym_not,
    ACTIONS(2852), 1,
      anon_sym_is,
    STATE(1593), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2849), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2843), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99218] = 8,
    ACTIONS(2396), 1,
      anon_sym_not,
    ACTIONS(2404), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_EQ,
    STATE(1592), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99258] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99290] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1613), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1608), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99322] = 8,
    ACTIONS(2456), 1,
      anon_sym_not,
    ACTIONS(2464), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_EQ,
    STATE(1593), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2462), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2444), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99362] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1647), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99394] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1667), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1658), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99426] = 8,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(2858), 1,
      anon_sym_not,
    ACTIONS(2864), 1,
      anon_sym_is,
    STATE(1600), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2861), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2855), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [99465] = 7,
    ACTIONS(2559), 1,
      anon_sym_not,
    ACTIONS(2567), 1,
      anon_sym_is,
    STATE(1604), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2547), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99502] = 8,
    ACTIONS(2312), 1,
      anon_sym_not,
    ACTIONS(2320), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_EQ,
    STATE(1600), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [99541] = 8,
    ACTIONS(2263), 1,
      anon_sym_not,
    ACTIONS(2271), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_as,
    STATE(1605), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2269), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2251), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [99580] = 7,
    ACTIONS(2870), 1,
      anon_sym_not,
    ACTIONS(2876), 1,
      anon_sym_is,
    STATE(1604), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2873), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2867), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [99617] = 8,
    ACTIONS(2820), 1,
      anon_sym_as,
    ACTIONS(2882), 1,
      anon_sym_not,
    ACTIONS(2888), 1,
      anon_sym_is,
    STATE(1605), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2885), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2879), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [99656] = 8,
    ACTIONS(2426), 1,
      anon_sym_not,
    ACTIONS(2434), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_as,
    STATE(1613), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2432), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2414), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [99694] = 4,
    ACTIONS(2893), 1,
      anon_sym_COMMA,
    STATE(1607), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99724] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99754] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(666), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99784] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(666), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99814] = 8,
    ACTIONS(2820), 1,
      anon_sym_as,
    ACTIONS(2899), 1,
      anon_sym_not,
    ACTIONS(2905), 1,
      anon_sym_is,
    STATE(1611), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2896), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [99852] = 8,
    ACTIONS(2360), 1,
      anon_sym_not,
    ACTIONS(2368), 1,
      anon_sym_is,
    ACTIONS(2813), 1,
      anon_sym_as,
    STATE(1611), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2366), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2348), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2811), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [99890] = 8,
    ACTIONS(2820), 1,
      anon_sym_as,
    ACTIONS(2911), 1,
      anon_sym_not,
    ACTIONS(2917), 1,
      anon_sym_is,
    STATE(1613), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2914), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2908), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2815), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [99928] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2920), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99958] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99988] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100018] = 4,
    ACTIONS(2922), 1,
      anon_sym_COMMA,
    STATE(1607), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(956), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100048] = 13,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(2406), 1,
      anon_sym_DOT,
    ACTIONS(2418), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100095] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100124] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2924), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100149] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2926), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100174] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100203] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1667), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1658), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100232] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100261] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100290] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100319] = 13,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100366] = 13,
    ACTIONS(2200), 1,
      anon_sym_DOT,
    ACTIONS(2214), 1,
      anon_sym_LBRACK,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100438] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2920), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100467] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1667), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1658), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100496] = 13,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100543] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1647), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100572] = 13,
    ACTIONS(2292), 1,
      anon_sym_DOT,
    ACTIONS(2304), 1,
      anon_sym_LBRACK,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100619] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100648] = 13,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100695] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1613), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100724] = 13,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(2539), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100771] = 13,
    ACTIONS(2340), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_LBRACK,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100818] = 13,
    ACTIONS(2243), 1,
      anon_sym_DOT,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [100865] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100894] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1647), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100923] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100952] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [100981] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101010] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(666), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101064] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(666), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101093] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1663), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1658), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101122] = 13,
    ACTIONS(2322), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_LBRACK,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_PIPE,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2380), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2382), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2392), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1318), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2390), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [101169] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1542), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101198] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1613), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101227] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101256] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1647), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101285] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1613), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [101314] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101338] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2938), 1,
      anon_sym_COLON,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2696), 1,
      sym_lambda_parameters,
    STATE(2739), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101384] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2739), 1,
      sym__parameters,
    STATE(2743), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101430] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2946), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2659), 1,
      sym_lambda_parameters,
    STATE(2739), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101476] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2948), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2739), 1,
      sym__parameters,
    STATE(2760), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101522] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2926), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101546] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2950), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2689), 1,
      sym_lambda_parameters,
    STATE(2739), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101592] = 6,
    ACTIONS(2952), 1,
      anon_sym_COMMA,
    ACTIONS(2954), 1,
      anon_sym_COLON,
    ACTIONS(2956), 1,
      anon_sym_EQ,
    STATE(1617), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2958), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101624] = 6,
    ACTIONS(2954), 1,
      anon_sym_COLON,
    ACTIONS(2956), 1,
      anon_sym_EQ,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2958), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101656] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2962), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2644), 1,
      sym_lambda_parameters,
    STATE(2739), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101702] = 4,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(1666), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2924), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101778] = 5,
    ACTIONS(2954), 1,
      anon_sym_COLON,
    ACTIONS(2956), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2967), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2958), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101808] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2969), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2701), 1,
      sym_lambda_parameters,
    STATE(2739), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101854] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2709), 1,
      sym_lambda_parameters,
    STATE(2739), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101900] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2973), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2739), 1,
      sym__parameters,
    STATE(2776), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [101946] = 4,
    ACTIONS(2975), 1,
      anon_sym_COMMA,
    STATE(1666), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(956), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101974] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2977), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2739), 1,
      sym__parameters,
    STATE(2752), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102020] = 13,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2979), 1,
      anon_sym_COLON,
    STATE(2500), 1,
      sym_parameter,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2739), 1,
      sym__parameters,
    STATE(2800), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102066] = 12,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN,
    ACTIONS(2985), 1,
      anon_sym_RPAREN,
    ACTIONS(2987), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2991), 1,
      anon_sym_SLASH,
    STATE(2347), 1,
      sym_parameter,
    STATE(2349), 1,
      sym_tuple_pattern,
    STATE(2765), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2353), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2549), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102109] = 11,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2991), 1,
      anon_sym_SLASH,
    ACTIONS(2993), 1,
      anon_sym_RPAREN,
    STATE(2349), 1,
      sym_tuple_pattern,
    STATE(2573), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2353), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2549), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102149] = 11,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2993), 1,
      anon_sym_COLON,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2550), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102189] = 11,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2550), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102229] = 4,
    ACTIONS(2954), 1,
      anon_sym_COLON,
    ACTIONS(2956), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2958), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [102255] = 11,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2991), 1,
      anon_sym_SLASH,
    ACTIONS(2995), 1,
      anon_sym_RPAREN,
    STATE(2349), 1,
      sym_tuple_pattern,
    STATE(2573), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2353), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2549), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102295] = 10,
    ACTIONS(2932), 1,
      sym_identifier,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_STAR,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2942), 1,
      anon_sym_SLASH,
    STATE(2503), 1,
      sym_tuple_pattern,
    STATE(2550), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2581), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2628), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102332] = 10,
    ACTIONS(2981), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2991), 1,
      anon_sym_SLASH,
    STATE(2349), 1,
      sym_tuple_pattern,
    STATE(2573), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2353), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2549), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [102369] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2761), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102410] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2710), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102451] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102470] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2787), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102511] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2814), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102552] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2693), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102593] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102620] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2654), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102661] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102707] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102734] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2755), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102775] = 5,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3033), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102800] = 4,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102842] = 3,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [102863] = 13,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_COLON,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2804), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102904] = 12,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2662), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102942] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2704), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102980] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2809), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103018] = 12,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3060), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2662), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103056] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2681), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103094] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2810), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103132] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3077), 1,
      anon_sym_RPAREN,
    ACTIONS(3079), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2527), 1,
      aux_sym_argument_list_repeat1,
    STATE(2662), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103170] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    ACTIONS(3083), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2407), 1,
      aux_sym_argument_list_repeat1,
    STATE(2704), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103208] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    ACTIONS(3087), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2292), 1,
      aux_sym_argument_list_repeat1,
    STATE(2745), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103246] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2679), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103284] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    ACTIONS(3091), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2335), 1,
      aux_sym_argument_list_repeat1,
    STATE(2778), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103322] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3093), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2778), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103360] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2651), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103398] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2672), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103436] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2650), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103474] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    ACTIONS(3099), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2378), 1,
      aux_sym_argument_list_repeat1,
    STATE(2809), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103512] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2783), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103550] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2797), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103588] = 9,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    STATE(2237), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3101), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3103), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103620] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2782), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103658] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2631), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103696] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2389), 1,
      aux_sym_argument_list_repeat1,
    STATE(2631), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103734] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2457), 1,
      aux_sym_argument_list_repeat1,
    STATE(2650), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103772] = 12,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2745), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103810] = 12,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(3123), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      sym_for_in_clause,
    STATE(2432), 1,
      aux_sym_argument_list_repeat1,
    STATE(2782), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103848] = 12,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    STATE(1878), 1,
      sym_for_in_clause,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2705), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103886] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3131), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [103915] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103932] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103949] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103974] = 5,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 7,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103997] = 4,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 8,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104018] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104035] = 3,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [104054] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104079] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104104] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104121] = 8,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    STATE(1985), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3150), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104150] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    ACTIONS(3162), 1,
      sym__not_escape_sequence,
    ACTIONS(3165), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3159), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104196] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104221] = 5,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3175), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104244] = 4,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104282] = 3,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [104301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3178), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1767), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3180), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104359] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104384] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3182), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1752), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104438] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3184), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104492] = 8,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    STATE(1985), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3186), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104521] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3188), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1747), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3190), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1756), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3192), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104608] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3194), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1759), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104662] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3196), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3198), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1761), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3200), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104749] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3202), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1763), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104778] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3204), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3206), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1765), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3208), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3210), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1727), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      sym__not_escape_sequence,
    ACTIONS(3212), 1,
      sym_string_end,
    STATE(1874), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3127), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1739), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [104923] = 5,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3214), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104945] = 9,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3218), 1,
      anon_sym_from,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3216), 2,
      sym__newline,
      anon_sym_SEMI,
  [104975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104991] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [105015] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [105031] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105055] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105079] = 5,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3230), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105101] = 4,
    ACTIONS(3235), 1,
      anon_sym_DOT,
    STATE(1789), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105121] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105145] = 5,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3237), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105167] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3240), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105191] = 4,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105211] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [105227] = 3,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [105245] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [105285] = 4,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [105321] = 3,
    ACTIONS(2212), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [105339] = 3,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_or,
      sym_type_conversion,
  [105357] = 4,
    ACTIONS(3235), 1,
      anon_sym_DOT,
    STATE(1800), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3242), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105377] = 5,
    ACTIONS(3235), 1,
      anon_sym_DOT,
    ACTIONS(3244), 1,
      anon_sym_EQ,
    STATE(1789), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105399] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105423] = 3,
    ACTIONS(3246), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [105441] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105465] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105489] = 6,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105513] = 5,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3250), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105535] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [105551] = 3,
    ACTIONS(3253), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [105569] = 4,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3253), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [105589] = 4,
    ACTIONS(3257), 1,
      anon_sym_DOT,
    STATE(1800), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105609] = 6,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105633] = 6,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105657] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105681] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3264), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105710] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3266), 2,
      sym__newline,
      anon_sym_SEMI,
  [105737] = 7,
    ACTIONS(1482), 1,
      anon_sym_except,
    ACTIONS(1486), 1,
      anon_sym_except_STAR,
    ACTIONS(3268), 1,
      anon_sym_finally,
    STATE(840), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(489), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(490), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [105762] = 5,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [105783] = 5,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105804] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3272), 1,
      anon_sym_COMMA,
    ACTIONS(3274), 1,
      anon_sym_RBRACK,
    STATE(2392), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105833] = 5,
    ACTIONS(3276), 1,
      anon_sym_DOT,
    ACTIONS(3278), 1,
      anon_sym_EQ,
    STATE(1909), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105854] = 7,
    ACTIONS(1482), 1,
      anon_sym_except,
    ACTIONS(1486), 1,
      anon_sym_except_STAR,
    ACTIONS(3268), 1,
      anon_sym_finally,
    STATE(783), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(492), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(493), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [105879] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    STATE(2239), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3280), 2,
      sym__newline,
      anon_sym_SEMI,
  [105906] = 5,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105927] = 5,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105948] = 3,
    ACTIONS(2212), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [105965] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3284), 2,
      sym__newline,
      anon_sym_SEMI,
  [105992] = 6,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3001), 1,
      anon_sym_if,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3286), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106015] = 5,
    ACTIONS(3288), 1,
      anon_sym_DOT,
    ACTIONS(3290), 1,
      anon_sym_EQ,
    STATE(1870), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106036] = 3,
    ACTIONS(3246), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [106053] = 6,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [106076] = 3,
    ACTIONS(2212), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [106093] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [106116] = 6,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106139] = 5,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3292), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106160] = 5,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3214), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106181] = 3,
    ACTIONS(3253), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [106198] = 4,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3253), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [106217] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3295), 1,
      anon_sym_COMMA,
    ACTIONS(3297), 1,
      anon_sym_RBRACK,
    STATE(2338), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106246] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3299), 2,
      sym__newline,
      anon_sym_SEMI,
  [106273] = 3,
    ACTIONS(3246), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [106290] = 6,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106313] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3301), 1,
      anon_sym_async,
    ACTIONS(3303), 1,
      anon_sym_def,
    ACTIONS(3305), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(781), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1979), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [106338] = 6,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3067), 1,
      anon_sym_if,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106361] = 7,
    ACTIONS(1494), 1,
      anon_sym_except,
    ACTIONS(1498), 1,
      anon_sym_except_STAR,
    ACTIONS(3307), 1,
      anon_sym_finally,
    STATE(774), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(504), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(505), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [106386] = 5,
    ACTIONS(3309), 1,
      anon_sym_DOT,
    ACTIONS(3311), 1,
      anon_sym_EQ,
    STATE(1887), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106407] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3313), 1,
      anon_sym_COMMA,
    ACTIONS(3315), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106436] = 5,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106457] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3317), 1,
      anon_sym_COMMA,
    ACTIONS(3319), 1,
      anon_sym_RBRACK,
    STATE(2409), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106486] = 5,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106507] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3321), 1,
      anon_sym_COMMA,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    STATE(2436), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106536] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2967), 2,
      sym__newline,
      anon_sym_SEMI,
  [106563] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    STATE(2237), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3101), 2,
      sym__newline,
      anon_sym_SEMI,
  [106590] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3325), 1,
      anon_sym_COMMA,
    ACTIONS(3327), 1,
      anon_sym_RBRACK,
    STATE(2459), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106619] = 6,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3029), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [106642] = 5,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106663] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3329), 1,
      anon_sym_COMMA,
    ACTIONS(3331), 1,
      anon_sym_RBRACK,
    STATE(2466), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106692] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3335), 1,
      anon_sym_RBRACK,
    STATE(2472), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106721] = 5,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3337), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106742] = 5,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3214), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106763] = 3,
    ACTIONS(3253), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [106780] = 4,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3253), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3038), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [106799] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3342), 1,
      anon_sym_COMMA,
    STATE(2202), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3340), 2,
      sym__newline,
      anon_sym_SEMI,
  [106826] = 6,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3046), 1,
      anon_sym_if,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [106849] = 5,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106870] = 7,
    ACTIONS(1494), 1,
      anon_sym_except,
    ACTIONS(1498), 1,
      anon_sym_except_STAR,
    ACTIONS(3307), 1,
      anon_sym_finally,
    STATE(731), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(562), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(563), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [106895] = 8,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3186), 2,
      sym__newline,
      anon_sym_SEMI,
  [106922] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 8,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106937] = 4,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(999), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3344), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106956] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3346), 1,
      anon_sym_async,
    ACTIONS(3348), 1,
      anon_sym_def,
    ACTIONS(3350), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(743), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1979), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [106981] = 5,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3270), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107002] = 9,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3352), 1,
      anon_sym_COMMA,
    ACTIONS(3354), 1,
      anon_sym_RBRACK,
    STATE(2310), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107031] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3356), 1,
      anon_sym_COMMA,
    ACTIONS(3358), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2370), 1,
      aux_sym_dictionary_repeat1,
    STATE(2816), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107057] = 4,
    ACTIONS(702), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(998), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3344), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107075] = 7,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107099] = 8,
    ACTIONS(3186), 1,
      anon_sym_RBRACK,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3360), 1,
      anon_sym_COMMA,
    STATE(2303), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107125] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3362), 1,
      anon_sym_COMMA,
    ACTIONS(3364), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2398), 1,
      aux_sym_dictionary_repeat1,
    STATE(2711), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3371), 1,
      sym__not_escape_sequence,
    STATE(1867), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3366), 2,
      sym_string_end,
      anon_sym_LBRACE,
    ACTIONS(3368), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [107173] = 6,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3374), 1,
      anon_sym_RPAREN,
    ACTIONS(3376), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1885), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107195] = 6,
    ACTIONS(3378), 1,
      anon_sym_if,
    ACTIONS(3381), 1,
      anon_sym_async,
    ACTIONS(3384), 1,
      anon_sym_for,
    ACTIONS(3387), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1869), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107217] = 4,
    ACTIONS(3288), 1,
      anon_sym_DOT,
    STATE(1901), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3242), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107235] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3389), 1,
      anon_sym_COMMA,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2424), 1,
      aux_sym_dictionary_repeat1,
    STATE(2788), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107261] = 8,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3395), 1,
      anon_sym_COLON,
    STATE(2480), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107287] = 4,
    ACTIONS(3309), 1,
      anon_sym_DOT,
    STATE(1887), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3401), 1,
      sym__not_escape_sequence,
    STATE(1867), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3397), 2,
      sym_string_end,
      anon_sym_LBRACE,
    ACTIONS(3399), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [107327] = 8,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_COLON,
    STATE(2480), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107353] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2496), 1,
      aux_sym_dictionary_repeat1,
    STATE(2762), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107379] = 4,
    ACTIONS(3288), 1,
      anon_sym_DOT,
    STATE(1870), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107397] = 6,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3374), 1,
      anon_sym_RBRACK,
    ACTIONS(3409), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1908), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107419] = 6,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3374), 1,
      anon_sym_RBRACE,
    ACTIONS(3411), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1904), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107441] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3413), 1,
      anon_sym_COMMA,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2451), 1,
      aux_sym_dictionary_repeat1,
    STATE(2655), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107467] = 8,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3419), 1,
      anon_sym_LPAREN,
    ACTIONS(3421), 1,
      anon_sym_STAR,
    STATE(2114), 1,
      sym_dotted_name,
    STATE(2139), 1,
      sym_aliased_import,
    STATE(2528), 1,
      sym_wildcard_import,
    STATE(2575), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107493] = 8,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3423), 1,
      anon_sym_COMMA,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107519] = 5,
    ACTIONS(2999), 1,
      anon_sym_as,
    ACTIONS(3011), 1,
      anon_sym_and,
    ACTIONS(3013), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3427), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107539] = 6,
    ACTIONS(3387), 1,
      anon_sym_RBRACE,
    ACTIONS(3429), 1,
      anon_sym_if,
    ACTIONS(3432), 1,
      anon_sym_async,
    ACTIONS(3435), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1884), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107561] = 6,
    ACTIONS(3048), 1,
      anon_sym_async,
    ACTIONS(3050), 1,
      anon_sym_for,
    ACTIONS(3376), 1,
      anon_sym_if,
    ACTIONS(3438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1903), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3440), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [107599] = 4,
    ACTIONS(3309), 1,
      anon_sym_DOT,
    STATE(1905), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3242), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107617] = 8,
    ACTIONS(3077), 1,
      anon_sym_RPAREN,
    ACTIONS(3079), 1,
      anon_sym_COMMA,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    STATE(2527), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107643] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3444), 1,
      anon_sym_COMMA,
    ACTIONS(3446), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2275), 1,
      aux_sym_dictionary_repeat1,
    STATE(2801), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3448), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3344), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [107685] = 8,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_COLON,
    STATE(2331), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107711] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3454), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [107733] = 4,
    ACTIONS(3456), 1,
      anon_sym_DOT,
    STATE(1893), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107751] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3459), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [107773] = 8,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3186), 1,
      anon_sym_RPAREN,
    ACTIONS(3461), 1,
      anon_sym_COMMA,
    STATE(2439), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107799] = 8,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3463), 1,
      anon_sym_COLON,
    STATE(2480), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107825] = 8,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3465), 1,
      anon_sym_COLON,
    STATE(2480), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107851] = 4,
    ACTIONS(814), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1133), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3344), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107869] = 5,
    ACTIONS(3044), 1,
      anon_sym_as,
    ACTIONS(3052), 1,
      anon_sym_and,
    ACTIONS(3054), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3427), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107889] = 5,
    ACTIONS(3065), 1,
      anon_sym_as,
    ACTIONS(3073), 1,
      anon_sym_and,
    ACTIONS(3075), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3427), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107909] = 4,
    ACTIONS(3467), 1,
      anon_sym_DOT,
    STATE(1901), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107927] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3470), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2342), 1,
      aux_sym_dictionary_repeat1,
    STATE(2698), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107953] = 6,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    ACTIONS(3474), 1,
      anon_sym_if,
    ACTIONS(3477), 1,
      anon_sym_async,
    ACTIONS(3480), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1903), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107975] = 6,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3411), 1,
      anon_sym_if,
    ACTIONS(3438), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1884), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [107997] = 4,
    ACTIONS(3483), 1,
      anon_sym_DOT,
    STATE(1905), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108015] = 4,
    ACTIONS(746), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1038), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3344), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [108033] = 7,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3486), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108057] = 6,
    ACTIONS(3069), 1,
      anon_sym_async,
    ACTIONS(3071), 1,
      anon_sym_for,
    ACTIONS(3409), 1,
      anon_sym_if,
    ACTIONS(3438), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1869), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [108079] = 4,
    ACTIONS(3276), 1,
      anon_sym_DOT,
    STATE(1893), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3242), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108097] = 4,
    ACTIONS(3276), 1,
      anon_sym_DOT,
    STATE(1909), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108115] = 7,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(3488), 1,
      anon_sym_DOT,
    ACTIONS(3490), 1,
      anon_sym___future__,
    STATE(2146), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2290), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2665), 2,
      sym_relative_import,
      sym_dotted_name,
  [108139] = 7,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3262), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108163] = 8,
    ACTIONS(3005), 1,
      anon_sym_async,
    ACTIONS(3007), 1,
      anon_sym_for,
    ACTIONS(3494), 1,
      anon_sym_COMMA,
    ACTIONS(3496), 1,
      anon_sym_RBRACE,
    STATE(1879), 1,
      sym_for_in_clause,
    STATE(2323), 1,
      aux_sym_dictionary_repeat1,
    STATE(2806), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108189] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3498), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108210] = 4,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    STATE(1976), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3500), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [108227] = 7,
    ACTIONS(3504), 1,
      anon_sym_COMMA,
    ACTIONS(3506), 1,
      anon_sym_as,
    ACTIONS(3508), 1,
      anon_sym_if,
    ACTIONS(3510), 1,
      anon_sym_COLON,
    STATE(2085), 1,
      aux_sym_case_clause_repeat1,
    STATE(2707), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108250] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3240), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3512), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3440), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [108286] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108307] = 3,
    STATE(1976), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108322] = 4,
    ACTIONS(3516), 1,
      anon_sym_PIPE,
    STATE(1921), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [108339] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3519), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [108360] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108381] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [108394] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [108415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3527), 1,
      sym__not_escape_sequence,
    ACTIONS(3525), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108432] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3498), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [108453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3529), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108466] = 7,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_COMMA,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    ACTIONS(3537), 1,
      anon_sym_RBRACK,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    STATE(2483), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108489] = 4,
    ACTIONS(3541), 1,
      anon_sym_DOT,
    STATE(1930), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [108506] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1444), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108527] = 4,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1936), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3546), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108544] = 4,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    STATE(1976), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [108561] = 4,
    ACTIONS(3550), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3554), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3344), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108593] = 4,
    ACTIONS(3556), 1,
      anon_sym_COMMA,
    STATE(1936), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3559), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3563), 1,
      sym__not_escape_sequence,
    ACTIONS(3561), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108627] = 7,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    ACTIONS(3567), 1,
      anon_sym_RBRACK,
    STATE(2411), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108650] = 4,
    ACTIONS(3569), 1,
      anon_sym_COMMA,
    STATE(1943), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108667] = 4,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    STATE(1944), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3575), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3577), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3440), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3581), 1,
      sym__not_escape_sequence,
    ACTIONS(3579), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108716] = 4,
    ACTIONS(3583), 1,
      anon_sym_COMMA,
    STATE(1944), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3546), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108733] = 4,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    STATE(1944), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3559), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108750] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108763] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108776] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3590), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [108797] = 4,
    ACTIONS(3592), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108814] = 4,
    ACTIONS(3594), 1,
      anon_sym_COMMA,
    STATE(2006), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3575), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108831] = 7,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    ACTIONS(3596), 1,
      anon_sym_COMMA,
    ACTIONS(3598), 1,
      anon_sym_RBRACK,
    STATE(2286), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108854] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3600), 2,
      sym__newline,
      anon_sym_SEMI,
  [108875] = 4,
    ACTIONS(3602), 1,
      anon_sym_COMMA,
    STATE(2010), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108892] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1624), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108905] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3604), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108918] = 6,
    ACTIONS(3606), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_COLON,
    ACTIONS(3612), 1,
      anon_sym_EQ,
    ACTIONS(3614), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3608), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3618), 1,
      sym__not_escape_sequence,
    ACTIONS(3616), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108956] = 4,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108973] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108994] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3519), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3625), 1,
      sym__not_escape_sequence,
    ACTIONS(3623), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [109032] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109045] = 7,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    ACTIONS(3629), 1,
      anon_sym_RBRACK,
    STATE(2341), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3633), 1,
      sym__not_escape_sequence,
    ACTIONS(3631), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [109085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3637), 1,
      sym__not_escape_sequence,
    ACTIONS(3635), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [109102] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3639), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109128] = 5,
    ACTIONS(3606), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_COLON,
    ACTIONS(3614), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3641), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [109147] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109160] = 4,
    ACTIONS(3645), 1,
      anon_sym_DOT,
    STATE(1991), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3233), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [109177] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [109198] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3344), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109226] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3649), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3440), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109254] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3529), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109267] = 4,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    STATE(1921), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3653), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [109284] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3655), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3344), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109320] = 4,
    ACTIONS(3659), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1979), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3657), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [109337] = 4,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [109354] = 4,
    ACTIONS(3662), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109371] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3666), 1,
      sym__not_escape_sequence,
    ACTIONS(3664), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [109409] = 7,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3668), 1,
      anon_sym_COMMA,
    ACTIONS(3670), 1,
      anon_sym_as,
    ACTIONS(3672), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109432] = 4,
    ACTIONS(3674), 1,
      anon_sym_COMMA,
    STATE(1998), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1286), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3529), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109462] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1624), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109475] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3604), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109488] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3676), 2,
      sym__newline,
      anon_sym_SEMI,
  [109509] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3678), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109530] = 4,
    ACTIONS(3645), 1,
      anon_sym_DOT,
    STATE(1930), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3242), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [109547] = 6,
    ACTIONS(3682), 1,
      anon_sym_DOT,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(3686), 1,
      anon_sym_EQ,
    ACTIONS(3688), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3680), 2,
      sym__newline,
      anon_sym_SEMI,
  [109568] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3649), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109581] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3240), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109602] = 3,
    ACTIONS(3690), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109617] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3590), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109638] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3692), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [109659] = 4,
    ACTIONS(3694), 1,
      anon_sym_COMMA,
    STATE(1998), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109676] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109689] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109710] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [109731] = 4,
    ACTIONS(3699), 1,
      anon_sym_COMMA,
    STATE(2006), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3546), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109748] = 7,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3670), 1,
      anon_sym_as,
    ACTIONS(3701), 1,
      anon_sym_COMMA,
    ACTIONS(3703), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109771] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [109792] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3649), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109805] = 4,
    ACTIONS(3705), 1,
      anon_sym_COMMA,
    STATE(2006), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3559), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109835] = 4,
    ACTIONS(3708), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109852] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109873] = 4,
    ACTIONS(3710), 1,
      anon_sym_COMMA,
    STATE(1936), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3575), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109890] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3712), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109911] = 6,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3152), 1,
      anon_sym_and,
    ACTIONS(3154), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [109932] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3714), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109953] = 6,
    ACTIONS(3133), 1,
      anon_sym_as,
    ACTIONS(3135), 1,
      anon_sym_if,
    ACTIONS(3137), 1,
      anon_sym_and,
    ACTIONS(3139), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109974] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3240), 2,
      sym__newline,
      anon_sym_SEMI,
  [109995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3639), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [110008] = 5,
    ACTIONS(3682), 1,
      anon_sym_DOT,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(3688), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3641), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [110027] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [110040] = 6,
    ACTIONS(3222), 1,
      anon_sym_as,
    ACTIONS(3224), 1,
      anon_sym_if,
    ACTIONS(3226), 1,
      anon_sym_and,
    ACTIONS(3228), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1440), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110061] = 4,
    ACTIONS(3718), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(956), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110078] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110098] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3720), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110110] = 5,
    ACTIONS(3682), 1,
      anon_sym_DOT,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(3688), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 2,
      sym__newline,
      anon_sym_SEMI,
  [110128] = 5,
    ACTIONS(3724), 1,
      anon_sym_COMMA,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    STATE(2487), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110146] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110158] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3730), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110178] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3639), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110202] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110226] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3736), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110238] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3738), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110258] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110270] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110282] = 4,
    ACTIONS(3744), 1,
      anon_sym_PIPE,
    STATE(2056), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3500), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [110298] = 5,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110316] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [110328] = 6,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 1,
      anon_sym_LPAREN,
    ACTIONS(3748), 1,
      anon_sym_COLON,
    STATE(2461), 1,
      sym_type_parameter,
    STATE(2676), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110348] = 6,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110368] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3758), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110392] = 3,
    STATE(2056), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3186), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110418] = 4,
    ACTIONS(3760), 1,
      anon_sym_PIPE,
    STATE(2044), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [110434] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3763), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [110446] = 5,
    ACTIONS(3417), 1,
      sym_identifier,
    STATE(2193), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3765), 2,
      sym__newline,
      anon_sym_SEMI,
  [110464] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3767), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110484] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3604), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110496] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3255), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [110508] = 4,
    ACTIONS(3769), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1286), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [110524] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3771), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110544] = 6,
    ACTIONS(3019), 1,
      anon_sym_as,
    ACTIONS(3021), 1,
      anon_sym_if,
    ACTIONS(3023), 1,
      anon_sym_and,
    ACTIONS(3025), 1,
      anon_sym_or,
    ACTIONS(3773), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110564] = 5,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    ACTIONS(3777), 1,
      anon_sym_RBRACE,
    STATE(2302), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2924), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3779), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110606] = 4,
    ACTIONS(3744), 1,
      anon_sym_PIPE,
    STATE(2044), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3653), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [110622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3781), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3763), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [110646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3783), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110658] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2926), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3785), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3787), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110706] = 4,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3248), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [110722] = 6,
    ACTIONS(3792), 1,
      anon_sym_LBRACE,
    ACTIONS(3794), 1,
      anon_sym_RBRACE,
    ACTIONS(3796), 1,
      aux_sym_format_specifier_token1,
    STATE(2083), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2322), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [110742] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3798), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110762] = 6,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3804), 1,
      anon_sym_RBRACE,
    ACTIONS(3806), 1,
      sym_type_conversion,
    STATE(2784), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110782] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3588), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3808), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [110806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3810), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110818] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3812), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110830] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3814), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110842] = 5,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    ACTIONS(3818), 1,
      anon_sym_RBRACE,
    STATE(2351), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110860] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3820), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110872] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3822), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110892] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3824), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110904] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3559), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [110916] = 5,
    ACTIONS(3417), 1,
      sym_identifier,
    STATE(2193), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3765), 2,
      sym__newline,
      anon_sym_SEMI,
  [110934] = 5,
    ACTIONS(3826), 1,
      anon_sym_COMMA,
    ACTIONS(3828), 1,
      anon_sym_RBRACE,
    STATE(2423), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110952] = 3,
    ACTIONS(3830), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110966] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3832), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110986] = 4,
    ACTIONS(3834), 1,
      anon_sym_PIPE,
    STATE(2086), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [111002] = 6,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(3839), 1,
      anon_sym_RBRACE,
    ACTIONS(3841), 1,
      aux_sym_format_specifier_token1,
    STATE(2083), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2322), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [111022] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3810), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111034] = 6,
    ACTIONS(2611), 1,
      anon_sym_COLON,
    ACTIONS(3508), 1,
      anon_sym_if,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_case_clause_repeat1,
    STATE(2638), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111054] = 4,
    ACTIONS(3834), 1,
      anon_sym_PIPE,
    STATE(2091), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3653), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [111070] = 3,
    ACTIONS(3846), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111084] = 4,
    ACTIONS(3834), 1,
      anon_sym_PIPE,
    STATE(2086), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3500), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [111100] = 4,
    ACTIONS(3848), 1,
      anon_sym_PIPE,
    STATE(2115), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [111116] = 3,
    STATE(2086), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111130] = 4,
    ACTIONS(3850), 1,
      anon_sym_PIPE,
    STATE(2091), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [111146] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3853), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111166] = 3,
    ACTIONS(3855), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111180] = 6,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(3857), 1,
      anon_sym_EQ,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    ACTIONS(3861), 1,
      sym_type_conversion,
    STATE(2749), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111200] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111220] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3649), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111232] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3865), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111252] = 4,
    ACTIONS(3744), 1,
      anon_sym_PIPE,
    STATE(2056), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [111268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3867), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [111280] = 4,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3036), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [111296] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [111308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1624), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [111320] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3604), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [111332] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3103), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111344] = 6,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3871), 1,
      anon_sym_as,
    ACTIONS(3873), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111364] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3875), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111384] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3877), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111404] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [111416] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3881), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111436] = 6,
    ACTIONS(3792), 1,
      anon_sym_LBRACE,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    ACTIONS(3885), 1,
      aux_sym_format_specifier_token1,
    STATE(2065), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2322), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [111456] = 5,
    ACTIONS(3606), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_COLON,
    ACTIONS(3614), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3608), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [111486] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3639), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [111498] = 5,
    ACTIONS(3891), 1,
      anon_sym_COMMA,
    ACTIONS(3893), 1,
      anon_sym_as,
    STATE(2240), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 2,
      sym__newline,
      anon_sym_SEMI,
  [111516] = 4,
    ACTIONS(3848), 1,
      anon_sym_PIPE,
    STATE(2135), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3653), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [111532] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3895), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3529), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111564] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3897), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111584] = 6,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 1,
      anon_sym_LPAREN,
    ACTIONS(3899), 1,
      anon_sym_COLON,
    STATE(2485), 1,
      sym_type_parameter,
    STATE(2720), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111604] = 5,
    ACTIONS(3417), 1,
      sym_identifier,
    STATE(2193), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3901), 2,
      sym__newline,
      anon_sym_SEMI,
  [111622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3808), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [111634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3559), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [111646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1624), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111658] = 6,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3871), 1,
      anon_sym_as,
    ACTIONS(3903), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111678] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3905), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111698] = 6,
    ACTIONS(3167), 1,
      anon_sym_as,
    ACTIONS(3169), 1,
      anon_sym_if,
    ACTIONS(3171), 1,
      anon_sym_and,
    ACTIONS(3173), 1,
      anon_sym_or,
    ACTIONS(3907), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111718] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3808), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [111730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3559), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [111742] = 6,
    ACTIONS(3417), 1,
      sym_identifier,
    ACTIONS(3909), 1,
      anon_sym_LPAREN,
    STATE(2114), 1,
      sym_dotted_name,
    STATE(2139), 1,
      sym_aliased_import,
    STATE(2589), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111762] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3911), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [111774] = 4,
    ACTIONS(3848), 1,
      anon_sym_PIPE,
    STATE(2115), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3500), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [111790] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3913), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [111802] = 3,
    STATE(2115), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111816] = 5,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3535), 1,
      anon_sym_COLON,
    ACTIONS(3539), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3915), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111834] = 4,
    ACTIONS(3917), 1,
      anon_sym_PIPE,
    STATE(2135), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3514), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [111850] = 5,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3641), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [111868] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3763), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [111880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3643), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [111892] = 4,
    ACTIONS(3891), 1,
      anon_sym_COMMA,
    STATE(2226), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 2,
      sym__newline,
      anon_sym_SEMI,
  [111907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3720), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111918] = 5,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2624), 1,
      sym_parameters,
    STATE(2625), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3779), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111946] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3736), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3812), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111968] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111979] = 4,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(2213), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3922), 2,
      anon_sym_import,
      sym_identifier,
  [111994] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3824), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112016] = 5,
    ACTIONS(3926), 1,
      anon_sym_case,
    ACTIONS(3928), 1,
      sym__dedent,
    STATE(2208), 1,
      aux_sym__match_block_repeat1,
    STATE(2593), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3911), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112044] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3758), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3913), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112066] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3720), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112077] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112088] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112099] = 5,
    ACTIONS(3930), 1,
      anon_sym_RPAREN,
    ACTIONS(3932), 1,
      anon_sym_COMMA,
    ACTIONS(3934), 1,
      anon_sym_as,
    STATE(2479), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112116] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(3936), 1,
      anon_sym_RPAREN,
    ACTIONS(3938), 1,
      anon_sym_COMMA,
    STATE(2399), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3781), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3783), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112166] = 5,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    ACTIONS(3942), 1,
      anon_sym_as,
    ACTIONS(3944), 1,
      anon_sym_RBRACK,
    STATE(2482), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3781), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112194] = 4,
    ACTIONS(3948), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3946), 2,
      sym__newline,
      anon_sym_SEMI,
  [112209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3783), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112220] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3785), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3787), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112242] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3814), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112253] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3820), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112264] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3867), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112297] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112308] = 4,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    STATE(2201), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3951), 2,
      sym__newline,
      anon_sym_SEMI,
  [112323] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3736), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112345] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112356] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3758), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [112367] = 5,
    ACTIONS(3926), 1,
      anon_sym_case,
    ACTIONS(3955), 1,
      sym__dedent,
    STATE(2214), 1,
      aux_sym__match_block_repeat1,
    STATE(2593), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112384] = 4,
    ACTIONS(3959), 1,
      anon_sym_COMMA,
    STATE(2188), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3957), 2,
      sym__newline,
      anon_sym_SEMI,
  [112399] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3785), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112410] = 5,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2530), 1,
      sym_parameters,
    STATE(2546), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112427] = 4,
    ACTIONS(3961), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3964), 2,
      anon_sym_if,
      anon_sym_COLON,
  [112442] = 5,
    ACTIONS(3901), 1,
      anon_sym_RPAREN,
    ACTIONS(3966), 1,
      sym_identifier,
    STATE(2509), 1,
      sym_dotted_name,
    STATE(2588), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112459] = 5,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(3968), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112476] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3787), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112487] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3814), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112498] = 4,
    ACTIONS(3959), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3970), 2,
      sym__newline,
      anon_sym_SEMI,
  [112513] = 4,
    ACTIONS(3959), 1,
      anon_sym_COMMA,
    STATE(2197), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3972), 2,
      sym__newline,
      anon_sym_SEMI,
  [112528] = 4,
    ACTIONS(3959), 1,
      anon_sym_COMMA,
    STATE(2197), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3974), 2,
      sym__newline,
      anon_sym_SEMI,
  [112543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112554] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3820), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112565] = 4,
    ACTIONS(3978), 1,
      anon_sym_COMMA,
    STATE(2192), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3976), 2,
      sym__newline,
      anon_sym_SEMI,
  [112580] = 3,
    ACTIONS(3893), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3981), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [112593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112604] = 5,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112621] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    ACTIONS(3985), 1,
      anon_sym_COMMA,
    STATE(2386), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112638] = 4,
    ACTIONS(3989), 1,
      anon_sym_COMMA,
    STATE(2197), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 2,
      sym__newline,
      anon_sym_SEMI,
  [112653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3867), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112664] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3992), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [112675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112686] = 4,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    STATE(2192), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3994), 2,
      sym__newline,
      anon_sym_SEMI,
  [112701] = 4,
    ACTIONS(4000), 1,
      anon_sym_COMMA,
    STATE(2192), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3998), 2,
      sym__newline,
      anon_sym_SEMI,
  [112716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3779), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112727] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3810), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3344), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(4002), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112751] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3812), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112762] = 5,
    ACTIONS(3966), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_dotted_name,
    STATE(2288), 1,
      sym_aliased_import,
    STATE(2669), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112779] = 5,
    ACTIONS(3926), 1,
      anon_sym_case,
    ACTIONS(4004), 1,
      sym__dedent,
    STATE(2214), 1,
      aux_sym__match_block_repeat1,
    STATE(2593), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112796] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3824), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112818] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3758), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112829] = 4,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4006), 2,
      sym__newline,
      anon_sym_SEMI,
  [112844] = 4,
    ACTIONS(4010), 1,
      anon_sym_DOT,
    STATE(2213), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4008), 2,
      anon_sym_import,
      sym_identifier,
  [112859] = 5,
    ACTIONS(4013), 1,
      anon_sym_case,
    ACTIONS(4016), 1,
      sym__dedent,
    STATE(2214), 1,
      aux_sym__match_block_repeat1,
    STATE(2593), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112876] = 4,
    ACTIONS(4020), 1,
      anon_sym_COLON,
    ACTIONS(4022), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [112891] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3824), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112902] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(4024), 1,
      anon_sym_RPAREN,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    STATE(2346), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112919] = 5,
    ACTIONS(3942), 1,
      anon_sym_as,
    ACTIONS(4028), 1,
      anon_sym_COMMA,
    ACTIONS(4030), 1,
      anon_sym_RBRACK,
    STATE(2348), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112936] = 5,
    ACTIONS(3966), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_dotted_name,
    STATE(2288), 1,
      sym_aliased_import,
    STATE(2673), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112953] = 5,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(4032), 1,
      anon_sym_RBRACE,
    ACTIONS(4034), 1,
      sym_type_conversion,
    STATE(2648), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112970] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [112981] = 5,
    ACTIONS(3889), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_COMMA,
    ACTIONS(4038), 1,
      anon_sym_as,
    STATE(2431), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112998] = 5,
    ACTIONS(3926), 1,
      anon_sym_case,
    ACTIONS(4040), 1,
      sym__dedent,
    STATE(2178), 1,
      aux_sym__match_block_repeat1,
    STATE(2593), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113015] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(4042), 1,
      anon_sym_RPAREN,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    STATE(2355), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113032] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3911), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113043] = 4,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4046), 2,
      sym__newline,
      anon_sym_SEMI,
  [113058] = 5,
    ACTIONS(3942), 1,
      anon_sym_as,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    ACTIONS(4052), 1,
      anon_sym_RBRACK,
    STATE(2406), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113075] = 3,
    ACTIONS(3506), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3964), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [113088] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3911), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113099] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3913), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113110] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(4054), 1,
      anon_sym_RPAREN,
    ACTIONS(4056), 1,
      anon_sym_COMMA,
    STATE(2505), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3812), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113138] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(4058), 1,
      anon_sym_RPAREN,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113155] = 5,
    ACTIONS(3942), 1,
      anon_sym_as,
    ACTIONS(4062), 1,
      anon_sym_COMMA,
    ACTIONS(4064), 1,
      anon_sym_RBRACK,
    STATE(2298), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113172] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3720), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3728), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113194] = 4,
    ACTIONS(4066), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1428), 2,
      sym__newline,
      anon_sym_SEMI,
  [113209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113220] = 4,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    STATE(2064), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4068), 2,
      sym__newline,
      anon_sym_SEMI,
  [113235] = 4,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4046), 2,
      sym__newline,
      anon_sym_SEMI,
  [113250] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113272] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3736), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113294] = 5,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(3966), 1,
      sym_identifier,
    STATE(2509), 1,
      sym_dotted_name,
    STATE(2588), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113311] = 5,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(3966), 1,
      sym_identifier,
    STATE(2509), 1,
      sym_dotted_name,
    STATE(2588), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3740), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113350] = 5,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(4072), 1,
      anon_sym_RBRACE,
    ACTIONS(4074), 1,
      sym_type_conversion,
    STATE(2697), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3734), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3913), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113400] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [113411] = 5,
    ACTIONS(3417), 1,
      sym_identifier,
    STATE(2114), 1,
      sym_dotted_name,
    STATE(2139), 1,
      sym_aliased_import,
    STATE(2567), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113428] = 5,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2551), 1,
      sym_parameters,
    STATE(2611), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113445] = 5,
    ACTIONS(1556), 1,
      anon_sym_LBRACK,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2554), 1,
      sym_parameters,
    STATE(2613), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113462] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3781), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3783), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113484] = 5,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(4076), 1,
      anon_sym_RPAREN,
    ACTIONS(4078), 1,
      anon_sym_COMMA,
    STATE(2306), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113501] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3785), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3787), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113523] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3814), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113534] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3820), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3779), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113556] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3867), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [113567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3810), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [113578] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4080), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [113589] = 4,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    ACTIONS(4084), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113603] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4086), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113617] = 4,
    ACTIONS(3444), 1,
      anon_sym_COMMA,
    ACTIONS(3446), 1,
      anon_sym_RBRACE,
    STATE(2275), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113631] = 4,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    ACTIONS(4091), 1,
      anon_sym_COLON,
    STATE(2271), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113645] = 4,
    ACTIONS(632), 1,
      sym__newline,
    ACTIONS(4093), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113659] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(4095), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113673] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(4097), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113687] = 4,
    ACTIONS(1306), 1,
      anon_sym_RBRACE,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113701] = 3,
    ACTIONS(1681), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [113713] = 4,
    ACTIONS(3077), 1,
      anon_sym_RPAREN,
    ACTIONS(3079), 1,
      anon_sym_COMMA,
    STATE(2527), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113727] = 4,
    ACTIONS(4101), 1,
      anon_sym_RPAREN,
    ACTIONS(4103), 1,
      anon_sym_COMMA,
    STATE(2282), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113741] = 4,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    ACTIONS(3264), 1,
      anon_sym_RBRACK,
    STATE(2284), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113755] = 4,
    ACTIONS(4105), 1,
      anon_sym_COMMA,
    ACTIONS(4108), 1,
      anon_sym_COLON,
    STATE(2280), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113769] = 4,
    ACTIONS(4110), 1,
      anon_sym_SEMI,
    ACTIONS(4112), 1,
      sym__newline,
    STATE(2316), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113783] = 4,
    ACTIONS(1172), 1,
      anon_sym_RPAREN,
    ACTIONS(4114), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113797] = 4,
    ACTIONS(4116), 1,
      anon_sym_COMMA,
    ACTIONS(4118), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113811] = 4,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    ACTIONS(4122), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113825] = 4,
    ACTIONS(3352), 1,
      anon_sym_COMMA,
    ACTIONS(3354), 1,
      anon_sym_RBRACK,
    STATE(2311), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113839] = 4,
    ACTIONS(1020), 1,
      anon_sym_RBRACK,
    ACTIONS(4124), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113853] = 4,
    ACTIONS(4126), 1,
      anon_sym_COMMA,
    ACTIONS(4128), 1,
      anon_sym_COLON,
    STATE(2383), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113867] = 4,
    ACTIONS(3889), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2333), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [113891] = 4,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(4130), 1,
      anon_sym_import,
    STATE(2744), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113905] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113919] = 4,
    ACTIONS(1180), 1,
      anon_sym_RPAREN,
    ACTIONS(4132), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113933] = 4,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
    STATE(2300), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113947] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113961] = 4,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3063), 1,
      anon_sym_COMMA,
    STATE(2440), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113975] = 4,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113989] = 4,
    ACTIONS(4144), 1,
      anon_sym_COMMA,
    ACTIONS(4146), 1,
      anon_sym_RBRACK,
    STATE(2443), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114003] = 4,
    ACTIONS(2681), 1,
      anon_sym_RBRACK,
    ACTIONS(4148), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114017] = 4,
    ACTIONS(3009), 1,
      anon_sym_RPAREN,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114031] = 4,
    ACTIONS(4150), 1,
      anon_sym_COMMA,
    ACTIONS(4152), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114045] = 4,
    ACTIONS(1182), 1,
      anon_sym_RPAREN,
    ACTIONS(4154), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114059] = 4,
    ACTIONS(4156), 1,
      anon_sym_COMMA,
    ACTIONS(4158), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114073] = 4,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    STATE(2320), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114087] = 4,
    ACTIONS(4162), 1,
      sym__newline,
    ACTIONS(4164), 1,
      sym__indent,
    STATE(842), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114101] = 3,
    ACTIONS(4168), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4166), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [114113] = 4,
    ACTIONS(2689), 1,
      anon_sym_RPAREN,
    ACTIONS(4170), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114127] = 4,
    ACTIONS(3470), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    STATE(2342), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114141] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4172), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114155] = 3,
    ACTIONS(3934), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3964), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114167] = 4,
    ACTIONS(4174), 1,
      anon_sym_COMMA,
    ACTIONS(4176), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114181] = 4,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    ACTIONS(4180), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3992), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [114205] = 4,
    ACTIONS(3964), 1,
      anon_sym_RPAREN,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114219] = 4,
    ACTIONS(4185), 1,
      anon_sym_SEMI,
    ACTIONS(4187), 1,
      sym__newline,
    STATE(2321), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114233] = 3,
    ACTIONS(3664), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3666), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114245] = 4,
    ACTIONS(622), 1,
      sym__newline,
    ACTIONS(4189), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114259] = 4,
    ACTIONS(956), 1,
      anon_sym_in,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114273] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114287] = 4,
    ACTIONS(3494), 1,
      anon_sym_COMMA,
    ACTIONS(3496), 1,
      anon_sym_RBRACE,
    STATE(2323), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114301] = 4,
    ACTIONS(3248), 1,
      anon_sym_RBRACK,
    ACTIONS(4193), 1,
      anon_sym_COMMA,
    STATE(2320), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114315] = 4,
    ACTIONS(636), 1,
      sym__newline,
    ACTIONS(4196), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114329] = 3,
    ACTIONS(4200), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4198), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114341] = 4,
    ACTIONS(1314), 1,
      anon_sym_RBRACE,
    ACTIONS(4202), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114355] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(4204), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114369] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(4206), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114383] = 4,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    ACTIONS(3091), 1,
      anon_sym_COMMA,
    STATE(2335), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114397] = 4,
    ACTIONS(4208), 1,
      anon_sym_RPAREN,
    ACTIONS(4210), 1,
      anon_sym_COMMA,
    STATE(2336), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114411] = 3,
    ACTIONS(3579), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3581), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114423] = 4,
    ACTIONS(3295), 1,
      anon_sym_COMMA,
    ACTIONS(3297), 1,
      anon_sym_RBRACK,
    STATE(2339), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114437] = 4,
    ACTIONS(4212), 1,
      sym__newline,
    ACTIONS(4214), 1,
      sym__indent,
    STATE(824), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114451] = 4,
    ACTIONS(4216), 1,
      anon_sym_COMMA,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114465] = 3,
    ACTIONS(3561), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3563), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114477] = 4,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_RBRACE,
    STATE(2747), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114491] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4222), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114501] = 4,
    ACTIONS(1184), 1,
      anon_sym_RPAREN,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114515] = 4,
    ACTIONS(1186), 1,
      anon_sym_RPAREN,
    ACTIONS(4226), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114529] = 4,
    ACTIONS(4162), 1,
      sym__newline,
    ACTIONS(4164), 1,
      sym__indent,
    STATE(833), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114543] = 4,
    ACTIONS(4228), 1,
      anon_sym_COMMA,
    ACTIONS(4230), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114557] = 4,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    ACTIONS(4234), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114571] = 4,
    ACTIONS(3417), 1,
      sym_identifier,
    STATE(2193), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114585] = 4,
    ACTIONS(994), 1,
      anon_sym_RBRACK,
    ACTIONS(4236), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114599] = 4,
    ACTIONS(1322), 1,
      anon_sym_RBRACE,
    ACTIONS(4238), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114613] = 4,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    ACTIONS(4243), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114627] = 4,
    ACTIONS(4245), 1,
      anon_sym_COMMA,
    ACTIONS(4247), 1,
      anon_sym_RBRACE,
    STATE(2350), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3987), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114651] = 4,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    ACTIONS(4249), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114665] = 4,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    STATE(2469), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114679] = 4,
    ACTIONS(2701), 1,
      anon_sym_RBRACK,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114693] = 3,
    ACTIONS(4022), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114705] = 4,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114719] = 4,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4263), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114733] = 4,
    ACTIONS(2891), 1,
      anon_sym_in,
    ACTIONS(4265), 1,
      anon_sym_COMMA,
    STATE(2352), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114747] = 3,
    ACTIONS(4268), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114759] = 3,
    ACTIONS(3616), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3618), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114771] = 4,
    ACTIONS(2685), 1,
      anon_sym_RPAREN,
    ACTIONS(4270), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114785] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4272), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114799] = 3,
    ACTIONS(1691), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114811] = 4,
    ACTIONS(4146), 1,
      anon_sym_RPAREN,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    STATE(2477), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114825] = 4,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    STATE(2389), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114839] = 4,
    ACTIONS(4276), 1,
      anon_sym_RPAREN,
    ACTIONS(4278), 1,
      anon_sym_COMMA,
    STATE(2390), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114853] = 4,
    ACTIONS(4280), 1,
      anon_sym_SEMI,
    ACTIONS(4282), 1,
      sym__newline,
    STATE(2368), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114867] = 4,
    ACTIONS(3272), 1,
      anon_sym_COMMA,
    ACTIONS(3274), 1,
      anon_sym_RBRACK,
    STATE(2393), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114881] = 4,
    ACTIONS(3915), 1,
      anon_sym_RBRACK,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114895] = 4,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(4287), 1,
      anon_sym_RBRACE,
    STATE(2706), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114909] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114923] = 4,
    ACTIONS(3356), 1,
      anon_sym_COMMA,
    ACTIONS(3358), 1,
      anon_sym_RBRACE,
    STATE(2370), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114937] = 4,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    STATE(2507), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114951] = 4,
    ACTIONS(642), 1,
      sym__newline,
    ACTIONS(4293), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114965] = 4,
    ACTIONS(4212), 1,
      sym__newline,
    ACTIONS(4214), 1,
      sym__indent,
    STATE(782), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114979] = 4,
    ACTIONS(1334), 1,
      anon_sym_RBRACE,
    ACTIONS(4295), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114993] = 4,
    ACTIONS(4297), 1,
      anon_sym_SEMI,
    ACTIONS(4300), 1,
      sym__newline,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115007] = 4,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    ACTIONS(3099), 1,
      anon_sym_COMMA,
    STATE(2378), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115021] = 4,
    ACTIONS(4302), 1,
      anon_sym_RPAREN,
    ACTIONS(4304), 1,
      anon_sym_COMMA,
    STATE(2380), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [115045] = 4,
    ACTIONS(3313), 1,
      anon_sym_COMMA,
    ACTIONS(3315), 1,
      anon_sym_RBRACK,
    STATE(2382), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115059] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [115069] = 4,
    ACTIONS(4108), 1,
      anon_sym_RPAREN,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(2377), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115083] = 4,
    ACTIONS(1242), 1,
      anon_sym_RPAREN,
    ACTIONS(4309), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115097] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115111] = 4,
    ACTIONS(1200), 1,
      anon_sym_RPAREN,
    ACTIONS(4311), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115125] = 4,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115139] = 4,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    ACTIONS(4319), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115153] = 4,
    ACTIONS(1426), 1,
      anon_sym_COLON,
    ACTIONS(4321), 1,
      anon_sym_COMMA,
    STATE(2271), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115167] = 4,
    ACTIONS(4162), 1,
      sym__newline,
    ACTIONS(4164), 1,
      sym__indent,
    STATE(835), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115181] = 4,
    ACTIONS(4323), 1,
      anon_sym_COMMA,
    ACTIONS(4326), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115195] = 4,
    ACTIONS(2661), 1,
      anon_sym_RPAREN,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115209] = 4,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(2496), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115223] = 4,
    ACTIONS(4330), 1,
      anon_sym_SEMI,
    ACTIONS(4332), 1,
      sym__newline,
    STATE(2396), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115237] = 4,
    ACTIONS(1238), 1,
      anon_sym_RPAREN,
    ACTIONS(4334), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115251] = 4,
    ACTIONS(1240), 1,
      anon_sym_RPAREN,
    ACTIONS(4336), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115265] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3056), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115279] = 4,
    ACTIONS(4338), 1,
      anon_sym_COMMA,
    ACTIONS(4340), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115293] = 4,
    ACTIONS(4342), 1,
      anon_sym_COMMA,
    ACTIONS(4344), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115307] = 4,
    ACTIONS(3362), 1,
      anon_sym_COMMA,
    ACTIONS(3364), 1,
      anon_sym_RBRACE,
    STATE(2398), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115321] = 4,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(4346), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115335] = 4,
    ACTIONS(620), 1,
      sym__newline,
    ACTIONS(4348), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3992), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [115359] = 4,
    ACTIONS(1308), 1,
      anon_sym_RBRACE,
    ACTIONS(4350), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115373] = 4,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    ACTIONS(4352), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115387] = 4,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    ACTIONS(3083), 1,
      anon_sym_COMMA,
    STATE(2407), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115401] = 4,
    ACTIONS(4354), 1,
      anon_sym_RPAREN,
    ACTIONS(4356), 1,
      anon_sym_COMMA,
    STATE(2408), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115415] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4358), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115429] = 4,
    ACTIONS(3317), 1,
      anon_sym_COMMA,
    ACTIONS(3319), 1,
      anon_sym_RBRACK,
    STATE(2410), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115443] = 4,
    ACTIONS(4360), 1,
      anon_sym_COMMA,
    ACTIONS(4363), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115457] = 4,
    ACTIONS(4212), 1,
      sym__newline,
    ACTIONS(4214), 1,
      sym__indent,
    STATE(751), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115471] = 4,
    ACTIONS(2699), 1,
      anon_sym_RBRACK,
    ACTIONS(4365), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115485] = 4,
    ACTIONS(1210), 1,
      anon_sym_RPAREN,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115499] = 4,
    ACTIONS(1212), 1,
      anon_sym_RPAREN,
    ACTIONS(4369), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115513] = 4,
    ACTIONS(4371), 1,
      anon_sym_COMMA,
    ACTIONS(4373), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115527] = 4,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    ACTIONS(4377), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115541] = 4,
    ACTIONS(992), 1,
      anon_sym_RBRACK,
    ACTIONS(4379), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115555] = 4,
    ACTIONS(3800), 1,
      anon_sym_COLON,
    ACTIONS(4381), 1,
      anon_sym_RBRACE,
    STATE(2657), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [115579] = 4,
    ACTIONS(1248), 1,
      anon_sym_RBRACE,
    ACTIONS(4383), 1,
      anon_sym_COMMA,
    STATE(2520), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115593] = 4,
    ACTIONS(4385), 1,
      anon_sym_COMMA,
    ACTIONS(4387), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115607] = 4,
    ACTIONS(4389), 1,
      anon_sym_SEMI,
    ACTIONS(4391), 1,
      sym__newline,
    STATE(2421), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115621] = 4,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    ACTIONS(4393), 1,
      anon_sym_COLON,
    STATE(1976), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115635] = 4,
    ACTIONS(4162), 1,
      sym__newline,
    ACTIONS(4164), 1,
      sym__indent,
    STATE(750), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115649] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115663] = 4,
    ACTIONS(3389), 1,
      anon_sym_COMMA,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(2424), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115677] = 4,
    ACTIONS(646), 1,
      sym__newline,
    ACTIONS(4395), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115691] = 4,
    ACTIONS(4397), 1,
      anon_sym_COMMA,
    ACTIONS(4399), 1,
      anon_sym_RBRACE,
    STATE(2415), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115705] = 4,
    ACTIONS(4401), 1,
      anon_sym_COMMA,
    ACTIONS(4403), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115719] = 4,
    ACTIONS(1324), 1,
      anon_sym_RBRACE,
    ACTIONS(4405), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115733] = 3,
    ACTIONS(3942), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3964), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115745] = 4,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(3123), 1,
      anon_sym_COMMA,
    STATE(2432), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115759] = 4,
    ACTIONS(4407), 1,
      anon_sym_RPAREN,
    ACTIONS(4409), 1,
      anon_sym_COMMA,
    STATE(2434), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115773] = 4,
    ACTIONS(4046), 1,
      anon_sym_RPAREN,
    ACTIONS(4411), 1,
      anon_sym_COMMA,
    STATE(2510), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3992), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [115797] = 4,
    ACTIONS(3321), 1,
      anon_sym_COMMA,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    STATE(2437), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115811] = 4,
    ACTIONS(4046), 1,
      anon_sym_RPAREN,
    ACTIONS(4413), 1,
      anon_sym_COMMA,
    STATE(2510), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115825] = 4,
    ACTIONS(1220), 1,
      anon_sym_RPAREN,
    ACTIONS(4415), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115839] = 4,
    ACTIONS(3964), 1,
      anon_sym_RBRACK,
    ACTIONS(4417), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115853] = 4,
    ACTIONS(1222), 1,
      anon_sym_RPAREN,
    ACTIONS(4420), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115867] = 3,
    ACTIONS(3623), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3625), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [115879] = 4,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    ACTIONS(4424), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115893] = 4,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115907] = 3,
    ACTIONS(3631), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3633), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [115919] = 4,
    ACTIONS(1286), 1,
      anon_sym_RPAREN,
    ACTIONS(4430), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115933] = 4,
    ACTIONS(1248), 1,
      anon_sym_RBRACK,
    ACTIONS(4432), 1,
      anon_sym_COMMA,
    STATE(2513), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2924), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [115957] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4434), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115971] = 4,
    ACTIONS(1921), 1,
      anon_sym_RBRACK,
    ACTIONS(4436), 1,
      anon_sym_COMMA,
    STATE(2468), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3981), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [115995] = 3,
    ACTIONS(3218), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3216), 2,
      sym__newline,
      anon_sym_SEMI,
  [116007] = 4,
    ACTIONS(4438), 1,
      anon_sym_SEMI,
    ACTIONS(4440), 1,
      sym__newline,
    STATE(2450), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116021] = 3,
    ACTIONS(3635), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3637), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [116033] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116047] = 4,
    ACTIONS(3413), 1,
      anon_sym_COMMA,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    STATE(2451), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116061] = 4,
    ACTIONS(648), 1,
      sym__newline,
    ACTIONS(4442), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116075] = 4,
    ACTIONS(1330), 1,
      anon_sym_RBRACE,
    ACTIONS(4444), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116089] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(4446), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116103] = 4,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(3117), 1,
      anon_sym_COMMA,
    STATE(2457), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116117] = 4,
    ACTIONS(4448), 1,
      anon_sym_RPAREN,
    ACTIONS(4450), 1,
      anon_sym_COMMA,
    STATE(2458), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116131] = 4,
    ACTIONS(4452), 1,
      anon_sym_COMMA,
    ACTIONS(4454), 1,
      anon_sym_RBRACE,
    STATE(2484), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116145] = 4,
    ACTIONS(3325), 1,
      anon_sym_COMMA,
    ACTIONS(3327), 1,
      anon_sym_RBRACK,
    STATE(2460), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116159] = 4,
    ACTIONS(1230), 1,
      anon_sym_RPAREN,
    ACTIONS(4456), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116173] = 4,
    ACTIONS(1232), 1,
      anon_sym_RPAREN,
    ACTIONS(4458), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116187] = 4,
    ACTIONS(4460), 1,
      anon_sym_COMMA,
    ACTIONS(4462), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116201] = 4,
    ACTIONS(4464), 1,
      anon_sym_COMMA,
    ACTIONS(4466), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116215] = 4,
    ACTIONS(3746), 1,
      anon_sym_LPAREN,
    ACTIONS(4468), 1,
      anon_sym_COLON,
    STATE(2725), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [116239] = 3,
    ACTIONS(1685), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [116251] = 4,
    ACTIONS(3329), 1,
      anon_sym_COMMA,
    ACTIONS(3331), 1,
      anon_sym_RBRACK,
    STATE(2467), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116265] = 3,
    ACTIONS(4470), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116277] = 4,
    ACTIONS(4472), 1,
      anon_sym_COMMA,
    ACTIONS(4474), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116291] = 4,
    ACTIONS(4476), 1,
      anon_sym_COMMA,
    ACTIONS(4478), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116305] = 4,
    ACTIONS(2891), 1,
      anon_sym_RBRACK,
    ACTIONS(4480), 1,
      anon_sym_COMMA,
    STATE(2468), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116319] = 4,
    ACTIONS(2993), 1,
      anon_sym_RPAREN,
    ACTIONS(4483), 1,
      anon_sym_COMMA,
    STATE(2377), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116333] = 4,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3335), 1,
      anon_sym_RBRACK,
    STATE(2473), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116347] = 4,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    ACTIONS(3087), 1,
      anon_sym_COMMA,
    STATE(2292), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116361] = 4,
    ACTIONS(4485), 1,
      anon_sym_COMMA,
    ACTIONS(4487), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116375] = 4,
    ACTIONS(4489), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116389] = 3,
    ACTIONS(1695), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [116401] = 4,
    ACTIONS(2891), 1,
      anon_sym_RPAREN,
    ACTIONS(4493), 1,
      anon_sym_COMMA,
    STATE(2475), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116415] = 4,
    ACTIONS(3248), 1,
      anon_sym_RPAREN,
    ACTIONS(4496), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116429] = 4,
    ACTIONS(1921), 1,
      anon_sym_RPAREN,
    ACTIONS(4499), 1,
      anon_sym_COMMA,
    STATE(2475), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116443] = 4,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(4501), 1,
      anon_sym_RPAREN,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116457] = 4,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    ACTIONS(4503), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116471] = 4,
    ACTIONS(1286), 1,
      anon_sym_COLON,
    ACTIONS(4505), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116485] = 4,
    ACTIONS(4507), 1,
      anon_sym_SEMI,
    ACTIONS(4509), 1,
      sym__newline,
    STATE(2519), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116499] = 4,
    ACTIONS(2721), 1,
      anon_sym_RBRACK,
    ACTIONS(4511), 1,
      anon_sym_COMMA,
    STATE(2433), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116513] = 4,
    ACTIONS(1016), 1,
      anon_sym_RBRACK,
    ACTIONS(4513), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116527] = 4,
    ACTIONS(4515), 1,
      anon_sym_COMMA,
    ACTIONS(4517), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116541] = 4,
    ACTIONS(3746), 1,
      anon_sym_LPAREN,
    ACTIONS(4519), 1,
      anon_sym_COLON,
    STATE(2729), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116555] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4521), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116569] = 4,
    ACTIONS(4523), 1,
      anon_sym_COMMA,
    ACTIONS(4525), 1,
      anon_sym_RBRACE,
    STATE(2343), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116583] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4527), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116597] = 4,
    ACTIONS(4529), 1,
      anon_sym_RPAREN,
    ACTIONS(4531), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2326), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [116621] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4533), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116635] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4535), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116649] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116663] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4539), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116677] = 4,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    ACTIONS(3756), 1,
      anon_sym_PIPE,
    ACTIONS(4541), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116691] = 4,
    ACTIONS(1298), 1,
      anon_sym_RBRACE,
    ACTIONS(4543), 1,
      anon_sym_COMMA,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116705] = 3,
    ACTIONS(1677), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [116717] = 4,
    ACTIONS(3966), 1,
      sym_identifier,
    STATE(2509), 1,
      sym_dotted_name,
    STATE(2588), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116731] = 4,
    ACTIONS(3248), 1,
      anon_sym_COLON,
    ACTIONS(4545), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116745] = 4,
    ACTIONS(4251), 1,
      anon_sym_COLON,
    ACTIONS(4548), 1,
      anon_sym_COMMA,
    STATE(2517), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116759] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4550), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116773] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4552), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116787] = 3,
    ACTIONS(4470), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116799] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [116809] = 4,
    ACTIONS(2659), 1,
      anon_sym_RPAREN,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    STATE(2313), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116823] = 3,
    ACTIONS(3525), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3527), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [116835] = 4,
    ACTIONS(1446), 1,
      anon_sym_RPAREN,
    ACTIONS(4556), 1,
      anon_sym_COMMA,
    STATE(2521), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116849] = 4,
    ACTIONS(3523), 1,
      anon_sym_RPAREN,
    ACTIONS(4558), 1,
      anon_sym_COMMA,
    STATE(2508), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116863] = 3,
    ACTIONS(4038), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3981), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116875] = 4,
    ACTIONS(3946), 1,
      anon_sym_RPAREN,
    ACTIONS(4561), 1,
      anon_sym_COMMA,
    STATE(2510), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116889] = 4,
    ACTIONS(4564), 1,
      anon_sym_COMMA,
    ACTIONS(4567), 1,
      anon_sym_RBRACE,
    STATE(2511), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116903] = 3,
    ACTIONS(4571), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4569), 2,
      sym__newline,
      anon_sym_SEMI,
  [116915] = 4,
    ACTIONS(3523), 1,
      anon_sym_RBRACK,
    ACTIONS(4573), 1,
      anon_sym_COMMA,
    STATE(2513), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116929] = 4,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    STATE(2414), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116943] = 4,
    ACTIONS(4212), 1,
      sym__newline,
    ACTIONS(4214), 1,
      sym__indent,
    STATE(838), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116957] = 4,
    ACTIONS(4576), 1,
      anon_sym_SEMI,
    ACTIONS(4578), 1,
      sym__newline,
    STATE(2272), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116971] = 4,
    ACTIONS(2993), 1,
      anon_sym_COLON,
    ACTIONS(4580), 1,
      anon_sym_COMMA,
    STATE(2280), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116985] = 4,
    ACTIONS(3716), 1,
      anon_sym_RPAREN,
    ACTIONS(4582), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116999] = 4,
    ACTIONS(624), 1,
      sym__newline,
    ACTIONS(4585), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117013] = 4,
    ACTIONS(3523), 1,
      anon_sym_RBRACE,
    ACTIONS(4587), 1,
      anon_sym_COMMA,
    STATE(2520), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117027] = 4,
    ACTIONS(4091), 1,
      anon_sym_RPAREN,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    STATE(2521), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117041] = 4,
    ACTIONS(1248), 1,
      anon_sym_RPAREN,
    ACTIONS(4593), 1,
      anon_sym_COMMA,
    STATE(2508), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117055] = 4,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    STATE(2522), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117069] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4595), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117083] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4597), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117097] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4599), 1,
      anon_sym_in,
    STATE(2317), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117111] = 4,
    ACTIONS(1170), 1,
      anon_sym_RPAREN,
    ACTIONS(4601), 1,
      anon_sym_COMMA,
    STATE(2518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4603), 2,
      sym__newline,
      anon_sym_SEMI,
  [117134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3299), 2,
      sym__newline,
      anon_sym_SEMI,
  [117143] = 3,
    ACTIONS(4605), 1,
      anon_sym_COLON,
    ACTIONS(4607), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117154] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4609), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [117163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4611), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117172] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4613), 2,
      sym__newline,
      anon_sym_SEMI,
  [117181] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4615), 2,
      anon_sym__,
      sym_identifier,
  [117190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [117199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4619), 2,
      sym__newline,
      anon_sym_SEMI,
  [117208] = 3,
    ACTIONS(4621), 1,
      sym_integer,
    ACTIONS(4623), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117228] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4625), 2,
      anon_sym__,
      sym_identifier,
  [117237] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117246] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 2,
      sym__dedent,
      anon_sym_case,
  [117255] = 3,
    ACTIONS(4627), 1,
      sym_integer,
    ACTIONS(4629), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117266] = 3,
    ACTIONS(4631), 1,
      sym_integer,
    ACTIONS(4633), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4635), 2,
      sym__dedent,
      anon_sym_case,
  [117286] = 3,
    ACTIONS(4637), 1,
      sym_integer,
    ACTIONS(4639), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117297] = 3,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2561), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117317] = 3,
    ACTIONS(4641), 1,
      sym_integer,
    ACTIONS(4643), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4108), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [117346] = 3,
    ACTIONS(4645), 1,
      anon_sym_COLON,
    ACTIONS(4647), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117357] = 3,
    ACTIONS(4649), 1,
      sym_integer,
    ACTIONS(4651), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117368] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4653), 2,
      anon_sym__,
      sym_identifier,
  [117377] = 3,
    ACTIONS(4655), 1,
      anon_sym_COLON,
    ACTIONS(4657), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117388] = 3,
    ACTIONS(4659), 1,
      sym_integer,
    ACTIONS(4661), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117399] = 3,
    ACTIONS(4663), 1,
      anon_sym_COLON,
    ACTIONS(4665), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117410] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3186), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4667), 2,
      sym__newline,
      anon_sym_SEMI,
  [117428] = 3,
    ACTIONS(4669), 1,
      anon_sym_COLON,
    ACTIONS(4671), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117439] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117448] = 3,
    ACTIONS(4673), 1,
      anon_sym_COLON,
    ACTIONS(4675), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3266), 2,
      sym__newline,
      anon_sym_SEMI,
  [117468] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4677), 2,
      sym__newline,
      anon_sym_SEMI,
  [117477] = 3,
    ACTIONS(4679), 1,
      sym_integer,
    ACTIONS(4681), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117488] = 3,
    ACTIONS(4683), 1,
      anon_sym_COLON,
    ACTIONS(4685), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117499] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4687), 2,
      sym__dedent,
      anon_sym_case,
  [117508] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4689), 2,
      sym__newline,
      anon_sym_SEMI,
  [117517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4691), 2,
      anon_sym__,
      sym_identifier,
  [117526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2926), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117535] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [117544] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4693), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117553] = 3,
    ACTIONS(4695), 1,
      sym_integer,
    ACTIONS(4697), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117564] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4108), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1689), 2,
      sym__dedent,
      anon_sym_case,
  [117582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4699), 2,
      sym__newline,
      anon_sym_SEMI,
  [117591] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4701), 2,
      sym__newline,
      anon_sym_SEMI,
  [117600] = 3,
    ACTIONS(4703), 1,
      sym_integer,
    ACTIONS(4705), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4707), 2,
      sym__dedent,
      anon_sym_case,
  [117620] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4709), 2,
      sym__newline,
      anon_sym_SEMI,
  [117629] = 3,
    ACTIONS(4711), 1,
      sym_integer,
    ACTIONS(4713), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117640] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [117649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3186), 2,
      sym__newline,
      anon_sym_SEMI,
  [117658] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3186), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117667] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1693), 2,
      sym__dedent,
      anon_sym_case,
  [117676] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4715), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117685] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4717), 2,
      sym__dedent,
      anon_sym_case,
  [117694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4719), 2,
      sym__dedent,
      anon_sym_case,
  [117703] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3981), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117712] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4721), 2,
      sym__newline,
      anon_sym_SEMI,
  [117721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4723), 2,
      sym__dedent,
      anon_sym_case,
  [117730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2924), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117739] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4222), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4725), 2,
      sym__dedent,
      anon_sym_case,
  [117757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4715), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4727), 2,
      sym__dedent,
      anon_sym_case,
  [117775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4611), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117784] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3101), 2,
      sym__newline,
      anon_sym_SEMI,
  [117802] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2926), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4729), 2,
      sym__newline,
      anon_sym_SEMI,
  [117820] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4731), 2,
      sym__dedent,
      anon_sym_case,
  [117829] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4733), 2,
      sym__newline,
      anon_sym_SEMI,
  [117838] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4715), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [117847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4611), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [117856] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [117865] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117874] = 3,
    ACTIONS(4735), 1,
      anon_sym_COMMA,
    STATE(2020), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1683), 2,
      sym__dedent,
      anon_sym_case,
  [117894] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1687), 2,
      sym__dedent,
      anon_sym_case,
  [117903] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4737), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117912] = 3,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2556), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117932] = 3,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2559), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117943] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4739), 2,
      sym__dedent,
      anon_sym_case,
  [117952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4091), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [117961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1558), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117970] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4741), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [117979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4091), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117988] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4743), 2,
      sym__newline,
      anon_sym_SEMI,
  [117997] = 3,
    ACTIONS(4745), 1,
      sym_integer,
    ACTIONS(4747), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118008] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4693), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [118017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4300), 2,
      sym__newline,
      anon_sym_SEMI,
  [118026] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4749), 2,
      sym__dedent,
      anon_sym_case,
  [118035] = 3,
    ACTIONS(4751), 1,
      anon_sym_COLON,
    ACTIONS(4753), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118046] = 3,
    ACTIONS(3920), 1,
      anon_sym_LPAREN,
    STATE(2565), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4755), 2,
      sym__dedent,
      anon_sym_case,
  [118066] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4757), 2,
      sym__dedent,
      anon_sym_case,
  [118075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4018), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [118084] = 2,
    ACTIONS(4759), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118092] = 2,
    ACTIONS(4761), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118100] = 2,
    ACTIONS(4763), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118108] = 2,
    ACTIONS(4765), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118116] = 2,
    ACTIONS(4767), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118124] = 2,
    ACTIONS(4769), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118132] = 2,
    ACTIONS(4771), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118140] = 2,
    ACTIONS(4773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118148] = 2,
    ACTIONS(4775), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118156] = 2,
    ACTIONS(4777), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118164] = 2,
    ACTIONS(4779), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118172] = 2,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118180] = 2,
    ACTIONS(4781), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118188] = 2,
    ACTIONS(4783), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118196] = 2,
    ACTIONS(4785), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118204] = 2,
    ACTIONS(4787), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118212] = 2,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118220] = 2,
    ACTIONS(4789), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118228] = 2,
    ACTIONS(4791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118236] = 2,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118244] = 2,
    ACTIONS(4795), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118252] = 2,
    ACTIONS(4797), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118260] = 2,
    ACTIONS(4799), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118268] = 2,
    ACTIONS(4801), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118276] = 2,
    ACTIONS(4803), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118284] = 2,
    ACTIONS(4805), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118292] = 2,
    ACTIONS(4807), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118300] = 2,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118308] = 2,
    ACTIONS(4809), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118316] = 2,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118324] = 2,
    ACTIONS(4811), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118332] = 2,
    ACTIONS(4813), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118340] = 2,
    ACTIONS(4815), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118348] = 2,
    ACTIONS(4817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118356] = 2,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118364] = 2,
    ACTIONS(4172), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118372] = 2,
    ACTIONS(4821), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118380] = 2,
    ACTIONS(4823), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118388] = 2,
    ACTIONS(4825), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118396] = 2,
    ACTIONS(4827), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118404] = 2,
    ACTIONS(4829), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118412] = 2,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118420] = 2,
    ACTIONS(4831), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118428] = 2,
    ACTIONS(4833), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118436] = 2,
    ACTIONS(4835), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118444] = 2,
    ACTIONS(4837), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118452] = 2,
    ACTIONS(4839), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118460] = 2,
    ACTIONS(4841), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118468] = 2,
    ACTIONS(4843), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118476] = 2,
    ACTIONS(4845), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118484] = 2,
    ACTIONS(4847), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118492] = 2,
    ACTIONS(4849), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118500] = 2,
    ACTIONS(4851), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118508] = 2,
    ACTIONS(4853), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118516] = 2,
    ACTIONS(4855), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118524] = 2,
    ACTIONS(4857), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118532] = 2,
    ACTIONS(4859), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118540] = 2,
    ACTIONS(1456), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118548] = 2,
    ACTIONS(4595), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118556] = 2,
    ACTIONS(4861), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118564] = 2,
    ACTIONS(4863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118572] = 2,
    ACTIONS(4865), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118580] = 2,
    ACTIONS(3364), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118588] = 2,
    ACTIONS(4867), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118596] = 2,
    ACTIONS(4869), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118604] = 2,
    ACTIONS(4871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118612] = 2,
    ACTIONS(4873), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118620] = 2,
    ACTIONS(4875), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118628] = 2,
    ACTIONS(4877), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118636] = 2,
    ACTIONS(4879), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118644] = 2,
    ACTIONS(4881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118652] = 2,
    ACTIONS(4883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118660] = 2,
    ACTIONS(4885), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118668] = 2,
    ACTIONS(4887), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118676] = 2,
    ACTIONS(4889), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118684] = 2,
    ACTIONS(4891), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118692] = 2,
    ACTIONS(4893), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118700] = 2,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118708] = 2,
    ACTIONS(4897), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118716] = 2,
    ACTIONS(4899), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118724] = 2,
    ACTIONS(4901), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118732] = 2,
    ACTIONS(4903), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118740] = 2,
    ACTIONS(4905), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118748] = 2,
    ACTIONS(4907), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118756] = 2,
    ACTIONS(4909), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118764] = 2,
    ACTIONS(4911), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118772] = 2,
    ACTIONS(4913), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118780] = 2,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118788] = 2,
    ACTIONS(4915), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118796] = 2,
    ACTIONS(4917), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118804] = 2,
    ACTIONS(3446), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118812] = 2,
    ACTIONS(4919), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118820] = 2,
    ACTIONS(3395), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118828] = 2,
    ACTIONS(4521), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118836] = 2,
    ACTIONS(4921), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118844] = 2,
    ACTIONS(3463), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118852] = 2,
    ACTIONS(4923), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118860] = 2,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118868] = 2,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118876] = 2,
    ACTIONS(4929), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118884] = 2,
    ACTIONS(4931), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118892] = 2,
    ACTIONS(4933), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118900] = 2,
    ACTIONS(4527), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118908] = 2,
    ACTIONS(4935), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118916] = 2,
    ACTIONS(3465), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118924] = 2,
    ACTIONS(4937), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118932] = 2,
    ACTIONS(4939), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118940] = 2,
    ACTIONS(4941), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118948] = 2,
    ACTIONS(4943), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118956] = 2,
    ACTIONS(4945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118964] = 2,
    ACTIONS(4947), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118972] = 2,
    ACTIONS(4949), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118980] = 2,
    ACTIONS(4951), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118988] = 2,
    ACTIONS(3496), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118996] = 2,
    ACTIONS(4953), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119004] = 2,
    ACTIONS(4955), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119012] = 2,
    ACTIONS(4957), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119020] = 2,
    ACTIONS(4959), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119028] = 2,
    ACTIONS(4961), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119036] = 2,
    ACTIONS(4963), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119044] = 2,
    ACTIONS(4965), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119052] = 2,
    ACTIONS(4272), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119060] = 2,
    ACTIONS(4967), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119068] = 2,
    ACTIONS(4969), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119076] = 2,
    ACTIONS(4971), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119084] = 2,
    ACTIONS(4140), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119092] = 2,
    ACTIONS(4973), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119100] = 2,
    ACTIONS(4550), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119108] = 2,
    ACTIONS(4975), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119116] = 2,
    ACTIONS(4552), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119124] = 2,
    ACTIONS(1424), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119132] = 2,
    ACTIONS(4977), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119140] = 2,
    ACTIONS(4979), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119148] = 2,
    ACTIONS(4981), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119156] = 2,
    ACTIONS(4983), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119164] = 2,
    ACTIONS(4985), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119172] = 2,
    ACTIONS(4987), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119180] = 2,
    ACTIONS(4989), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119188] = 2,
    ACTIONS(4991), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119196] = 2,
    ACTIONS(4993), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119204] = 2,
    ACTIONS(4995), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119212] = 2,
    ACTIONS(4997), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119220] = 2,
    ACTIONS(4999), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119228] = 2,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119236] = 2,
    ACTIONS(5001), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119244] = 2,
    ACTIONS(5003), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119252] = 2,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119260] = 2,
    ACTIONS(5007), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119268] = 2,
    ACTIONS(3403), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119276] = 2,
    ACTIONS(5009), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119284] = 2,
    ACTIONS(5011), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119292] = 2,
    ACTIONS(5013), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119300] = 2,
    ACTIONS(5015), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119308] = 2,
    ACTIONS(5017), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119316] = 2,
    ACTIONS(5019), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119324] = 2,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119332] = 2,
    ACTIONS(5023), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119340] = 2,
    ACTIONS(5025), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119348] = 2,
    ACTIONS(5027), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119356] = 2,
    ACTIONS(5029), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119364] = 2,
    ACTIONS(5031), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119372] = 2,
    ACTIONS(5033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119380] = 2,
    ACTIONS(5035), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119388] = 2,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119396] = 2,
    ACTIONS(5037), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119404] = 2,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119412] = 2,
    ACTIONS(3358), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119420] = 2,
    ACTIONS(5041), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119428] = 2,
    ACTIONS(5043), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119436] = 2,
    ACTIONS(5045), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119444] = 2,
    ACTIONS(5047), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119452] = 2,
    ACTIONS(5049), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119460] = 2,
    ACTIONS(5051), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119468] = 2,
    ACTIONS(5053), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119476] = 2,
    ACTIONS(5055), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119484] = 2,
    ACTIONS(5057), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119492] = 2,
    ACTIONS(5059), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119500] = 2,
    ACTIONS(5061), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119508] = 2,
    ACTIONS(5063), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119516] = 2,
    ACTIONS(5065), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119524] = 2,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119532] = 2,
    ACTIONS(5069), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119540] = 2,
    ACTIONS(5071), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119548] = 2,
    ACTIONS(5073), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119556] = 2,
    ACTIONS(5075), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119564] = 2,
    ACTIONS(5077), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119572] = 2,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119580] = 2,
    ACTIONS(5081), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119588] = 2,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119596] = 2,
    ACTIONS(5083), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119604] = 2,
    ACTIONS(5085), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119612] = 2,
    ACTIONS(5087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119620] = 2,
    ACTIONS(5089), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119628] = 2,
    ACTIONS(4597), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119636] = 2,
    ACTIONS(1474), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119644] = 2,
    ACTIONS(5091), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119652] = 2,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119660] = 2,
    ACTIONS(4599), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119668] = 2,
    ACTIONS(5093), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119676] = 2,
    ACTIONS(5095), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119684] = 2,
    ACTIONS(3077), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [119692] = 2,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(189)] = 0,
  [SMALL_STATE(190)] = 126,
  [SMALL_STATE(191)] = 246,
  [SMALL_STATE(192)] = 370,
  [SMALL_STATE(193)] = 496,
  [SMALL_STATE(194)] = 620,
  [SMALL_STATE(195)] = 744,
  [SMALL_STATE(196)] = 872,
  [SMALL_STATE(197)] = 1000,
  [SMALL_STATE(198)] = 1124,
  [SMALL_STATE(199)] = 1250,
  [SMALL_STATE(200)] = 1374,
  [SMALL_STATE(201)] = 1498,
  [SMALL_STATE(202)] = 1618,
  [SMALL_STATE(203)] = 1744,
  [SMALL_STATE(204)] = 1868,
  [SMALL_STATE(205)] = 1992,
  [SMALL_STATE(206)] = 2118,
  [SMALL_STATE(207)] = 2242,
  [SMALL_STATE(208)] = 2366,
  [SMALL_STATE(209)] = 2492,
  [SMALL_STATE(210)] = 2616,
  [SMALL_STATE(211)] = 2740,
  [SMALL_STATE(212)] = 2866,
  [SMALL_STATE(213)] = 2990,
  [SMALL_STATE(214)] = 3114,
  [SMALL_STATE(215)] = 3240,
  [SMALL_STATE(216)] = 3364,
  [SMALL_STATE(217)] = 3488,
  [SMALL_STATE(218)] = 3614,
  [SMALL_STATE(219)] = 3738,
  [SMALL_STATE(220)] = 3862,
  [SMALL_STATE(221)] = 3986,
  [SMALL_STATE(222)] = 4106,
  [SMALL_STATE(223)] = 4213,
  [SMALL_STATE(224)] = 4320,
  [SMALL_STATE(225)] = 4434,
  [SMALL_STATE(226)] = 4548,
  [SMALL_STATE(227)] = 4662,
  [SMALL_STATE(228)] = 4776,
  [SMALL_STATE(229)] = 4890,
  [SMALL_STATE(230)] = 5006,
  [SMALL_STATE(231)] = 5120,
  [SMALL_STATE(232)] = 5234,
  [SMALL_STATE(233)] = 5348,
  [SMALL_STATE(234)] = 5464,
  [SMALL_STATE(235)] = 5575,
  [SMALL_STATE(236)] = 5686,
  [SMALL_STATE(237)] = 5797,
  [SMALL_STATE(238)] = 5912,
  [SMALL_STATE(239)] = 6023,
  [SMALL_STATE(240)] = 6134,
  [SMALL_STATE(241)] = 6249,
  [SMALL_STATE(242)] = 6360,
  [SMALL_STATE(243)] = 6465,
  [SMALL_STATE(244)] = 6580,
  [SMALL_STATE(245)] = 6691,
  [SMALL_STATE(246)] = 6802,
  [SMALL_STATE(247)] = 6919,
  [SMALL_STATE(248)] = 7034,
  [SMALL_STATE(249)] = 7145,
  [SMALL_STATE(250)] = 7256,
  [SMALL_STATE(251)] = 7367,
  [SMALL_STATE(252)] = 7478,
  [SMALL_STATE(253)] = 7593,
  [SMALL_STATE(254)] = 7704,
  [SMALL_STATE(255)] = 7815,
  [SMALL_STATE(256)] = 7926,
  [SMALL_STATE(257)] = 8037,
  [SMALL_STATE(258)] = 8148,
  [SMALL_STATE(259)] = 8263,
  [SMALL_STATE(260)] = 8374,
  [SMALL_STATE(261)] = 8489,
  [SMALL_STATE(262)] = 8604,
  [SMALL_STATE(263)] = 8715,
  [SMALL_STATE(264)] = 8830,
  [SMALL_STATE(265)] = 8941,
  [SMALL_STATE(266)] = 9052,
  [SMALL_STATE(267)] = 9163,
  [SMALL_STATE(268)] = 9274,
  [SMALL_STATE(269)] = 9385,
  [SMALL_STATE(270)] = 9496,
  [SMALL_STATE(271)] = 9607,
  [SMALL_STATE(272)] = 9712,
  [SMALL_STATE(273)] = 9826,
  [SMALL_STATE(274)] = 9938,
  [SMALL_STATE(275)] = 10050,
  [SMALL_STATE(276)] = 10162,
  [SMALL_STATE(277)] = 10278,
  [SMALL_STATE(278)] = 10390,
  [SMALL_STATE(279)] = 10504,
  [SMALL_STATE(280)] = 10616,
  [SMALL_STATE(281)] = 10732,
  [SMALL_STATE(282)] = 10844,
  [SMALL_STATE(283)] = 10956,
  [SMALL_STATE(284)] = 11068,
  [SMALL_STATE(285)] = 11180,
  [SMALL_STATE(286)] = 11292,
  [SMALL_STATE(287)] = 11404,
  [SMALL_STATE(288)] = 11520,
  [SMALL_STATE(289)] = 11632,
  [SMALL_STATE(290)] = 11744,
  [SMALL_STATE(291)] = 11856,
  [SMALL_STATE(292)] = 11968,
  [SMALL_STATE(293)] = 12080,
  [SMALL_STATE(294)] = 12192,
  [SMALL_STATE(295)] = 12306,
  [SMALL_STATE(296)] = 12418,
  [SMALL_STATE(297)] = 12534,
  [SMALL_STATE(298)] = 12648,
  [SMALL_STATE(299)] = 12760,
  [SMALL_STATE(300)] = 12876,
  [SMALL_STATE(301)] = 12990,
  [SMALL_STATE(302)] = 13102,
  [SMALL_STATE(303)] = 13214,
  [SMALL_STATE(304)] = 13326,
  [SMALL_STATE(305)] = 13440,
  [SMALL_STATE(306)] = 13552,
  [SMALL_STATE(307)] = 13668,
  [SMALL_STATE(308)] = 13780,
  [SMALL_STATE(309)] = 13892,
  [SMALL_STATE(310)] = 14004,
  [SMALL_STATE(311)] = 14116,
  [SMALL_STATE(312)] = 14230,
  [SMALL_STATE(313)] = 14342,
  [SMALL_STATE(314)] = 14454,
  [SMALL_STATE(315)] = 14566,
  [SMALL_STATE(316)] = 14678,
  [SMALL_STATE(317)] = 14790,
  [SMALL_STATE(318)] = 14904,
  [SMALL_STATE(319)] = 15016,
  [SMALL_STATE(320)] = 15128,
  [SMALL_STATE(321)] = 15240,
  [SMALL_STATE(322)] = 15352,
  [SMALL_STATE(323)] = 15464,
  [SMALL_STATE(324)] = 15576,
  [SMALL_STATE(325)] = 15688,
  [SMALL_STATE(326)] = 15800,
  [SMALL_STATE(327)] = 15897,
  [SMALL_STATE(328)] = 16006,
  [SMALL_STATE(329)] = 16115,
  [SMALL_STATE(330)] = 16224,
  [SMALL_STATE(331)] = 16333,
  [SMALL_STATE(332)] = 16442,
  [SMALL_STATE(333)] = 16551,
  [SMALL_STATE(334)] = 16660,
  [SMALL_STATE(335)] = 16769,
  [SMALL_STATE(336)] = 16878,
  [SMALL_STATE(337)] = 16987,
  [SMALL_STATE(338)] = 17092,
  [SMALL_STATE(339)] = 17201,
  [SMALL_STATE(340)] = 17310,
  [SMALL_STATE(341)] = 17419,
  [SMALL_STATE(342)] = 17524,
  [SMALL_STATE(343)] = 17633,
  [SMALL_STATE(344)] = 17742,
  [SMALL_STATE(345)] = 17851,
  [SMALL_STATE(346)] = 17960,
  [SMALL_STATE(347)] = 18069,
  [SMALL_STATE(348)] = 18178,
  [SMALL_STATE(349)] = 18284,
  [SMALL_STATE(350)] = 18392,
  [SMALL_STATE(351)] = 18500,
  [SMALL_STATE(352)] = 18608,
  [SMALL_STATE(353)] = 18716,
  [SMALL_STATE(354)] = 18822,
  [SMALL_STATE(355)] = 18930,
  [SMALL_STATE(356)] = 19038,
  [SMALL_STATE(357)] = 19146,
  [SMALL_STATE(358)] = 19254,
  [SMALL_STATE(359)] = 19362,
  [SMALL_STATE(360)] = 19470,
  [SMALL_STATE(361)] = 19578,
  [SMALL_STATE(362)] = 19686,
  [SMALL_STATE(363)] = 19794,
  [SMALL_STATE(364)] = 19900,
  [SMALL_STATE(365)] = 20008,
  [SMALL_STATE(366)] = 20116,
  [SMALL_STATE(367)] = 20224,
  [SMALL_STATE(368)] = 20332,
  [SMALL_STATE(369)] = 20440,
  [SMALL_STATE(370)] = 20548,
  [SMALL_STATE(371)] = 20656,
  [SMALL_STATE(372)] = 20763,
  [SMALL_STATE(373)] = 20870,
  [SMALL_STATE(374)] = 20977,
  [SMALL_STATE(375)] = 21084,
  [SMALL_STATE(376)] = 21191,
  [SMALL_STATE(377)] = 21296,
  [SMALL_STATE(378)] = 21403,
  [SMALL_STATE(379)] = 21510,
  [SMALL_STATE(380)] = 21615,
  [SMALL_STATE(381)] = 21722,
  [SMALL_STATE(382)] = 21829,
  [SMALL_STATE(383)] = 21936,
  [SMALL_STATE(384)] = 22043,
  [SMALL_STATE(385)] = 22150,
  [SMALL_STATE(386)] = 22257,
  [SMALL_STATE(387)] = 22364,
  [SMALL_STATE(388)] = 22469,
  [SMALL_STATE(389)] = 22574,
  [SMALL_STATE(390)] = 22681,
  [SMALL_STATE(391)] = 22788,
  [SMALL_STATE(392)] = 22895,
  [SMALL_STATE(393)] = 22990,
  [SMALL_STATE(394)] = 23085,
  [SMALL_STATE(395)] = 23192,
  [SMALL_STATE(396)] = 23299,
  [SMALL_STATE(397)] = 23406,
  [SMALL_STATE(398)] = 23513,
  [SMALL_STATE(399)] = 23620,
  [SMALL_STATE(400)] = 23727,
  [SMALL_STATE(401)] = 23834,
  [SMALL_STATE(402)] = 23941,
  [SMALL_STATE(403)] = 24048,
  [SMALL_STATE(404)] = 24153,
  [SMALL_STATE(405)] = 24258,
  [SMALL_STATE(406)] = 24365,
  [SMALL_STATE(407)] = 24472,
  [SMALL_STATE(408)] = 24579,
  [SMALL_STATE(409)] = 24686,
  [SMALL_STATE(410)] = 24790,
  [SMALL_STATE(411)] = 24892,
  [SMALL_STATE(412)] = 24994,
  [SMALL_STATE(413)] = 25096,
  [SMALL_STATE(414)] = 25198,
  [SMALL_STATE(415)] = 25292,
  [SMALL_STATE(416)] = 25386,
  [SMALL_STATE(417)] = 25490,
  [SMALL_STATE(418)] = 25592,
  [SMALL_STATE(419)] = 25694,
  [SMALL_STATE(420)] = 25798,
  [SMALL_STATE(421)] = 25900,
  [SMALL_STATE(422)] = 26002,
  [SMALL_STATE(423)] = 26104,
  [SMALL_STATE(424)] = 26206,
  [SMALL_STATE(425)] = 26308,
  [SMALL_STATE(426)] = 26410,
  [SMALL_STATE(427)] = 26512,
  [SMALL_STATE(428)] = 26614,
  [SMALL_STATE(429)] = 26716,
  [SMALL_STATE(430)] = 26818,
  [SMALL_STATE(431)] = 26920,
  [SMALL_STATE(432)] = 27022,
  [SMALL_STATE(433)] = 27124,
  [SMALL_STATE(434)] = 27218,
  [SMALL_STATE(435)] = 27322,
  [SMALL_STATE(436)] = 27424,
  [SMALL_STATE(437)] = 27526,
  [SMALL_STATE(438)] = 27630,
  [SMALL_STATE(439)] = 27734,
  [SMALL_STATE(440)] = 27836,
  [SMALL_STATE(441)] = 27932,
  [SMALL_STATE(442)] = 28034,
  [SMALL_STATE(443)] = 28136,
  [SMALL_STATE(444)] = 28240,
  [SMALL_STATE(445)] = 28344,
  [SMALL_STATE(446)] = 28448,
  [SMALL_STATE(447)] = 28550,
  [SMALL_STATE(448)] = 28654,
  [SMALL_STATE(449)] = 28756,
  [SMALL_STATE(450)] = 28860,
  [SMALL_STATE(451)] = 28964,
  [SMALL_STATE(452)] = 29068,
  [SMALL_STATE(453)] = 29172,
  [SMALL_STATE(454)] = 29276,
  [SMALL_STATE(455)] = 29380,
  [SMALL_STATE(456)] = 29484,
  [SMALL_STATE(457)] = 29588,
  [SMALL_STATE(458)] = 29690,
  [SMALL_STATE(459)] = 29794,
  [SMALL_STATE(460)] = 29896,
  [SMALL_STATE(461)] = 29990,
  [SMALL_STATE(462)] = 30091,
  [SMALL_STATE(463)] = 30192,
  [SMALL_STATE(464)] = 30293,
  [SMALL_STATE(465)] = 30394,
  [SMALL_STATE(466)] = 30495,
  [SMALL_STATE(467)] = 30596,
  [SMALL_STATE(468)] = 30697,
  [SMALL_STATE(469)] = 30798,
  [SMALL_STATE(470)] = 30873,
  [SMALL_STATE(471)] = 30948,
  [SMALL_STATE(472)] = 31049,
  [SMALL_STATE(473)] = 31150,
  [SMALL_STATE(474)] = 31251,
  [SMALL_STATE(475)] = 31352,
  [SMALL_STATE(476)] = 31453,
  [SMALL_STATE(477)] = 31554,
  [SMALL_STATE(478)] = 31631,
  [SMALL_STATE(479)] = 31732,
  [SMALL_STATE(480)] = 31807,
  [SMALL_STATE(481)] = 31905,
  [SMALL_STATE(482)] = 32003,
  [SMALL_STATE(483)] = 32101,
  [SMALL_STATE(484)] = 32199,
  [SMALL_STATE(485)] = 32297,
  [SMALL_STATE(486)] = 32395,
  [SMALL_STATE(487)] = 32493,
  [SMALL_STATE(488)] = 32591,
  [SMALL_STATE(489)] = 32689,
  [SMALL_STATE(490)] = 32761,
  [SMALL_STATE(491)] = 32833,
  [SMALL_STATE(492)] = 32931,
  [SMALL_STATE(493)] = 33003,
  [SMALL_STATE(494)] = 33075,
  [SMALL_STATE(495)] = 33173,
  [SMALL_STATE(496)] = 33271,
  [SMALL_STATE(497)] = 33369,
  [SMALL_STATE(498)] = 33467,
  [SMALL_STATE(499)] = 33565,
  [SMALL_STATE(500)] = 33663,
  [SMALL_STATE(501)] = 33761,
  [SMALL_STATE(502)] = 33859,
  [SMALL_STATE(503)] = 33957,
  [SMALL_STATE(504)] = 34055,
  [SMALL_STATE(505)] = 34127,
  [SMALL_STATE(506)] = 34199,
  [SMALL_STATE(507)] = 34297,
  [SMALL_STATE(508)] = 34395,
  [SMALL_STATE(509)] = 34493,
  [SMALL_STATE(510)] = 34591,
  [SMALL_STATE(511)] = 34689,
  [SMALL_STATE(512)] = 34787,
  [SMALL_STATE(513)] = 34885,
  [SMALL_STATE(514)] = 34983,
  [SMALL_STATE(515)] = 35081,
  [SMALL_STATE(516)] = 35179,
  [SMALL_STATE(517)] = 35277,
  [SMALL_STATE(518)] = 35375,
  [SMALL_STATE(519)] = 35473,
  [SMALL_STATE(520)] = 35571,
  [SMALL_STATE(521)] = 35669,
  [SMALL_STATE(522)] = 35767,
  [SMALL_STATE(523)] = 35865,
  [SMALL_STATE(524)] = 35963,
  [SMALL_STATE(525)] = 36061,
  [SMALL_STATE(526)] = 36159,
  [SMALL_STATE(527)] = 36257,
  [SMALL_STATE(528)] = 36355,
  [SMALL_STATE(529)] = 36453,
  [SMALL_STATE(530)] = 36551,
  [SMALL_STATE(531)] = 36649,
  [SMALL_STATE(532)] = 36747,
  [SMALL_STATE(533)] = 36845,
  [SMALL_STATE(534)] = 36943,
  [SMALL_STATE(535)] = 37041,
  [SMALL_STATE(536)] = 37139,
  [SMALL_STATE(537)] = 37237,
  [SMALL_STATE(538)] = 37335,
  [SMALL_STATE(539)] = 37433,
  [SMALL_STATE(540)] = 37531,
  [SMALL_STATE(541)] = 37629,
  [SMALL_STATE(542)] = 37727,
  [SMALL_STATE(543)] = 37825,
  [SMALL_STATE(544)] = 37923,
  [SMALL_STATE(545)] = 38021,
  [SMALL_STATE(546)] = 38119,
  [SMALL_STATE(547)] = 38217,
  [SMALL_STATE(548)] = 38315,
  [SMALL_STATE(549)] = 38413,
  [SMALL_STATE(550)] = 38513,
  [SMALL_STATE(551)] = 38611,
  [SMALL_STATE(552)] = 38709,
  [SMALL_STATE(553)] = 38807,
  [SMALL_STATE(554)] = 38905,
  [SMALL_STATE(555)] = 39003,
  [SMALL_STATE(556)] = 39101,
  [SMALL_STATE(557)] = 39199,
  [SMALL_STATE(558)] = 39297,
  [SMALL_STATE(559)] = 39395,
  [SMALL_STATE(560)] = 39493,
  [SMALL_STATE(561)] = 39591,
  [SMALL_STATE(562)] = 39689,
  [SMALL_STATE(563)] = 39761,
  [SMALL_STATE(564)] = 39833,
  [SMALL_STATE(565)] = 39931,
  [SMALL_STATE(566)] = 40029,
  [SMALL_STATE(567)] = 40127,
  [SMALL_STATE(568)] = 40225,
  [SMALL_STATE(569)] = 40323,
  [SMALL_STATE(570)] = 40423,
  [SMALL_STATE(571)] = 40521,
  [SMALL_STATE(572)] = 40621,
  [SMALL_STATE(573)] = 40719,
  [SMALL_STATE(574)] = 40817,
  [SMALL_STATE(575)] = 40915,
  [SMALL_STATE(576)] = 41013,
  [SMALL_STATE(577)] = 41111,
  [SMALL_STATE(578)] = 41209,
  [SMALL_STATE(579)] = 41307,
  [SMALL_STATE(580)] = 41405,
  [SMALL_STATE(581)] = 41505,
  [SMALL_STATE(582)] = 41603,
  [SMALL_STATE(583)] = 41701,
  [SMALL_STATE(584)] = 41799,
  [SMALL_STATE(585)] = 41897,
  [SMALL_STATE(586)] = 41995,
  [SMALL_STATE(587)] = 42095,
  [SMALL_STATE(588)] = 42193,
  [SMALL_STATE(589)] = 42291,
  [SMALL_STATE(590)] = 42389,
  [SMALL_STATE(591)] = 42489,
  [SMALL_STATE(592)] = 42587,
  [SMALL_STATE(593)] = 42685,
  [SMALL_STATE(594)] = 42783,
  [SMALL_STATE(595)] = 42881,
  [SMALL_STATE(596)] = 42979,
  [SMALL_STATE(597)] = 43077,
  [SMALL_STATE(598)] = 43175,
  [SMALL_STATE(599)] = 43273,
  [SMALL_STATE(600)] = 43371,
  [SMALL_STATE(601)] = 43469,
  [SMALL_STATE(602)] = 43567,
  [SMALL_STATE(603)] = 43665,
  [SMALL_STATE(604)] = 43763,
  [SMALL_STATE(605)] = 43861,
  [SMALL_STATE(606)] = 43959,
  [SMALL_STATE(607)] = 44057,
  [SMALL_STATE(608)] = 44155,
  [SMALL_STATE(609)] = 44253,
  [SMALL_STATE(610)] = 44326,
  [SMALL_STATE(611)] = 44388,
  [SMALL_STATE(612)] = 44454,
  [SMALL_STATE(613)] = 44520,
  [SMALL_STATE(614)] = 44588,
  [SMALL_STATE(615)] = 44656,
  [SMALL_STATE(616)] = 44724,
  [SMALL_STATE(617)] = 44786,
  [SMALL_STATE(618)] = 44854,
  [SMALL_STATE(619)] = 44922,
  [SMALL_STATE(620)] = 44990,
  [SMALL_STATE(621)] = 45052,
  [SMALL_STATE(622)] = 45114,
  [SMALL_STATE(623)] = 45182,
  [SMALL_STATE(624)] = 45248,
  [SMALL_STATE(625)] = 45316,
  [SMALL_STATE(626)] = 45384,
  [SMALL_STATE(627)] = 45441,
  [SMALL_STATE(628)] = 45498,
  [SMALL_STATE(629)] = 45561,
  [SMALL_STATE(630)] = 45624,
  [SMALL_STATE(631)] = 45689,
  [SMALL_STATE(632)] = 45752,
  [SMALL_STATE(633)] = 45809,
  [SMALL_STATE(634)] = 45866,
  [SMALL_STATE(635)] = 45923,
  [SMALL_STATE(636)] = 45986,
  [SMALL_STATE(637)] = 46049,
  [SMALL_STATE(638)] = 46112,
  [SMALL_STATE(639)] = 46169,
  [SMALL_STATE(640)] = 46232,
  [SMALL_STATE(641)] = 46293,
  [SMALL_STATE(642)] = 46354,
  [SMALL_STATE(643)] = 46415,
  [SMALL_STATE(644)] = 46478,
  [SMALL_STATE(645)] = 46535,
  [SMALL_STATE(646)] = 46598,
  [SMALL_STATE(647)] = 46661,
  [SMALL_STATE(648)] = 46717,
  [SMALL_STATE(649)] = 46773,
  [SMALL_STATE(650)] = 46829,
  [SMALL_STATE(651)] = 46885,
  [SMALL_STATE(652)] = 46941,
  [SMALL_STATE(653)] = 46997,
  [SMALL_STATE(654)] = 47053,
  [SMALL_STATE(655)] = 47109,
  [SMALL_STATE(656)] = 47165,
  [SMALL_STATE(657)] = 47221,
  [SMALL_STATE(658)] = 47277,
  [SMALL_STATE(659)] = 47333,
  [SMALL_STATE(660)] = 47389,
  [SMALL_STATE(661)] = 47445,
  [SMALL_STATE(662)] = 47501,
  [SMALL_STATE(663)] = 47557,
  [SMALL_STATE(664)] = 47613,
  [SMALL_STATE(665)] = 47669,
  [SMALL_STATE(666)] = 47725,
  [SMALL_STATE(667)] = 47781,
  [SMALL_STATE(668)] = 47837,
  [SMALL_STATE(669)] = 47893,
  [SMALL_STATE(670)] = 47949,
  [SMALL_STATE(671)] = 48005,
  [SMALL_STATE(672)] = 48061,
  [SMALL_STATE(673)] = 48117,
  [SMALL_STATE(674)] = 48173,
  [SMALL_STATE(675)] = 48229,
  [SMALL_STATE(676)] = 48285,
  [SMALL_STATE(677)] = 48341,
  [SMALL_STATE(678)] = 48397,
  [SMALL_STATE(679)] = 48453,
  [SMALL_STATE(680)] = 48509,
  [SMALL_STATE(681)] = 48565,
  [SMALL_STATE(682)] = 48621,
  [SMALL_STATE(683)] = 48713,
  [SMALL_STATE(684)] = 48769,
  [SMALL_STATE(685)] = 48825,
  [SMALL_STATE(686)] = 48881,
  [SMALL_STATE(687)] = 48937,
  [SMALL_STATE(688)] = 48993,
  [SMALL_STATE(689)] = 49049,
  [SMALL_STATE(690)] = 49105,
  [SMALL_STATE(691)] = 49161,
  [SMALL_STATE(692)] = 49217,
  [SMALL_STATE(693)] = 49273,
  [SMALL_STATE(694)] = 49329,
  [SMALL_STATE(695)] = 49421,
  [SMALL_STATE(696)] = 49477,
  [SMALL_STATE(697)] = 49533,
  [SMALL_STATE(698)] = 49589,
  [SMALL_STATE(699)] = 49645,
  [SMALL_STATE(700)] = 49700,
  [SMALL_STATE(701)] = 49755,
  [SMALL_STATE(702)] = 49814,
  [SMALL_STATE(703)] = 49873,
  [SMALL_STATE(704)] = 49932,
  [SMALL_STATE(705)] = 49987,
  [SMALL_STATE(706)] = 50042,
  [SMALL_STATE(707)] = 50101,
  [SMALL_STATE(708)] = 50160,
  [SMALL_STATE(709)] = 50219,
  [SMALL_STATE(710)] = 50278,
  [SMALL_STATE(711)] = 50337,
  [SMALL_STATE(712)] = 50396,
  [SMALL_STATE(713)] = 50455,
  [SMALL_STATE(714)] = 50514,
  [SMALL_STATE(715)] = 50569,
  [SMALL_STATE(716)] = 50624,
  [SMALL_STATE(717)] = 50683,
  [SMALL_STATE(718)] = 50742,
  [SMALL_STATE(719)] = 50801,
  [SMALL_STATE(720)] = 50860,
  [SMALL_STATE(721)] = 50919,
  [SMALL_STATE(722)] = 51011,
  [SMALL_STATE(723)] = 51065,
  [SMALL_STATE(724)] = 51119,
  [SMALL_STATE(725)] = 51173,
  [SMALL_STATE(726)] = 51265,
  [SMALL_STATE(727)] = 51319,
  [SMALL_STATE(728)] = 51372,
  [SMALL_STATE(729)] = 51461,
  [SMALL_STATE(730)] = 51514,
  [SMALL_STATE(731)] = 51567,
  [SMALL_STATE(732)] = 51620,
  [SMALL_STATE(733)] = 51673,
  [SMALL_STATE(734)] = 51726,
  [SMALL_STATE(735)] = 51779,
  [SMALL_STATE(736)] = 51832,
  [SMALL_STATE(737)] = 51885,
  [SMALL_STATE(738)] = 51938,
  [SMALL_STATE(739)] = 51991,
  [SMALL_STATE(740)] = 52044,
  [SMALL_STATE(741)] = 52097,
  [SMALL_STATE(742)] = 52150,
  [SMALL_STATE(743)] = 52203,
  [SMALL_STATE(744)] = 52256,
  [SMALL_STATE(745)] = 52309,
  [SMALL_STATE(746)] = 52362,
  [SMALL_STATE(747)] = 52415,
  [SMALL_STATE(748)] = 52468,
  [SMALL_STATE(749)] = 52521,
  [SMALL_STATE(750)] = 52574,
  [SMALL_STATE(751)] = 52627,
  [SMALL_STATE(752)] = 52680,
  [SMALL_STATE(753)] = 52733,
  [SMALL_STATE(754)] = 52786,
  [SMALL_STATE(755)] = 52839,
  [SMALL_STATE(756)] = 52892,
  [SMALL_STATE(757)] = 52945,
  [SMALL_STATE(758)] = 52998,
  [SMALL_STATE(759)] = 53087,
  [SMALL_STATE(760)] = 53140,
  [SMALL_STATE(761)] = 53193,
  [SMALL_STATE(762)] = 53246,
  [SMALL_STATE(763)] = 53335,
  [SMALL_STATE(764)] = 53424,
  [SMALL_STATE(765)] = 53477,
  [SMALL_STATE(766)] = 53530,
  [SMALL_STATE(767)] = 53583,
  [SMALL_STATE(768)] = 53636,
  [SMALL_STATE(769)] = 53689,
  [SMALL_STATE(770)] = 53742,
  [SMALL_STATE(771)] = 53795,
  [SMALL_STATE(772)] = 53848,
  [SMALL_STATE(773)] = 53901,
  [SMALL_STATE(774)] = 53954,
  [SMALL_STATE(775)] = 54007,
  [SMALL_STATE(776)] = 54060,
  [SMALL_STATE(777)] = 54113,
  [SMALL_STATE(778)] = 54166,
  [SMALL_STATE(779)] = 54219,
  [SMALL_STATE(780)] = 54308,
  [SMALL_STATE(781)] = 54361,
  [SMALL_STATE(782)] = 54414,
  [SMALL_STATE(783)] = 54467,
  [SMALL_STATE(784)] = 54520,
  [SMALL_STATE(785)] = 54573,
  [SMALL_STATE(786)] = 54662,
  [SMALL_STATE(787)] = 54751,
  [SMALL_STATE(788)] = 54804,
  [SMALL_STATE(789)] = 54857,
  [SMALL_STATE(790)] = 54910,
  [SMALL_STATE(791)] = 54963,
  [SMALL_STATE(792)] = 55016,
  [SMALL_STATE(793)] = 55069,
  [SMALL_STATE(794)] = 55122,
  [SMALL_STATE(795)] = 55175,
  [SMALL_STATE(796)] = 55228,
  [SMALL_STATE(797)] = 55281,
  [SMALL_STATE(798)] = 55334,
  [SMALL_STATE(799)] = 55387,
  [SMALL_STATE(800)] = 55440,
  [SMALL_STATE(801)] = 55493,
  [SMALL_STATE(802)] = 55546,
  [SMALL_STATE(803)] = 55635,
  [SMALL_STATE(804)] = 55688,
  [SMALL_STATE(805)] = 55777,
  [SMALL_STATE(806)] = 55830,
  [SMALL_STATE(807)] = 55919,
  [SMALL_STATE(808)] = 55972,
  [SMALL_STATE(809)] = 56025,
  [SMALL_STATE(810)] = 56078,
  [SMALL_STATE(811)] = 56131,
  [SMALL_STATE(812)] = 56184,
  [SMALL_STATE(813)] = 56273,
  [SMALL_STATE(814)] = 56326,
  [SMALL_STATE(815)] = 56379,
  [SMALL_STATE(816)] = 56432,
  [SMALL_STATE(817)] = 56485,
  [SMALL_STATE(818)] = 56538,
  [SMALL_STATE(819)] = 56591,
  [SMALL_STATE(820)] = 56644,
  [SMALL_STATE(821)] = 56697,
  [SMALL_STATE(822)] = 56786,
  [SMALL_STATE(823)] = 56839,
  [SMALL_STATE(824)] = 56892,
  [SMALL_STATE(825)] = 56945,
  [SMALL_STATE(826)] = 56998,
  [SMALL_STATE(827)] = 57051,
  [SMALL_STATE(828)] = 57104,
  [SMALL_STATE(829)] = 57157,
  [SMALL_STATE(830)] = 57210,
  [SMALL_STATE(831)] = 57263,
  [SMALL_STATE(832)] = 57316,
  [SMALL_STATE(833)] = 57369,
  [SMALL_STATE(834)] = 57422,
  [SMALL_STATE(835)] = 57475,
  [SMALL_STATE(836)] = 57528,
  [SMALL_STATE(837)] = 57581,
  [SMALL_STATE(838)] = 57634,
  [SMALL_STATE(839)] = 57687,
  [SMALL_STATE(840)] = 57740,
  [SMALL_STATE(841)] = 57793,
  [SMALL_STATE(842)] = 57846,
  [SMALL_STATE(843)] = 57899,
  [SMALL_STATE(844)] = 57988,
  [SMALL_STATE(845)] = 58077,
  [SMALL_STATE(846)] = 58130,
  [SMALL_STATE(847)] = 58183,
  [SMALL_STATE(848)] = 58236,
  [SMALL_STATE(849)] = 58325,
  [SMALL_STATE(850)] = 58414,
  [SMALL_STATE(851)] = 58467,
  [SMALL_STATE(852)] = 58553,
  [SMALL_STATE(853)] = 58639,
  [SMALL_STATE(854)] = 58725,
  [SMALL_STATE(855)] = 58811,
  [SMALL_STATE(856)] = 58897,
  [SMALL_STATE(857)] = 58983,
  [SMALL_STATE(858)] = 59066,
  [SMALL_STATE(859)] = 59149,
  [SMALL_STATE(860)] = 59227,
  [SMALL_STATE(861)] = 59305,
  [SMALL_STATE(862)] = 59383,
  [SMALL_STATE(863)] = 59461,
  [SMALL_STATE(864)] = 59539,
  [SMALL_STATE(865)] = 59617,
  [SMALL_STATE(866)] = 59695,
  [SMALL_STATE(867)] = 59773,
  [SMALL_STATE(868)] = 59848,
  [SMALL_STATE(869)] = 59923,
  [SMALL_STATE(870)] = 59998,
  [SMALL_STATE(871)] = 60077,
  [SMALL_STATE(872)] = 60152,
  [SMALL_STATE(873)] = 60227,
  [SMALL_STATE(874)] = 60302,
  [SMALL_STATE(875)] = 60377,
  [SMALL_STATE(876)] = 60452,
  [SMALL_STATE(877)] = 60527,
  [SMALL_STATE(878)] = 60602,
  [SMALL_STATE(879)] = 60677,
  [SMALL_STATE(880)] = 60752,
  [SMALL_STATE(881)] = 60827,
  [SMALL_STATE(882)] = 60902,
  [SMALL_STATE(883)] = 60977,
  [SMALL_STATE(884)] = 61052,
  [SMALL_STATE(885)] = 61127,
  [SMALL_STATE(886)] = 61202,
  [SMALL_STATE(887)] = 61277,
  [SMALL_STATE(888)] = 61352,
  [SMALL_STATE(889)] = 61427,
  [SMALL_STATE(890)] = 61502,
  [SMALL_STATE(891)] = 61577,
  [SMALL_STATE(892)] = 61652,
  [SMALL_STATE(893)] = 61727,
  [SMALL_STATE(894)] = 61802,
  [SMALL_STATE(895)] = 61877,
  [SMALL_STATE(896)] = 61952,
  [SMALL_STATE(897)] = 62027,
  [SMALL_STATE(898)] = 62102,
  [SMALL_STATE(899)] = 62177,
  [SMALL_STATE(900)] = 62252,
  [SMALL_STATE(901)] = 62327,
  [SMALL_STATE(902)] = 62402,
  [SMALL_STATE(903)] = 62477,
  [SMALL_STATE(904)] = 62552,
  [SMALL_STATE(905)] = 62627,
  [SMALL_STATE(906)] = 62702,
  [SMALL_STATE(907)] = 62777,
  [SMALL_STATE(908)] = 62852,
  [SMALL_STATE(909)] = 62927,
  [SMALL_STATE(910)] = 63002,
  [SMALL_STATE(911)] = 63077,
  [SMALL_STATE(912)] = 63152,
  [SMALL_STATE(913)] = 63227,
  [SMALL_STATE(914)] = 63302,
  [SMALL_STATE(915)] = 63377,
  [SMALL_STATE(916)] = 63456,
  [SMALL_STATE(917)] = 63531,
  [SMALL_STATE(918)] = 63610,
  [SMALL_STATE(919)] = 63689,
  [SMALL_STATE(920)] = 63768,
  [SMALL_STATE(921)] = 63843,
  [SMALL_STATE(922)] = 63918,
  [SMALL_STATE(923)] = 63993,
  [SMALL_STATE(924)] = 64068,
  [SMALL_STATE(925)] = 64143,
  [SMALL_STATE(926)] = 64218,
  [SMALL_STATE(927)] = 64293,
  [SMALL_STATE(928)] = 64368,
  [SMALL_STATE(929)] = 64443,
  [SMALL_STATE(930)] = 64518,
  [SMALL_STATE(931)] = 64593,
  [SMALL_STATE(932)] = 64668,
  [SMALL_STATE(933)] = 64743,
  [SMALL_STATE(934)] = 64818,
  [SMALL_STATE(935)] = 64893,
  [SMALL_STATE(936)] = 64968,
  [SMALL_STATE(937)] = 65043,
  [SMALL_STATE(938)] = 65118,
  [SMALL_STATE(939)] = 65193,
  [SMALL_STATE(940)] = 65268,
  [SMALL_STATE(941)] = 65343,
  [SMALL_STATE(942)] = 65418,
  [SMALL_STATE(943)] = 65497,
  [SMALL_STATE(944)] = 65572,
  [SMALL_STATE(945)] = 65651,
  [SMALL_STATE(946)] = 65730,
  [SMALL_STATE(947)] = 65805,
  [SMALL_STATE(948)] = 65884,
  [SMALL_STATE(949)] = 65963,
  [SMALL_STATE(950)] = 66038,
  [SMALL_STATE(951)] = 66113,
  [SMALL_STATE(952)] = 66192,
  [SMALL_STATE(953)] = 66271,
  [SMALL_STATE(954)] = 66346,
  [SMALL_STATE(955)] = 66425,
  [SMALL_STATE(956)] = 66500,
  [SMALL_STATE(957)] = 66575,
  [SMALL_STATE(958)] = 66650,
  [SMALL_STATE(959)] = 66725,
  [SMALL_STATE(960)] = 66800,
  [SMALL_STATE(961)] = 66875,
  [SMALL_STATE(962)] = 66954,
  [SMALL_STATE(963)] = 67029,
  [SMALL_STATE(964)] = 67104,
  [SMALL_STATE(965)] = 67179,
  [SMALL_STATE(966)] = 67254,
  [SMALL_STATE(967)] = 67329,
  [SMALL_STATE(968)] = 67404,
  [SMALL_STATE(969)] = 67483,
  [SMALL_STATE(970)] = 67562,
  [SMALL_STATE(971)] = 67641,
  [SMALL_STATE(972)] = 67720,
  [SMALL_STATE(973)] = 67799,
  [SMALL_STATE(974)] = 67878,
  [SMALL_STATE(975)] = 67953,
  [SMALL_STATE(976)] = 68005,
  [SMALL_STATE(977)] = 68057,
  [SMALL_STATE(978)] = 68109,
  [SMALL_STATE(979)] = 68191,
  [SMALL_STATE(980)] = 68242,
  [SMALL_STATE(981)] = 68293,
  [SMALL_STATE(982)] = 68364,
  [SMALL_STATE(983)] = 68435,
  [SMALL_STATE(984)] = 68516,
  [SMALL_STATE(985)] = 68577,
  [SMALL_STATE(986)] = 68628,
  [SMALL_STATE(987)] = 68697,
  [SMALL_STATE(988)] = 68760,
  [SMALL_STATE(989)] = 68831,
  [SMALL_STATE(990)] = 68898,
  [SMALL_STATE(991)] = 68949,
  [SMALL_STATE(992)] = 69006,
  [SMALL_STATE(993)] = 69063,
  [SMALL_STATE(994)] = 69120,
  [SMALL_STATE(995)] = 69185,
  [SMALL_STATE(996)] = 69266,
  [SMALL_STATE(997)] = 69317,
  [SMALL_STATE(998)] = 69374,
  [SMALL_STATE(999)] = 69425,
  [SMALL_STATE(1000)] = 69475,
  [SMALL_STATE(1001)] = 69531,
  [SMALL_STATE(1002)] = 69587,
  [SMALL_STATE(1003)] = 69649,
  [SMALL_STATE(1004)] = 69719,
  [SMALL_STATE(1005)] = 69775,
  [SMALL_STATE(1006)] = 69835,
  [SMALL_STATE(1007)] = 69881,
  [SMALL_STATE(1008)] = 69959,
  [SMALL_STATE(1009)] = 70015,
  [SMALL_STATE(1010)] = 70077,
  [SMALL_STATE(1011)] = 70147,
  [SMALL_STATE(1012)] = 70203,
  [SMALL_STATE(1013)] = 70263,
  [SMALL_STATE(1014)] = 70331,
  [SMALL_STATE(1015)] = 70399,
  [SMALL_STATE(1016)] = 70465,
  [SMALL_STATE(1017)] = 70529,
  [SMALL_STATE(1018)] = 70595,
  [SMALL_STATE(1019)] = 70659,
  [SMALL_STATE(1020)] = 70705,
  [SMALL_STATE(1021)] = 70775,
  [SMALL_STATE(1022)] = 70845,
  [SMALL_STATE(1023)] = 70891,
  [SMALL_STATE(1024)] = 70947,
  [SMALL_STATE(1025)] = 70993,
  [SMALL_STATE(1026)] = 71039,
  [SMALL_STATE(1027)] = 71085,
  [SMALL_STATE(1028)] = 71131,
  [SMALL_STATE(1029)] = 71181,
  [SMALL_STATE(1030)] = 71231,
  [SMALL_STATE(1031)] = 71277,
  [SMALL_STATE(1032)] = 71347,
  [SMALL_STATE(1033)] = 71417,
  [SMALL_STATE(1034)] = 71467,
  [SMALL_STATE(1035)] = 71517,
  [SMALL_STATE(1036)] = 71573,
  [SMALL_STATE(1037)] = 71653,
  [SMALL_STATE(1038)] = 71709,
  [SMALL_STATE(1039)] = 71759,
  [SMALL_STATE(1040)] = 71809,
  [SMALL_STATE(1041)] = 71857,
  [SMALL_STATE(1042)] = 71905,
  [SMALL_STATE(1043)] = 71953,
  [SMALL_STATE(1044)] = 72003,
  [SMALL_STATE(1045)] = 72053,
  [SMALL_STATE(1046)] = 72133,
  [SMALL_STATE(1047)] = 72183,
  [SMALL_STATE(1048)] = 72233,
  [SMALL_STATE(1049)] = 72313,
  [SMALL_STATE(1050)] = 72363,
  [SMALL_STATE(1051)] = 72443,
  [SMALL_STATE(1052)] = 72489,
  [SMALL_STATE(1053)] = 72534,
  [SMALL_STATE(1054)] = 72579,
  [SMALL_STATE(1055)] = 72624,
  [SMALL_STATE(1056)] = 72669,
  [SMALL_STATE(1057)] = 72724,
  [SMALL_STATE(1058)] = 72793,
  [SMALL_STATE(1059)] = 72838,
  [SMALL_STATE(1060)] = 72887,
  [SMALL_STATE(1061)] = 72942,
  [SMALL_STATE(1062)] = 73003,
  [SMALL_STATE(1063)] = 73072,
  [SMALL_STATE(1064)] = 73127,
  [SMALL_STATE(1065)] = 73186,
  [SMALL_STATE(1066)] = 73253,
  [SMALL_STATE(1067)] = 73316,
  [SMALL_STATE(1068)] = 73381,
  [SMALL_STATE(1069)] = 73444,
  [SMALL_STATE(1070)] = 73491,
  [SMALL_STATE(1071)] = 73546,
  [SMALL_STATE(1072)] = 73593,
  [SMALL_STATE(1073)] = 73640,
  [SMALL_STATE(1074)] = 73685,
  [SMALL_STATE(1075)] = 73750,
  [SMALL_STATE(1076)] = 73795,
  [SMALL_STATE(1077)] = 73840,
  [SMALL_STATE(1078)] = 73885,
  [SMALL_STATE(1079)] = 73954,
  [SMALL_STATE(1080)] = 74023,
  [SMALL_STATE(1081)] = 74078,
  [SMALL_STATE(1082)] = 74123,
  [SMALL_STATE(1083)] = 74168,
  [SMALL_STATE(1084)] = 74213,
  [SMALL_STATE(1085)] = 74258,
  [SMALL_STATE(1086)] = 74303,
  [SMALL_STATE(1087)] = 74348,
  [SMALL_STATE(1088)] = 74393,
  [SMALL_STATE(1089)] = 74438,
  [SMALL_STATE(1090)] = 74483,
  [SMALL_STATE(1091)] = 74528,
  [SMALL_STATE(1092)] = 74573,
  [SMALL_STATE(1093)] = 74634,
  [SMALL_STATE(1094)] = 74689,
  [SMALL_STATE(1095)] = 74738,
  [SMALL_STATE(1096)] = 74807,
  [SMALL_STATE(1097)] = 74852,
  [SMALL_STATE(1098)] = 74897,
  [SMALL_STATE(1099)] = 74964,
  [SMALL_STATE(1100)] = 75015,
  [SMALL_STATE(1101)] = 75070,
  [SMALL_STATE(1102)] = 75129,
  [SMALL_STATE(1103)] = 75178,
  [SMALL_STATE(1104)] = 75245,
  [SMALL_STATE(1105)] = 75290,
  [SMALL_STATE(1106)] = 75341,
  [SMALL_STATE(1107)] = 75406,
  [SMALL_STATE(1108)] = 75461,
  [SMALL_STATE(1109)] = 75516,
  [SMALL_STATE(1110)] = 75565,
  [SMALL_STATE(1111)] = 75614,
  [SMALL_STATE(1112)] = 75659,
  [SMALL_STATE(1113)] = 75720,
  [SMALL_STATE(1114)] = 75783,
  [SMALL_STATE(1115)] = 75828,
  [SMALL_STATE(1116)] = 75873,
  [SMALL_STATE(1117)] = 75928,
  [SMALL_STATE(1118)] = 75997,
  [SMALL_STATE(1119)] = 76052,
  [SMALL_STATE(1120)] = 76107,
  [SMALL_STATE(1121)] = 76166,
  [SMALL_STATE(1122)] = 76217,
  [SMALL_STATE(1123)] = 76262,
  [SMALL_STATE(1124)] = 76307,
  [SMALL_STATE(1125)] = 76374,
  [SMALL_STATE(1126)] = 76443,
  [SMALL_STATE(1127)] = 76508,
  [SMALL_STATE(1128)] = 76571,
  [SMALL_STATE(1129)] = 76640,
  [SMALL_STATE(1130)] = 76685,
  [SMALL_STATE(1131)] = 76754,
  [SMALL_STATE(1132)] = 76823,
  [SMALL_STATE(1133)] = 76872,
  [SMALL_STATE(1134)] = 76921,
  [SMALL_STATE(1135)] = 76968,
  [SMALL_STATE(1136)] = 77015,
  [SMALL_STATE(1137)] = 77060,
  [SMALL_STATE(1138)] = 77105,
  [SMALL_STATE(1139)] = 77152,
  [SMALL_STATE(1140)] = 77197,
  [SMALL_STATE(1141)] = 77246,
  [SMALL_STATE(1142)] = 77301,
  [SMALL_STATE(1143)] = 77346,
  [SMALL_STATE(1144)] = 77401,
  [SMALL_STATE(1145)] = 77478,
  [SMALL_STATE(1146)] = 77523,
  [SMALL_STATE(1147)] = 77568,
  [SMALL_STATE(1148)] = 77617,
  [SMALL_STATE(1149)] = 77666,
  [SMALL_STATE(1150)] = 77715,
  [SMALL_STATE(1151)] = 77764,
  [SMALL_STATE(1152)] = 77815,
  [SMALL_STATE(1153)] = 77870,
  [SMALL_STATE(1154)] = 77915,
  [SMALL_STATE(1155)] = 77960,
  [SMALL_STATE(1156)] = 78029,
  [SMALL_STATE(1157)] = 78090,
  [SMALL_STATE(1158)] = 78159,
  [SMALL_STATE(1159)] = 78214,
  [SMALL_STATE(1160)] = 78273,
  [SMALL_STATE(1161)] = 78324,
  [SMALL_STATE(1162)] = 78368,
  [SMALL_STATE(1163)] = 78416,
  [SMALL_STATE(1164)] = 78460,
  [SMALL_STATE(1165)] = 78504,
  [SMALL_STATE(1166)] = 78548,
  [SMALL_STATE(1167)] = 78592,
  [SMALL_STATE(1168)] = 78636,
  [SMALL_STATE(1169)] = 78680,
  [SMALL_STATE(1170)] = 78724,
  [SMALL_STATE(1171)] = 78768,
  [SMALL_STATE(1172)] = 78844,
  [SMALL_STATE(1173)] = 78888,
  [SMALL_STATE(1174)] = 78932,
  [SMALL_STATE(1175)] = 78980,
  [SMALL_STATE(1176)] = 79028,
  [SMALL_STATE(1177)] = 79072,
  [SMALL_STATE(1178)] = 79116,
  [SMALL_STATE(1179)] = 79160,
  [SMALL_STATE(1180)] = 79214,
  [SMALL_STATE(1181)] = 79268,
  [SMALL_STATE(1182)] = 79312,
  [SMALL_STATE(1183)] = 79360,
  [SMALL_STATE(1184)] = 79404,
  [SMALL_STATE(1185)] = 79448,
  [SMALL_STATE(1186)] = 79492,
  [SMALL_STATE(1187)] = 79536,
  [SMALL_STATE(1188)] = 79580,
  [SMALL_STATE(1189)] = 79624,
  [SMALL_STATE(1190)] = 79668,
  [SMALL_STATE(1191)] = 79712,
  [SMALL_STATE(1192)] = 79766,
  [SMALL_STATE(1193)] = 79826,
  [SMALL_STATE(1194)] = 79894,
  [SMALL_STATE(1195)] = 79948,
  [SMALL_STATE(1196)] = 80006,
  [SMALL_STATE(1197)] = 80072,
  [SMALL_STATE(1198)] = 80116,
  [SMALL_STATE(1199)] = 80180,
  [SMALL_STATE(1200)] = 80242,
  [SMALL_STATE(1201)] = 80290,
  [SMALL_STATE(1202)] = 80334,
  [SMALL_STATE(1203)] = 80402,
  [SMALL_STATE(1204)] = 80470,
  [SMALL_STATE(1205)] = 80518,
  [SMALL_STATE(1206)] = 80566,
  [SMALL_STATE(1207)] = 80614,
  [SMALL_STATE(1208)] = 80664,
  [SMALL_STATE(1209)] = 80710,
  [SMALL_STATE(1210)] = 80756,
  [SMALL_STATE(1211)] = 80802,
  [SMALL_STATE(1212)] = 80848,
  [SMALL_STATE(1213)] = 80894,
  [SMALL_STATE(1214)] = 80938,
  [SMALL_STATE(1215)] = 80982,
  [SMALL_STATE(1216)] = 81028,
  [SMALL_STATE(1217)] = 81072,
  [SMALL_STATE(1218)] = 81118,
  [SMALL_STATE(1219)] = 81162,
  [SMALL_STATE(1220)] = 81208,
  [SMALL_STATE(1221)] = 81252,
  [SMALL_STATE(1222)] = 81296,
  [SMALL_STATE(1223)] = 81340,
  [SMALL_STATE(1224)] = 81384,
  [SMALL_STATE(1225)] = 81434,
  [SMALL_STATE(1226)] = 81480,
  [SMALL_STATE(1227)] = 81524,
  [SMALL_STATE(1228)] = 81568,
  [SMALL_STATE(1229)] = 81612,
  [SMALL_STATE(1230)] = 81660,
  [SMALL_STATE(1231)] = 81704,
  [SMALL_STATE(1232)] = 81748,
  [SMALL_STATE(1233)] = 81792,
  [SMALL_STATE(1234)] = 81836,
  [SMALL_STATE(1235)] = 81880,
  [SMALL_STATE(1236)] = 81924,
  [SMALL_STATE(1237)] = 81968,
  [SMALL_STATE(1238)] = 82012,
  [SMALL_STATE(1239)] = 82056,
  [SMALL_STATE(1240)] = 82104,
  [SMALL_STATE(1241)] = 82152,
  [SMALL_STATE(1242)] = 82200,
  [SMALL_STATE(1243)] = 82244,
  [SMALL_STATE(1244)] = 82292,
  [SMALL_STATE(1245)] = 82336,
  [SMALL_STATE(1246)] = 82380,
  [SMALL_STATE(1247)] = 82424,
  [SMALL_STATE(1248)] = 82468,
  [SMALL_STATE(1249)] = 82512,
  [SMALL_STATE(1250)] = 82556,
  [SMALL_STATE(1251)] = 82604,
  [SMALL_STATE(1252)] = 82652,
  [SMALL_STATE(1253)] = 82696,
  [SMALL_STATE(1254)] = 82740,
  [SMALL_STATE(1255)] = 82784,
  [SMALL_STATE(1256)] = 82828,
  [SMALL_STATE(1257)] = 82872,
  [SMALL_STATE(1258)] = 82916,
  [SMALL_STATE(1259)] = 82960,
  [SMALL_STATE(1260)] = 83004,
  [SMALL_STATE(1261)] = 83048,
  [SMALL_STATE(1262)] = 83124,
  [SMALL_STATE(1263)] = 83168,
  [SMALL_STATE(1264)] = 83214,
  [SMALL_STATE(1265)] = 83260,
  [SMALL_STATE(1266)] = 83306,
  [SMALL_STATE(1267)] = 83350,
  [SMALL_STATE(1268)] = 83394,
  [SMALL_STATE(1269)] = 83438,
  [SMALL_STATE(1270)] = 83482,
  [SMALL_STATE(1271)] = 83530,
  [SMALL_STATE(1272)] = 83574,
  [SMALL_STATE(1273)] = 83618,
  [SMALL_STATE(1274)] = 83694,
  [SMALL_STATE(1275)] = 83742,
  [SMALL_STATE(1276)] = 83790,
  [SMALL_STATE(1277)] = 83836,
  [SMALL_STATE(1278)] = 83882,
  [SMALL_STATE(1279)] = 83928,
  [SMALL_STATE(1280)] = 83972,
  [SMALL_STATE(1281)] = 84016,
  [SMALL_STATE(1282)] = 84060,
  [SMALL_STATE(1283)] = 84106,
  [SMALL_STATE(1284)] = 84152,
  [SMALL_STATE(1285)] = 84196,
  [SMALL_STATE(1286)] = 84240,
  [SMALL_STATE(1287)] = 84284,
  [SMALL_STATE(1288)] = 84327,
  [SMALL_STATE(1289)] = 84370,
  [SMALL_STATE(1290)] = 84415,
  [SMALL_STATE(1291)] = 84460,
  [SMALL_STATE(1292)] = 84505,
  [SMALL_STATE(1293)] = 84548,
  [SMALL_STATE(1294)] = 84595,
  [SMALL_STATE(1295)] = 84640,
  [SMALL_STATE(1296)] = 84687,
  [SMALL_STATE(1297)] = 84734,
  [SMALL_STATE(1298)] = 84777,
  [SMALL_STATE(1299)] = 84820,
  [SMALL_STATE(1300)] = 84867,
  [SMALL_STATE(1301)] = 84910,
  [SMALL_STATE(1302)] = 84953,
  [SMALL_STATE(1303)] = 84996,
  [SMALL_STATE(1304)] = 85039,
  [SMALL_STATE(1305)] = 85082,
  [SMALL_STATE(1306)] = 85125,
  [SMALL_STATE(1307)] = 85168,
  [SMALL_STATE(1308)] = 85211,
  [SMALL_STATE(1309)] = 85256,
  [SMALL_STATE(1310)] = 85301,
  [SMALL_STATE(1311)] = 85344,
  [SMALL_STATE(1312)] = 85387,
  [SMALL_STATE(1313)] = 85430,
  [SMALL_STATE(1314)] = 85473,
  [SMALL_STATE(1315)] = 85516,
  [SMALL_STATE(1316)] = 85559,
  [SMALL_STATE(1317)] = 85602,
  [SMALL_STATE(1318)] = 85645,
  [SMALL_STATE(1319)] = 85688,
  [SMALL_STATE(1320)] = 85731,
  [SMALL_STATE(1321)] = 85774,
  [SMALL_STATE(1322)] = 85817,
  [SMALL_STATE(1323)] = 85860,
  [SMALL_STATE(1324)] = 85903,
  [SMALL_STATE(1325)] = 85946,
  [SMALL_STATE(1326)] = 85989,
  [SMALL_STATE(1327)] = 86032,
  [SMALL_STATE(1328)] = 86075,
  [SMALL_STATE(1329)] = 86118,
  [SMALL_STATE(1330)] = 86161,
  [SMALL_STATE(1331)] = 86204,
  [SMALL_STATE(1332)] = 86247,
  [SMALL_STATE(1333)] = 86290,
  [SMALL_STATE(1334)] = 86333,
  [SMALL_STATE(1335)] = 86380,
  [SMALL_STATE(1336)] = 86423,
  [SMALL_STATE(1337)] = 86466,
  [SMALL_STATE(1338)] = 86509,
  [SMALL_STATE(1339)] = 86552,
  [SMALL_STATE(1340)] = 86595,
  [SMALL_STATE(1341)] = 86638,
  [SMALL_STATE(1342)] = 86681,
  [SMALL_STATE(1343)] = 86724,
  [SMALL_STATE(1344)] = 86767,
  [SMALL_STATE(1345)] = 86810,
  [SMALL_STATE(1346)] = 86853,
  [SMALL_STATE(1347)] = 86896,
  [SMALL_STATE(1348)] = 86939,
  [SMALL_STATE(1349)] = 86982,
  [SMALL_STATE(1350)] = 87025,
  [SMALL_STATE(1351)] = 87068,
  [SMALL_STATE(1352)] = 87111,
  [SMALL_STATE(1353)] = 87154,
  [SMALL_STATE(1354)] = 87197,
  [SMALL_STATE(1355)] = 87244,
  [SMALL_STATE(1356)] = 87287,
  [SMALL_STATE(1357)] = 87330,
  [SMALL_STATE(1358)] = 87373,
  [SMALL_STATE(1359)] = 87416,
  [SMALL_STATE(1360)] = 87459,
  [SMALL_STATE(1361)] = 87506,
  [SMALL_STATE(1362)] = 87553,
  [SMALL_STATE(1363)] = 87596,
  [SMALL_STATE(1364)] = 87639,
  [SMALL_STATE(1365)] = 87682,
  [SMALL_STATE(1366)] = 87725,
  [SMALL_STATE(1367)] = 87768,
  [SMALL_STATE(1368)] = 87811,
  [SMALL_STATE(1369)] = 87854,
  [SMALL_STATE(1370)] = 87897,
  [SMALL_STATE(1371)] = 87940,
  [SMALL_STATE(1372)] = 87983,
  [SMALL_STATE(1373)] = 88026,
  [SMALL_STATE(1374)] = 88071,
  [SMALL_STATE(1375)] = 88114,
  [SMALL_STATE(1376)] = 88159,
  [SMALL_STATE(1377)] = 88202,
  [SMALL_STATE(1378)] = 88245,
  [SMALL_STATE(1379)] = 88290,
  [SMALL_STATE(1380)] = 88333,
  [SMALL_STATE(1381)] = 88378,
  [SMALL_STATE(1382)] = 88421,
  [SMALL_STATE(1383)] = 88464,
  [SMALL_STATE(1384)] = 88511,
  [SMALL_STATE(1385)] = 88554,
  [SMALL_STATE(1386)] = 88601,
  [SMALL_STATE(1387)] = 88644,
  [SMALL_STATE(1388)] = 88689,
  [SMALL_STATE(1389)] = 88734,
  [SMALL_STATE(1390)] = 88779,
  [SMALL_STATE(1391)] = 88824,
  [SMALL_STATE(1392)] = 88867,
  [SMALL_STATE(1393)] = 88910,
  [SMALL_STATE(1394)] = 88953,
  [SMALL_STATE(1395)] = 88996,
  [SMALL_STATE(1396)] = 89039,
  [SMALL_STATE(1397)] = 89082,
  [SMALL_STATE(1398)] = 89125,
  [SMALL_STATE(1399)] = 89168,
  [SMALL_STATE(1400)] = 89211,
  [SMALL_STATE(1401)] = 89254,
  [SMALL_STATE(1402)] = 89297,
  [SMALL_STATE(1403)] = 89348,
  [SMALL_STATE(1404)] = 89391,
  [SMALL_STATE(1405)] = 89434,
  [SMALL_STATE(1406)] = 89477,
  [SMALL_STATE(1407)] = 89520,
  [SMALL_STATE(1408)] = 89563,
  [SMALL_STATE(1409)] = 89606,
  [SMALL_STATE(1410)] = 89649,
  [SMALL_STATE(1411)] = 89692,
  [SMALL_STATE(1412)] = 89735,
  [SMALL_STATE(1413)] = 89778,
  [SMALL_STATE(1414)] = 89821,
  [SMALL_STATE(1415)] = 89864,
  [SMALL_STATE(1416)] = 89907,
  [SMALL_STATE(1417)] = 89950,
  [SMALL_STATE(1418)] = 89993,
  [SMALL_STATE(1419)] = 90036,
  [SMALL_STATE(1420)] = 90079,
  [SMALL_STATE(1421)] = 90122,
  [SMALL_STATE(1422)] = 90167,
  [SMALL_STATE(1423)] = 90212,
  [SMALL_STATE(1424)] = 90255,
  [SMALL_STATE(1425)] = 90298,
  [SMALL_STATE(1426)] = 90341,
  [SMALL_STATE(1427)] = 90384,
  [SMALL_STATE(1428)] = 90427,
  [SMALL_STATE(1429)] = 90472,
  [SMALL_STATE(1430)] = 90523,
  [SMALL_STATE(1431)] = 90566,
  [SMALL_STATE(1432)] = 90613,
  [SMALL_STATE(1433)] = 90660,
  [SMALL_STATE(1434)] = 90705,
  [SMALL_STATE(1435)] = 90748,
  [SMALL_STATE(1436)] = 90791,
  [SMALL_STATE(1437)] = 90834,
  [SMALL_STATE(1438)] = 90881,
  [SMALL_STATE(1439)] = 90924,
  [SMALL_STATE(1440)] = 90971,
  [SMALL_STATE(1441)] = 91018,
  [SMALL_STATE(1442)] = 91061,
  [SMALL_STATE(1443)] = 91104,
  [SMALL_STATE(1444)] = 91147,
  [SMALL_STATE(1445)] = 91190,
  [SMALL_STATE(1446)] = 91233,
  [SMALL_STATE(1447)] = 91278,
  [SMALL_STATE(1448)] = 91321,
  [SMALL_STATE(1449)] = 91364,
  [SMALL_STATE(1450)] = 91407,
  [SMALL_STATE(1451)] = 91453,
  [SMALL_STATE(1452)] = 91497,
  [SMALL_STATE(1453)] = 91539,
  [SMALL_STATE(1454)] = 91583,
  [SMALL_STATE(1455)] = 91625,
  [SMALL_STATE(1456)] = 91667,
  [SMALL_STATE(1457)] = 91709,
  [SMALL_STATE(1458)] = 91759,
  [SMALL_STATE(1459)] = 91801,
  [SMALL_STATE(1460)] = 91843,
  [SMALL_STATE(1461)] = 91891,
  [SMALL_STATE(1462)] = 91933,
  [SMALL_STATE(1463)] = 91975,
  [SMALL_STATE(1464)] = 92017,
  [SMALL_STATE(1465)] = 92059,
  [SMALL_STATE(1466)] = 92101,
  [SMALL_STATE(1467)] = 92143,
  [SMALL_STATE(1468)] = 92185,
  [SMALL_STATE(1469)] = 92227,
  [SMALL_STATE(1470)] = 92269,
  [SMALL_STATE(1471)] = 92313,
  [SMALL_STATE(1472)] = 92359,
  [SMALL_STATE(1473)] = 92401,
  [SMALL_STATE(1474)] = 92443,
  [SMALL_STATE(1475)] = 92485,
  [SMALL_STATE(1476)] = 92529,
  [SMALL_STATE(1477)] = 92573,
  [SMALL_STATE(1478)] = 92617,
  [SMALL_STATE(1479)] = 92659,
  [SMALL_STATE(1480)] = 92701,
  [SMALL_STATE(1481)] = 92743,
  [SMALL_STATE(1482)] = 92785,
  [SMALL_STATE(1483)] = 92829,
  [SMALL_STATE(1484)] = 92873,
  [SMALL_STATE(1485)] = 92915,
  [SMALL_STATE(1486)] = 92961,
  [SMALL_STATE(1487)] = 93005,
  [SMALL_STATE(1488)] = 93047,
  [SMALL_STATE(1489)] = 93089,
  [SMALL_STATE(1490)] = 93131,
  [SMALL_STATE(1491)] = 93173,
  [SMALL_STATE(1492)] = 93215,
  [SMALL_STATE(1493)] = 93257,
  [SMALL_STATE(1494)] = 93299,
  [SMALL_STATE(1495)] = 93341,
  [SMALL_STATE(1496)] = 93383,
  [SMALL_STATE(1497)] = 93425,
  [SMALL_STATE(1498)] = 93466,
  [SMALL_STATE(1499)] = 93507,
  [SMALL_STATE(1500)] = 93550,
  [SMALL_STATE(1501)] = 93593,
  [SMALL_STATE(1502)] = 93634,
  [SMALL_STATE(1503)] = 93677,
  [SMALL_STATE(1504)] = 93718,
  [SMALL_STATE(1505)] = 93759,
  [SMALL_STATE(1506)] = 93800,
  [SMALL_STATE(1507)] = 93843,
  [SMALL_STATE(1508)] = 93886,
  [SMALL_STATE(1509)] = 93929,
  [SMALL_STATE(1510)] = 93972,
  [SMALL_STATE(1511)] = 94015,
  [SMALL_STATE(1512)] = 94056,
  [SMALL_STATE(1513)] = 94097,
  [SMALL_STATE(1514)] = 94138,
  [SMALL_STATE(1515)] = 94181,
  [SMALL_STATE(1516)] = 94222,
  [SMALL_STATE(1517)] = 94296,
  [SMALL_STATE(1518)] = 94370,
  [SMALL_STATE(1519)] = 94438,
  [SMALL_STATE(1520)] = 94506,
  [SMALL_STATE(1521)] = 94574,
  [SMALL_STATE(1522)] = 94642,
  [SMALL_STATE(1523)] = 94710,
  [SMALL_STATE(1524)] = 94778,
  [SMALL_STATE(1525)] = 94846,
  [SMALL_STATE(1526)] = 94914,
  [SMALL_STATE(1527)] = 94982,
  [SMALL_STATE(1528)] = 95050,
  [SMALL_STATE(1529)] = 95118,
  [SMALL_STATE(1530)] = 95186,
  [SMALL_STATE(1531)] = 95254,
  [SMALL_STATE(1532)] = 95322,
  [SMALL_STATE(1533)] = 95390,
  [SMALL_STATE(1534)] = 95458,
  [SMALL_STATE(1535)] = 95526,
  [SMALL_STATE(1536)] = 95594,
  [SMALL_STATE(1537)] = 95662,
  [SMALL_STATE(1538)] = 95730,
  [SMALL_STATE(1539)] = 95798,
  [SMALL_STATE(1540)] = 95866,
  [SMALL_STATE(1541)] = 95934,
  [SMALL_STATE(1542)] = 96002,
  [SMALL_STATE(1543)] = 96070,
  [SMALL_STATE(1544)] = 96138,
  [SMALL_STATE(1545)] = 96206,
  [SMALL_STATE(1546)] = 96274,
  [SMALL_STATE(1547)] = 96342,
  [SMALL_STATE(1548)] = 96410,
  [SMALL_STATE(1549)] = 96478,
  [SMALL_STATE(1550)] = 96546,
  [SMALL_STATE(1551)] = 96614,
  [SMALL_STATE(1552)] = 96682,
  [SMALL_STATE(1553)] = 96750,
  [SMALL_STATE(1554)] = 96818,
  [SMALL_STATE(1555)] = 96883,
  [SMALL_STATE(1556)] = 96948,
  [SMALL_STATE(1557)] = 97013,
  [SMALL_STATE(1558)] = 97078,
  [SMALL_STATE(1559)] = 97143,
  [SMALL_STATE(1560)] = 97209,
  [SMALL_STATE(1561)] = 97275,
  [SMALL_STATE(1562)] = 97341,
  [SMALL_STATE(1563)] = 97407,
  [SMALL_STATE(1564)] = 97473,
  [SMALL_STATE(1565)] = 97539,
  [SMALL_STATE(1566)] = 97605,
  [SMALL_STATE(1567)] = 97671,
  [SMALL_STATE(1568)] = 97737,
  [SMALL_STATE(1569)] = 97803,
  [SMALL_STATE(1570)] = 97869,
  [SMALL_STATE(1571)] = 97935,
  [SMALL_STATE(1572)] = 98001,
  [SMALL_STATE(1573)] = 98067,
  [SMALL_STATE(1574)] = 98133,
  [SMALL_STATE(1575)] = 98199,
  [SMALL_STATE(1576)] = 98265,
  [SMALL_STATE(1577)] = 98331,
  [SMALL_STATE(1578)] = 98397,
  [SMALL_STATE(1579)] = 98463,
  [SMALL_STATE(1580)] = 98526,
  [SMALL_STATE(1581)] = 98584,
  [SMALL_STATE(1582)] = 98642,
  [SMALL_STATE(1583)] = 98700,
  [SMALL_STATE(1584)] = 98758,
  [SMALL_STATE(1585)] = 98816,
  [SMALL_STATE(1586)] = 98874,
  [SMALL_STATE(1587)] = 98932,
  [SMALL_STATE(1588)] = 98990,
  [SMALL_STATE(1589)] = 99032,
  [SMALL_STATE(1590)] = 99074,
  [SMALL_STATE(1591)] = 99106,
  [SMALL_STATE(1592)] = 99138,
  [SMALL_STATE(1593)] = 99178,
  [SMALL_STATE(1594)] = 99218,
  [SMALL_STATE(1595)] = 99258,
  [SMALL_STATE(1596)] = 99290,
  [SMALL_STATE(1597)] = 99322,
  [SMALL_STATE(1598)] = 99362,
  [SMALL_STATE(1599)] = 99394,
  [SMALL_STATE(1600)] = 99426,
  [SMALL_STATE(1601)] = 99465,
  [SMALL_STATE(1602)] = 99502,
  [SMALL_STATE(1603)] = 99541,
  [SMALL_STATE(1604)] = 99580,
  [SMALL_STATE(1605)] = 99617,
  [SMALL_STATE(1606)] = 99656,
  [SMALL_STATE(1607)] = 99694,
  [SMALL_STATE(1608)] = 99724,
  [SMALL_STATE(1609)] = 99754,
  [SMALL_STATE(1610)] = 99784,
  [SMALL_STATE(1611)] = 99814,
  [SMALL_STATE(1612)] = 99852,
  [SMALL_STATE(1613)] = 99890,
  [SMALL_STATE(1614)] = 99928,
  [SMALL_STATE(1615)] = 99958,
  [SMALL_STATE(1616)] = 99988,
  [SMALL_STATE(1617)] = 100018,
  [SMALL_STATE(1618)] = 100048,
  [SMALL_STATE(1619)] = 100095,
  [SMALL_STATE(1620)] = 100124,
  [SMALL_STATE(1621)] = 100149,
  [SMALL_STATE(1622)] = 100174,
  [SMALL_STATE(1623)] = 100203,
  [SMALL_STATE(1624)] = 100232,
  [SMALL_STATE(1625)] = 100261,
  [SMALL_STATE(1626)] = 100290,
  [SMALL_STATE(1627)] = 100319,
  [SMALL_STATE(1628)] = 100366,
  [SMALL_STATE(1629)] = 100413,
  [SMALL_STATE(1630)] = 100438,
  [SMALL_STATE(1631)] = 100467,
  [SMALL_STATE(1632)] = 100496,
  [SMALL_STATE(1633)] = 100543,
  [SMALL_STATE(1634)] = 100572,
  [SMALL_STATE(1635)] = 100619,
  [SMALL_STATE(1636)] = 100648,
  [SMALL_STATE(1637)] = 100695,
  [SMALL_STATE(1638)] = 100724,
  [SMALL_STATE(1639)] = 100771,
  [SMALL_STATE(1640)] = 100818,
  [SMALL_STATE(1641)] = 100865,
  [SMALL_STATE(1642)] = 100894,
  [SMALL_STATE(1643)] = 100923,
  [SMALL_STATE(1644)] = 100952,
  [SMALL_STATE(1645)] = 100981,
  [SMALL_STATE(1646)] = 101010,
  [SMALL_STATE(1647)] = 101039,
  [SMALL_STATE(1648)] = 101064,
  [SMALL_STATE(1649)] = 101093,
  [SMALL_STATE(1650)] = 101122,
  [SMALL_STATE(1651)] = 101169,
  [SMALL_STATE(1652)] = 101198,
  [SMALL_STATE(1653)] = 101227,
  [SMALL_STATE(1654)] = 101256,
  [SMALL_STATE(1655)] = 101285,
  [SMALL_STATE(1656)] = 101314,
  [SMALL_STATE(1657)] = 101338,
  [SMALL_STATE(1658)] = 101384,
  [SMALL_STATE(1659)] = 101430,
  [SMALL_STATE(1660)] = 101476,
  [SMALL_STATE(1661)] = 101522,
  [SMALL_STATE(1662)] = 101546,
  [SMALL_STATE(1663)] = 101592,
  [SMALL_STATE(1664)] = 101624,
  [SMALL_STATE(1665)] = 101656,
  [SMALL_STATE(1666)] = 101702,
  [SMALL_STATE(1667)] = 101730,
  [SMALL_STATE(1668)] = 101754,
  [SMALL_STATE(1669)] = 101778,
  [SMALL_STATE(1670)] = 101808,
  [SMALL_STATE(1671)] = 101854,
  [SMALL_STATE(1672)] = 101900,
  [SMALL_STATE(1673)] = 101946,
  [SMALL_STATE(1674)] = 101974,
  [SMALL_STATE(1675)] = 102020,
  [SMALL_STATE(1676)] = 102066,
  [SMALL_STATE(1677)] = 102109,
  [SMALL_STATE(1678)] = 102149,
  [SMALL_STATE(1679)] = 102189,
  [SMALL_STATE(1680)] = 102229,
  [SMALL_STATE(1681)] = 102255,
  [SMALL_STATE(1682)] = 102295,
  [SMALL_STATE(1683)] = 102332,
  [SMALL_STATE(1684)] = 102369,
  [SMALL_STATE(1685)] = 102410,
  [SMALL_STATE(1686)] = 102451,
  [SMALL_STATE(1687)] = 102470,
  [SMALL_STATE(1688)] = 102511,
  [SMALL_STATE(1689)] = 102552,
  [SMALL_STATE(1690)] = 102593,
  [SMALL_STATE(1691)] = 102620,
  [SMALL_STATE(1692)] = 102661,
  [SMALL_STATE(1693)] = 102688,
  [SMALL_STATE(1694)] = 102707,
  [SMALL_STATE(1695)] = 102734,
  [SMALL_STATE(1696)] = 102775,
  [SMALL_STATE(1697)] = 102800,
  [SMALL_STATE(1698)] = 102823,
  [SMALL_STATE(1699)] = 102842,
  [SMALL_STATE(1700)] = 102863,
  [SMALL_STATE(1701)] = 102904,
  [SMALL_STATE(1702)] = 102942,
  [SMALL_STATE(1703)] = 102980,
  [SMALL_STATE(1704)] = 103018,
  [SMALL_STATE(1705)] = 103056,
  [SMALL_STATE(1706)] = 103094,
  [SMALL_STATE(1707)] = 103132,
  [SMALL_STATE(1708)] = 103170,
  [SMALL_STATE(1709)] = 103208,
  [SMALL_STATE(1710)] = 103246,
  [SMALL_STATE(1711)] = 103284,
  [SMALL_STATE(1712)] = 103322,
  [SMALL_STATE(1713)] = 103360,
  [SMALL_STATE(1714)] = 103398,
  [SMALL_STATE(1715)] = 103436,
  [SMALL_STATE(1716)] = 103474,
  [SMALL_STATE(1717)] = 103512,
  [SMALL_STATE(1718)] = 103550,
  [SMALL_STATE(1719)] = 103588,
  [SMALL_STATE(1720)] = 103620,
  [SMALL_STATE(1721)] = 103658,
  [SMALL_STATE(1722)] = 103696,
  [SMALL_STATE(1723)] = 103734,
  [SMALL_STATE(1724)] = 103772,
  [SMALL_STATE(1725)] = 103810,
  [SMALL_STATE(1726)] = 103848,
  [SMALL_STATE(1727)] = 103886,
  [SMALL_STATE(1728)] = 103915,
  [SMALL_STATE(1729)] = 103932,
  [SMALL_STATE(1730)] = 103949,
  [SMALL_STATE(1731)] = 103974,
  [SMALL_STATE(1732)] = 103997,
  [SMALL_STATE(1733)] = 104018,
  [SMALL_STATE(1734)] = 104035,
  [SMALL_STATE(1735)] = 104054,
  [SMALL_STATE(1736)] = 104079,
  [SMALL_STATE(1737)] = 104104,
  [SMALL_STATE(1738)] = 104121,
  [SMALL_STATE(1739)] = 104150,
  [SMALL_STATE(1740)] = 104179,
  [SMALL_STATE(1741)] = 104196,
  [SMALL_STATE(1742)] = 104221,
  [SMALL_STATE(1743)] = 104244,
  [SMALL_STATE(1744)] = 104265,
  [SMALL_STATE(1745)] = 104282,
  [SMALL_STATE(1746)] = 104301,
  [SMALL_STATE(1747)] = 104330,
  [SMALL_STATE(1748)] = 104359,
  [SMALL_STATE(1749)] = 104384,
  [SMALL_STATE(1750)] = 104409,
  [SMALL_STATE(1751)] = 104438,
  [SMALL_STATE(1752)] = 104463,
  [SMALL_STATE(1753)] = 104492,
  [SMALL_STATE(1754)] = 104521,
  [SMALL_STATE(1755)] = 104550,
  [SMALL_STATE(1756)] = 104579,
  [SMALL_STATE(1757)] = 104608,
  [SMALL_STATE(1758)] = 104633,
  [SMALL_STATE(1759)] = 104662,
  [SMALL_STATE(1760)] = 104691,
  [SMALL_STATE(1761)] = 104720,
  [SMALL_STATE(1762)] = 104749,
  [SMALL_STATE(1763)] = 104778,
  [SMALL_STATE(1764)] = 104807,
  [SMALL_STATE(1765)] = 104836,
  [SMALL_STATE(1766)] = 104865,
  [SMALL_STATE(1767)] = 104894,
  [SMALL_STATE(1768)] = 104923,
  [SMALL_STATE(1769)] = 104945,
  [SMALL_STATE(1770)] = 104975,
  [SMALL_STATE(1771)] = 104991,
  [SMALL_STATE(1772)] = 105015,
  [SMALL_STATE(1773)] = 105031,
  [SMALL_STATE(1774)] = 105055,
  [SMALL_STATE(1775)] = 105079,
  [SMALL_STATE(1776)] = 105101,
  [SMALL_STATE(1777)] = 105121,
  [SMALL_STATE(1778)] = 105145,
  [SMALL_STATE(1779)] = 105167,
  [SMALL_STATE(1780)] = 105191,
  [SMALL_STATE(1781)] = 105211,
  [SMALL_STATE(1782)] = 105227,
  [SMALL_STATE(1783)] = 105245,
  [SMALL_STATE(1784)] = 105269,
  [SMALL_STATE(1785)] = 105285,
  [SMALL_STATE(1786)] = 105305,
  [SMALL_STATE(1787)] = 105321,
  [SMALL_STATE(1788)] = 105339,
  [SMALL_STATE(1789)] = 105357,
  [SMALL_STATE(1790)] = 105377,
  [SMALL_STATE(1791)] = 105399,
  [SMALL_STATE(1792)] = 105423,
  [SMALL_STATE(1793)] = 105441,
  [SMALL_STATE(1794)] = 105465,
  [SMALL_STATE(1795)] = 105489,
  [SMALL_STATE(1796)] = 105513,
  [SMALL_STATE(1797)] = 105535,
  [SMALL_STATE(1798)] = 105551,
  [SMALL_STATE(1799)] = 105569,
  [SMALL_STATE(1800)] = 105589,
  [SMALL_STATE(1801)] = 105609,
  [SMALL_STATE(1802)] = 105633,
  [SMALL_STATE(1803)] = 105657,
  [SMALL_STATE(1804)] = 105681,
  [SMALL_STATE(1805)] = 105710,
  [SMALL_STATE(1806)] = 105737,
  [SMALL_STATE(1807)] = 105762,
  [SMALL_STATE(1808)] = 105783,
  [SMALL_STATE(1809)] = 105804,
  [SMALL_STATE(1810)] = 105833,
  [SMALL_STATE(1811)] = 105854,
  [SMALL_STATE(1812)] = 105879,
  [SMALL_STATE(1813)] = 105906,
  [SMALL_STATE(1814)] = 105927,
  [SMALL_STATE(1815)] = 105948,
  [SMALL_STATE(1816)] = 105965,
  [SMALL_STATE(1817)] = 105992,
  [SMALL_STATE(1818)] = 106015,
  [SMALL_STATE(1819)] = 106036,
  [SMALL_STATE(1820)] = 106053,
  [SMALL_STATE(1821)] = 106076,
  [SMALL_STATE(1822)] = 106093,
  [SMALL_STATE(1823)] = 106116,
  [SMALL_STATE(1824)] = 106139,
  [SMALL_STATE(1825)] = 106160,
  [SMALL_STATE(1826)] = 106181,
  [SMALL_STATE(1827)] = 106198,
  [SMALL_STATE(1828)] = 106217,
  [SMALL_STATE(1829)] = 106246,
  [SMALL_STATE(1830)] = 106273,
  [SMALL_STATE(1831)] = 106290,
  [SMALL_STATE(1832)] = 106313,
  [SMALL_STATE(1833)] = 106338,
  [SMALL_STATE(1834)] = 106361,
  [SMALL_STATE(1835)] = 106386,
  [SMALL_STATE(1836)] = 106407,
  [SMALL_STATE(1837)] = 106436,
  [SMALL_STATE(1838)] = 106457,
  [SMALL_STATE(1839)] = 106486,
  [SMALL_STATE(1840)] = 106507,
  [SMALL_STATE(1841)] = 106536,
  [SMALL_STATE(1842)] = 106563,
  [SMALL_STATE(1843)] = 106590,
  [SMALL_STATE(1844)] = 106619,
  [SMALL_STATE(1845)] = 106642,
  [SMALL_STATE(1846)] = 106663,
  [SMALL_STATE(1847)] = 106692,
  [SMALL_STATE(1848)] = 106721,
  [SMALL_STATE(1849)] = 106742,
  [SMALL_STATE(1850)] = 106763,
  [SMALL_STATE(1851)] = 106780,
  [SMALL_STATE(1852)] = 106799,
  [SMALL_STATE(1853)] = 106826,
  [SMALL_STATE(1854)] = 106849,
  [SMALL_STATE(1855)] = 106870,
  [SMALL_STATE(1856)] = 106895,
  [SMALL_STATE(1857)] = 106922,
  [SMALL_STATE(1858)] = 106937,
  [SMALL_STATE(1859)] = 106956,
  [SMALL_STATE(1860)] = 106981,
  [SMALL_STATE(1861)] = 107002,
  [SMALL_STATE(1862)] = 107031,
  [SMALL_STATE(1863)] = 107057,
  [SMALL_STATE(1864)] = 107075,
  [SMALL_STATE(1865)] = 107099,
  [SMALL_STATE(1866)] = 107125,
  [SMALL_STATE(1867)] = 107151,
  [SMALL_STATE(1868)] = 107173,
  [SMALL_STATE(1869)] = 107195,
  [SMALL_STATE(1870)] = 107217,
  [SMALL_STATE(1871)] = 107235,
  [SMALL_STATE(1872)] = 107261,
  [SMALL_STATE(1873)] = 107287,
  [SMALL_STATE(1874)] = 107305,
  [SMALL_STATE(1875)] = 107327,
  [SMALL_STATE(1876)] = 107353,
  [SMALL_STATE(1877)] = 107379,
  [SMALL_STATE(1878)] = 107397,
  [SMALL_STATE(1879)] = 107419,
  [SMALL_STATE(1880)] = 107441,
  [SMALL_STATE(1881)] = 107467,
  [SMALL_STATE(1882)] = 107493,
  [SMALL_STATE(1883)] = 107519,
  [SMALL_STATE(1884)] = 107539,
  [SMALL_STATE(1885)] = 107561,
  [SMALL_STATE(1886)] = 107583,
  [SMALL_STATE(1887)] = 107599,
  [SMALL_STATE(1888)] = 107617,
  [SMALL_STATE(1889)] = 107643,
  [SMALL_STATE(1890)] = 107669,
  [SMALL_STATE(1891)] = 107685,
  [SMALL_STATE(1892)] = 107711,
  [SMALL_STATE(1893)] = 107733,
  [SMALL_STATE(1894)] = 107751,
  [SMALL_STATE(1895)] = 107773,
  [SMALL_STATE(1896)] = 107799,
  [SMALL_STATE(1897)] = 107825,
  [SMALL_STATE(1898)] = 107851,
  [SMALL_STATE(1899)] = 107869,
  [SMALL_STATE(1900)] = 107889,
  [SMALL_STATE(1901)] = 107909,
  [SMALL_STATE(1902)] = 107927,
  [SMALL_STATE(1903)] = 107953,
  [SMALL_STATE(1904)] = 107975,
  [SMALL_STATE(1905)] = 107997,
  [SMALL_STATE(1906)] = 108015,
  [SMALL_STATE(1907)] = 108033,
  [SMALL_STATE(1908)] = 108057,
  [SMALL_STATE(1909)] = 108079,
  [SMALL_STATE(1910)] = 108097,
  [SMALL_STATE(1911)] = 108115,
  [SMALL_STATE(1912)] = 108139,
  [SMALL_STATE(1913)] = 108163,
  [SMALL_STATE(1914)] = 108189,
  [SMALL_STATE(1915)] = 108210,
  [SMALL_STATE(1916)] = 108227,
  [SMALL_STATE(1917)] = 108250,
  [SMALL_STATE(1918)] = 108271,
  [SMALL_STATE(1919)] = 108286,
  [SMALL_STATE(1920)] = 108307,
  [SMALL_STATE(1921)] = 108322,
  [SMALL_STATE(1922)] = 108339,
  [SMALL_STATE(1923)] = 108360,
  [SMALL_STATE(1924)] = 108381,
  [SMALL_STATE(1925)] = 108394,
  [SMALL_STATE(1926)] = 108415,
  [SMALL_STATE(1927)] = 108432,
  [SMALL_STATE(1928)] = 108453,
  [SMALL_STATE(1929)] = 108466,
  [SMALL_STATE(1930)] = 108489,
  [SMALL_STATE(1931)] = 108506,
  [SMALL_STATE(1932)] = 108527,
  [SMALL_STATE(1933)] = 108544,
  [SMALL_STATE(1934)] = 108561,
  [SMALL_STATE(1935)] = 108578,
  [SMALL_STATE(1936)] = 108593,
  [SMALL_STATE(1937)] = 108610,
  [SMALL_STATE(1938)] = 108627,
  [SMALL_STATE(1939)] = 108650,
  [SMALL_STATE(1940)] = 108667,
  [SMALL_STATE(1941)] = 108684,
  [SMALL_STATE(1942)] = 108699,
  [SMALL_STATE(1943)] = 108716,
  [SMALL_STATE(1944)] = 108733,
  [SMALL_STATE(1945)] = 108750,
  [SMALL_STATE(1946)] = 108763,
  [SMALL_STATE(1947)] = 108776,
  [SMALL_STATE(1948)] = 108797,
  [SMALL_STATE(1949)] = 108814,
  [SMALL_STATE(1950)] = 108831,
  [SMALL_STATE(1951)] = 108854,
  [SMALL_STATE(1952)] = 108875,
  [SMALL_STATE(1953)] = 108892,
  [SMALL_STATE(1954)] = 108905,
  [SMALL_STATE(1955)] = 108918,
  [SMALL_STATE(1956)] = 108939,
  [SMALL_STATE(1957)] = 108956,
  [SMALL_STATE(1958)] = 108973,
  [SMALL_STATE(1959)] = 108994,
  [SMALL_STATE(1960)] = 109015,
  [SMALL_STATE(1961)] = 109032,
  [SMALL_STATE(1962)] = 109045,
  [SMALL_STATE(1963)] = 109068,
  [SMALL_STATE(1964)] = 109085,
  [SMALL_STATE(1965)] = 109102,
  [SMALL_STATE(1966)] = 109115,
  [SMALL_STATE(1967)] = 109128,
  [SMALL_STATE(1968)] = 109147,
  [SMALL_STATE(1969)] = 109160,
  [SMALL_STATE(1970)] = 109177,
  [SMALL_STATE(1971)] = 109198,
  [SMALL_STATE(1972)] = 109211,
  [SMALL_STATE(1973)] = 109226,
  [SMALL_STATE(1974)] = 109239,
  [SMALL_STATE(1975)] = 109254,
  [SMALL_STATE(1976)] = 109267,
  [SMALL_STATE(1977)] = 109284,
  [SMALL_STATE(1978)] = 109305,
  [SMALL_STATE(1979)] = 109320,
  [SMALL_STATE(1980)] = 109337,
  [SMALL_STATE(1981)] = 109354,
  [SMALL_STATE(1982)] = 109371,
  [SMALL_STATE(1983)] = 109392,
  [SMALL_STATE(1984)] = 109409,
  [SMALL_STATE(1985)] = 109432,
  [SMALL_STATE(1986)] = 109449,
  [SMALL_STATE(1987)] = 109462,
  [SMALL_STATE(1988)] = 109475,
  [SMALL_STATE(1989)] = 109488,
  [SMALL_STATE(1990)] = 109509,
  [SMALL_STATE(1991)] = 109530,
  [SMALL_STATE(1992)] = 109547,
  [SMALL_STATE(1993)] = 109568,
  [SMALL_STATE(1994)] = 109581,
  [SMALL_STATE(1995)] = 109602,
  [SMALL_STATE(1996)] = 109617,
  [SMALL_STATE(1997)] = 109638,
  [SMALL_STATE(1998)] = 109659,
  [SMALL_STATE(1999)] = 109676,
  [SMALL_STATE(2000)] = 109689,
  [SMALL_STATE(2001)] = 109710,
  [SMALL_STATE(2002)] = 109731,
  [SMALL_STATE(2003)] = 109748,
  [SMALL_STATE(2004)] = 109771,
  [SMALL_STATE(2005)] = 109792,
  [SMALL_STATE(2006)] = 109805,
  [SMALL_STATE(2007)] = 109822,
  [SMALL_STATE(2008)] = 109835,
  [SMALL_STATE(2009)] = 109852,
  [SMALL_STATE(2010)] = 109873,
  [SMALL_STATE(2011)] = 109890,
  [SMALL_STATE(2012)] = 109911,
  [SMALL_STATE(2013)] = 109932,
  [SMALL_STATE(2014)] = 109953,
  [SMALL_STATE(2015)] = 109974,
  [SMALL_STATE(2016)] = 109995,
  [SMALL_STATE(2017)] = 110008,
  [SMALL_STATE(2018)] = 110027,
  [SMALL_STATE(2019)] = 110040,
  [SMALL_STATE(2020)] = 110061,
  [SMALL_STATE(2021)] = 110078,
  [SMALL_STATE(2022)] = 110098,
  [SMALL_STATE(2023)] = 110110,
  [SMALL_STATE(2024)] = 110128,
  [SMALL_STATE(2025)] = 110146,
  [SMALL_STATE(2026)] = 110158,
  [SMALL_STATE(2027)] = 110178,
  [SMALL_STATE(2028)] = 110190,
  [SMALL_STATE(2029)] = 110202,
  [SMALL_STATE(2030)] = 110214,
  [SMALL_STATE(2031)] = 110226,
  [SMALL_STATE(2032)] = 110238,
  [SMALL_STATE(2033)] = 110258,
  [SMALL_STATE(2034)] = 110270,
  [SMALL_STATE(2035)] = 110282,
  [SMALL_STATE(2036)] = 110298,
  [SMALL_STATE(2037)] = 110316,
  [SMALL_STATE(2038)] = 110328,
  [SMALL_STATE(2039)] = 110348,
  [SMALL_STATE(2040)] = 110368,
  [SMALL_STATE(2041)] = 110380,
  [SMALL_STATE(2042)] = 110392,
  [SMALL_STATE(2043)] = 110406,
  [SMALL_STATE(2044)] = 110418,
  [SMALL_STATE(2045)] = 110434,
  [SMALL_STATE(2046)] = 110446,
  [SMALL_STATE(2047)] = 110464,
  [SMALL_STATE(2048)] = 110484,
  [SMALL_STATE(2049)] = 110496,
  [SMALL_STATE(2050)] = 110508,
  [SMALL_STATE(2051)] = 110524,
  [SMALL_STATE(2052)] = 110544,
  [SMALL_STATE(2053)] = 110564,
  [SMALL_STATE(2054)] = 110582,
  [SMALL_STATE(2055)] = 110594,
  [SMALL_STATE(2056)] = 110606,
  [SMALL_STATE(2057)] = 110622,
  [SMALL_STATE(2058)] = 110634,
  [SMALL_STATE(2059)] = 110646,
  [SMALL_STATE(2060)] = 110658,
  [SMALL_STATE(2061)] = 110670,
  [SMALL_STATE(2062)] = 110682,
  [SMALL_STATE(2063)] = 110694,
  [SMALL_STATE(2064)] = 110706,
  [SMALL_STATE(2065)] = 110722,
  [SMALL_STATE(2066)] = 110742,
  [SMALL_STATE(2067)] = 110762,
  [SMALL_STATE(2068)] = 110782,
  [SMALL_STATE(2069)] = 110794,
  [SMALL_STATE(2070)] = 110806,
  [SMALL_STATE(2071)] = 110818,
  [SMALL_STATE(2072)] = 110830,
  [SMALL_STATE(2073)] = 110842,
  [SMALL_STATE(2074)] = 110860,
  [SMALL_STATE(2075)] = 110872,
  [SMALL_STATE(2076)] = 110892,
  [SMALL_STATE(2077)] = 110904,
  [SMALL_STATE(2078)] = 110916,
  [SMALL_STATE(2079)] = 110934,
  [SMALL_STATE(2080)] = 110952,
  [SMALL_STATE(2081)] = 110966,
  [SMALL_STATE(2082)] = 110986,
  [SMALL_STATE(2083)] = 111002,
  [SMALL_STATE(2084)] = 111022,
  [SMALL_STATE(2085)] = 111034,
  [SMALL_STATE(2086)] = 111054,
  [SMALL_STATE(2087)] = 111070,
  [SMALL_STATE(2088)] = 111084,
  [SMALL_STATE(2089)] = 111100,
  [SMALL_STATE(2090)] = 111116,
  [SMALL_STATE(2091)] = 111130,
  [SMALL_STATE(2092)] = 111146,
  [SMALL_STATE(2093)] = 111166,
  [SMALL_STATE(2094)] = 111180,
  [SMALL_STATE(2095)] = 111200,
  [SMALL_STATE(2096)] = 111220,
  [SMALL_STATE(2097)] = 111232,
  [SMALL_STATE(2098)] = 111252,
  [SMALL_STATE(2099)] = 111268,
  [SMALL_STATE(2100)] = 111280,
  [SMALL_STATE(2101)] = 111296,
  [SMALL_STATE(2102)] = 111308,
  [SMALL_STATE(2103)] = 111320,
  [SMALL_STATE(2104)] = 111332,
  [SMALL_STATE(2105)] = 111344,
  [SMALL_STATE(2106)] = 111364,
  [SMALL_STATE(2107)] = 111384,
  [SMALL_STATE(2108)] = 111404,
  [SMALL_STATE(2109)] = 111416,
  [SMALL_STATE(2110)] = 111436,
  [SMALL_STATE(2111)] = 111456,
  [SMALL_STATE(2112)] = 111474,
  [SMALL_STATE(2113)] = 111486,
  [SMALL_STATE(2114)] = 111498,
  [SMALL_STATE(2115)] = 111516,
  [SMALL_STATE(2116)] = 111532,
  [SMALL_STATE(2117)] = 111552,
  [SMALL_STATE(2118)] = 111564,
  [SMALL_STATE(2119)] = 111584,
  [SMALL_STATE(2120)] = 111604,
  [SMALL_STATE(2121)] = 111622,
  [SMALL_STATE(2122)] = 111634,
  [SMALL_STATE(2123)] = 111646,
  [SMALL_STATE(2124)] = 111658,
  [SMALL_STATE(2125)] = 111678,
  [SMALL_STATE(2126)] = 111698,
  [SMALL_STATE(2127)] = 111718,
  [SMALL_STATE(2128)] = 111730,
  [SMALL_STATE(2129)] = 111742,
  [SMALL_STATE(2130)] = 111762,
  [SMALL_STATE(2131)] = 111774,
  [SMALL_STATE(2132)] = 111790,
  [SMALL_STATE(2133)] = 111802,
  [SMALL_STATE(2134)] = 111816,
  [SMALL_STATE(2135)] = 111834,
  [SMALL_STATE(2136)] = 111850,
  [SMALL_STATE(2137)] = 111868,
  [SMALL_STATE(2138)] = 111880,
  [SMALL_STATE(2139)] = 111892,
  [SMALL_STATE(2140)] = 111907,
  [SMALL_STATE(2141)] = 111918,
  [SMALL_STATE(2142)] = 111935,
  [SMALL_STATE(2143)] = 111946,
  [SMALL_STATE(2144)] = 111957,
  [SMALL_STATE(2145)] = 111968,
  [SMALL_STATE(2146)] = 111979,
  [SMALL_STATE(2147)] = 111994,
  [SMALL_STATE(2148)] = 112005,
  [SMALL_STATE(2149)] = 112016,
  [SMALL_STATE(2150)] = 112033,
  [SMALL_STATE(2151)] = 112044,
  [SMALL_STATE(2152)] = 112055,
  [SMALL_STATE(2153)] = 112066,
  [SMALL_STATE(2154)] = 112077,
  [SMALL_STATE(2155)] = 112088,
  [SMALL_STATE(2156)] = 112099,
  [SMALL_STATE(2157)] = 112116,
  [SMALL_STATE(2158)] = 112133,
  [SMALL_STATE(2159)] = 112144,
  [SMALL_STATE(2160)] = 112155,
  [SMALL_STATE(2161)] = 112166,
  [SMALL_STATE(2162)] = 112183,
  [SMALL_STATE(2163)] = 112194,
  [SMALL_STATE(2164)] = 112209,
  [SMALL_STATE(2165)] = 112220,
  [SMALL_STATE(2166)] = 112231,
  [SMALL_STATE(2167)] = 112242,
  [SMALL_STATE(2168)] = 112253,
  [SMALL_STATE(2169)] = 112264,
  [SMALL_STATE(2170)] = 112275,
  [SMALL_STATE(2171)] = 112286,
  [SMALL_STATE(2172)] = 112297,
  [SMALL_STATE(2173)] = 112308,
  [SMALL_STATE(2174)] = 112323,
  [SMALL_STATE(2175)] = 112334,
  [SMALL_STATE(2176)] = 112345,
  [SMALL_STATE(2177)] = 112356,
  [SMALL_STATE(2178)] = 112367,
  [SMALL_STATE(2179)] = 112384,
  [SMALL_STATE(2180)] = 112399,
  [SMALL_STATE(2181)] = 112410,
  [SMALL_STATE(2182)] = 112427,
  [SMALL_STATE(2183)] = 112442,
  [SMALL_STATE(2184)] = 112459,
  [SMALL_STATE(2185)] = 112476,
  [SMALL_STATE(2186)] = 112487,
  [SMALL_STATE(2187)] = 112498,
  [SMALL_STATE(2188)] = 112513,
  [SMALL_STATE(2189)] = 112528,
  [SMALL_STATE(2190)] = 112543,
  [SMALL_STATE(2191)] = 112554,
  [SMALL_STATE(2192)] = 112565,
  [SMALL_STATE(2193)] = 112580,
  [SMALL_STATE(2194)] = 112593,
  [SMALL_STATE(2195)] = 112604,
  [SMALL_STATE(2196)] = 112621,
  [SMALL_STATE(2197)] = 112638,
  [SMALL_STATE(2198)] = 112653,
  [SMALL_STATE(2199)] = 112664,
  [SMALL_STATE(2200)] = 112675,
  [SMALL_STATE(2201)] = 112686,
  [SMALL_STATE(2202)] = 112701,
  [SMALL_STATE(2203)] = 112716,
  [SMALL_STATE(2204)] = 112727,
  [SMALL_STATE(2205)] = 112738,
  [SMALL_STATE(2206)] = 112751,
  [SMALL_STATE(2207)] = 112762,
  [SMALL_STATE(2208)] = 112779,
  [SMALL_STATE(2209)] = 112796,
  [SMALL_STATE(2210)] = 112807,
  [SMALL_STATE(2211)] = 112818,
  [SMALL_STATE(2212)] = 112829,
  [SMALL_STATE(2213)] = 112844,
  [SMALL_STATE(2214)] = 112859,
  [SMALL_STATE(2215)] = 112876,
  [SMALL_STATE(2216)] = 112891,
  [SMALL_STATE(2217)] = 112902,
  [SMALL_STATE(2218)] = 112919,
  [SMALL_STATE(2219)] = 112936,
  [SMALL_STATE(2220)] = 112953,
  [SMALL_STATE(2221)] = 112970,
  [SMALL_STATE(2222)] = 112981,
  [SMALL_STATE(2223)] = 112998,
  [SMALL_STATE(2224)] = 113015,
  [SMALL_STATE(2225)] = 113032,
  [SMALL_STATE(2226)] = 113043,
  [SMALL_STATE(2227)] = 113058,
  [SMALL_STATE(2228)] = 113075,
  [SMALL_STATE(2229)] = 113088,
  [SMALL_STATE(2230)] = 113099,
  [SMALL_STATE(2231)] = 113110,
  [SMALL_STATE(2232)] = 113127,
  [SMALL_STATE(2233)] = 113138,
  [SMALL_STATE(2234)] = 113155,
  [SMALL_STATE(2235)] = 113172,
  [SMALL_STATE(2236)] = 113183,
  [SMALL_STATE(2237)] = 113194,
  [SMALL_STATE(2238)] = 113209,
  [SMALL_STATE(2239)] = 113220,
  [SMALL_STATE(2240)] = 113235,
  [SMALL_STATE(2241)] = 113250,
  [SMALL_STATE(2242)] = 113261,
  [SMALL_STATE(2243)] = 113272,
  [SMALL_STATE(2244)] = 113283,
  [SMALL_STATE(2245)] = 113294,
  [SMALL_STATE(2246)] = 113311,
  [SMALL_STATE(2247)] = 113328,
  [SMALL_STATE(2248)] = 113339,
  [SMALL_STATE(2249)] = 113350,
  [SMALL_STATE(2250)] = 113367,
  [SMALL_STATE(2251)] = 113378,
  [SMALL_STATE(2252)] = 113389,
  [SMALL_STATE(2253)] = 113400,
  [SMALL_STATE(2254)] = 113411,
  [SMALL_STATE(2255)] = 113428,
  [SMALL_STATE(2256)] = 113445,
  [SMALL_STATE(2257)] = 113462,
  [SMALL_STATE(2258)] = 113473,
  [SMALL_STATE(2259)] = 113484,
  [SMALL_STATE(2260)] = 113501,
  [SMALL_STATE(2261)] = 113512,
  [SMALL_STATE(2262)] = 113523,
  [SMALL_STATE(2263)] = 113534,
  [SMALL_STATE(2264)] = 113545,
  [SMALL_STATE(2265)] = 113556,
  [SMALL_STATE(2266)] = 113567,
  [SMALL_STATE(2267)] = 113578,
  [SMALL_STATE(2268)] = 113589,
  [SMALL_STATE(2269)] = 113603,
  [SMALL_STATE(2270)] = 113617,
  [SMALL_STATE(2271)] = 113631,
  [SMALL_STATE(2272)] = 113645,
  [SMALL_STATE(2273)] = 113659,
  [SMALL_STATE(2274)] = 113673,
  [SMALL_STATE(2275)] = 113687,
  [SMALL_STATE(2276)] = 113701,
  [SMALL_STATE(2277)] = 113713,
  [SMALL_STATE(2278)] = 113727,
  [SMALL_STATE(2279)] = 113741,
  [SMALL_STATE(2280)] = 113755,
  [SMALL_STATE(2281)] = 113769,
  [SMALL_STATE(2282)] = 113783,
  [SMALL_STATE(2283)] = 113797,
  [SMALL_STATE(2284)] = 113811,
  [SMALL_STATE(2285)] = 113825,
  [SMALL_STATE(2286)] = 113839,
  [SMALL_STATE(2287)] = 113853,
  [SMALL_STATE(2288)] = 113867,
  [SMALL_STATE(2289)] = 113881,
  [SMALL_STATE(2290)] = 113891,
  [SMALL_STATE(2291)] = 113905,
  [SMALL_STATE(2292)] = 113919,
  [SMALL_STATE(2293)] = 113933,
  [SMALL_STATE(2294)] = 113947,
  [SMALL_STATE(2295)] = 113961,
  [SMALL_STATE(2296)] = 113975,
  [SMALL_STATE(2297)] = 113989,
  [SMALL_STATE(2298)] = 114003,
  [SMALL_STATE(2299)] = 114017,
  [SMALL_STATE(2300)] = 114031,
  [SMALL_STATE(2301)] = 114045,
  [SMALL_STATE(2302)] = 114059,
  [SMALL_STATE(2303)] = 114073,
  [SMALL_STATE(2304)] = 114087,
  [SMALL_STATE(2305)] = 114101,
  [SMALL_STATE(2306)] = 114113,
  [SMALL_STATE(2307)] = 114127,
  [SMALL_STATE(2308)] = 114141,
  [SMALL_STATE(2309)] = 114155,
  [SMALL_STATE(2310)] = 114167,
  [SMALL_STATE(2311)] = 114181,
  [SMALL_STATE(2312)] = 114195,
  [SMALL_STATE(2313)] = 114205,
  [SMALL_STATE(2314)] = 114219,
  [SMALL_STATE(2315)] = 114233,
  [SMALL_STATE(2316)] = 114245,
  [SMALL_STATE(2317)] = 114259,
  [SMALL_STATE(2318)] = 114273,
  [SMALL_STATE(2319)] = 114287,
  [SMALL_STATE(2320)] = 114301,
  [SMALL_STATE(2321)] = 114315,
  [SMALL_STATE(2322)] = 114329,
  [SMALL_STATE(2323)] = 114341,
  [SMALL_STATE(2324)] = 114355,
  [SMALL_STATE(2325)] = 114369,
  [SMALL_STATE(2326)] = 114383,
  [SMALL_STATE(2327)] = 114397,
  [SMALL_STATE(2328)] = 114411,
  [SMALL_STATE(2329)] = 114423,
  [SMALL_STATE(2330)] = 114437,
  [SMALL_STATE(2331)] = 114451,
  [SMALL_STATE(2332)] = 114465,
  [SMALL_STATE(2333)] = 114477,
  [SMALL_STATE(2334)] = 114491,
  [SMALL_STATE(2335)] = 114501,
  [SMALL_STATE(2336)] = 114515,
  [SMALL_STATE(2337)] = 114529,
  [SMALL_STATE(2338)] = 114543,
  [SMALL_STATE(2339)] = 114557,
  [SMALL_STATE(2340)] = 114571,
  [SMALL_STATE(2341)] = 114585,
  [SMALL_STATE(2342)] = 114599,
  [SMALL_STATE(2343)] = 114613,
  [SMALL_STATE(2344)] = 114627,
  [SMALL_STATE(2345)] = 114641,
  [SMALL_STATE(2346)] = 114651,
  [SMALL_STATE(2347)] = 114665,
  [SMALL_STATE(2348)] = 114679,
  [SMALL_STATE(2349)] = 114693,
  [SMALL_STATE(2350)] = 114705,
  [SMALL_STATE(2351)] = 114719,
  [SMALL_STATE(2352)] = 114733,
  [SMALL_STATE(2353)] = 114747,
  [SMALL_STATE(2354)] = 114759,
  [SMALL_STATE(2355)] = 114771,
  [SMALL_STATE(2356)] = 114785,
  [SMALL_STATE(2357)] = 114799,
  [SMALL_STATE(2358)] = 114811,
  [SMALL_STATE(2359)] = 114825,
  [SMALL_STATE(2360)] = 114839,
  [SMALL_STATE(2361)] = 114853,
  [SMALL_STATE(2362)] = 114867,
  [SMALL_STATE(2363)] = 114881,
  [SMALL_STATE(2364)] = 114895,
  [SMALL_STATE(2365)] = 114909,
  [SMALL_STATE(2366)] = 114923,
  [SMALL_STATE(2367)] = 114937,
  [SMALL_STATE(2368)] = 114951,
  [SMALL_STATE(2369)] = 114965,
  [SMALL_STATE(2370)] = 114979,
  [SMALL_STATE(2371)] = 114993,
  [SMALL_STATE(2372)] = 115007,
  [SMALL_STATE(2373)] = 115021,
  [SMALL_STATE(2374)] = 115035,
  [SMALL_STATE(2375)] = 115045,
  [SMALL_STATE(2376)] = 115059,
  [SMALL_STATE(2377)] = 115069,
  [SMALL_STATE(2378)] = 115083,
  [SMALL_STATE(2379)] = 115097,
  [SMALL_STATE(2380)] = 115111,
  [SMALL_STATE(2381)] = 115125,
  [SMALL_STATE(2382)] = 115139,
  [SMALL_STATE(2383)] = 115153,
  [SMALL_STATE(2384)] = 115167,
  [SMALL_STATE(2385)] = 115181,
  [SMALL_STATE(2386)] = 115195,
  [SMALL_STATE(2387)] = 115209,
  [SMALL_STATE(2388)] = 115223,
  [SMALL_STATE(2389)] = 115237,
  [SMALL_STATE(2390)] = 115251,
  [SMALL_STATE(2391)] = 115265,
  [SMALL_STATE(2392)] = 115279,
  [SMALL_STATE(2393)] = 115293,
  [SMALL_STATE(2394)] = 115307,
  [SMALL_STATE(2395)] = 115321,
  [SMALL_STATE(2396)] = 115335,
  [SMALL_STATE(2397)] = 115349,
  [SMALL_STATE(2398)] = 115359,
  [SMALL_STATE(2399)] = 115373,
  [SMALL_STATE(2400)] = 115387,
  [SMALL_STATE(2401)] = 115401,
  [SMALL_STATE(2402)] = 115415,
  [SMALL_STATE(2403)] = 115429,
  [SMALL_STATE(2404)] = 115443,
  [SMALL_STATE(2405)] = 115457,
  [SMALL_STATE(2406)] = 115471,
  [SMALL_STATE(2407)] = 115485,
  [SMALL_STATE(2408)] = 115499,
  [SMALL_STATE(2409)] = 115513,
  [SMALL_STATE(2410)] = 115527,
  [SMALL_STATE(2411)] = 115541,
  [SMALL_STATE(2412)] = 115555,
  [SMALL_STATE(2413)] = 115569,
  [SMALL_STATE(2414)] = 115579,
  [SMALL_STATE(2415)] = 115593,
  [SMALL_STATE(2416)] = 115607,
  [SMALL_STATE(2417)] = 115621,
  [SMALL_STATE(2418)] = 115635,
  [SMALL_STATE(2419)] = 115649,
  [SMALL_STATE(2420)] = 115663,
  [SMALL_STATE(2421)] = 115677,
  [SMALL_STATE(2422)] = 115691,
  [SMALL_STATE(2423)] = 115705,
  [SMALL_STATE(2424)] = 115719,
  [SMALL_STATE(2425)] = 115733,
  [SMALL_STATE(2426)] = 115745,
  [SMALL_STATE(2427)] = 115759,
  [SMALL_STATE(2428)] = 115773,
  [SMALL_STATE(2429)] = 115787,
  [SMALL_STATE(2430)] = 115797,
  [SMALL_STATE(2431)] = 115811,
  [SMALL_STATE(2432)] = 115825,
  [SMALL_STATE(2433)] = 115839,
  [SMALL_STATE(2434)] = 115853,
  [SMALL_STATE(2435)] = 115867,
  [SMALL_STATE(2436)] = 115879,
  [SMALL_STATE(2437)] = 115893,
  [SMALL_STATE(2438)] = 115907,
  [SMALL_STATE(2439)] = 115919,
  [SMALL_STATE(2440)] = 115933,
  [SMALL_STATE(2441)] = 115947,
  [SMALL_STATE(2442)] = 115957,
  [SMALL_STATE(2443)] = 115971,
  [SMALL_STATE(2444)] = 115985,
  [SMALL_STATE(2445)] = 115995,
  [SMALL_STATE(2446)] = 116007,
  [SMALL_STATE(2447)] = 116021,
  [SMALL_STATE(2448)] = 116033,
  [SMALL_STATE(2449)] = 116047,
  [SMALL_STATE(2450)] = 116061,
  [SMALL_STATE(2451)] = 116075,
  [SMALL_STATE(2452)] = 116089,
  [SMALL_STATE(2453)] = 116103,
  [SMALL_STATE(2454)] = 116117,
  [SMALL_STATE(2455)] = 116131,
  [SMALL_STATE(2456)] = 116145,
  [SMALL_STATE(2457)] = 116159,
  [SMALL_STATE(2458)] = 116173,
  [SMALL_STATE(2459)] = 116187,
  [SMALL_STATE(2460)] = 116201,
  [SMALL_STATE(2461)] = 116215,
  [SMALL_STATE(2462)] = 116229,
  [SMALL_STATE(2463)] = 116239,
  [SMALL_STATE(2464)] = 116251,
  [SMALL_STATE(2465)] = 116265,
  [SMALL_STATE(2466)] = 116277,
  [SMALL_STATE(2467)] = 116291,
  [SMALL_STATE(2468)] = 116305,
  [SMALL_STATE(2469)] = 116319,
  [SMALL_STATE(2470)] = 116333,
  [SMALL_STATE(2471)] = 116347,
  [SMALL_STATE(2472)] = 116361,
  [SMALL_STATE(2473)] = 116375,
  [SMALL_STATE(2474)] = 116389,
  [SMALL_STATE(2475)] = 116401,
  [SMALL_STATE(2476)] = 116415,
  [SMALL_STATE(2477)] = 116429,
  [SMALL_STATE(2478)] = 116443,
  [SMALL_STATE(2479)] = 116457,
  [SMALL_STATE(2480)] = 116471,
  [SMALL_STATE(2481)] = 116485,
  [SMALL_STATE(2482)] = 116499,
  [SMALL_STATE(2483)] = 116513,
  [SMALL_STATE(2484)] = 116527,
  [SMALL_STATE(2485)] = 116541,
  [SMALL_STATE(2486)] = 116555,
  [SMALL_STATE(2487)] = 116569,
  [SMALL_STATE(2488)] = 116583,
  [SMALL_STATE(2489)] = 116597,
  [SMALL_STATE(2490)] = 116611,
  [SMALL_STATE(2491)] = 116621,
  [SMALL_STATE(2492)] = 116635,
  [SMALL_STATE(2493)] = 116649,
  [SMALL_STATE(2494)] = 116663,
  [SMALL_STATE(2495)] = 116677,
  [SMALL_STATE(2496)] = 116691,
  [SMALL_STATE(2497)] = 116705,
  [SMALL_STATE(2498)] = 116717,
  [SMALL_STATE(2499)] = 116731,
  [SMALL_STATE(2500)] = 116745,
  [SMALL_STATE(2501)] = 116759,
  [SMALL_STATE(2502)] = 116773,
  [SMALL_STATE(2503)] = 116787,
  [SMALL_STATE(2504)] = 116799,
  [SMALL_STATE(2505)] = 116809,
  [SMALL_STATE(2506)] = 116823,
  [SMALL_STATE(2507)] = 116835,
  [SMALL_STATE(2508)] = 116849,
  [SMALL_STATE(2509)] = 116863,
  [SMALL_STATE(2510)] = 116875,
  [SMALL_STATE(2511)] = 116889,
  [SMALL_STATE(2512)] = 116903,
  [SMALL_STATE(2513)] = 116915,
  [SMALL_STATE(2514)] = 116929,
  [SMALL_STATE(2515)] = 116943,
  [SMALL_STATE(2516)] = 116957,
  [SMALL_STATE(2517)] = 116971,
  [SMALL_STATE(2518)] = 116985,
  [SMALL_STATE(2519)] = 116999,
  [SMALL_STATE(2520)] = 117013,
  [SMALL_STATE(2521)] = 117027,
  [SMALL_STATE(2522)] = 117041,
  [SMALL_STATE(2523)] = 117055,
  [SMALL_STATE(2524)] = 117069,
  [SMALL_STATE(2525)] = 117083,
  [SMALL_STATE(2526)] = 117097,
  [SMALL_STATE(2527)] = 117111,
  [SMALL_STATE(2528)] = 117125,
  [SMALL_STATE(2529)] = 117134,
  [SMALL_STATE(2530)] = 117143,
  [SMALL_STATE(2531)] = 117154,
  [SMALL_STATE(2532)] = 117163,
  [SMALL_STATE(2533)] = 117172,
  [SMALL_STATE(2534)] = 117181,
  [SMALL_STATE(2535)] = 117190,
  [SMALL_STATE(2536)] = 117199,
  [SMALL_STATE(2537)] = 117208,
  [SMALL_STATE(2538)] = 117219,
  [SMALL_STATE(2539)] = 117228,
  [SMALL_STATE(2540)] = 117237,
  [SMALL_STATE(2541)] = 117246,
  [SMALL_STATE(2542)] = 117255,
  [SMALL_STATE(2543)] = 117266,
  [SMALL_STATE(2544)] = 117277,
  [SMALL_STATE(2545)] = 117286,
  [SMALL_STATE(2546)] = 117297,
  [SMALL_STATE(2547)] = 117308,
  [SMALL_STATE(2548)] = 117317,
  [SMALL_STATE(2549)] = 117328,
  [SMALL_STATE(2550)] = 117337,
  [SMALL_STATE(2551)] = 117346,
  [SMALL_STATE(2552)] = 117357,
  [SMALL_STATE(2553)] = 117368,
  [SMALL_STATE(2554)] = 117377,
  [SMALL_STATE(2555)] = 117388,
  [SMALL_STATE(2556)] = 117399,
  [SMALL_STATE(2557)] = 117410,
  [SMALL_STATE(2558)] = 117419,
  [SMALL_STATE(2559)] = 117428,
  [SMALL_STATE(2560)] = 117439,
  [SMALL_STATE(2561)] = 117448,
  [SMALL_STATE(2562)] = 117459,
  [SMALL_STATE(2563)] = 117468,
  [SMALL_STATE(2564)] = 117477,
  [SMALL_STATE(2565)] = 117488,
  [SMALL_STATE(2566)] = 117499,
  [SMALL_STATE(2567)] = 117508,
  [SMALL_STATE(2568)] = 117517,
  [SMALL_STATE(2569)] = 117526,
  [SMALL_STATE(2570)] = 117535,
  [SMALL_STATE(2571)] = 117544,
  [SMALL_STATE(2572)] = 117553,
  [SMALL_STATE(2573)] = 117564,
  [SMALL_STATE(2574)] = 117573,
  [SMALL_STATE(2575)] = 117582,
  [SMALL_STATE(2576)] = 117591,
  [SMALL_STATE(2577)] = 117600,
  [SMALL_STATE(2578)] = 117611,
  [SMALL_STATE(2579)] = 117620,
  [SMALL_STATE(2580)] = 117629,
  [SMALL_STATE(2581)] = 117640,
  [SMALL_STATE(2582)] = 117649,
  [SMALL_STATE(2583)] = 117658,
  [SMALL_STATE(2584)] = 117667,
  [SMALL_STATE(2585)] = 117676,
  [SMALL_STATE(2586)] = 117685,
  [SMALL_STATE(2587)] = 117694,
  [SMALL_STATE(2588)] = 117703,
  [SMALL_STATE(2589)] = 117712,
  [SMALL_STATE(2590)] = 117721,
  [SMALL_STATE(2591)] = 117730,
  [SMALL_STATE(2592)] = 117739,
  [SMALL_STATE(2593)] = 117748,
  [SMALL_STATE(2594)] = 117757,
  [SMALL_STATE(2595)] = 117766,
  [SMALL_STATE(2596)] = 117775,
  [SMALL_STATE(2597)] = 117784,
  [SMALL_STATE(2598)] = 117793,
  [SMALL_STATE(2599)] = 117802,
  [SMALL_STATE(2600)] = 117811,
  [SMALL_STATE(2601)] = 117820,
  [SMALL_STATE(2602)] = 117829,
  [SMALL_STATE(2603)] = 117838,
  [SMALL_STATE(2604)] = 117847,
  [SMALL_STATE(2605)] = 117856,
  [SMALL_STATE(2606)] = 117865,
  [SMALL_STATE(2607)] = 117874,
  [SMALL_STATE(2608)] = 117885,
  [SMALL_STATE(2609)] = 117894,
  [SMALL_STATE(2610)] = 117903,
  [SMALL_STATE(2611)] = 117912,
  [SMALL_STATE(2612)] = 117923,
  [SMALL_STATE(2613)] = 117932,
  [SMALL_STATE(2614)] = 117943,
  [SMALL_STATE(2615)] = 117952,
  [SMALL_STATE(2616)] = 117961,
  [SMALL_STATE(2617)] = 117970,
  [SMALL_STATE(2618)] = 117979,
  [SMALL_STATE(2619)] = 117988,
  [SMALL_STATE(2620)] = 117997,
  [SMALL_STATE(2621)] = 118008,
  [SMALL_STATE(2622)] = 118017,
  [SMALL_STATE(2623)] = 118026,
  [SMALL_STATE(2624)] = 118035,
  [SMALL_STATE(2625)] = 118046,
  [SMALL_STATE(2626)] = 118057,
  [SMALL_STATE(2627)] = 118066,
  [SMALL_STATE(2628)] = 118075,
  [SMALL_STATE(2629)] = 118084,
  [SMALL_STATE(2630)] = 118092,
  [SMALL_STATE(2631)] = 118100,
  [SMALL_STATE(2632)] = 118108,
  [SMALL_STATE(2633)] = 118116,
  [SMALL_STATE(2634)] = 118124,
  [SMALL_STATE(2635)] = 118132,
  [SMALL_STATE(2636)] = 118140,
  [SMALL_STATE(2637)] = 118148,
  [SMALL_STATE(2638)] = 118156,
  [SMALL_STATE(2639)] = 118164,
  [SMALL_STATE(2640)] = 118172,
  [SMALL_STATE(2641)] = 118180,
  [SMALL_STATE(2642)] = 118188,
  [SMALL_STATE(2643)] = 118196,
  [SMALL_STATE(2644)] = 118204,
  [SMALL_STATE(2645)] = 118212,
  [SMALL_STATE(2646)] = 118220,
  [SMALL_STATE(2647)] = 118228,
  [SMALL_STATE(2648)] = 118236,
  [SMALL_STATE(2649)] = 118244,
  [SMALL_STATE(2650)] = 118252,
  [SMALL_STATE(2651)] = 118260,
  [SMALL_STATE(2652)] = 118268,
  [SMALL_STATE(2653)] = 118276,
  [SMALL_STATE(2654)] = 118284,
  [SMALL_STATE(2655)] = 118292,
  [SMALL_STATE(2656)] = 118300,
  [SMALL_STATE(2657)] = 118308,
  [SMALL_STATE(2658)] = 118316,
  [SMALL_STATE(2659)] = 118324,
  [SMALL_STATE(2660)] = 118332,
  [SMALL_STATE(2661)] = 118340,
  [SMALL_STATE(2662)] = 118348,
  [SMALL_STATE(2663)] = 118356,
  [SMALL_STATE(2664)] = 118364,
  [SMALL_STATE(2665)] = 118372,
  [SMALL_STATE(2666)] = 118380,
  [SMALL_STATE(2667)] = 118388,
  [SMALL_STATE(2668)] = 118396,
  [SMALL_STATE(2669)] = 118404,
  [SMALL_STATE(2670)] = 118412,
  [SMALL_STATE(2671)] = 118420,
  [SMALL_STATE(2672)] = 118428,
  [SMALL_STATE(2673)] = 118436,
  [SMALL_STATE(2674)] = 118444,
  [SMALL_STATE(2675)] = 118452,
  [SMALL_STATE(2676)] = 118460,
  [SMALL_STATE(2677)] = 118468,
  [SMALL_STATE(2678)] = 118476,
  [SMALL_STATE(2679)] = 118484,
  [SMALL_STATE(2680)] = 118492,
  [SMALL_STATE(2681)] = 118500,
  [SMALL_STATE(2682)] = 118508,
  [SMALL_STATE(2683)] = 118516,
  [SMALL_STATE(2684)] = 118524,
  [SMALL_STATE(2685)] = 118532,
  [SMALL_STATE(2686)] = 118540,
  [SMALL_STATE(2687)] = 118548,
  [SMALL_STATE(2688)] = 118556,
  [SMALL_STATE(2689)] = 118564,
  [SMALL_STATE(2690)] = 118572,
  [SMALL_STATE(2691)] = 118580,
  [SMALL_STATE(2692)] = 118588,
  [SMALL_STATE(2693)] = 118596,
  [SMALL_STATE(2694)] = 118604,
  [SMALL_STATE(2695)] = 118612,
  [SMALL_STATE(2696)] = 118620,
  [SMALL_STATE(2697)] = 118628,
  [SMALL_STATE(2698)] = 118636,
  [SMALL_STATE(2699)] = 118644,
  [SMALL_STATE(2700)] = 118652,
  [SMALL_STATE(2701)] = 118660,
  [SMALL_STATE(2702)] = 118668,
  [SMALL_STATE(2703)] = 118676,
  [SMALL_STATE(2704)] = 118684,
  [SMALL_STATE(2705)] = 118692,
  [SMALL_STATE(2706)] = 118700,
  [SMALL_STATE(2707)] = 118708,
  [SMALL_STATE(2708)] = 118716,
  [SMALL_STATE(2709)] = 118724,
  [SMALL_STATE(2710)] = 118732,
  [SMALL_STATE(2711)] = 118740,
  [SMALL_STATE(2712)] = 118748,
  [SMALL_STATE(2713)] = 118756,
  [SMALL_STATE(2714)] = 118764,
  [SMALL_STATE(2715)] = 118772,
  [SMALL_STATE(2716)] = 118780,
  [SMALL_STATE(2717)] = 118788,
  [SMALL_STATE(2718)] = 118796,
  [SMALL_STATE(2719)] = 118804,
  [SMALL_STATE(2720)] = 118812,
  [SMALL_STATE(2721)] = 118820,
  [SMALL_STATE(2722)] = 118828,
  [SMALL_STATE(2723)] = 118836,
  [SMALL_STATE(2724)] = 118844,
  [SMALL_STATE(2725)] = 118852,
  [SMALL_STATE(2726)] = 118860,
  [SMALL_STATE(2727)] = 118868,
  [SMALL_STATE(2728)] = 118876,
  [SMALL_STATE(2729)] = 118884,
  [SMALL_STATE(2730)] = 118892,
  [SMALL_STATE(2731)] = 118900,
  [SMALL_STATE(2732)] = 118908,
  [SMALL_STATE(2733)] = 118916,
  [SMALL_STATE(2734)] = 118924,
  [SMALL_STATE(2735)] = 118932,
  [SMALL_STATE(2736)] = 118940,
  [SMALL_STATE(2737)] = 118948,
  [SMALL_STATE(2738)] = 118956,
  [SMALL_STATE(2739)] = 118964,
  [SMALL_STATE(2740)] = 118972,
  [SMALL_STATE(2741)] = 118980,
  [SMALL_STATE(2742)] = 118988,
  [SMALL_STATE(2743)] = 118996,
  [SMALL_STATE(2744)] = 119004,
  [SMALL_STATE(2745)] = 119012,
  [SMALL_STATE(2746)] = 119020,
  [SMALL_STATE(2747)] = 119028,
  [SMALL_STATE(2748)] = 119036,
  [SMALL_STATE(2749)] = 119044,
  [SMALL_STATE(2750)] = 119052,
  [SMALL_STATE(2751)] = 119060,
  [SMALL_STATE(2752)] = 119068,
  [SMALL_STATE(2753)] = 119076,
  [SMALL_STATE(2754)] = 119084,
  [SMALL_STATE(2755)] = 119092,
  [SMALL_STATE(2756)] = 119100,
  [SMALL_STATE(2757)] = 119108,
  [SMALL_STATE(2758)] = 119116,
  [SMALL_STATE(2759)] = 119124,
  [SMALL_STATE(2760)] = 119132,
  [SMALL_STATE(2761)] = 119140,
  [SMALL_STATE(2762)] = 119148,
  [SMALL_STATE(2763)] = 119156,
  [SMALL_STATE(2764)] = 119164,
  [SMALL_STATE(2765)] = 119172,
  [SMALL_STATE(2766)] = 119180,
  [SMALL_STATE(2767)] = 119188,
  [SMALL_STATE(2768)] = 119196,
  [SMALL_STATE(2769)] = 119204,
  [SMALL_STATE(2770)] = 119212,
  [SMALL_STATE(2771)] = 119220,
  [SMALL_STATE(2772)] = 119228,
  [SMALL_STATE(2773)] = 119236,
  [SMALL_STATE(2774)] = 119244,
  [SMALL_STATE(2775)] = 119252,
  [SMALL_STATE(2776)] = 119260,
  [SMALL_STATE(2777)] = 119268,
  [SMALL_STATE(2778)] = 119276,
  [SMALL_STATE(2779)] = 119284,
  [SMALL_STATE(2780)] = 119292,
  [SMALL_STATE(2781)] = 119300,
  [SMALL_STATE(2782)] = 119308,
  [SMALL_STATE(2783)] = 119316,
  [SMALL_STATE(2784)] = 119324,
  [SMALL_STATE(2785)] = 119332,
  [SMALL_STATE(2786)] = 119340,
  [SMALL_STATE(2787)] = 119348,
  [SMALL_STATE(2788)] = 119356,
  [SMALL_STATE(2789)] = 119364,
  [SMALL_STATE(2790)] = 119372,
  [SMALL_STATE(2791)] = 119380,
  [SMALL_STATE(2792)] = 119388,
  [SMALL_STATE(2793)] = 119396,
  [SMALL_STATE(2794)] = 119404,
  [SMALL_STATE(2795)] = 119412,
  [SMALL_STATE(2796)] = 119420,
  [SMALL_STATE(2797)] = 119428,
  [SMALL_STATE(2798)] = 119436,
  [SMALL_STATE(2799)] = 119444,
  [SMALL_STATE(2800)] = 119452,
  [SMALL_STATE(2801)] = 119460,
  [SMALL_STATE(2802)] = 119468,
  [SMALL_STATE(2803)] = 119476,
  [SMALL_STATE(2804)] = 119484,
  [SMALL_STATE(2805)] = 119492,
  [SMALL_STATE(2806)] = 119500,
  [SMALL_STATE(2807)] = 119508,
  [SMALL_STATE(2808)] = 119516,
  [SMALL_STATE(2809)] = 119524,
  [SMALL_STATE(2810)] = 119532,
  [SMALL_STATE(2811)] = 119540,
  [SMALL_STATE(2812)] = 119548,
  [SMALL_STATE(2813)] = 119556,
  [SMALL_STATE(2814)] = 119564,
  [SMALL_STATE(2815)] = 119572,
  [SMALL_STATE(2816)] = 119580,
  [SMALL_STATE(2817)] = 119588,
  [SMALL_STATE(2818)] = 119596,
  [SMALL_STATE(2819)] = 119604,
  [SMALL_STATE(2820)] = 119612,
  [SMALL_STATE(2821)] = 119620,
  [SMALL_STATE(2822)] = 119628,
  [SMALL_STATE(2823)] = 119636,
  [SMALL_STATE(2824)] = 119644,
  [SMALL_STATE(2825)] = 119652,
  [SMALL_STATE(2826)] = 119660,
  [SMALL_STATE(2827)] = 119668,
  [SMALL_STATE(2828)] = 119676,
  [SMALL_STATE(2829)] = 119684,
  [SMALL_STATE(2830)] = 119692,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(623),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2254),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1911),
  [128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(582),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2533),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2619),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2602),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(551),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(434),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2668),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2767),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2786),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(74),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2663),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(565),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(584),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1670),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(370),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2819),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2796),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(300),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(917),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2730),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(273),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(943),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(570),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(294),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(942),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(295),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(939),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(584),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 110),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 110),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 98),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 98),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 79),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 79),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 99),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 99),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 14),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 6),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 15),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 63),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 63),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(476),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 56),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 56),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 57),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 57),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(606),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 83),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 83),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [1593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(503),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 72),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 72),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 48),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 48),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81), SHIFT_REPEAT(607),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 48),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 48),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 72),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 72),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81), SHIFT_REPEAT(555),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 23),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 23),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 106),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 106),
  [1701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 106),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 106),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 90),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 90),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 129),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 129),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 129),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 129),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 57),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 57),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 62),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 62),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 114),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 114),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 88),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 88),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 63),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 63),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 105),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 105),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 101),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 101),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 54),
  [1789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 54),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 63),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 63),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 116),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 116),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 61),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 61),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 63),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 63),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 64),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 64),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 107),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 107),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 65),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 65),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 108),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 108),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 66),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 66),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 67),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 67),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 68),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 68),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 109),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, 0, 109),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 43),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 43),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 44),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 44),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 84),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 84),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 82),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 82),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 85),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 85),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 86),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 86),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 87),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 87),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 113),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 113),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 115),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 115),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 89),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 89),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 117),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 117),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 90),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 90),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 42),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 42),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 91),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 91),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 92),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 92),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 94),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 94),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 118),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 118),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 119),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 119),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 95),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 95),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 126),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 126),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 127),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 127),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 58),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 58),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 130),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 130),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 100),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 100),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 55),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 55),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 102),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 102),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 103),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 103),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 135),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 135),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 39),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 39),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 59),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 59),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 104),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 104),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 60),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 60),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 49),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 49),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 50),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 50),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1746),
  [2373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1764),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 10),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 10),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1766),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(933),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2678),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(933),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(861),
  [2831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(925),
  [2834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2634),
  [2837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(925),
  [2840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(866),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(897),
  [2846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2781),
  [2849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(897),
  [2852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(859),
  [2855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(885),
  [2858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2703),
  [2861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(885),
  [2864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(862),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(907),
  [2870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2649),
  [2873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(907),
  [2876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(864),
  [2879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(874),
  [2882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2807),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(874),
  [2888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(863),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(960),
  [2899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2768),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(960),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(865),
  [2908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(894),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2734),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(894),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(860),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 47),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 17),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18),
  [3033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(558),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7), SHIFT(331),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(532),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [3159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [3162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(497),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(525),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(540),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(518),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2748),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 8),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 45),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(509),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(484),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 6),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [3371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [3381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2824),
  [3384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [3432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2827),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(848),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 6),
  [3456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2773),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2642),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [3477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [3480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [3483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2808),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 71),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 96),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [3516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1586),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 110),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 79),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 75),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 75),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 98),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 99),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 97),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 97),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [3590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 18),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 16),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [3608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 46),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 76),
  [3618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 76),
  [3620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(855),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 52),
  [3633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 52),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 53),
  [3637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 53),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(565),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 36),
  [3678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 19),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 38),
  [3694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(487),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 70),
  [3714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 18),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 111),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_statement, 4, 1, 0),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [3736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 120),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 122),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1585),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 47),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 13),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 111),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [3794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 17),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [3812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 120),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [3841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2083),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1587),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 122),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 4),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 4),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1582),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [3922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [3946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28),
  [3948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2340),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [3961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [3964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35),
  [3978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35), SHIFT_REPEAT(608),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2802),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 14),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 15),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(2213),
  [4013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 81), SHIFT_REPEAT(1558),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 81),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 13),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 8),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 45),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1555),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(578),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 51),
  [4200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 51),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 29),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 121), SHIFT_REPEAT(1579),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 121),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [4265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(851),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(244),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40), SHIFT_REPEAT(557),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 73), SHIFT_REPEAT(456),
  [4363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 73),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(852),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(500),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [4561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2498),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(379),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 8),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(340),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(363),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 32),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 33),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 111),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 139),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 77),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 21),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 124),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 3),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 31),
  [4701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 20),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 112),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 78),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 125),
  [4719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 131),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 30),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 132),
  [4725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 54),
  [4727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 133),
  [4729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 69),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 134),
  [4733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 33),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 138),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 136),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 123),
  [4757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 137),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [4801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4909] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[20][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [11] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [16] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [18] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [19] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
